!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 323

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(2923)
  integer, parameter :: nGC_8228 = 1
  integer, parameter :: nGC_8229 = 2
  integer, parameter :: nGC_8222 = 3
  integer, parameter :: nGC_8223 = 4
  integer, parameter :: nGC_8220 = 5
  integer, parameter :: nGC_8221 = 6
  integer, parameter :: nGC_8226 = 7
  integer, parameter :: nGC_8227 = 8
  integer, parameter :: nGC_8224 = 9
  integer, parameter :: nGC_8225 = 10
  integer, parameter :: nGC_7907 = 11
  integer, parameter :: nGC_8316 = 12
  integer, parameter :: nGC_8317 = 13
  integer, parameter :: nGC_8314 = 14
  integer, parameter :: nGC_8315 = 15
  integer, parameter :: nGC_8312 = 16
  integer, parameter :: nGC_8313 = 17
  integer, parameter :: nGC_8310 = 18
  integer, parameter :: nGC_8311 = 19
  integer, parameter :: nGC_8318 = 20
  integer, parameter :: nGC_8319 = 21
  integer, parameter :: nGC_8488 = 22
  integer, parameter :: nGC_9420 = 23
  integer, parameter :: nGC_8002 = 24
  integer, parameter :: nGC_8118 = 25
  integer, parameter :: nGC_8000 = 26
  integer, parameter :: nGC_8001 = 27
  integer, parameter :: nGC_8006 = 28
  integer, parameter :: nGC_8007 = 29
  integer, parameter :: nGC_8004 = 30
  integer, parameter :: nGC_8557 = 31
  integer, parameter :: nGC_8559 = 32
  integer, parameter :: nGC_8008 = 33
  integer, parameter :: nGC_8009 = 34
  integer, parameter :: nGC_96 = 35
  integer, parameter :: nGC_8112 = 36
  integer, parameter :: nGC_8114 = 37
  integer, parameter :: nGC_8115 = 38
  integer, parameter :: nGC_91 = 39
  integer, parameter :: nGC_8178 = 40
  integer, parameter :: nGC_8179 = 41
  integer, parameter :: nGC_8176 = 42
  integer, parameter :: nGC_8177 = 43
  integer, parameter :: nGC_8173 = 44
  integer, parameter :: nGC_8170 = 45
  integer, parameter :: nGC_8171 = 46
  integer, parameter :: nGC_8388 = 47
  integer, parameter :: nGC_7909 = 48
  integer, parameter :: nGC_8527 = 49
  integer, parameter :: nGC_349 = 50
  integer, parameter :: nGC_347 = 51
  integer, parameter :: nGC_345 = 52
  integer, parameter :: nGC_343 = 53
  integer, parameter :: nGC_168 = 54
  integer, parameter :: nGC_169 = 55
  integer, parameter :: nGC_162 = 56
  integer, parameter :: nGC_163 = 57
  integer, parameter :: nGC_160 = 58
  integer, parameter :: nGC_161 = 59
  integer, parameter :: nGC_166 = 60
  integer, parameter :: nGC_164 = 61
  integer, parameter :: nGC_165 = 62
  integer, parameter :: nGC_8608 = 63
  integer, parameter :: nGC_8609 = 64
  integer, parameter :: nGC_8704 = 65
  integer, parameter :: nGC_7973 = 66
  integer, parameter :: nGC_7972 = 67
  integer, parameter :: nGC_7971 = 68
  integer, parameter :: nGC_7970 = 69
  integer, parameter :: nGC_7977 = 70
  integer, parameter :: nGC_7976 = 71
  integer, parameter :: nGC_7979 = 72
  integer, parameter :: nGC_7978 = 73
  integer, parameter :: nGC_8363 = 74
  integer, parameter :: nGC_8362 = 75
  integer, parameter :: nGC_8361 = 76
  integer, parameter :: nGC_8360 = 77
  integer, parameter :: nGC_8367 = 78
  integer, parameter :: nGC_8366 = 79
  integer, parameter :: nGC_8365 = 80
  integer, parameter :: nGC_8364 = 81
  integer, parameter :: nGC_8369 = 82
  integer, parameter :: nGC_8368 = 83
  integer, parameter :: nGC_13275 = 84
  integer, parameter :: nGC_13276 = 85
  integer, parameter :: nGC_MHA = 86
  integer, parameter :: nGC_MHC = 87
  integer, parameter :: nGC_MHL = 88
  integer, parameter :: nGC_8569 = 89
  integer, parameter :: nGC_8568 = 90
  integer, parameter :: nGC_8564 = 91
  integer, parameter :: nGC_8566 = 92
  integer, parameter :: nGC_8561 = 93
  integer, parameter :: nGC_8560 = 94
  integer, parameter :: nGC_8563 = 95
  integer, parameter :: nGC_8562 = 96
  integer, parameter :: nGC_8586 = 97
  integer, parameter :: nGC_8585 = 98
  integer, parameter :: nGC_8584 = 99
  integer, parameter :: nGC_8582 = 100
  integer, parameter :: nGC_8581 = 101
  integer, parameter :: nGC_8580 = 102
  integer, parameter :: nGC_8589 = 103
  integer, parameter :: nGC_9361 = 104
  integer, parameter :: nGC_8489 = 105
  integer, parameter :: nGC_8109 = 106
  integer, parameter :: nGC_8108 = 107
  integer, parameter :: nGC_8487 = 108
  integer, parameter :: nGC_8102 = 109
  integer, parameter :: nGC_8100 = 110
  integer, parameter :: nGC_8105 = 111
  integer, parameter :: nGC_8483 = 112
  integer, parameter :: nGC_8480 = 113
  integer, parameter :: nGC_8481 = 114
  integer, parameter :: nGC_8617 = 115
  integer, parameter :: nGC_8616 = 116
  integer, parameter :: nGC_8615 = 117
  integer, parameter :: nGC_8614 = 118
  integer, parameter :: nGC_8613 = 119
  integer, parameter :: nGC_8611 = 120
  integer, parameter :: nGC_8610 = 121
  integer, parameter :: nGC_8618 = 122
  integer, parameter :: nGC_9479 = 123
  integer, parameter :: nGC_8550 = 124
  integer, parameter :: nGC_8003 = 125
  integer, parameter :: nGC_8552 = 126
  integer, parameter :: nGC_8553 = 127
  integer, parameter :: nGC_8555 = 128
  integer, parameter :: nGC_8556 = 129
  integer, parameter :: nGC_8005 = 130
  integer, parameter :: nGC_8558 = 131
  integer, parameter :: nGC_8461 = 132
  integer, parameter :: nGC_593 = 133
  integer, parameter :: nGC_597 = 134
  integer, parameter :: nGC_359 = 135
  integer, parameter :: nGC_355 = 136
  integer, parameter :: nGC_357 = 137
  integer, parameter :: nGC_351 = 138
  integer, parameter :: nGC_353 = 139
  integer, parameter :: nGC_8484 = 140
  integer, parameter :: nGC_179 = 141
  integer, parameter :: nGC_178 = 142
  integer, parameter :: nGC_171 = 143
  integer, parameter :: nGC_170 = 144
  integer, parameter :: nGC_173 = 145
  integer, parameter :: nGC_172 = 146
  integer, parameter :: nGC_175 = 147
  integer, parameter :: nGC_174 = 148
  integer, parameter :: nGC_177 = 149
  integer, parameter :: nGC_176 = 150
  integer, parameter :: nGC_14125 = 151
  integer, parameter :: nGC_7966 = 152
  integer, parameter :: nGC_7967 = 153
  integer, parameter :: nGC_7969 = 154
  integer, parameter :: nGC_8370 = 155
  integer, parameter :: nGC_8371 = 156
  integer, parameter :: nGC_8372 = 157
  integer, parameter :: nGC_8373 = 158
  integer, parameter :: nGC_8374 = 159
  integer, parameter :: nGC_8375 = 160
  integer, parameter :: nGC_8376 = 161
  integer, parameter :: nGC_8377 = 162
  integer, parameter :: nGC_8378 = 163
  integer, parameter :: nGC_8379 = 164
  integer, parameter :: nGC_9513 = 165
  integer, parameter :: nGC_8578 = 166
  integer, parameter :: nGC_8579 = 167
  integer, parameter :: nGC_8573 = 168
  integer, parameter :: nGC_8570 = 169
  integer, parameter :: nGC_8577 = 170
  integer, parameter :: nGC_8574 = 171
  integer, parameter :: nGC_27 = 172
  integer, parameter :: nGC_8594 = 173
  integer, parameter :: nGC_8595 = 174
  integer, parameter :: nGC_8596 = 175
  integer, parameter :: nGC_8597 = 176
  integer, parameter :: nGC_8590 = 177
  integer, parameter :: nGC_8591 = 178
  integer, parameter :: nGC_8592 = 179
  integer, parameter :: nGC_8593 = 180
  integer, parameter :: nGC_8598 = 181
  integer, parameter :: nGC_8599 = 182
  integer, parameter :: nGC_9355 = 183
  integer, parameter :: nGC_97 = 184
  integer, parameter :: nGC_95 = 185
  integer, parameter :: nGC_94 = 186
  integer, parameter :: nGC_93 = 187
  integer, parameter :: nGC_92 = 188
  integer, parameter :: nGC_90 = 189
  integer, parameter :: nGC_75 = 190
  integer, parameter :: nGC_74 = 191
  integer, parameter :: nGC_77 = 192
  integer, parameter :: nGC_76 = 193
  integer, parameter :: nGC_71 = 194
  integer, parameter :: nGC_70 = 195
  integer, parameter :: nGC_73 = 196
  integer, parameter :: nGC_72 = 197
  integer, parameter :: nGC_79 = 198
  integer, parameter :: nGC_78 = 199
  integer, parameter :: nGC_8606 = 200
  integer, parameter :: nGC_8607 = 201
  integer, parameter :: nGC_8600 = 202
  integer, parameter :: nGC_8601 = 203
  integer, parameter :: nGC_8602 = 204
  integer, parameter :: nGC_8603 = 205
  integer, parameter :: nGC_8174 = 206
  integer, parameter :: nGC_8175 = 207
  integer, parameter :: nGC_8172 = 208
  integer, parameter :: nGC_9647 = 209
  integer, parameter :: nGC_9646 = 210
  integer, parameter :: nGC_9645 = 211
  integer, parameter :: nGC_9644 = 212
  integer, parameter :: nGC_9643 = 213
  integer, parameter :: nGC_9642 = 214
  integer, parameter :: nGC_9641 = 215
  integer, parameter :: nGC_9649 = 216
  integer, parameter :: nGC_9648 = 217
  integer, parameter :: nGC_8327 = 218
  integer, parameter :: nGC_TS_GC_165_Hh = 219
  integer, parameter :: nGC_363 = 220
  integer, parameter :: nGC_365 = 221
  integer, parameter :: nGC_367 = 222
  integer, parameter :: nGC_144 = 223
  integer, parameter :: nGC_145 = 224
  integer, parameter :: nGC_146 = 225
  integer, parameter :: nGC_147 = 226
  integer, parameter :: nGC_140 = 227
  integer, parameter :: nGC_141 = 228
  integer, parameter :: nGC_142 = 229
  integer, parameter :: nGC_143 = 230
  integer, parameter :: nGC_148 = 231
  integer, parameter :: nGC_149 = 232
  integer, parameter :: nGC_13504 = 233
  integer, parameter :: nGC_13673 = 234
  integer, parameter :: nGC_13678 = 235
  integer, parameter :: nGC_MI = 236
  integer, parameter :: nGC_7959 = 237
  integer, parameter :: nGC_7958 = 238
  integer, parameter :: nGC_MM = 239
  integer, parameter :: nGC_MC = 240
  integer, parameter :: nGC_MB = 241
  integer, parameter :: nGC_7957 = 242
  integer, parameter :: nGC_7956 = 243
  integer, parameter :: nGC_7951 = 244
  integer, parameter :: nGC_7950 = 245
  integer, parameter :: nGC_7953 = 246
  integer, parameter :: nGC_7952 = 247
  integer, parameter :: nGC_MZ = 248
  integer, parameter :: nGC_8349 = 249
  integer, parameter :: nGC_8348 = 250
  integer, parameter :: nGC_8345 = 251
  integer, parameter :: nGC_8344 = 252
  integer, parameter :: nGC_8347 = 253
  integer, parameter :: nGC_8346 = 254
  integer, parameter :: nGC_8341 = 255
  integer, parameter :: nGC_8340 = 256
  integer, parameter :: nGC_8343 = 257
  integer, parameter :: nGC_8342 = 258
  integer, parameter :: nGC_13892 = 259
  integer, parameter :: nGC_28019 = 260
  integer, parameter :: nGC_7921 = 261
  integer, parameter :: nGC_8440 = 262
  integer, parameter :: nGC_8299 = 263
  integer, parameter :: nGC_8298 = 264
  integer, parameter :: nGC_8443 = 265
  integer, parameter :: nGC_8293 = 266
  integer, parameter :: nGC_8292 = 267
  integer, parameter :: nGC_8291 = 268
  integer, parameter :: nGC_8290 = 269
  integer, parameter :: nGC_8296 = 270
  integer, parameter :: nGC_8295 = 271
  integer, parameter :: nGC_8294 = 272
  integer, parameter :: nGC_8441 = 273
  integer, parameter :: nGC_8446 = 274
  integer, parameter :: nGC_8447 = 275
  integer, parameter :: nGC_13322 = 276
  integer, parameter :: nGC_13321 = 277
  integer, parameter :: nGC_8125 = 278
  integer, parameter :: nGC_8124 = 279
  integer, parameter :: nGC_8127 = 280
  integer, parameter :: nGC_8126 = 281
  integer, parameter :: nGC_8120 = 282
  integer, parameter :: nGC_8123 = 283
  integer, parameter :: nGC_8122 = 284
  integer, parameter :: nGC_8129 = 285
  integer, parameter :: nGC_8128 = 286
  integer, parameter :: nGC_9432 = 287
  integer, parameter :: nGC_89 = 288
  integer, parameter :: nGC_80 = 289
  integer, parameter :: nGC_81 = 290
  integer, parameter :: nGC_82 = 291
  integer, parameter :: nGC_83 = 292
  integer, parameter :: nGC_84 = 293
  integer, parameter :: nGC_85 = 294
  integer, parameter :: nGC_86 = 295
  integer, parameter :: nGC_87 = 296
  integer, parameter :: nGC_TS_GC_27_Hh = 297
  integer, parameter :: nGC_67 = 298
  integer, parameter :: nGC_64 = 299
  integer, parameter :: nGC_65 = 300
  integer, parameter :: nGC_62 = 301
  integer, parameter :: nGC_63 = 302
  integer, parameter :: nGC_60 = 303
  integer, parameter :: nGC_61 = 304
  integer, parameter :: nGC_TS_GC_70_Hh = 305
  integer, parameter :: nGC_TS_GC_70_Hl = 306
  integer, parameter :: nGC_68 = 307
  integer, parameter :: nGC_69 = 308
  integer, parameter :: nGC_8631 = 309
  integer, parameter :: nGC_8630 = 310
  integer, parameter :: nGC_8633 = 311
  integer, parameter :: nGC_8632 = 312
  integer, parameter :: nGC_8635 = 313
  integer, parameter :: nGC_8634 = 314
  integer, parameter :: nGC_8637 = 315
  integer, parameter :: nGC_8636 = 316
  integer, parameter :: nGC_8639 = 317
  integer, parameter :: nGC_8638 = 318
  integer, parameter :: nGC_15894 = 319
  integer, parameter :: nGC_TS_GC_141_Hl = 320
  integer, parameter :: nGC_15895 = 321
  integer, parameter :: nGC_9654 = 322
  integer, parameter :: nGC_9655 = 323
  integer, parameter :: nGC_9656 = 324
  integer, parameter :: nGC_9657 = 325
  integer, parameter :: nGC_9650 = 326
  integer, parameter :: nGC_9651 = 327
  integer, parameter :: nGC_9652 = 328
  integer, parameter :: nGC_9653 = 329
  integer, parameter :: nGC_9658 = 330
  integer, parameter :: nGC_9659 = 331
  integer, parameter :: nGC_2813 = 332
  integer, parameter :: nGC_19539 = 333
  integer, parameter :: nGC_377 = 334
  integer, parameter :: nGC_375 = 335
  integer, parameter :: nGC_371 = 336
  integer, parameter :: nGC_379 = 337
  integer, parameter :: nGC_7990 = 338
  integer, parameter :: nGC_152 = 339
  integer, parameter :: nGC_151 = 340
  integer, parameter :: nGC_150 = 341
  integer, parameter :: nGC_157 = 342
  integer, parameter :: nGC_156 = 343
  integer, parameter :: nGC_155 = 344
  integer, parameter :: nGC_154 = 345
  integer, parameter :: nGC_159 = 346
  integer, parameter :: nGC_158 = 347
  integer, parameter :: nGC_7998 = 348
  integer, parameter :: nGC_13663 = 349
  integer, parameter :: nGC_15367 = 350
  integer, parameter :: nGC_8384 = 351
  integer, parameter :: nGC_8439 = 352
  integer, parameter :: nGC_7942 = 353
  integer, parameter :: nGC_7943 = 354
  integer, parameter :: nGC_7940 = 355
  integer, parameter :: nGC_8386 = 356
  integer, parameter :: nGC_7946 = 357
  integer, parameter :: nGC_7947 = 358
  integer, parameter :: nGC_13409 = 359
  integer, parameter :: nGC_7945 = 360
  integer, parameter :: nGC_8358 = 361
  integer, parameter :: nGC_8359 = 362
  integer, parameter :: nGC_8352 = 363
  integer, parameter :: nGC_8353 = 364
  integer, parameter :: nGC_8350 = 365
  integer, parameter :: nGC_8351 = 366
  integer, parameter :: nGC_8356 = 367
  integer, parameter :: nGC_8357 = 368
  integer, parameter :: nGC_8354 = 369
  integer, parameter :: nGC_8355 = 370
  integer, parameter :: nGC_8434 = 371
  integer, parameter :: nGC_13064 = 372
  integer, parameter :: nGC_8431 = 373
  integer, parameter :: nGC_14568 = 374
  integer, parameter :: nGC_8430 = 375
  integer, parameter :: nGC_975 = 376
  integer, parameter :: nGC_9530 = 377
  integer, parameter :: nGC_8288 = 378
  integer, parameter :: nGC_8289 = 379
  integer, parameter :: nGC_8282 = 380
  integer, parameter :: nGC_8283 = 381
  integer, parameter :: nGC_8284 = 382
  integer, parameter :: nGC_8285 = 383
  integer, parameter :: nGC_8286 = 384
  integer, parameter :: nGC_8287 = 385
  integer, parameter :: nGC_12750 = 386
  integer, parameter :: nGC_13337 = 387
  integer, parameter :: nGC_9381 = 388
  integer, parameter :: nGC_8132 = 389
  integer, parameter :: nGC_8133 = 390
  integer, parameter :: nGC_8130 = 391
  integer, parameter :: nGC_8131 = 392
  integer, parameter :: nGC_8136 = 393
  integer, parameter :: nGC_8137 = 394
  integer, parameter :: nGC_8134 = 395
  integer, parameter :: nGC_8135 = 396
  integer, parameter :: nGC_53 = 397
  integer, parameter :: nGC_52 = 398
  integer, parameter :: nGC_51 = 399
  integer, parameter :: nGC_50 = 400
  integer, parameter :: nGC_57 = 401
  integer, parameter :: nGC_56 = 402
  integer, parameter :: nGC_55 = 403
  integer, parameter :: nGC_54 = 404
  integer, parameter :: nGC_59 = 405
  integer, parameter :: nGC_58 = 406
  integer, parameter :: nGC_TS_GC_169_Hl = 407
  integer, parameter :: nGC_8164 = 408
  integer, parameter :: nGC_13413 = 409
  integer, parameter :: nGC_8626 = 410
  integer, parameter :: nGC_8627 = 411
  integer, parameter :: nGC_8624 = 412
  integer, parameter :: nGC_8625 = 413
  integer, parameter :: nGC_8622 = 414
  integer, parameter :: nGC_8620 = 415
  integer, parameter :: nGC_8621 = 416
  integer, parameter :: nGC_ME = 417
  integer, parameter :: nGC_MD = 418
  integer, parameter :: nGC_MS = 419
  integer, parameter :: nGC_MW = 420
  integer, parameter :: nGC_MU = 421
  integer, parameter :: nGC_MT = 422
  integer, parameter :: nGC_2019 = 423
  integer, parameter :: nGC_8650 = 424
  integer, parameter :: nGC_196 = 425
  integer, parameter :: nGC_128 = 426
  integer, parameter :: nGC_99 = 427
  integer, parameter :: nGC_190 = 428
  integer, parameter :: nGC_98 = 429
  integer, parameter :: nGC_419 = 430
  integer, parameter :: nGC_417 = 431
  integer, parameter :: nGC_415 = 432
  integer, parameter :: nGC_411 = 433
  integer, parameter :: nGC_13650 = 434
  integer, parameter :: nGC_20920 = 435
  integer, parameter :: nGC_15108 = 436
  integer, parameter :: nGC_14172 = 437
  integer, parameter :: nGC_14173 = 438
  integer, parameter :: nGC_MW_GF = 439
  integer, parameter :: nGC_18204 = 440
  integer, parameter :: nGC_18202 = 441
  integer, parameter :: nGC_18203 = 442
  integer, parameter :: nGC_15577 = 443
  integer, parameter :: nGC_14425 = 444
  integer, parameter :: nGC_9412 = 445
  integer, parameter :: nGC_13348 = 446
  integer, parameter :: nGC_9419 = 447
  integer, parameter :: nGC_7991 = 448
  integer, parameter :: nGC_7993 = 449
  integer, parameter :: nGC_7992 = 450
  integer, parameter :: nGC_7995 = 451
  integer, parameter :: nGC_7994 = 452
  integer, parameter :: nGC_7997 = 453
  integer, parameter :: nGC_7996 = 454
  integer, parameter :: nGC_7999 = 455
  integer, parameter :: nGC_8381 = 456
  integer, parameter :: nGC_8380 = 457
  integer, parameter :: nGC_8383 = 458
  integer, parameter :: nGC_8382 = 459
  integer, parameter :: nGC_8385 = 460
  integer, parameter :: nGC_8387 = 461
  integer, parameter :: nGC_8438 = 462
  integer, parameter :: nGC_8389 = 463
  integer, parameter :: nGC_8435 = 464
  integer, parameter :: nGC_8433 = 465
  integer, parameter :: nGC_8432 = 466
  integer, parameter :: nGC_9389 = 467
  integer, parameter :: nGC_9386 = 468
  integer, parameter :: nGC_9385 = 469
  integer, parameter :: nGC_9383 = 470
  integer, parameter :: nGC_TS_GC_173_Hh = 471
  integer, parameter :: nGC_48 = 472
  integer, parameter :: nGC_49 = 473
  integer, parameter :: nGC_44 = 474
  integer, parameter :: nGC_45 = 475
  integer, parameter :: nGC_46 = 476
  integer, parameter :: nGC_47 = 477
  integer, parameter :: nGC_40 = 478
  integer, parameter :: nGC_41 = 479
  integer, parameter :: nGC_42 = 480
  integer, parameter :: nGC_43 = 481
  integer, parameter :: nGC_8658 = 482
  integer, parameter :: nGC_8653 = 483
  integer, parameter :: nGC_8652 = 484
  integer, parameter :: nGC_8657 = 485
  integer, parameter :: nGC_8656 = 486
  integer, parameter :: nGC_8655 = 487
  integer, parameter :: nGC_8654 = 488
  integer, parameter :: nGC_138 = 489
  integer, parameter :: nGC_16200 = 490
  integer, parameter :: nGC_21850 = 491
  integer, parameter :: nGC_16444 = 492
  integer, parameter :: nGC_16442 = 493
  integer, parameter :: nGC_8437 = 494
  integer, parameter :: nGC_8436 = 495
  integer, parameter :: nGC_TS_GC_161_Hl = 496
  integer, parameter :: nGC_167 = 497
  integer, parameter :: nGC_405 = 498
  integer, parameter :: nGC_407 = 499
  integer, parameter :: nGC_401 = 500
  integer, parameter :: nGC_403 = 501
  integer, parameter :: nGC_8691 = 502
  integer, parameter :: nGC_8042 = 503
  integer, parameter :: nGC_8690 = 504
  integer, parameter :: nGC_14765 = 505
  integer, parameter :: nGC_14769 = 506
  integer, parameter :: nGC_125 = 507
  integer, parameter :: nGC_8121 = 508
  integer, parameter :: nGC_9342 = 509
  integer, parameter :: nGC_14236 = 510
  integer, parameter :: nGC_121 = 511
  integer, parameter :: nGC_9344 = 512
  integer, parameter :: nGC_88 = 513
  integer, parameter :: nGC_13425 = 514
  integer, parameter :: nGC_13420 = 515
  integer, parameter :: nGC_12772 = 516
  integer, parameter :: nGC_9463 = 517
  integer, parameter :: nGC_9462 = 518
  integer, parameter :: nGC_9461 = 519
  integer, parameter :: nGC_13354 = 520
  integer, parameter :: nGC_13353 = 521
  integer, parameter :: nGC_9464 = 522
  integer, parameter :: nGC_28018 = 523
  integer, parameter :: nGC_1331 = 524
  integer, parameter :: nGC_7989 = 525
  integer, parameter :: nGC_7986 = 526
  integer, parameter :: nGC_7987 = 527
  integer, parameter :: nGC_7984 = 528
  integer, parameter :: nGC_7985 = 529
  integer, parameter :: nGC_7982 = 530
  integer, parameter :: nGC_7983 = 531
  integer, parameter :: nGC_7980 = 532
  integer, parameter :: nGC_7981 = 533
  integer, parameter :: nGC_8428 = 534
  integer, parameter :: nGC_8429 = 535
  integer, parameter :: nGC_8398 = 536
  integer, parameter :: nGC_8399 = 537
  integer, parameter :: nGC_8425 = 538
  integer, parameter :: nGC_8420 = 539
  integer, parameter :: nGC_8421 = 540
  integer, parameter :: nGC_8422 = 541
  integer, parameter :: nGC_8423 = 542
  integer, parameter :: nGC_39 = 543
  integer, parameter :: nGC_31 = 544
  integer, parameter :: nGC_30 = 545
  integer, parameter :: nGC_33 = 546
  integer, parameter :: nGC_32 = 547
  integer, parameter :: nGC_35 = 548
  integer, parameter :: nGC_34 = 549
  integer, parameter :: nGC_37 = 550
  integer, parameter :: nGC_36 = 551
  integer, parameter :: nGC_8648 = 552
  integer, parameter :: nGC_8649 = 553
  integer, parameter :: nGC_66 = 554
  integer, parameter :: nGC_15443 = 555
  integer, parameter :: nGC_15442 = 556
  integer, parameter :: nGC_13577 = 557
  integer, parameter :: nGC_7975 = 558
  integer, parameter :: nGC_7974 = 559
  integer, parameter :: nGC_16924 = 560
  integer, parameter :: nGC_16923 = 561
  integer, parameter :: nGC_17459 = 562
  integer, parameter :: nGC_13579 = 563
  integer, parameter :: nGC_15000 = 564
  integer, parameter :: nGC_325 = 565
  integer, parameter :: nGC_327 = 566
  integer, parameter :: nGC_323 = 567
  integer, parameter :: nGC_MTA = 568
  integer, parameter :: nGC_188 = 569
  integer, parameter :: nGC_189 = 570
  integer, parameter :: nGC_180 = 571
  integer, parameter :: nGC_181 = 572
  integer, parameter :: nGC_182 = 573
  integer, parameter :: nGC_183 = 574
  integer, parameter :: nGC_184 = 575
  integer, parameter :: nGC_185 = 576
  integer, parameter :: nGC_186 = 577
  integer, parameter :: nGC_187 = 578
  integer, parameter :: nGC_431 = 579
  integer, parameter :: nGC_433 = 580
  integer, parameter :: nGC_TS_GC_92_Hh = 581
  integer, parameter :: nGC_435 = 582
  integer, parameter :: nGC_9337 = 583
  integer, parameter :: nGC_22471 = 584
  integer, parameter :: nGC_18173 = 585
  integer, parameter :: nGC_13741 = 586
  integer, parameter :: nGC_18171 = 587
  integer, parameter :: nGC_8243 = 588
  integer, parameter :: nGC_14539 = 589
  integer, parameter :: nGC_TS_GC_68_Hl = 590
  integer, parameter :: nGC_14533 = 591
  integer, parameter :: nGC_13562 = 592
  integer, parameter :: nGC_8099 = 593
  integer, parameter :: nGC_8098 = 594
  integer, parameter :: nGC_8095 = 595
  integer, parameter :: nGC_8094 = 596
  integer, parameter :: nGC_8097 = 597
  integer, parameter :: nGC_8096 = 598
  integer, parameter :: nGC_8091 = 599
  integer, parameter :: nGC_8090 = 600
  integer, parameter :: nGC_8093 = 601
  integer, parameter :: nGC_8092 = 602
  integer, parameter :: nGC_8708 = 603
  integer, parameter :: nGC_8259 = 604
  integer, parameter :: nGC_8258 = 605
  integer, parameter :: nGC_8705 = 606
  integer, parameter :: nGC_8256 = 607
  integer, parameter :: nGC_8255 = 608
  integer, parameter :: nGC_8254 = 609
  integer, parameter :: nGC_8701 = 610
  integer, parameter :: nGC_8252 = 611
  integer, parameter :: nGC_8703 = 612
  integer, parameter :: nGC_TS_GC_64_Hl = 613
  integer, parameter :: nGC_TS_GC_64_Hh = 614
  integer, parameter :: nGC_9477 = 615
  integer, parameter :: nGC_13161 = 616
  integer, parameter :: nGC_13164 = 617
  integer, parameter :: nGC_8419 = 618
  integer, parameter :: nGC_8418 = 619
  integer, parameter :: nGC_8411 = 620
  integer, parameter :: nGC_8410 = 621
  integer, parameter :: nGC_8413 = 622
  integer, parameter :: nGC_8412 = 623
  integer, parameter :: nGC_8415 = 624
  integer, parameter :: nGC_8414 = 625
  integer, parameter :: nGC_8417 = 626
  integer, parameter :: nGC_8416 = 627
  integer, parameter :: nGC_28 = 628
  integer, parameter :: nGC_29 = 629
  integer, parameter :: nGC_22 = 630
  integer, parameter :: nGC_23 = 631
  integer, parameter :: nGC_20 = 632
  integer, parameter :: nGC_21 = 633
  integer, parameter :: nGC_26 = 634
  integer, parameter :: nGC_24 = 635
  integer, parameter :: nGC_25 = 636
  integer, parameter :: nGC_8675 = 637
  integer, parameter :: nGC_8674 = 638
  integer, parameter :: nGC_8676 = 639
  integer, parameter :: nGC_8671 = 640
  integer, parameter :: nGC_8670 = 641
  integer, parameter :: nGC_8673 = 642
  integer, parameter :: nGC_8672 = 643
  integer, parameter :: nGC_8679 = 644
  integer, parameter :: nGC_8077 = 645
  integer, parameter :: nGC_8076 = 646
  integer, parameter :: nGC_8075 = 647
  integer, parameter :: nGC_8074 = 648
  integer, parameter :: nGC_8073 = 649
  integer, parameter :: nGC_8072 = 650
  integer, parameter :: nGC_8071 = 651
  integer, parameter :: nGC_8070 = 652
  integer, parameter :: nGC_8078 = 653
  integer, parameter :: nGC_9294 = 654
  integer, parameter :: nGC_9296 = 655
  integer, parameter :: nGC_9292 = 656
  integer, parameter :: nGC_8677 = 657
  integer, parameter :: nGC_9299 = 658
  integer, parameter :: nGC_MHH = 659
  integer, parameter :: nGC_24621 = 660
  integer, parameter :: nGC_8320 = 661
  integer, parameter :: nGC_9430 = 662
  integer, parameter :: nGC_9431 = 663
  integer, parameter :: nGC_TS_GC_63_Hh = 664
  integer, parameter :: nGC_339 = 665
  integer, parameter :: nGC_TS_GC_32_Hh = 666
  integer, parameter :: nGC_333 = 667
  integer, parameter :: nGC_331 = 668
  integer, parameter :: nGC_337 = 669
  integer, parameter :: nGC_335 = 670
  integer, parameter :: nGC_8257 = 671
  integer, parameter :: nGC_8486 = 672
  integer, parameter :: nGC_197 = 673
  integer, parameter :: nGC_195 = 674
  integer, parameter :: nGC_194 = 675
  integer, parameter :: nGC_193 = 676
  integer, parameter :: nGC_192 = 677
  integer, parameter :: nGC_191 = 678
  integer, parameter :: nGC_198 = 679
  integer, parameter :: nGC_427 = 680
  integer, parameter :: nGC_425 = 681
  integer, parameter :: nGC_423 = 682
  integer, parameter :: nGC_15106 = 683
  integer, parameter :: nGC_15107 = 684
  integer, parameter :: nGC_8587 = 685
  integer, parameter :: nGC_607 = 686
  integer, parameter :: nGC_601 = 687
  integer, parameter :: nGC_8583 = 688
  integer, parameter :: nGC_18180 = 689
  integer, parameter :: nGC_8253 = 690
  integer, parameter :: nGC_104 = 691
  integer, parameter :: nGC_15264 = 692
  integer, parameter :: nGC_15433 = 693
  integer, parameter :: nGC_1485 = 694
  integer, parameter :: nGC_15436 = 695
  integer, parameter :: nGC_8678 = 696
  integer, parameter :: nGC_8588 = 697
  integer, parameter :: nGC_8251 = 698
  integer, parameter :: nGC_14252 = 699
  integer, parameter :: nGC_8250 = 700
  integer, parameter :: nGC_8088 = 701
  integer, parameter :: nGC_8089 = 702
  integer, parameter :: nGC_8082 = 703
  integer, parameter :: nGC_8083 = 704
  integer, parameter :: nGC_8080 = 705
  integer, parameter :: nGC_8081 = 706
  integer, parameter :: nGC_8086 = 707
  integer, parameter :: nGC_8087 = 708
  integer, parameter :: nGC_8084 = 709
  integer, parameter :: nGC_8085 = 710
  integer, parameter :: nGC_8248 = 711
  integer, parameter :: nGC_8249 = 712
  integer, parameter :: nGC_8244 = 713
  integer, parameter :: nGC_8246 = 714
  integer, parameter :: nGC_8247 = 715
  integer, parameter :: nGC_8240 = 716
  integer, parameter :: nGC_8241 = 717
  integer, parameter :: nGC_8242 = 718
  integer, parameter :: nGC_7908 = 719
  integer, parameter :: nGC_12719 = 720
  integer, parameter :: nGC_13179 = 721
  integer, parameter :: nGC_9445 = 722
  integer, parameter :: nGC_9447 = 723
  integer, parameter :: nGC_9440 = 724
  integer, parameter :: nGC_8406 = 725
  integer, parameter :: nGC_8407 = 726
  integer, parameter :: nGC_8404 = 727
  integer, parameter :: nGC_8405 = 728
  integer, parameter :: nGC_8402 = 729
  integer, parameter :: nGC_8403 = 730
  integer, parameter :: nGC_8400 = 731
  integer, parameter :: nGC_8401 = 732
  integer, parameter :: nGC_8408 = 733
  integer, parameter :: nGC_8409 = 734
  integer, parameter :: nGC_12804 = 735
  integer, parameter :: nGC_12807 = 736
  integer, parameter :: nGC_13284 = 737
  integer, parameter :: nGC_17 = 738
  integer, parameter :: nGC_16 = 739
  integer, parameter :: nGC_15 = 740
  integer, parameter :: nGC_14 = 741
  integer, parameter :: nGC_13 = 742
  integer, parameter :: nGC_12 = 743
  integer, parameter :: nGC_11 = 744
  integer, parameter :: nGC_10 = 745
  integer, parameter :: nGC_19 = 746
  integer, parameter :: nGC_18 = 747
  integer, parameter :: nGC_8662 = 748
  integer, parameter :: nGC_8660 = 749
  integer, parameter :: nGC_8661 = 750
  integer, parameter :: nGC_8666 = 751
  integer, parameter :: nGC_8667 = 752
  integer, parameter :: nGC_8664 = 753
  integer, parameter :: nGC_8665 = 754
  integer, parameter :: nGC_8668 = 755
  integer, parameter :: nGC_8669 = 756
  integer, parameter :: nGC_8064 = 757
  integer, parameter :: nGC_8065 = 758
  integer, parameter :: nGC_8066 = 759
  integer, parameter :: nGC_8067 = 760
  integer, parameter :: nGC_8060 = 761
  integer, parameter :: nGC_8061 = 762
  integer, parameter :: nGC_8062 = 763
  integer, parameter :: nGC_8063 = 764
  integer, parameter :: nGC_8068 = 765
  integer, parameter :: nGC_9047 = 766
  integer, parameter :: nGC_TS_GC_104_Hl = 767
  integer, parameter :: nGC_8103 = 768
  integer, parameter :: nGC_8101 = 769
  integer, parameter :: nGC_9045 = 770
  integer, parameter :: nGC_8069 = 771
  integer, parameter :: nGC_369 = 772
  integer, parameter :: nGC_9046 = 773
  integer, parameter :: nGC_8485 = 774
  integer, parameter :: nGC_14819 = 775
  integer, parameter :: nGC_16676 = 776
  integer, parameter :: nGC_373 = 777
  integer, parameter :: nGC_16872 = 778
  integer, parameter :: nGC_8482 = 779
  integer, parameter :: nGC_14333 = 780
  integer, parameter :: nGC_TS_GC_25_Hh = 781
  integer, parameter :: nGC_TS_GC_25_Hl = 782
  integer, parameter :: nGC_21268 = 783
  integer, parameter :: nGC_21269 = 784
  integer, parameter :: nGC_14880 = 785
  integer, parameter :: nGC_12847 = 786
  integer, parameter :: nGC_TS_GC_192_Hl = 787
  integer, parameter :: nGC_14085 = 788
  integer, parameter :: nGC_12841 = 789
  integer, parameter :: nGC_TS_GC_99_Hl = 790
  integer, parameter :: nGC_TS_GC_99_Hh = 791
  integer, parameter :: nGC_8612 = 792
  integer, parameter :: nGC_21848 = 793
  integer, parameter :: nGC_21849 = 794
  integer, parameter :: nGC_21846 = 795
  integer, parameter :: nGC_21847 = 796
  integer, parameter :: nGC_21845 = 797
  integer, parameter :: nGC_14065 = 798
  integer, parameter :: nGC_13584 = 799
  integer, parameter :: nGC_8279 = 800
  integer, parameter :: nGC_8278 = 801
  integer, parameter :: nGC_8271 = 802
  integer, parameter :: nGC_8270 = 803
  integer, parameter :: nGC_8272 = 804
  integer, parameter :: nGC_8274 = 805
  integer, parameter :: nGC_8276 = 806
  integer, parameter :: nGC_8619 = 807
  integer, parameter :: nGC_13382 = 808
  integer, parameter :: nGC_12704 = 809
  integer, parameter :: nGC_13385 = 810
  integer, parameter :: nGC_8183 = 811
  integer, parameter :: nGC_8182 = 812
  integer, parameter :: nGC_8181 = 813
  integer, parameter :: nGC_8180 = 814
  integer, parameter :: nGC_8187 = 815
  integer, parameter :: nGC_8186 = 816
  integer, parameter :: nGC_8185 = 817
  integer, parameter :: nGC_8184 = 818
  integer, parameter :: nGC_9457 = 819
  integer, parameter :: nGC_8473 = 820
  integer, parameter :: nGC_8472 = 821
  integer, parameter :: nGC_8471 = 822
  integer, parameter :: nGC_8470 = 823
  integer, parameter :: nGC_8477 = 824
  integer, parameter :: nGC_8476 = 825
  integer, parameter :: nGC_8475 = 826
  integer, parameter :: nGC_8474 = 827
  integer, parameter :: nGC_TS_GC_65_Hl = 828
  integer, parameter :: nGC_8478 = 829
  integer, parameter :: nGC_12816 = 830
  integer, parameter :: nGC_153 = 831
  integer, parameter :: nGC_8699 = 832
  integer, parameter :: nGC_8698 = 833
  integer, parameter :: nGC_8697 = 834
  integer, parameter :: nGC_8696 = 835
  integer, parameter :: nGC_8695 = 836
  integer, parameter :: nGC_8694 = 837
  integer, parameter :: nGC_8693 = 838
  integer, parameter :: nGC_8692 = 839
  integer, parameter :: nGC_8051 = 840
  integer, parameter :: nGC_8050 = 841
  integer, parameter :: nGC_8053 = 842
  integer, parameter :: nGC_8052 = 843
  integer, parameter :: nGC_8055 = 844
  integer, parameter :: nGC_8054 = 845
  integer, parameter :: nGC_8509 = 846
  integer, parameter :: nGC_8508 = 847
  integer, parameter :: nGC_8507 = 848
  integer, parameter :: nGC_8506 = 849
  integer, parameter :: nGC_8505 = 850
  integer, parameter :: nGC_8504 = 851
  integer, parameter :: nGC_8503 = 852
  integer, parameter :: nGC_8502 = 853
  integer, parameter :: nGC_8501 = 854
  integer, parameter :: nGC_8500 = 855
  integer, parameter :: nGC_14719 = 856
  integer, parameter :: nGC_16240 = 857
  integer, parameter :: nGC_9636 = 858
  integer, parameter :: nGC_9637 = 859
  integer, parameter :: nGC_9638 = 860
  integer, parameter :: nGC_9639 = 861
  integer, parameter :: nGC_TS_GC_33_Hh = 862
  integer, parameter :: nGC_120 = 863
  integer, parameter :: nGC_17460 = 864
  integer, parameter :: nGC_9460 = 865
  integer, parameter :: nGC_TS_GC_180_Hh = 866
  integer, parameter :: nGC_TS_GC_121_Hh = 867
  integer, parameter :: nGC_16024 = 868
  integer, parameter :: nGC_8543 = 869
  integer, parameter :: nGC_8542 = 870
  integer, parameter :: nGC_8541 = 871
  integer, parameter :: nGC_8540 = 872
  integer, parameter :: nGC_8547 = 873
  integer, parameter :: nGC_8546 = 874
  integer, parameter :: nGC_7988 = 875
  integer, parameter :: nGC_8544 = 876
  integer, parameter :: nGC_8119 = 877
  integer, parameter :: nGC_665 = 878
  integer, parameter :: nGC_21277 = 879
  integer, parameter :: nGC_21276 = 880
  integer, parameter :: nGC_21271 = 881
  integer, parameter :: nGC_21270 = 882
  integer, parameter :: nGC_8645 = 883
  integer, parameter :: nGC_14899 = 884
  integer, parameter :: nGC_21075 = 885
  integer, parameter :: nGC_14896 = 886
  integer, parameter :: nGC_14721 = 887
  integer, parameter :: nGC_12833 = 888
  integer, parameter :: nGC_8424 = 889
  integer, parameter :: nGC_9492 = 890
  integer, parameter :: nGC_8426 = 891
  integer, parameter :: nGC_8427 = 892
  integer, parameter :: nGC_14093 = 893
  integer, parameter :: nGC_21853 = 894
  integer, parameter :: nGC_8266 = 895
  integer, parameter :: nGC_8267 = 896
  integer, parameter :: nGC_8264 = 897
  integer, parameter :: nGC_8265 = 898
  integer, parameter :: nGC_8262 = 899
  integer, parameter :: nGC_8263 = 900
  integer, parameter :: nGC_8260 = 901
  integer, parameter :: nGC_8261 = 902
  integer, parameter :: nGC_8268 = 903
  integer, parameter :: nGC_8269 = 904
  integer, parameter :: nGC_14389 = 905
  integer, parameter :: nGC_127 = 906
  integer, parameter :: nGC_12958 = 907
  integer, parameter :: nGC_124 = 908
  integer, parameter :: nGC_TS_GC_128_Hl = 909
  integer, parameter :: nGC_13770 = 910
  integer, parameter :: nGC_13776 = 911
  integer, parameter :: nGC_8110 = 912
  integer, parameter :: nGC_8190 = 913
  integer, parameter :: nGC_8191 = 914
  integer, parameter :: nGC_8192 = 915
  integer, parameter :: nGC_8193 = 916
  integer, parameter :: nGC_8194 = 917
  integer, parameter :: nGC_8195 = 918
  integer, parameter :: nGC_8196 = 919
  integer, parameter :: nGC_9439 = 920
  integer, parameter :: nGC_8198 = 921
  integer, parameter :: nGC_8199 = 922
  integer, parameter :: nGC_8111 = 923
  integer, parameter :: nGC_8460 = 924
  integer, parameter :: nGC_8462 = 925
  integer, parameter :: nGC_8463 = 926
  integer, parameter :: nGC_8464 = 927
  integer, parameter :: nGC_8465 = 928
  integer, parameter :: nGC_8466 = 929
  integer, parameter :: nGC_8467 = 930
  integer, parameter :: nGC_8468 = 931
  integer, parameter :: nGC_8469 = 932
  integer, parameter :: nGC_15245 = 933
  integer, parameter :: nGC_38 = 934
  integer, parameter :: nGC_13802 = 935
  integer, parameter :: nGC_13557 = 936
  integer, parameter :: nGC_129 = 937
  integer, parameter :: nGC_13551 = 938
  integer, parameter :: nGC_22743 = 939
  integer, parameter :: nGC_22749 = 940
  integer, parameter :: nGC_7949 = 941
  integer, parameter :: nGC_8113 = 942
  integer, parameter :: nGC_8688 = 943
  integer, parameter :: nGC_8689 = 944
  integer, parameter :: nGC_8684 = 945
  integer, parameter :: nGC_8685 = 946
  integer, parameter :: nGC_8686 = 947
  integer, parameter :: nGC_8687 = 948
  integer, parameter :: nGC_8680 = 949
  integer, parameter :: nGC_8681 = 950
  integer, parameter :: nGC_8682 = 951
  integer, parameter :: nGC_8683 = 952
  integer, parameter :: nGC_12738 = 953
  integer, parameter :: nGC_8518 = 954
  integer, parameter :: nGC_8519 = 955
  integer, parameter :: nGC_8048 = 956
  integer, parameter :: nGC_8049 = 957
  integer, parameter :: nGC_8514 = 958
  integer, parameter :: nGC_8515 = 959
  integer, parameter :: nGC_8516 = 960
  integer, parameter :: nGC_8517 = 961
  integer, parameter :: nGC_8510 = 962
  integer, parameter :: nGC_8511 = 963
  integer, parameter :: nGC_8512 = 964
  integer, parameter :: nGC_8513 = 965
  integer, parameter :: nGC_7941 = 966
  integer, parameter :: nGC_8659 = 967
  integer, parameter :: nGC_7944 = 968
  integer, parameter :: nGC_12900 = 969
  integer, parameter :: nGC_9485 = 970
  integer, parameter :: nGC_8116 = 971
  integer, parameter :: nGC_9487 = 972
  integer, parameter :: nGC_9333 = 973
  integer, parameter :: nGC_TS_GC_91_Hl = 974
  integer, parameter :: nGC_MMW_GF = 975
  integer, parameter :: nGC_8117 = 976
  integer, parameter :: nGC_17496 = 977
  integer, parameter :: nGC_8640 = 978
  integer, parameter :: nGC_TS_GC_24_Hl = 979
  integer, parameter :: nGC_20713 = 980
  integer, parameter :: nGC_8641 = 981
  integer, parameter :: nGC_8642 = 982
  integer, parameter :: nGC_TS_GC_30_Hl = 983
  integer, parameter :: nGC_8643 = 984
  integer, parameter :: nGC_8644 = 985
  integer, parameter :: nGC_12907 = 986
  integer, parameter :: nGC_8646 = 987
  integer, parameter :: nGC_8647 = 988
  integer, parameter :: nGC_389 = 989
  integer, parameter :: nGC_383 = 990
  integer, parameter :: nGC_387 = 991
  integer, parameter :: nGC_385 = 992
  integer, parameter :: nGC_16721 = 993
  integer, parameter :: nGC_8651 = 994
  integer, parameter :: nGC_MZ_GF = 995
  integer, parameter :: nGC_8572 = 996
  integer, parameter :: nGC_19540 = 997
  integer, parameter :: nGC_8245 = 998
  integer, parameter :: nGC_126 = 999
  integer, parameter :: nGC_15249 = 1000
  integer, parameter :: nGC_122 = 1001
  integer, parameter :: nGC_123 = 1002
  integer, parameter :: nGC_13941 = 1003
  integer, parameter :: nGC_15715 = 1004
  integer, parameter :: nGC_15242 = 1005
  integer, parameter :: nGC_15717 = 1006
  integer, parameter :: nGC_13015 = 1007
  integer, parameter :: nGC_14046 = 1008
  integer, parameter :: nGC_TS_GC_16_Hl = 1009
  integer, parameter :: nGC_8213 = 1010
  integer, parameter :: nGC_8212 = 1011
  integer, parameter :: nGC_8211 = 1012
  integer, parameter :: nGC_8210 = 1013
  integer, parameter :: nGC_8217 = 1014
  integer, parameter :: nGC_8216 = 1015
  integer, parameter :: nGC_8215 = 1016
  integer, parameter :: nGC_8214 = 1017
  integer, parameter :: nGC_8219 = 1018
  integer, parameter :: nGC_8218 = 1019
  integer, parameter :: nGC_12945 = 1020
  integer, parameter :: nGC_13495 = 1021
  integer, parameter :: nGC_19368 = 1022
  integer, parameter :: nGC_19369 = 1023
  integer, parameter :: nGC_13707 = 1024
  integer, parameter :: nGC_13700 = 1025
  integer, parameter :: nGC_8449 = 1026
  integer, parameter :: nGC_7939 = 1027
  integer, parameter :: nGC_7938 = 1028
  integer, parameter :: nGC_7937 = 1029
  integer, parameter :: nGC_7936 = 1030
  integer, parameter :: nGC_7935 = 1031
  integer, parameter :: nGC_7934 = 1032
  integer, parameter :: nGC_7933 = 1033
  integer, parameter :: nGC_I = 1034
  integer, parameter :: nGC_7931 = 1035
  integer, parameter :: nGC_7930 = 1036
  integer, parameter :: nGC_8459 = 1037
  integer, parameter :: nGC_8458 = 1038
  integer, parameter :: nGC_8329 = 1039
  integer, parameter :: nGC_8397 = 1040
  integer, parameter :: nGC_8455 = 1041
  integer, parameter :: nGC_8326 = 1042
  integer, parameter :: nGC_8325 = 1043
  integer, parameter :: nGC_8323 = 1044
  integer, parameter :: nGC_8322 = 1045
  integer, parameter :: nGC_8321 = 1046
  integer, parameter :: nGC_7932 = 1047
  integer, parameter :: nGC_13838 = 1048
  integer, parameter :: nGC_TS_GC_129_Hh = 1049
  integer, parameter :: nGC_13145 = 1050
  integer, parameter :: nGC_13236 = 1051
  integer, parameter :: nGC_3 = 1052
  integer, parameter :: nGC_2 = 1053
  integer, parameter :: nGC_1 = 1054
  integer, parameter :: nGC_7 = 1055
  integer, parameter :: nGC_1047 = 1056
  integer, parameter :: nGC_5 = 1057
  integer, parameter :: nGC_9038 = 1058
  integer, parameter :: nGC_9 = 1059
  integer, parameter :: nGC_8328 = 1060
  integer, parameter :: nGC_8529 = 1061
  integer, parameter :: nGC_8528 = 1062
  integer, parameter :: nGC_8039 = 1063
  integer, parameter :: nGC_8038 = 1064
  integer, parameter :: nGC_8663 = 1065
  integer, parameter :: nGC_8521 = 1066
  integer, parameter :: nGC_8520 = 1067
  integer, parameter :: nGC_8523 = 1068
  integer, parameter :: nGC_8030 = 1069
  integer, parameter :: nGC_8525 = 1070
  integer, parameter :: nGC_8524 = 1071
  integer, parameter :: nGC_8035 = 1072
  integer, parameter :: nGC_8526 = 1073
  integer, parameter :: nGC_8456 = 1074
  integer, parameter :: nGC_8451 = 1075
  integer, parameter :: nGC_7948 = 1076
  integer, parameter :: nGC_8450 = 1077
  integer, parameter :: nGC_TS_GC_34_Hh = 1078
  integer, parameter :: nGC_8442 = 1079
  integer, parameter :: nGC_8107 = 1080
  integer, parameter :: nGC_8147 = 1081
  integer, parameter :: nGC_8146 = 1082
  integer, parameter :: nGC_8145 = 1083
  integer, parameter :: nGC_8144 = 1084
  integer, parameter :: nGC_9328 = 1085
  integer, parameter :: nGC_9329 = 1086
  integer, parameter :: nGC_8140 = 1087
  integer, parameter :: nGC_9324 = 1088
  integer, parameter :: nGC_9320 = 1089
  integer, parameter :: nGC_9321 = 1090
  integer, parameter :: nGC_8149 = 1091
  integer, parameter :: nGC_8148 = 1092
  integer, parameter :: nGC_8106 = 1093
  integer, parameter :: nGC_8280 = 1094
  integer, parameter :: nGC_8281 = 1095
  integer, parameter :: nGC_16621 = 1096
  integer, parameter :: nGC_9144 = 1097
  integer, parameter :: nGC_9145 = 1098
  integer, parameter :: nGC_8104 = 1099
  integer, parameter :: nGC_TS_GC_36_Hh = 1100
  integer, parameter :: nGC_TS_GC_36_Hl = 1101
  integer, parameter :: nGC_8139 = 1102
  integer, parameter :: nGC_8628 = 1103
  integer, parameter :: nGC_399 = 1104
  integer, parameter :: nGC_391 = 1105
  integer, parameter :: nGC_8444 = 1106
  integer, parameter :: nGC_393 = 1107
  integer, parameter :: nGC_397 = 1108
  integer, parameter :: nGC_8079 = 1109
  integer, parameter :: nGC_8445 = 1110
  integer, parameter :: nGC_12726 = 1111
  integer, parameter :: nGC_TS_GC_120_Hl = 1112
  integer, parameter :: nGC_16106 = 1113
  integer, parameter :: nGC_25750 = 1114
  integer, parameter :: nGC_14874 = 1115
  integer, parameter :: nGC_15656 = 1116
  integer, parameter :: nGC_14878 = 1117
  integer, parameter :: nGC_17450 = 1118
  integer, parameter :: nGC_15091 = 1119
  integer, parameter :: nGC_15094 = 1120
  integer, parameter :: nGC_8565 = 1121
  integer, parameter :: nGC_13768 = 1122
  integer, parameter :: nGC_9034 = 1123
  integer, parameter :: nGC_8037 = 1124
  integer, parameter :: nGC_6 = 1125
  integer, parameter :: nGC_14678 = 1126
  integer, parameter :: nGC_9036 = 1127
  integer, parameter :: nGC_4 = 1128
  integer, parameter :: nGC_13956 = 1129
  integer, parameter :: nGC_135 = 1130
  integer, parameter :: nGC_134 = 1131
  integer, parameter :: nGC_137 = 1132
  integer, parameter :: nGC_136 = 1133
  integer, parameter :: nGC_131 = 1134
  integer, parameter :: nGC_130 = 1135
  integer, parameter :: nGC_133 = 1136
  integer, parameter :: nGC_132 = 1137
  integer, parameter :: nGC_8036 = 1138
  integer, parameter :: nGC_139 = 1139
  integer, parameter :: nGC_8138 = 1140
  integer, parameter :: nGC_15271 = 1141
  integer, parameter :: nGC_13001 = 1142
  integer, parameter :: nGC_8 = 1143
  integer, parameter :: nGC_8324 = 1144
  integer, parameter :: nGC_13005 = 1145
  integer, parameter :: nGC_8567 = 1146
  integer, parameter :: nGC_13008 = 1147
  integer, parameter :: nGC_8200 = 1148
  integer, parameter :: nGC_8201 = 1149
  integer, parameter :: nGC_8202 = 1150
  integer, parameter :: nGC_8203 = 1151
  integer, parameter :: nGC_8204 = 1152
  integer, parameter :: nGC_8205 = 1153
  integer, parameter :: nGC_8206 = 1154
  integer, parameter :: nGC_8207 = 1155
  integer, parameter :: nGC_8208 = 1156
  integer, parameter :: nGC_8209 = 1157
  integer, parameter :: nGC_TS_GC_23_Hh = 1158
  integer, parameter :: nGC_8910 = 1159
  integer, parameter :: nGC_13489 = 1160
  integer, parameter :: nGC_18362 = 1161
  integer, parameter :: nGC_13485 = 1162
  integer, parameter :: nGC_867 = 1163
  integer, parameter :: nGC_TS_GC_16_Hh = 1164
  integer, parameter :: nGC_12998 = 1165
  integer, parameter :: nGC_8033 = 1166
  integer, parameter :: nGC_13135 = 1167
  integer, parameter :: nGC_13134 = 1168
  integer, parameter :: nGC_7928 = 1169
  integer, parameter :: nGC_7929 = 1170
  integer, parameter :: nGC_8032 = 1171
  integer, parameter :: nGC_7924 = 1172
  integer, parameter :: nGC_7925 = 1173
  integer, parameter :: nGC_7926 = 1174
  integer, parameter :: nGC_7927 = 1175
  integer, parameter :: nGC_7920 = 1176
  integer, parameter :: nGC_8031 = 1177
  integer, parameter :: nGC_7922 = 1178
  integer, parameter :: nGC_7923 = 1179
  integer, parameter :: nGC_8448 = 1180
  integer, parameter :: nGC_8522 = 1181
  integer, parameter :: nGC_8338 = 1182
  integer, parameter :: nGC_8339 = 1183
  integer, parameter :: nGC_1191 = 1184
  integer, parameter :: nGC_8334 = 1185
  integer, parameter :: nGC_8335 = 1186
  integer, parameter :: nGC_8336 = 1187
  integer, parameter :: nGC_8337 = 1188
  integer, parameter :: nGC_8330 = 1189
  integer, parameter :: nGC_8331 = 1190
  integer, parameter :: nGC_8332 = 1191
  integer, parameter :: nGC_8333 = 1192
  integer, parameter :: nGC_13827 = 1193
  integer, parameter :: nGC_8034 = 1194
  integer, parameter :: nGC_12666 = 1195
  integer, parameter :: nGC_12662 = 1196
  integer, parameter :: nGC_8536 = 1197
  integer, parameter :: nGC_8537 = 1198
  integer, parameter :: nGC_8534 = 1199
  integer, parameter :: nGC_8535 = 1200
  integer, parameter :: nGC_8532 = 1201
  integer, parameter :: nGC_8533 = 1202
  integer, parameter :: nGC_8530 = 1203
  integer, parameter :: nGC_8531 = 1204
  integer, parameter :: nGC_9004 = 1205
  integer, parameter :: nGC_9007 = 1206
  integer, parameter :: nGC_9001 = 1207
  integer, parameter :: nGC_8538 = 1208
  integer, parameter :: nGC_8539 = 1209
  integer, parameter :: nGC_8028 = 1210
  integer, parameter :: nGC_8029 = 1211
  integer, parameter :: nGC_8020 = 1212
  integer, parameter :: nGC_8021 = 1213
  integer, parameter :: nGC_8022 = 1214
  integer, parameter :: nGC_8023 = 1215
  integer, parameter :: nGC_8024 = 1216
  integer, parameter :: nGC_8025 = 1217
  integer, parameter :: nGC_8026 = 1218
  integer, parameter :: nGC_8027 = 1219
  integer, parameter :: nGC_13969 = 1220
  integer, parameter :: nGC_15086 = 1221
  integer, parameter :: nGC_329 = 1222
  integer, parameter :: nGC_17652 = 1223
  integer, parameter :: nGC_17650 = 1224
  integer, parameter :: nGC_17651 = 1225
  integer, parameter :: nGC_17657 = 1226
  integer, parameter :: nGC_8154 = 1227
  integer, parameter :: nGC_8155 = 1228
  integer, parameter :: nGC_8156 = 1229
  integer, parameter :: nGC_8157 = 1230
  integer, parameter :: nGC_8150 = 1231
  integer, parameter :: nGC_8151 = 1232
  integer, parameter :: nGC_8152 = 1233
  integer, parameter :: nGC_8153 = 1234
  integer, parameter :: nGC_9311 = 1235
  integer, parameter :: nGC_8158 = 1236
  integer, parameter :: nGC_8159 = 1237
  integer, parameter :: nGC_9317 = 1238
  integer, parameter :: nGC_9316 = 1239
  integer, parameter :: nGC_7960 = 1240
  integer, parameter :: nGC_7961 = 1241
  integer, parameter :: nGC_7963 = 1242
  integer, parameter :: nGC_7964 = 1243
  integer, parameter :: nGC_7965 = 1244
  integer, parameter :: nGC_8454 = 1245
  integer, parameter :: nGC_9171 = 1246
  integer, parameter :: nGC_9170 = 1247
  integer, parameter :: nGC_TS_GC_15_Hh = 1248
  integer, parameter :: nGC_7968 = 1249
  integer, parameter :: nGC_14061 = 1250
  integer, parameter :: nGC_TS_GC_153_Hl = 1251
  integer, parameter :: nGC_8457 = 1252
  integer, parameter :: nGC_8551 = 1253
  integer, parameter :: nGC_TS_GC_145_Hl = 1254
  integer, parameter :: nGC_17832 = 1255
  integer, parameter :: nGC_17834 = 1256
  integer, parameter :: nGC_17835 = 1257
  integer, parameter :: nGC_7955 = 1258
  integer, parameter :: nGC_8453 = 1259
  integer, parameter :: nGC_8143 = 1260
  integer, parameter :: nGC_12767 = 1261
  integer, parameter :: nGC_8142 = 1262
  integer, parameter :: nGC_8554 = 1263
  integer, parameter :: nGC_8141 = 1264
  integer, parameter :: nGC_8629 = 1265
  integer, parameter :: nGC_7954 = 1266
  integer, parameter :: nGC_9496 = 1267
  integer, parameter :: nGC_18174 = 1268
  integer, parameter :: nGC_8046 = 1269
  integer, parameter :: nGC_18172 = 1270
  integer, parameter :: nGC_8452 = 1271
  integer, parameter :: nGC_9325 = 1272
  integer, parameter :: nGC_9494 = 1273
  integer, parameter :: nGC_18179 = 1274
  integer, parameter :: nGC_14847 = 1275
  integer, parameter :: nGC_9495 = 1276
  integer, parameter :: nGC_25749 = 1277
  integer, parameter :: nGC_8623 = 1278
  integer, parameter :: nGC_8047 = 1279
  integer, parameter :: nGC_9322 = 1280
  integer, parameter :: nGC_9491 = 1281
  integer, parameter :: nGC_8273 = 1282
  integer, parameter :: nGC_8275 = 1283
  integer, parameter :: nGC_18287 = 1284
  integer, parameter :: nGC_8044 = 1285
  integer, parameter :: nGC_9019 = 1286
  integer, parameter :: nGC_8277 = 1287
  integer, parameter :: nGC_12768 = 1288
  integer, parameter :: nGC_TS_GC_63_Hl = 1289
  integer, parameter :: nGC_14593 = 1290
  integer, parameter :: nGC_8045 = 1291
  integer, parameter :: nGC_100 = 1292
  integer, parameter :: nGC_101 = 1293
  integer, parameter :: nGC_102 = 1294
  integer, parameter :: nGC_103 = 1295
  integer, parameter :: nGC_105 = 1296
  integer, parameter :: nGC_106 = 1297
  integer, parameter :: nGC_107 = 1298
  integer, parameter :: nGC_108 = 1299
  integer, parameter :: nGC_109 = 1300
  integer, parameter :: nGC_14024 = 1301
  integer, parameter :: nGC_8297 = 1302
  integer, parameter :: nGC_14029 = 1303
  integer, parameter :: nGC_8239 = 1304
  integer, parameter :: nGC_8238 = 1305
  integer, parameter :: nGC_8235 = 1306
  integer, parameter :: nGC_8234 = 1307
  integer, parameter :: nGC_8237 = 1308
  integer, parameter :: nGC_8236 = 1309
  integer, parameter :: nGC_8231 = 1310
  integer, parameter :: nGC_8230 = 1311
  integer, parameter :: nGC_8233 = 1312
  integer, parameter :: nGC_8232 = 1313
  integer, parameter :: nGC_8043 = 1314
  integer, parameter :: nGC_8707 = 1315
  integer, parameter :: nGC_817 = 1316
  integer, parameter :: nGC_8040 = 1317
  integer, parameter :: nGC_13101 = 1318
  integer, parameter :: nGC_13106 = 1319
  integer, parameter :: nGC_7919 = 1320
  integer, parameter :: nGC_7918 = 1321
  integer, parameter :: nGC_8706 = 1322
  integer, parameter :: nGC_7911 = 1323
  integer, parameter :: nGC_7910 = 1324
  integer, parameter :: nGC_7913 = 1325
  integer, parameter :: nGC_7912 = 1326
  integer, parameter :: nGC_7915 = 1327
  integer, parameter :: nGC_7914 = 1328
  integer, parameter :: nGC_7917 = 1329
  integer, parameter :: nGC_7916 = 1330
  integer, parameter :: nGC_8309 = 1331
  integer, parameter :: nGC_8308 = 1332
  integer, parameter :: nGC_8041 = 1333
  integer, parameter :: nGC_12859 = 1334
  integer, parameter :: nGC_8301 = 1335
  integer, parameter :: nGC_8300 = 1336
  integer, parameter :: nGC_8303 = 1337
  integer, parameter :: nGC_8302 = 1338
  integer, parameter :: nGC_8305 = 1339
  integer, parameter :: nGC_8304 = 1340
  integer, parameter :: nGC_8307 = 1341
  integer, parameter :: nGC_8306 = 1342
  integer, parameter :: nGC_8877 = 1343
  integer, parameter :: nGC_13856 = 1344
  integer, parameter :: nGC_13857 = 1345
  integer, parameter :: nGC_13582 = 1346
  integer, parameter :: nGC_8876 = 1347
  integer, parameter :: nGC_13859 = 1348
  integer, parameter :: nGC_13588 = 1349
  integer, parameter :: nGC_13589 = 1350
  integer, parameter :: nGC_8491 = 1351
  integer, parameter :: nGC_8490 = 1352
  integer, parameter :: nGC_8493 = 1353
  integer, parameter :: nGC_8492 = 1354
  integer, parameter :: nGC_8495 = 1355
  integer, parameter :: nGC_8494 = 1356
  integer, parameter :: nGC_8497 = 1357
  integer, parameter :: nGC_8496 = 1358
  integer, parameter :: nGC_8499 = 1359
  integer, parameter :: nGC_8498 = 1360
  integer, parameter :: nGC_8945 = 1361
  integer, parameter :: nGC_8944 = 1362
  integer, parameter :: nGC_8943 = 1363
  integer, parameter :: nGC_8942 = 1364
  integer, parameter :: nGC_8700 = 1365
  integer, parameter :: nGC_17000 = 1366
  integer, parameter :: nGC_8015 = 1367
  integer, parameter :: nGC_8014 = 1368
  integer, parameter :: nGC_8017 = 1369
  integer, parameter :: nGC_8016 = 1370
  integer, parameter :: nGC_8011 = 1371
  integer, parameter :: nGC_8010 = 1372
  integer, parameter :: nGC_8013 = 1373
  integer, parameter :: nGC_8012 = 1374
  integer, parameter :: nGC_9013 = 1375
  integer, parameter :: nGC_8549 = 1376
  integer, parameter :: nGC_8548 = 1377
  integer, parameter :: nGC_8019 = 1378
  integer, parameter :: nGC_8018 = 1379
  integer, parameter :: nGC_9517 = 1380
  integer, parameter :: nGC_8789 = 1381
  integer, parameter :: nGC_8788 = 1382
  integer, parameter :: nGC_8396 = 1383
  integer, parameter :: nGC_8702 = 1384
  integer, parameter :: nGC_8189 = 1385
  integer, parameter :: nGC_9306 = 1386
  integer, parameter :: nGC_9307 = 1387
  integer, parameter :: nGC_8188 = 1388
  integer, parameter :: nGC_9302 = 1389
  integer, parameter :: nGC_9303 = 1390
  integer, parameter :: nGC_9300 = 1391
  integer, parameter :: nGC_9308 = 1392
  integer, parameter :: nGC_13143 = 1393
  integer, parameter :: nGC_8161 = 1394
  integer, parameter :: nGC_8160 = 1395
  integer, parameter :: nGC_8163 = 1396
  integer, parameter :: nGC_8162 = 1397
  integer, parameter :: nGC_8165 = 1398
  integer, parameter :: nGC_8167 = 1399
  integer, parameter :: nGC_8166 = 1400
  integer, parameter :: nGC_8169 = 1401
  integer, parameter :: nGC_8168 = 1402
  integer, parameter :: nGC_8394 = 1403
  integer, parameter :: nGC_8604 = 1404
  integer, parameter :: nGC_16196 = 1405
  integer, parameter :: nGC_9160 = 1406
  integer, parameter :: nGC_8395 = 1407
  integer, parameter :: nGC_7962 = 1408
  integer, parameter :: nGC_8605 = 1409
  integer, parameter :: nGC_8479 = 1410
  integer, parameter :: nGC_8392 = 1411
  integer, parameter :: nGC_8571 = 1412
  integer, parameter :: nGC_8576 = 1413
  integer, parameter :: nGC_16996 = 1414
  integer, parameter :: nGC_16995 = 1415
  integer, parameter :: nGC_8575 = 1416
  integer, parameter :: nGC_8393 = 1417
  integer, parameter :: nGC_TS_GC_35_Hl = 1418
  integer, parameter :: nGC_17829 = 1419
  integer, parameter :: nGC_8390 = 1420
  integer, parameter :: nGC_20714 = 1421
  integer, parameter :: nGC_8391 = 1422
  integer, parameter :: nGC_8770 = 1423
  integer, parameter :: nGC_8804 = 1424
  integer, parameter :: nGC_TS_GC_177_Hl = 1425
  integer, parameter :: nGC_8805 = 1426
  integer, parameter :: nGC_8057 = 1427
  integer, parameter :: nGC_8056 = 1428
  integer, parameter :: nGC_8059 = 1429
  integer, parameter :: nGC_9458 = 1430
  integer, parameter :: nGC_18293 = 1431
  integer, parameter :: nGC_9351 = 1432
  integer, parameter :: nGC_8058 = 1433
  integer, parameter :: nGC_9459 = 1434
  integer, parameter :: nGC_8545 = 1435
  integer, parameter :: nGC_8197 = 1436
  integer, parameter :: nGC_8988 = 1437
  integer, parameter :: nGC_119 = 1438
  integer, parameter :: nGC_118 = 1439
  integer, parameter :: nGC_117 = 1440
  integer, parameter :: nGC_116 = 1441
  integer, parameter :: nGC_115 = 1442
  integer, parameter :: nGC_114 = 1443
  integer, parameter :: nGC_113 = 1444
  integer, parameter :: nGC_112 = 1445
  integer, parameter :: nGC_111 = 1446
  integer, parameter :: nGC_110 = 1447
  integer, parameter :: nGC_19199 = 1448
  integer, parameter :: nGC_13118 = 1449
  integer, parameter :: nGC_13443 = 1450
  integer, parameter :: nGC_13442 = 1451
  integer, parameter :: nGC_12864 = 1452
  integer, parameter :: nGC_13593 = 1453
  integer, parameter :: nGC_13592 = 1454
  integer, parameter :: nGC_13021 = 1455
  integer, parameter :: nGC_13020 = 1456
  integer, parameter :: nGC_9357 = 1457
  integer, parameter :: nGC_9356 = 1458
  integer, parameter :: nGC_8958 = 1459
  integer, parameter :: nGC_8959 = 1460
  integer, parameter :: nGC_TS_GC_111_Hh = 1461
  integer, parameter :: nGC_8955 = 1462
  integer, parameter :: nGC_8956 = 1463
  integer, parameter :: nGC_8950 = 1464
  integer, parameter :: nGC_8951 = 1465
  integer, parameter :: nGC_8952 = 1466
  integer, parameter :: nGC_9353 = 1467
  integer, parameter :: nGC_1243 = 1468
  integer, parameter :: nGC_8792 = 1469
  integer, parameter :: nGC_8824 = 1470
  integer, parameter :: nGC_8826 = 1471
  integer, parameter :: nGC_8828 = 1472
  integer, parameter :: nGC_8798 = 1473
  integer, parameter :: nGC_8799 = 1474
  integer, parameter :: nGC_TS_GC_22_Hh = 1475
  integer, parameter :: nGC_8970 = 1476
  integer, parameter :: nGC_TS_GC_22_Hl = 1477
  integer, parameter :: nGC_15987 = 1478
  integer, parameter :: nGC_9373 = 1479
  integer, parameter :: nGC_9372 = 1480
  integer, parameter :: nGC_9371 = 1481
  integer, parameter :: nGC_9370 = 1482
  integer, parameter :: nGC_9377 = 1483
  integer, parameter :: nGC_9376 = 1484
  integer, parameter :: nGC_9375 = 1485
  integer, parameter :: nGC_9374 = 1486
  integer, parameter :: nGC_9379 = 1487
  integer, parameter :: nGC_9378 = 1488
  integer, parameter :: nGC_TS_GC_12_Hh = 1489
  integer, parameter :: nGC_28021 = 1490
  integer, parameter :: nGC_12640 = 1491
  integer, parameter :: nGC_28020 = 1492
  integer, parameter :: nGC_12646 = 1493
  integer, parameter :: nGC_9192 = 1494
  integer, parameter :: nGC_TS_GC_118_Hh = 1495
  integer, parameter :: nGC_9209 = 1496
  integer, parameter :: nGC_9208 = 1497
  integer, parameter :: nGC_TS_GC_14_Hl = 1498
  integer, parameter :: nGC_TS_GC_69_Hh = 1499
  integer, parameter :: nGC_TS_GC_69_Hl = 1500
  integer, parameter :: nGC_TS_GC_188_Hh = 1501
  integer, parameter :: nGC_13560 = 1502
  integer, parameter :: nGC_16760 = 1503
  integer, parameter :: nGC_13110 = 1504
  integer, parameter :: nGC_14325 = 1505
  integer, parameter :: nGC_14823 = 1506
  integer, parameter :: nGC_15660 = 1507
  integer, parameter :: nGC_TS_GC_49_Hl = 1508
  integer, parameter :: nGC_TS_GC_49_Hh = 1509
  integer, parameter :: nGC_13902 = 1510
  integer, parameter :: nGC_695 = 1511
  integer, parameter :: nGC_13690 = 1512
  integer, parameter :: nGC_13691 = 1513
  integer, parameter :: nGC_13697 = 1514
  integer, parameter :: nGC_14134 = 1515
  integer, parameter :: nGC_15441 = 1516
  integer, parameter :: nGC_14316 = 1517
  integer, parameter :: nGC_14312 = 1518
  integer, parameter :: nGC_13470 = 1519
  integer, parameter :: nGC_833 = 1520
  integer, parameter :: nGC_12872 = 1521
  integer, parameter :: nGC_12879 = 1522
  integer, parameter :: nGC_14558 = 1523
  integer, parameter :: nGC_26306 = 1524
  integer, parameter :: nGC_14002 = 1525
  integer, parameter :: nGC_13057 = 1526
  integer, parameter :: nGC_12892 = 1527
  integer, parameter :: nGC_12890 = 1528
  integer, parameter :: nGC_8964 = 1529
  integer, parameter :: nGC_TS_GC_108_Hl = 1530
  integer, parameter :: nGC_8769 = 1531
  integer, parameter :: nGC_8768 = 1532
  integer, parameter :: nGC_8765 = 1533
  integer, parameter :: nGC_8762 = 1534
  integer, parameter :: nGC_8760 = 1535
  integer, parameter :: nGC_TS_GC_41_Hl = 1536
  integer, parameter :: nGC_TS_GC_41_Hh = 1537
  integer, parameter :: nGC_15993 = 1538
  integer, parameter :: nGC_15992 = 1539
  integer, parameter :: nGC_15990 = 1540
  integer, parameter :: nGC_12765 = 1541
  integer, parameter :: nGC_9360 = 1542
  integer, parameter :: nGC_9362 = 1543
  integer, parameter :: nGC_9363 = 1544
  integer, parameter :: nGC_9364 = 1545
  integer, parameter :: nGC_9365 = 1546
  integer, parameter :: nGC_9366 = 1547
  integer, parameter :: nGC_9367 = 1548
  integer, parameter :: nGC_9368 = 1549
  integer, parameter :: nGC_9369 = 1550
  integer, parameter :: nGC_8954 = 1551
  integer, parameter :: nGC_12655 = 1552
  integer, parameter :: nGC_28030 = 1553
  integer, parameter :: nGC_8957 = 1554
  integer, parameter :: nGC_16372 = 1555
  integer, parameter :: nGC_16373 = 1556
  integer, parameter :: nGC_16371 = 1557
  integer, parameter :: nGC_9219 = 1558
  integer, parameter :: nGC_9214 = 1559
  integer, parameter :: nGC_TS_GC_28_Hl = 1560
  integer, parameter :: nGC_17370 = 1561
  integer, parameter :: nGC_TS_GC_38_Hh = 1562
  integer, parameter :: nGC_3011 = 1563
  integer, parameter :: nGC_TS_GC_94_Hh = 1564
  integer, parameter :: nGC_TS_GC_94_Hl = 1565
  integer, parameter :: nGC_8820 = 1566
  integer, parameter :: nGC_8790 = 1567
  integer, parameter :: nGC_8791 = 1568
  integer, parameter :: nGC_15050 = 1569
  integer, parameter :: nGC_8796 = 1570
  integer, parameter :: nGC_8797 = 1571
  integer, parameter :: nGC_8794 = 1572
  integer, parameter :: nGC_8795 = 1573
  integer, parameter :: nGC_19203 = 1574
  integer, parameter :: nGC_19202 = 1575
  integer, parameter :: nGC_19201 = 1576
  integer, parameter :: nGC_19200 = 1577
  integer, parameter :: nGC_19207 = 1578
  integer, parameter :: nGC_19205 = 1579
  integer, parameter :: nGC_19204 = 1580
  integer, parameter :: nGC_TS_GC_110_Hl = 1581
  integer, parameter :: nGC_14129 = 1582
  integer, parameter :: nGC_19334 = 1583
  integer, parameter :: nGC_14301 = 1584
  integer, parameter :: nGC_14300 = 1585
  integer, parameter :: nGC_13465 = 1586
  integer, parameter :: nGC_13464 = 1587
  integer, parameter :: nGC_13469 = 1588
  integer, parameter :: nGC_13049 = 1589
  integer, parameter :: nGC_9512 = 1590
  integer, parameter :: nGC_9511 = 1591
  integer, parameter :: nGC_9510 = 1592
  integer, parameter :: nGC_9516 = 1593
  integer, parameter :: nGC_9515 = 1594
  integer, parameter :: nGC_9514 = 1595
  integer, parameter :: nGC_9519 = 1596
  integer, parameter :: nGC_9518 = 1597
  integer, parameter :: nGC_1063 = 1598
  integer, parameter :: nGC_12797 = 1599
  integer, parameter :: nGC_12793 = 1600
  integer, parameter :: nGC_8808 = 1601
  integer, parameter :: nGC_8809 = 1602
  integer, parameter :: nGC_8803 = 1603
  integer, parameter :: nGC_8800 = 1604
  integer, parameter :: nGC_8801 = 1605
  integer, parameter :: nGC_8806 = 1606
  integer, parameter :: nGC_8807 = 1607
  integer, parameter :: nGC_TS_GC_68_Hh = 1608
  integer, parameter :: nGC_17167 = 1609
  integer, parameter :: nGC_9359 = 1610
  integer, parameter :: nGC_9358 = 1611
  integer, parameter :: nGC_9429 = 1612
  integer, parameter :: nGC_9428 = 1613
  integer, parameter :: nGC_9427 = 1614
  integer, parameter :: nGC_9426 = 1615
  integer, parameter :: nGC_9425 = 1616
  integer, parameter :: nGC_9424 = 1617
  integer, parameter :: nGC_9423 = 1618
  integer, parameter :: nGC_9422 = 1619
  integer, parameter :: nGC_9421 = 1620
  integer, parameter :: nGC_9352 = 1621
  integer, parameter :: nGC_8976 = 1622
  integer, parameter :: nGC_8977 = 1623
  integer, parameter :: nGC_8975 = 1624
  integer, parameter :: nGC_8972 = 1625
  integer, parameter :: nGC_8973 = 1626
  integer, parameter :: nGC_28028 = 1627
  integer, parameter :: nGC_28027 = 1628
  integer, parameter :: nGC_28026 = 1629
  integer, parameter :: nGC_8978 = 1630
  integer, parameter :: nGC_8979 = 1631
  integer, parameter :: nGC_TS_GC_40_Hh = 1632
  integer, parameter :: nGC_TS_GC_40_Hl = 1633
  integer, parameter :: nGC_TS_GC_157_Hh = 1634
  integer, parameter :: nGC_9220 = 1635
  integer, parameter :: nGC_9225 = 1636
  integer, parameter :: nGC_9226 = 1637
  integer, parameter :: nGC_TS_GC_119_Hl = 1638
  integer, parameter :: nGC_29519 = 1639
  integer, parameter :: nGC_16143 = 1640
  integer, parameter :: nGC_16142 = 1641
  integer, parameter :: nGC_16145 = 1642
  integer, parameter :: nGC_16144 = 1643
  integer, parameter :: nGC_16147 = 1644
  integer, parameter :: nGC_16146 = 1645
  integer, parameter :: nGC_15046 = 1646
  integer, parameter :: nGC_9508 = 1647
  integer, parameter :: nGC_15225 = 1648
  integer, parameter :: nGC_15224 = 1649
  integer, parameter :: nGC_15226 = 1650
  integer, parameter :: nGC_15223 = 1651
  integer, parameter :: nGC_13676 = 1652
  integer, parameter :: nGC_13677 = 1653
  integer, parameter :: nGC_TS_GC_61_Hh = 1654
  integer, parameter :: nGC_TS_GC_61_Hl = 1655
  integer, parameter :: nGC_18311 = 1656
  integer, parameter :: nGC_18315 = 1657
  integer, parameter :: nGC_21204 = 1658
  integer, parameter :: nGC_14159 = 1659
  integer, parameter :: nGC_14155 = 1660
  integer, parameter :: nGC_14798 = 1661
  integer, parameter :: nGC_14799 = 1662
  integer, parameter :: nGC_13411 = 1663
  integer, parameter :: nGC_13412 = 1664
  integer, parameter :: nGC_TS_GC_31_Hl = 1665
  integer, parameter :: nGC_13898 = 1666
  integer, parameter :: nGC_13528 = 1667
  integer, parameter :: nGC_TS_GC_48_Hh = 1668
  integer, parameter :: nGC_TS_GC_48_Hl = 1669
  integer, parameter :: nGC_13252 = 1670
  integer, parameter :: nGC_13524 = 1671
  integer, parameter :: nGC_14205 = 1672
  integer, parameter :: nGC_14206 = 1673
  integer, parameter :: nGC_9500 = 1674
  integer, parameter :: nGC_9501 = 1675
  integer, parameter :: nGC_9502 = 1676
  integer, parameter :: nGC_9503 = 1677
  integer, parameter :: nGC_9504 = 1678
  integer, parameter :: nGC_9505 = 1679
  integer, parameter :: nGC_9506 = 1680
  integer, parameter :: nGC_9507 = 1681
  integer, parameter :: nGC_13090 = 1682
  integer, parameter :: nGC_9509 = 1683
  integer, parameter :: nGC_13092 = 1684
  integer, parameter :: nGC_12786 = 1685
  integer, parameter :: nGC_12785 = 1686
  integer, parameter :: nGC_12783 = 1687
  integer, parameter :: nGC_12782 = 1688
  integer, parameter :: nGC_9466 = 1689
  integer, parameter :: nGC_8749 = 1690
  integer, parameter :: nGC_8748 = 1691
  integer, parameter :: nGC_8741 = 1692
  integer, parameter :: nGC_8740 = 1693
  integer, parameter :: nGC_8743 = 1694
  integer, parameter :: nGC_8742 = 1695
  integer, parameter :: nGC_8745 = 1696
  integer, parameter :: nGC_8744 = 1697
  integer, parameter :: nGC_8747 = 1698
  integer, parameter :: nGC_8746 = 1699
  integer, parameter :: nGC_TS_GC_37_Hh = 1700
  integer, parameter :: nGC_TS_GC_37_Hl = 1701
  integer, parameter :: nGC_13328 = 1702
  integer, parameter :: nGC_13326 = 1703
  integer, parameter :: nGC_13324 = 1704
  integer, parameter :: nGC_13325 = 1705
  integer, parameter :: nGC_9348 = 1706
  integer, parameter :: nGC_9349 = 1707
  integer, parameter :: nGC_9438 = 1708
  integer, parameter :: nGC_9434 = 1709
  integer, parameter :: nGC_9343 = 1710
  integer, parameter :: nGC_9340 = 1711
  integer, parameter :: nGC_9437 = 1712
  integer, parameter :: nGC_9346 = 1713
  integer, parameter :: nGC_9347 = 1714
  integer, parameter :: nGC_9345 = 1715
  integer, parameter :: nGC_8900 = 1716
  integer, parameter :: nGC_8906 = 1717
  integer, parameter :: nGC_8904 = 1718
  integer, parameter :: nGC_8908 = 1719
  integer, parameter :: nGC_TS_GC_125_Hh = 1720
  integer, parameter :: nGC_9236 = 1721
  integer, parameter :: nGC_9231 = 1722
  integer, parameter :: nGC_TS_GC_29_Hh = 1723
  integer, parameter :: nGC_14979 = 1724
  integer, parameter :: nGC_13344 = 1725
  integer, parameter :: nGC_9417 = 1726
  integer, parameter :: nGC_16049 = 1727
  integer, parameter :: nGC_16046 = 1728
  integer, parameter :: nGC_16047 = 1729
  integer, parameter :: nGC_13662 = 1730
  integer, parameter :: nGC_13665 = 1731
  integer, parameter :: nGC_13664 = 1732
  integer, parameter :: nGC_14140 = 1733
  integer, parameter :: nGC_793 = 1734
  integer, parameter :: nGC_13792 = 1735
  integer, parameter :: nGC_13790 = 1736
  integer, parameter :: nGC_14562 = 1737
  integer, parameter :: nGC_13061 = 1738
  integer, parameter :: nGC_13068 = 1739
  integer, parameter :: nGC_13532 = 1740
  integer, parameter :: nGC_13531 = 1741
  integer, parameter :: nGC_13537 = 1742
  integer, parameter :: nGC_13089 = 1743
  integer, parameter :: nGC_8756 = 1744
  integer, parameter :: nGC_8757 = 1745
  integer, parameter :: nGC_8754 = 1746
  integer, parameter :: nGC_8755 = 1747
  integer, parameter :: nGC_8752 = 1748
  integer, parameter :: nGC_8753 = 1749
  integer, parameter :: nGC_8750 = 1750
  integer, parameter :: nGC_8751 = 1751
  integer, parameter :: nGC_8758 = 1752
  integer, parameter :: nGC_8759 = 1753
  integer, parameter :: nGC_12935 = 1754
  integer, parameter :: nGC_12938 = 1755
  integer, parameter :: nGC_12939 = 1756
  integer, parameter :: nGC_12753 = 1757
  integer, parameter :: nGC_13334 = 1758
  integer, parameter :: nGC_13339 = 1759
  integer, parameter :: nGC_9409 = 1760
  integer, parameter :: nGC_9408 = 1761
  integer, parameter :: nGC_9401 = 1762
  integer, parameter :: nGC_9400 = 1763
  integer, parameter :: nGC_9403 = 1764
  integer, parameter :: nGC_9402 = 1765
  integer, parameter :: nGC_9405 = 1766
  integer, parameter :: nGC_9404 = 1767
  integer, parameter :: nGC_9407 = 1768
  integer, parameter :: nGC_9406 = 1769
  integer, parameter :: nGC_TS_GC_117_Hh = 1770
  integer, parameter :: nGC_8912 = 1771
  integer, parameter :: nGC_8913 = 1772
  integer, parameter :: nGC_8914 = 1773
  integer, parameter :: nGC_8915 = 1774
  integer, parameter :: nGC_8917 = 1775
  integer, parameter :: nGC_9391 = 1776
  integer, parameter :: nGC_9390 = 1777
  integer, parameter :: nGC_9393 = 1778
  integer, parameter :: nGC_9392 = 1779
  integer, parameter :: nGC_9395 = 1780
  integer, parameter :: nGC_9394 = 1781
  integer, parameter :: nGC_9397 = 1782
  integer, parameter :: nGC_9396 = 1783
  integer, parameter :: nGC_9399 = 1784
  integer, parameter :: nGC_9398 = 1785
  integer, parameter :: nGC_15812 = 1786
  integer, parameter :: nGC_9241 = 1787
  integer, parameter :: nGC_9240 = 1788
  integer, parameter :: nGC_9085 = 1789
  integer, parameter :: nGC_9084 = 1790
  integer, parameter :: nGC_9081 = 1791
  integer, parameter :: nGC_9080 = 1792
  integer, parameter :: nGC_9083 = 1793
  integer, parameter :: nGC_9082 = 1794
  integer, parameter :: nGC_9251 = 1795
  integer, parameter :: nGC_16235 = 1796
  integer, parameter :: nGC_16234 = 1797
  integer, parameter :: nGC_TS_GC_124_Hl = 1798
  integer, parameter :: nGC_9660 = 1799
  integer, parameter :: nGC_14961 = 1800
  integer, parameter :: nGC_16434 = 1801
  integer, parameter :: nGC_TS_GC_137_Hh = 1802
  integer, parameter :: nGC_15021 = 1803
  integer, parameter :: nGC_16050 = 1804
  integer, parameter :: nGC_TS_GC_116_Hh = 1805
  integer, parameter :: nGC_15793 = 1806
  integer, parameter :: nGC_19493 = 1807
  integer, parameter :: nGC_19494 = 1808
  integer, parameter :: nGC_19495 = 1809
  integer, parameter :: nGC_14684 = 1810
  integer, parameter :: nGC_14681 = 1811
  integer, parameter :: nGC_TS_GC_149_Hh = 1812
  integer, parameter :: nGC_13651 = 1813
  integer, parameter :: nGC_15480 = 1814
  integer, parameter :: nGC_14770 = 1815
  integer, parameter :: nGC_14771 = 1816
  integer, parameter :: nGC_18205 = 1817
  integer, parameter :: nGC_18206 = 1818
  integer, parameter :: nGC_14224 = 1819
  integer, parameter :: nGC_9528 = 1820
  integer, parameter :: nGC_9529 = 1821
  integer, parameter :: nGC_13526 = 1822
  integer, parameter :: nGC_9522 = 1823
  integer, parameter :: nGC_9523 = 1824
  integer, parameter :: nGC_9520 = 1825
  integer, parameter :: nGC_9521 = 1826
  integer, parameter :: nGC_9526 = 1827
  integer, parameter :: nGC_9527 = 1828
  integer, parameter :: nGC_9524 = 1829
  integer, parameter :: nGC_9525 = 1830
  integer, parameter :: nGC_8723 = 1831
  integer, parameter :: nGC_8722 = 1832
  integer, parameter :: nGC_8727 = 1833
  integer, parameter :: nGC_8728 = 1834
  integer, parameter :: nGC_13430 = 1835
  integer, parameter :: nGC_14426 = 1836
  integer, parameter :: nGC_12742 = 1837
  integer, parameter :: nGC_TS_GC_66_Hh = 1838
  integer, parameter :: nGC_12745 = 1839
  integer, parameter :: nGC_9416 = 1840
  integer, parameter :: nGC_13345 = 1841
  integer, parameter :: nGC_9414 = 1842
  integer, parameter :: nGC_9415 = 1843
  integer, parameter :: nGC_9413 = 1844
  integer, parameter :: nGC_9410 = 1845
  integer, parameter :: nGC_9411 = 1846
  integer, parameter :: nGC_9418 = 1847
  integer, parameter :: nGC_12698 = 1848
  integer, parameter :: nGC_893 = 1849
  integer, parameter :: nGC_12692 = 1850
  integer, parameter :: nGC_12695 = 1851
  integer, parameter :: nGC_8925 = 1852
  integer, parameter :: nGC_8927 = 1853
  integer, parameter :: nGC_8923 = 1854
  integer, parameter :: nGC_9388 = 1855
  integer, parameter :: nGC_9387 = 1856
  integer, parameter :: nGC_9384 = 1857
  integer, parameter :: nGC_9382 = 1858
  integer, parameter :: nGC_9380 = 1859
  integer, parameter :: nGC_16330 = 1860
  integer, parameter :: nGC_16331 = 1861
  integer, parameter :: nGC_15802 = 1862
  integer, parameter :: nGC_17558 = 1863
  integer, parameter :: nGC_9252 = 1864
  integer, parameter :: nGC_9253 = 1865
  integer, parameter :: nGC_9254 = 1866
  integer, parameter :: nGC_9256 = 1867
  integer, parameter :: nGC_9257 = 1868
  integer, parameter :: nGC_9090 = 1869
  integer, parameter :: nGC_TS_GC_11_Hl = 1870
  integer, parameter :: nGC_17882 = 1871
  integer, parameter :: nGC_17881 = 1872
  integer, parameter :: nGC_13904 = 1873
  integer, parameter :: nGC_16445 = 1874
  integer, parameter :: nGC_16446 = 1875
  integer, parameter :: nGC_16447 = 1876
  integer, parameter :: nGC_16931 = 1877
  integer, parameter :: nGC_14160 = 1878
  integer, parameter :: nGC_1207 = 1879
  integer, parameter :: nGC_14180 = 1880
  integer, parameter :: nGC_15437 = 1881
  integer, parameter :: nGC_9435 = 1882
  integer, parameter :: nGC_TS_GC_13_Hh = 1883
  integer, parameter :: nGC_9436 = 1884
  integer, parameter :: nGC_TS_GC_13_Hl = 1885
  integer, parameter :: nGC_13511 = 1886
  integer, parameter :: nGC_13512 = 1887
  integer, parameter :: nGC_13519 = 1888
  integer, parameter :: nGC_9433 = 1889
  integer, parameter :: nGC_8738 = 1890
  integer, parameter :: nGC_8739 = 1891
  integer, parameter :: nGC_14438 = 1892
  integer, parameter :: nGC_12910 = 1893
  integer, parameter :: nGC_14344 = 1894
  integer, parameter :: nGC_14347 = 1895
  integer, parameter :: nGC_14430 = 1896
  integer, parameter :: nGC_14437 = 1897
  integer, parameter :: nGC_22294 = 1898
  integer, parameter :: nGC_20342 = 1899
  integer, parameter :: nGC_20343 = 1900
  integer, parameter :: nGC_20340 = 1901
  integer, parameter :: nGC_20341 = 1902
  integer, parameter :: nGC_12776 = 1903
  integer, parameter :: nGC_12775 = 1904
  integer, parameter :: nGC_9467 = 1905
  integer, parameter :: nGC_13351 = 1906
  integer, parameter :: nGC_9469 = 1907
  integer, parameter :: nGC_9468 = 1908
  integer, parameter :: nGC_13359 = 1909
  integer, parameter :: nGC_8938 = 1910
  integer, parameter :: nGC_8939 = 1911
  integer, parameter :: nGC_8930 = 1912
  integer, parameter :: nGC_8931 = 1913
  integer, parameter :: nGC_22072 = 1914
  integer, parameter :: nGC_8937 = 1915
  integer, parameter :: nGC_8934 = 1916
  integer, parameter :: nGC_8935 = 1917
  integer, parameter :: nGC_16325 = 1918
  integer, parameter :: nGC_16324 = 1919
  integer, parameter :: nGC_19324 = 1920
  integer, parameter :: nGC_9269 = 1921
  integer, parameter :: nGC_9268 = 1922
  integer, parameter :: nGC_9265 = 1923
  integer, parameter :: nGC_9264 = 1924
  integer, parameter :: nGC_9267 = 1925
  integer, parameter :: nGC_9266 = 1926
  integer, parameter :: nGC_9263 = 1927
  integer, parameter :: nGC_9069 = 1928
  integer, parameter :: nGC_9068 = 1929
  integer, parameter :: nGC_9067 = 1930
  integer, parameter :: nGC_9066 = 1931
  integer, parameter :: nGC_9065 = 1932
  integer, parameter :: nGC_9064 = 1933
  integer, parameter :: nGC_9063 = 1934
  integer, parameter :: nGC_9062 = 1935
  integer, parameter :: nGC_9061 = 1936
  integer, parameter :: nGC_9060 = 1937
  integer, parameter :: nGC_9287 = 1938
  integer, parameter :: nGC_9286 = 1939
  integer, parameter :: nGC_9289 = 1940
  integer, parameter :: nGC_9288 = 1941
  integer, parameter :: nGC_14985 = 1942
  integer, parameter :: nGC_16107 = 1943
  integer, parameter :: nGC_16451 = 1944
  integer, parameter :: nGC_9117 = 1945
  integer, parameter :: nGC_16929 = 1946
  integer, parameter :: nGC_9118 = 1947
  integer, parameter :: nGC_17774 = 1948
  integer, parameter :: nGC_TS_GC_195_Hh = 1949
  integer, parameter :: nGC_13471 = 1950
  integer, parameter :: nGC_15003 = 1951
  integer, parameter :: nGC_16070 = 1952
  integer, parameter :: nGC_15755 = 1953
  integer, parameter :: nGC_15754 = 1954
  integer, parameter :: nGC_9338 = 1955
  integer, parameter :: nGC_9336 = 1956
  integer, parameter :: nGC_TS_GC_26_Hl = 1957
  integer, parameter :: nGC_TS_GC_26_Hh = 1958
  integer, parameter :: nGC_TS_GC_109_Hl = 1959
  integer, parameter :: nGC_12974 = 1960
  integer, parameter :: nGC_12975 = 1961
  integer, parameter :: nGC_12976 = 1962
  integer, parameter :: nGC_1103 = 1963
  integer, parameter :: nGC_25898 = 1964
  integer, parameter :: nGC_21888 = 1965
  integer, parameter :: nGC_21889 = 1966
  integer, parameter :: nGC_19057 = 1967
  integer, parameter :: nGC_13292 = 1968
  integer, parameter :: nGC_13561 = 1969
  integer, parameter :: nGC_13290 = 1970
  integer, parameter :: nGC_13563 = 1971
  integer, parameter :: nGC_TS_GC_184_Hl = 1972
  integer, parameter :: nGC_14001 = 1973
  integer, parameter :: nGC_12904 = 1974
  integer, parameter :: nGC_14555 = 1975
  integer, parameter :: nGC_13182 = 1976
  integer, parameter :: nGC_13180 = 1977
  integer, parameter :: nGC_13181 = 1978
  integer, parameter :: nGC_8895 = 1979
  integer, parameter :: nGC_8894 = 1980
  integer, parameter :: nGC_8891 = 1981
  integer, parameter :: nGC_8890 = 1982
  integer, parameter :: nGC_8893 = 1983
  integer, parameter :: nGC_8892 = 1984
  integer, parameter :: nGC_12769 = 1985
  integer, parameter :: nGC_13363 = 1986
  integer, parameter :: nGC_13360 = 1987
  integer, parameter :: nGC_8899 = 1988
  integer, parameter :: nGC_13364 = 1989
  integer, parameter :: nGC_9470 = 1990
  integer, parameter :: nGC_9471 = 1991
  integer, parameter :: nGC_9472 = 1992
  integer, parameter :: nGC_9473 = 1993
  integer, parameter :: nGC_9474 = 1994
  integer, parameter :: nGC_9475 = 1995
  integer, parameter :: nGC_9476 = 1996
  integer, parameter :: nGC_9478 = 1997
  integer, parameter :: nGC_13379 = 1998
  integer, parameter :: nGC_13163 = 1999
  integer, parameter :: nGC_8884 = 2000
  integer, parameter :: nGC_8961 = 2001
  integer, parameter :: nGC_8960 = 2002
  integer, parameter :: nGC_8963 = 2003
  integer, parameter :: nGC_8962 = 2004
  integer, parameter :: nGC_12897 = 2005
  integer, parameter :: nGC_9270 = 2006
  integer, parameter :: nGC_9078 = 2007
  integer, parameter :: nGC_9079 = 2008
  integer, parameter :: nGC_9074 = 2009
  integer, parameter :: nGC_9075 = 2010
  integer, parameter :: nGC_9076 = 2011
  integer, parameter :: nGC_9077 = 2012
  integer, parameter :: nGC_9070 = 2013
  integer, parameter :: nGC_9071 = 2014
  integer, parameter :: nGC_9072 = 2015
  integer, parameter :: nGC_9073 = 2016
  integer, parameter :: nGC_9295 = 2017
  integer, parameter :: nGC_9297 = 2018
  integer, parameter :: nGC_9290 = 2019
  integer, parameter :: nGC_9291 = 2020
  integer, parameter :: nGC_9293 = 2021
  integer, parameter :: nGC_9298 = 2022
  integer, parameter :: nGC_24627 = 2023
  integer, parameter :: nGC_24626 = 2024
  integer, parameter :: nGC_TS_GC_10_Hl = 2025
  integer, parameter :: nGC_TS_GC_10_Hh = 2026
  integer, parameter :: nGC_9104 = 2027
  integer, parameter :: nGC_9105 = 2028
  integer, parameter :: nGC_9102 = 2029
  integer, parameter :: nGC_9103 = 2030
  integer, parameter :: nGC_9108 = 2031
  integer, parameter :: nGC_9109 = 2032
  integer, parameter :: nGC_8767 = 2033
  integer, parameter :: nGC_8766 = 2034
  integer, parameter :: nGC_8764 = 2035
  integer, parameter :: nGC_15109 = 2036
  integer, parameter :: nGC_8763 = 2037
  integer, parameter :: nGC_8761 = 2038
  integer, parameter :: nGC_18183 = 2039
  integer, parameter :: nGC_18181 = 2040
  integer, parameter :: nGC_21094 = 2041
  integer, parameter :: nGC_21091 = 2042
  integer, parameter :: nGC_21093 = 2043
  integer, parameter :: nGC_21092 = 2044
  integer, parameter :: nGC_15438 = 2045
  integer, parameter :: nGC_15439 = 2046
  integer, parameter :: nGC_13756 = 2047
  integer, parameter :: nGC_TS_GC_39_Hl = 2048
  integer, parameter :: nGC_21890 = 2049
  integer, parameter :: nGC_14524 = 2050
  integer, parameter :: nGC_13994 = 2051
  integer, parameter :: nGC_14257 = 2052
  integer, parameter :: nGC_14256 = 2053
  integer, parameter :: nGC_13574 = 2054
  integer, parameter :: nGC_14259 = 2055
  integer, parameter :: nGC_14258 = 2056
  integer, parameter :: nGC_14021 = 2057
  integer, parameter :: nGC_8718 = 2058
  integer, parameter :: nGC_8719 = 2059
  integer, parameter :: nGC_12979 = 2060
  integer, parameter :: nGC_8716 = 2061
  integer, parameter :: nGC_8717 = 2062
  integer, parameter :: nGC_12973 = 2063
  integer, parameter :: nGC_22274 = 2064
  integer, parameter :: nGC_8882 = 2065
  integer, parameter :: nGC_8883 = 2066
  integer, parameter :: nGC_8881 = 2067
  integer, parameter :: nGC_8886 = 2068
  integer, parameter :: nGC_8887 = 2069
  integer, parameter :: nGC_12712 = 2070
  integer, parameter :: nGC_8885 = 2071
  integer, parameter :: nGC_8888 = 2072
  integer, parameter :: nGC_8889 = 2073
  integer, parameter :: nGC_9449 = 2074
  integer, parameter :: nGC_9448 = 2075
  integer, parameter :: nGC_9444 = 2076
  integer, parameter :: nGC_9446 = 2077
  integer, parameter :: nGC_9441 = 2078
  integer, parameter :: nGC_9443 = 2079
  integer, parameter :: nGC_9442 = 2080
  integer, parameter :: nGC_9049 = 2081
  integer, parameter :: nGC_9048 = 2082
  integer, parameter :: nGC_9041 = 2083
  integer, parameter :: nGC_9040 = 2084
  integer, parameter :: nGC_9043 = 2085
  integer, parameter :: nGC_9042 = 2086
  integer, parameter :: nGC_9044 = 2087
  integer, parameter :: nGC_12651 = 2088
  integer, parameter :: nGC_9131 = 2089
  integer, parameter :: nGC_9130 = 2090
  integer, parameter :: nGC_9132 = 2091
  integer, parameter :: nGC_9137 = 2092
  integer, parameter :: nGC_16017 = 2093
  integer, parameter :: nGC_16873 = 2094
  integer, parameter :: nGC_16018 = 2095
  integer, parameter :: nGC_15110 = 2096
  integer, parameter :: nGC_13762 = 2097
  integer, parameter :: nGC_13763 = 2098
  integer, parameter :: nGC_15422 = 2099
  integer, parameter :: nGC_14086 = 2100
  integer, parameter :: nGC_13966 = 2101
  integer, parameter :: nGC_13967 = 2102
  integer, parameter :: nGC_13968 = 2103
  integer, parameter :: nGC_14062 = 2104
  integer, parameter :: nGC_14066 = 2105
  integer, parameter :: nGC_14067 = 2106
  integer, parameter :: nGC_5061 = 2107
  integer, parameter :: nGC_5067 = 2108
  integer, parameter :: nGC_5065 = 2109
  integer, parameter :: nGC_14464 = 2110
  integer, parameter :: nGC_14465 = 2111
  integer, parameter :: nGC_14466 = 2112
  integer, parameter :: nGC_14392 = 2113
  integer, parameter :: nGC_21280 = 2114
  integer, parameter :: nGC_19149 = 2115
  integer, parameter :: nGC_8879 = 2116
  integer, parameter :: nGC_8878 = 2117
  integer, parameter :: nGC_8875 = 2118
  integer, parameter :: nGC_8874 = 2119
  integer, parameter :: nGC_8873 = 2120
  integer, parameter :: nGC_8872 = 2121
  integer, parameter :: nGC_8871 = 2122
  integer, parameter :: nGC_8870 = 2123
  integer, parameter :: nGC_9452 = 2124
  integer, parameter :: nGC_9453 = 2125
  integer, parameter :: nGC_9450 = 2126
  integer, parameter :: nGC_9451 = 2127
  integer, parameter :: nGC_9456 = 2128
  integer, parameter :: nGC_9454 = 2129
  integer, parameter :: nGC_9455 = 2130
  integer, parameter :: nGC_14439 = 2131
  integer, parameter :: nGC_12811 = 2132
  integer, parameter :: nGC_12817 = 2133
  integer, parameter :: nGC_14263 = 2134
  integer, parameter :: nGC_13540 = 2135
  integer, parameter :: nGC_12818 = 2136
  integer, parameter :: nGC_12636 = 2137
  integer, parameter :: nGC_8983 = 2138
  integer, parameter :: nGC_8982 = 2139
  integer, parameter :: nGC_8981 = 2140
  integer, parameter :: nGC_8987 = 2141
  integer, parameter :: nGC_8986 = 2142
  integer, parameter :: nGC_8985 = 2143
  integer, parameter :: nGC_9056 = 2144
  integer, parameter :: nGC_9057 = 2145
  integer, parameter :: nGC_9054 = 2146
  integer, parameter :: nGC_9055 = 2147
  integer, parameter :: nGC_9052 = 2148
  integer, parameter :: nGC_9053 = 2149
  integer, parameter :: nGC_9050 = 2150
  integer, parameter :: nGC_9051 = 2151
  integer, parameter :: nGC_9058 = 2152
  integer, parameter :: nGC_9059 = 2153
  integer, parameter :: nGC_14435 = 2154
  integer, parameter :: nGC_16241 = 2155
  integer, parameter :: nGC_15931 = 2156
  integer, parameter :: nGC_15933 = 2157
  integer, parameter :: nGC_TS_GC_105_Hh = 2158
  integer, parameter :: nGC_9127 = 2159
  integer, parameter :: nGC_9122 = 2160
  integer, parameter :: nGC_9120 = 2161
  integer, parameter :: nGC_9121 = 2162
  integer, parameter :: nGC_29966 = 2163
  integer, parameter :: nGC_9465 = 2164
  integer, parameter :: nGC_16677 = 2165
  integer, parameter :: nGC_21278 = 2166
  integer, parameter :: nGC_21076 = 2167
  integer, parameter :: nGC_8787 = 2168
  integer, parameter :: nGC_14720 = 2169
  integer, parameter :: nGC_8786 = 2170
  integer, parameter :: nGC_8836 = 2171
  integer, parameter :: nGC_8783 = 2172
  integer, parameter :: nGC_14094 = 2173
  integer, parameter :: nGC_8936 = 2174
  integer, parameter :: nGC_13607 = 2175
  integer, parameter :: nGC_13606 = 2176
  integer, parameter :: nGC_13601 = 2177
  integer, parameter :: nGC_13600 = 2178
  integer, parameter :: nGC_13609 = 2179
  integer, parameter :: nGC_13608 = 2180
  integer, parameter :: nGC_12671 = 2181
  integer, parameter :: nGC_14386 = 2182
  integer, parameter :: nGC_13779 = 2183
  integer, parameter :: nGC_14665 = 2184
  integer, parameter :: nGC_13771 = 2185
  integer, parameter :: nGC_13773 = 2186
  integer, parameter :: nGC_13772 = 2187
  integer, parameter :: nGC_8868 = 2188
  integer, parameter :: nGC_8869 = 2189
  integer, parameter :: nGC_8864 = 2190
  integer, parameter :: nGC_8866 = 2191
  integer, parameter :: nGC_8867 = 2192
  integer, parameter :: nGC_8860 = 2193
  integer, parameter :: nGC_13154 = 2194
  integer, parameter :: nGC_13157 = 2195
  integer, parameter :: nGC_13809 = 2196
  integer, parameter :: nGC_22748 = 2197
  integer, parameter :: nGC_8990 = 2198
  integer, parameter :: nGC_8991 = 2199
  integer, parameter :: nGC_8993 = 2200
  integer, parameter :: nGC_8995 = 2201
  integer, parameter :: nGC_8997 = 2202
  integer, parameter :: nGC_9023 = 2203
  integer, parameter :: nGC_9022 = 2204
  integer, parameter :: nGC_9021 = 2205
  integer, parameter :: nGC_9020 = 2206
  integer, parameter :: nGC_9027 = 2207
  integer, parameter :: nGC_14048 = 2208
  integer, parameter :: nGC_9025 = 2209
  integer, parameter :: nGC_9024 = 2210
  integer, parameter :: nGC_9029 = 2211
  integer, parameter :: nGC_9028 = 2212
  integer, parameter :: nGC_12731 = 2213
  integer, parameter :: nGC_12734 = 2214
  integer, parameter :: nGC_12735 = 2215
  integer, parameter :: nGC_TS_GC_103_Hl = 2216
  integer, parameter :: nGC_TS_GC_103_Hh = 2217
  integer, parameter :: nGC_17384 = 2218
  integer, parameter :: nGC_17385 = 2219
  integer, parameter :: nGC_9301 = 2220
  integer, parameter :: nGC_9481 = 2221
  integer, parameter :: nGC_9480 = 2222
  integer, parameter :: nGC_9483 = 2223
  integer, parameter :: nGC_9482 = 2224
  integer, parameter :: nGC_9484 = 2225
  integer, parameter :: nGC_9339 = 2226
  integer, parameter :: nGC_9486 = 2227
  integer, parameter :: nGC_9489 = 2228
  integer, parameter :: nGC_9488 = 2229
  integer, parameter :: nGC_9335 = 2230
  integer, parameter :: nGC_9334 = 2231
  integer, parameter :: nGC_9332 = 2232
  integer, parameter :: nGC_9331 = 2233
  integer, parameter :: nGC_9330 = 2234
  integer, parameter :: nGC_17495 = 2235
  integer, parameter :: nGC_17497 = 2236
  integer, parameter :: nGC_17498 = 2237
  integer, parameter :: nGC_9159 = 2238
  integer, parameter :: nGC_9158 = 2239
  integer, parameter :: nGC_9153 = 2240
  integer, parameter :: nGC_9152 = 2241
  integer, parameter :: nGC_9156 = 2242
  integer, parameter :: nGC_TS_GC_130_Hl = 2243
  integer, parameter :: nGC_TS_GC_112_Hh = 2244
  integer, parameter :: nGC_16811 = 2245
  integer, parameter :: nGC_16722 = 2246
  integer, parameter :: nGC_15399 = 2247
  integer, parameter :: nGC_15395 = 2248
  integer, parameter :: nGC_15394 = 2249
  integer, parameter :: nGC_19541 = 2250
  integer, parameter :: nGC_19542 = 2251
  integer, parameter :: nGC_19543 = 2252
  integer, parameter :: nGC_14714 = 2253
  integer, parameter :: nGC_14868 = 2254
  integer, parameter :: nGC_TS_GC_9_Hl = 2255
  integer, parameter :: nGC_TS_GC_9_Hh = 2256
  integer, parameter :: nGC_1143 = 2257
  integer, parameter :: nGC_14667 = 2258
  integer, parameter :: nGC_15718 = 2259
  integer, parameter :: nGC_14660 = 2260
  integer, parameter :: nGC_14212 = 2261
  integer, parameter :: nGC_15716 = 2262
  integer, parameter :: nGC_15247 = 2263
  integer, parameter :: nGC_14211 = 2264
  integer, parameter :: nGC_14669 = 2265
  integer, parameter :: nGC_13011 = 2266
  integer, parameter :: nGC_13016 = 2267
  integer, parameter :: nGC_13017 = 2268
  integer, parameter :: nGC_12944 = 2269
  integer, parameter :: nGC_12947 = 2270
  integer, parameter :: nGC_12946 = 2271
  integer, parameter :: nGC_14440 = 2272
  integer, parameter :: nGC_14441 = 2273
  integer, parameter :: nGC_12949 = 2274
  integer, parameter :: nGC_8859 = 2275
  integer, parameter :: nGC_8850 = 2276
  integer, parameter :: nGC_8852 = 2277
  integer, parameter :: nGC_8855 = 2278
  integer, parameter :: nGC_8854 = 2279
  integer, parameter :: nGC_8857 = 2280
  integer, parameter :: nGC_13125 = 2281
  integer, parameter :: nGC_13126 = 2282
  integer, parameter :: nGC_13122 = 2283
  integer, parameter :: nGC_12830 = 2284
  integer, parameter :: nGC_TS_GC_106_Hh = 2285
  integer, parameter :: nGC_TS_GC_106_Hl = 2286
  integer, parameter :: nGC_17060 = 2287
  integer, parameter :: nGC_13233 = 2288
  integer, parameter :: nGC_9030 = 2289
  integer, parameter :: nGC_9031 = 2290
  integer, parameter :: nGC_9032 = 2291
  integer, parameter :: nGC_9033 = 2292
  integer, parameter :: nGC_9035 = 2293
  integer, parameter :: nGC_9037 = 2294
  integer, parameter :: nGC_9039 = 2295
  integer, parameter :: nGC_12728 = 2296
  integer, parameter :: nGC_12723 = 2297
  integer, parameter :: nGC_17662 = 2298
  integer, parameter :: nGC_9498 = 2299
  integer, parameter :: nGC_9499 = 2300
  integer, parameter :: nGC_9497 = 2301
  integer, parameter :: nGC_9326 = 2302
  integer, parameter :: nGC_9327 = 2303
  integer, parameter :: nGC_9493 = 2304
  integer, parameter :: nGC_9490 = 2305
  integer, parameter :: nGC_9323 = 2306
  integer, parameter :: nGC_28692 = 2307
  integer, parameter :: nGC_30135 = 2308
  integer, parameter :: nGC_14705 = 2309
  integer, parameter :: nGC_14701 = 2310
  integer, parameter :: nGC_14879 = 2311
  integer, parameter :: nGC_15653 = 2312
  integer, parameter :: nGC_15093 = 2313
  integer, parameter :: nGC_15096 = 2314
  integer, parameter :: nGC_15095 = 2315
  integer, parameter :: nGC_19088 = 2316
  integer, parameter :: nGC_14671 = 2317
  integer, parameter :: nGC_14673 = 2318
  integer, parameter :: nGC_14672 = 2319
  integer, parameter :: nGC_13957 = 2320
  integer, parameter :: nGC_13003 = 2321
  integer, parameter :: nGC_13004 = 2322
  integer, parameter :: nGC_TS_GC_23_Hl = 2323
  integer, parameter :: nGC_8911 = 2324
  integer, parameter :: nGC_13487 = 2325
  integer, parameter :: nGC_18361 = 2326
  integer, parameter :: nGC_13480 = 2327
  integer, parameter :: nGC_13717 = 2328
  integer, parameter :: nGC_19371 = 2329
  integer, parameter :: nGC_19370 = 2330
  integer, parameter :: nGC_8916 = 2331
  integer, parameter :: nGC_13131 = 2332
  integer, parameter :: nGC_13139 = 2333
  integer, parameter :: nGC_27065 = 2334
  integer, parameter :: nGC_12844 = 2335
  integer, parameter :: nGC_14295 = 2336
  integer, parameter :: nGC_13828 = 2337
  integer, parameter :: nGC_14298 = 2338
  integer, parameter :: nGC_15891 = 2339
  integer, parameter :: nGC_13229 = 2340
  integer, parameter :: nGC_TS_GC_133_Hh = 2341
  integer, parameter :: nGC_9009 = 2342
  integer, parameter :: nGC_9008 = 2343
  integer, parameter :: nGC_9006 = 2344
  integer, parameter :: nGC_9000 = 2345
  integer, parameter :: nGC_9003 = 2346
  integer, parameter :: nGC_9002 = 2347
  integer, parameter :: nGC_TS_GC_113_Hl = 2348
  integer, parameter :: nGC_8848 = 2349
  integer, parameter :: nGC_29823 = 2350
  integer, parameter :: nGC_9319 = 2351
  integer, parameter :: nGC_9318 = 2352
  integer, parameter :: nGC_9310 = 2353
  integer, parameter :: nGC_9313 = 2354
  integer, parameter :: nGC_9312 = 2355
  integer, parameter :: nGC_9315 = 2356
  integer, parameter :: nGC_9314 = 2357
  integer, parameter :: nGC_28336 = 2358
  integer, parameter :: nGC_9172 = 2359
  integer, parameter :: nGC_19774 = 2360
  integer, parameter :: nGC_19772 = 2361
  integer, parameter :: nGC_16290 = 2362
  integer, parameter :: nGC_14901 = 2363
  integer, parameter :: nGC_9341 = 2364
  integer, parameter :: nGC_8880 = 2365
  integer, parameter :: nGC_30589 = 2366
  integer, parameter :: nGC_14598 = 2367
  integer, parameter :: nGC_14601 = 2368
  integer, parameter :: nGC_15265 = 2369
  integer, parameter :: nGC_15266 = 2370
  integer, parameter :: nGC_13033 = 2371
  integer, parameter :: nGC_17452 = 2372
  integer, parameter :: nGC_14542 = 2373
  integer, parameter :: nGC_12981 = 2374
  integer, parameter :: nGC_12980 = 2375
  integer, parameter :: nGC_13454 = 2376
  integer, parameter :: nGC_13455 = 2377
  integer, parameter :: nGC_14336 = 2378
  integer, parameter :: nGC_13386 = 2379
  integer, parameter :: nGC_12856 = 2380
  integer, parameter :: nGC_13387 = 2381
  integer, parameter :: nGC_12852 = 2382
  integer, parameter :: nGC_13855 = 2383
  integer, parameter :: nGC_8949 = 2384
  integer, parameter :: nGC_8948 = 2385
  integer, parameter :: nGC_8947 = 2386
  integer, parameter :: nGC_8946 = 2387
  integer, parameter :: nGC_8941 = 2388
  integer, parameter :: nGC_8940 = 2389
  integer, parameter :: nGC_13218 = 2390
  integer, parameter :: nGC_17001 = 2391
  integer, parameter :: nGC_9018 = 2392
  integer, parameter :: nGC_9012 = 2393
  integer, parameter :: nGC_9010 = 2394
  integer, parameter :: nGC_9011 = 2395
  integer, parameter :: nGC_9016 = 2396
  integer, parameter :: nGC_9017 = 2397
  integer, parameter :: nGC_9015 = 2398
  integer, parameter :: nGC_8833 = 2399
  integer, parameter :: nGC_8832 = 2400
  integer, parameter :: nGC_8831 = 2401
  integer, parameter :: nGC_8830 = 2402
  integer, parameter :: nGC_8837 = 2403
  integer, parameter :: nGC_8780 = 2404
  integer, parameter :: nGC_8835 = 2405
  integer, parameter :: nGC_8834 = 2406
  integer, parameter :: nGC_9304 = 2407
  integer, parameter :: nGC_9305 = 2408
  integer, parameter :: nGC_2391 = 2409
  integer, parameter :: nGC_29836 = 2410
  integer, parameter :: nGC_17649 = 2411
  integer, parameter :: nGC_9309 = 2412
  integer, parameter :: nGC_13140 = 2413
  integer, parameter :: nGC_9162 = 2414
  integer, parameter :: nGC_9163 = 2415
  integer, parameter :: nGC_16352 = 2416
  integer, parameter :: nGC_9161 = 2417
  integer, parameter :: nGC_9166 = 2418
  integer, parameter :: nGC_9167 = 2419
  integer, parameter :: nGC_9164 = 2420
  integer, parameter :: nGC_9165 = 2421
  integer, parameter :: nGC_9168 = 2422
  integer, parameter :: nGC_9169 = 2423
  integer, parameter :: nGC_23555 = 2424
  integer, parameter :: nGC_14262 = 2425
  integer, parameter :: nGC_8775 = 2426
  integer, parameter :: nGC_8776 = 2427
  integer, parameter :: nGC_8777 = 2428
  integer, parameter :: nGC_8771 = 2429
  integer, parameter :: nGC_9354 = 2430
  integer, parameter :: nGC_14851 = 2431
  integer, parameter :: nGC_13091 = 2432
  integer, parameter :: nGC_15072 = 2433
  integer, parameter :: nGC_18299 = 2434
  integer, parameter :: nGC_18298 = 2435
  integer, parameter :: nGC_18297 = 2436
  integer, parameter :: nGC_18296 = 2437
  integer, parameter :: nGC_14583 = 2438
  integer, parameter :: nGC_14619 = 2439
  integer, parameter :: nGC_14615 = 2440
  integer, parameter :: nGC_9350 = 2441
  integer, parameter :: nGC_8711 = 2442
  integer, parameter :: nGC_13744 = 2443
  integer, parameter :: nGC_14032 = 2444
  integer, parameter :: nGC_9149 = 2445
  integer, parameter :: nGC_20174 = 2446
  integer, parameter :: nGC_16226 = 2447
  integer, parameter :: nGC_9151 = 2448
  integer, parameter :: nGC_9150 = 2449
  integer, parameter :: nGC_9157 = 2450
  integer, parameter :: nGC_9155 = 2451
  integer, parameter :: nGC_9154 = 2452
  integer, parameter :: nGC_14329 = 2453
  integer, parameter :: nGC_13445 = 2454
  integer, parameter :: nGC_13444 = 2455
  integer, parameter :: nGC_12863 = 2456
  integer, parameter :: nGC_8709 = 2457
  integer, parameter :: nGC_27169 = 2458
  integer, parameter :: nGC_16131 = 2459
  integer, parameter :: nGC_16132 = 2460
  integer, parameter :: nGC_13840 = 2461
  integer, parameter :: nGC_16812 = 2462
  integer, parameter :: nGC_8897 = 2463
  integer, parameter :: nGC_8896 = 2464
  integer, parameter :: nGC_12880 = 2465
  integer, parameter :: nGC_12883 = 2466
  integer, parameter :: nGC_13366 = 2467
  integer, parameter :: nGC_8898 = 2468
  integer, parameter :: nGC_13365 = 2469
  integer, parameter :: nGC_21096 = 2470
  integer, parameter :: nGC_15038 = 2471
  integer, parameter :: nGC_23007 = 2472
  integer, parameter :: nGC_16048 = 2473
  integer, parameter :: nGC_8821 = 2474
  integer, parameter :: nGC_8822 = 2475
  integer, parameter :: nGC_8823 = 2476
  integer, parameter :: nGC_8825 = 2477
  integer, parameter :: nGC_8827 = 2478
  integer, parameter :: nGC_8829 = 2479
  integer, parameter :: nGC_18982 = 2480
  integer, parameter :: nGC_9278 = 2481
  integer, parameter :: nGC_9279 = 2482
  integer, parameter :: nGC_9272 = 2483
  integer, parameter :: nGC_9273 = 2484
  integer, parameter :: nGC_9271 = 2485
  integer, parameter :: nGC_9276 = 2486
  integer, parameter :: nGC_9277 = 2487
  integer, parameter :: nGC_9274 = 2488
  integer, parameter :: nGC_9275 = 2489
  integer, parameter :: nGC_12649 = 2490
  integer, parameter :: nGC_8842 = 2491
  integer, parameter :: nGC_16266 = 2492
  integer, parameter :: nGC_8843 = 2493
  integer, parameter :: nGC_9199 = 2494
  integer, parameter :: nGC_9198 = 2495
  integer, parameter :: nGC_9197 = 2496
  integer, parameter :: nGC_9196 = 2497
  integer, parameter :: nGC_9195 = 2498
  integer, parameter :: nGC_9194 = 2499
  integer, parameter :: nGC_9193 = 2500
  integer, parameter :: nGC_14141 = 2501
  integer, parameter :: nGC_9190 = 2502
  integer, parameter :: nGC_15365 = 2503
  integer, parameter :: nGC_15366 = 2504
  integer, parameter :: nGC_15248 = 2505
  integer, parameter :: nGC_9207 = 2506
  integer, parameter :: nGC_9206 = 2507
  integer, parameter :: nGC_9205 = 2508
  integer, parameter :: nGC_9204 = 2509
  integer, parameter :: nGC_9203 = 2510
  integer, parameter :: nGC_9202 = 2511
  integer, parameter :: nGC_9201 = 2512
  integer, parameter :: nGC_9200 = 2513
  integer, parameter :: nGC_14364 = 2514
  integer, parameter :: nGC_14363 = 2515
  integer, parameter :: nGC_9106 = 2516
  integer, parameter :: nGC_9107 = 2517
  integer, parameter :: nGC_9100 = 2518
  integer, parameter :: nGC_9101 = 2519
  integer, parameter :: nGC_14567 = 2520
  integer, parameter :: nGC_8849 = 2521
  integer, parameter :: nGC_8858 = 2522
  integer, parameter :: nGC_14213 = 2523
  integer, parameter :: nGC_8853 = 2524
  integer, parameter :: nGC_13530 = 2525
  integer, parameter :: nGC_13240 = 2526
  integer, parameter :: nGC_8856 = 2527
  integer, parameter :: nGC_12838 = 2528
  integer, parameter :: nGC_12932 = 2529
  integer, parameter :: nGC_12757 = 2530
  integer, parameter :: nGC_17061 = 2531
  integer, parameter :: nGC_15663 = 2532
  integer, parameter :: nGC_15662 = 2533
  integer, parameter :: nGC_13285 = 2534
  integer, parameter :: nGC_12686 = 2535
  integer, parameter :: nGC_12680 = 2536
  integer, parameter :: nGC_8918 = 2537
  integer, parameter :: nGC_8919 = 2538
  integer, parameter :: nGC_9243 = 2539
  integer, parameter :: nGC_13903 = 2540
  integer, parameter :: nGC_13901 = 2541
  integer, parameter :: nGC_9247 = 2542
  integer, parameter :: nGC_9246 = 2543
  integer, parameter :: nGC_14624 = 2544
  integer, parameter :: nGC_14625 = 2545
  integer, parameter :: nGC_21095 = 2546
  integer, parameter :: nGC_9249 = 2547
  integer, parameter :: nGC_14629 = 2548
  integer, parameter :: nGC_9087 = 2549
  integer, parameter :: nGC_9086 = 2550
  integer, parameter :: nGC_8784 = 2551
  integer, parameter :: nGC_9089 = 2552
  integer, parameter :: nGC_9088 = 2553
  integer, parameter :: nGC_17559 = 2554
  integer, parameter :: nGC_13598 = 2555
  integer, parameter :: nGC_13692 = 2556
  integer, parameter :: nGC_13693 = 2557
  integer, parameter :: nGC_13694 = 2558
  integer, parameter :: nGC_9255 = 2559
  integer, parameter :: nGC_29878 = 2560
  integer, parameter :: nGC_16237 = 2561
  integer, parameter :: nGC_16236 = 2562
  integer, parameter :: nGC_20109 = 2563
  integer, parameter :: nGC_14136 = 2564
  integer, parameter :: nGC_14137 = 2565
  integer, parameter :: nGC_15338 = 2566
  integer, parameter :: nGC_9140 = 2567
  integer, parameter :: nGC_9141 = 2568
  integer, parameter :: nGC_9142 = 2569
  integer, parameter :: nGC_9143 = 2570
  integer, parameter :: nGC_15440 = 2571
  integer, parameter :: nGC_14138 = 2572
  integer, parameter :: nGC_14139 = 2573
  integer, parameter :: nGC_14255 = 2574
  integer, parameter :: nGC_14318 = 2575
  integer, parameter :: nGC_14319 = 2576
  integer, parameter :: nGC_14317 = 2577
  integer, parameter :: nGC_21877 = 2578
  integer, parameter :: nGC_14960 = 2579
  integer, parameter :: nGC_22472 = 2580
  integer, parameter :: nGC_22473 = 2581
  integer, parameter :: nGC_8712 = 2582
  integer, parameter :: nGC_8713 = 2583
  integer, parameter :: nGC_8710 = 2584
  integer, parameter :: nGC_22479 = 2585
  integer, parameter :: nGC_8714 = 2586
  integer, parameter :: nGC_8715 = 2587
  integer, parameter :: nGC_26309 = 2588
  integer, parameter :: nGC_13050 = 2589
  integer, parameter :: nGC_13051 = 2590
  integer, parameter :: nGC_13052 = 2591
  integer, parameter :: nGC_8969 = 2592
  integer, parameter :: nGC_8968 = 2593
  integer, parameter :: nGC_12716 = 2594
  integer, parameter :: nGC_12891 = 2595
  integer, parameter :: nGC_8965 = 2596
  integer, parameter :: nGC_8967 = 2597
  integer, parameter :: nGC_8966 = 2598
  integer, parameter :: nGC_13277 = 2599
  integer, parameter :: nGC_13278 = 2600
  integer, parameter :: nGC_13279 = 2601
  integer, parameter :: nGC_33917 = 2602
  integer, parameter :: nGC_33915 = 2603
  integer, parameter :: nGC_15023 = 2604
  integer, parameter :: nGC_30540 = 2605
  integer, parameter :: nGC_12801 = 2606
  integer, parameter :: nGC_8819 = 2607
  integer, parameter :: nGC_8818 = 2608
  integer, parameter :: nGC_8815 = 2609
  integer, parameter :: nGC_8814 = 2610
  integer, parameter :: nGC_8817 = 2611
  integer, parameter :: nGC_8816 = 2612
  integer, parameter :: nGC_8811 = 2613
  integer, parameter :: nGC_8810 = 2614
  integer, parameter :: nGC_8813 = 2615
  integer, parameter :: nGC_8812 = 2616
  integer, parameter :: nGC_30508 = 2617
  integer, parameter :: nGC_15995 = 2618
  integer, parameter :: nGC_15994 = 2619
  integer, parameter :: nGC_13303 = 2620
  integer, parameter :: nGC_14877 = 2621
  integer, parameter :: nGC_30956 = 2622
  integer, parameter :: nGC_12657 = 2623
  integer, parameter :: nGC_12650 = 2624
  integer, parameter :: nGC_12652 = 2625
  integer, parameter :: nGC_14686 = 2626
  integer, parameter :: nGC_9111 = 2627
  integer, parameter :: nGC_14683 = 2628
  integer, parameter :: nGC_8953 = 2629
  integer, parameter :: nGC_9188 = 2630
  integer, parameter :: nGC_20924 = 2631
  integer, parameter :: nGC_15481 = 2632
  integer, parameter :: nGC_9185 = 2633
  integer, parameter :: nGC_9186 = 2634
  integer, parameter :: nGC_15482 = 2635
  integer, parameter :: nGC_9180 = 2636
  integer, parameter :: nGC_9181 = 2637
  integer, parameter :: nGC_9182 = 2638
  integer, parameter :: nGC_9183 = 2639
  integer, parameter :: nGC_14772 = 2640
  integer, parameter :: nGC_14773 = 2641
  integer, parameter :: nGC_9218 = 2642
  integer, parameter :: nGC_9215 = 2643
  integer, parameter :: nGC_9216 = 2644
  integer, parameter :: nGC_9217 = 2645
  integer, parameter :: nGC_9210 = 2646
  integer, parameter :: nGC_9211 = 2647
  integer, parameter :: nGC_9212 = 2648
  integer, parameter :: nGC_9213 = 2649
  integer, parameter :: nGC_33070 = 2650
  integer, parameter :: nGC_13488 = 2651
  integer, parameter :: nGC_18363 = 2652
  integer, parameter :: nGC_18364 = 2653
  integer, parameter :: nGC_9133 = 2654
  integer, parameter :: nGC_17372 = 2655
  integer, parameter :: nGC_9135 = 2656
  integer, parameter :: nGC_9134 = 2657
  integer, parameter :: nGC_9136 = 2658
  integer, parameter :: nGC_9139 = 2659
  integer, parameter :: nGC_9138 = 2660
  integer, parameter :: nGC_16679 = 2661
  integer, parameter :: nGC_16678 = 2662
  integer, parameter :: nGC_15571 = 2663
  integer, parameter :: nGC_13810 = 2664
  integer, parameter :: nGC_8861 = 2665
  integer, parameter :: nGC_8863 = 2666
  integer, parameter :: nGC_8721 = 2667
  integer, parameter :: nGC_8720 = 2668
  integer, parameter :: nGC_8726 = 2669
  integer, parameter :: nGC_8725 = 2670
  integer, parameter :: nGC_8724 = 2671
  integer, parameter :: nGC_8729 = 2672
  integer, parameter :: nGC_32106 = 2673
  integer, parameter :: nGC_16150 = 2674
  integer, parameter :: nGC_12749 = 2675
  integer, parameter :: nGC_12663 = 2676
  integer, parameter :: nGC_9179 = 2677
  integer, parameter :: nGC_8793 = 2678
  integer, parameter :: nGC_9005 = 2679
  integer, parameter :: nGC_16723 = 2680
  integer, parameter :: nGC_8846 = 2681
  integer, parameter :: nGC_8847 = 2682
  integer, parameter :: nGC_8844 = 2683
  integer, parameter :: nGC_8845 = 2684
  integer, parameter :: nGC_8929 = 2685
  integer, parameter :: nGC_8928 = 2686
  integer, parameter :: nGC_8840 = 2687
  integer, parameter :: nGC_8841 = 2688
  integer, parameter :: nGC_8924 = 2689
  integer, parameter :: nGC_8926 = 2690
  integer, parameter :: nGC_8921 = 2691
  integer, parameter :: nGC_8920 = 2692
  integer, parameter :: nGC_8922 = 2693
  integer, parameter :: nGC_18034 = 2694
  integer, parameter :: nGC_33132 = 2695
  integer, parameter :: nGC_9250 = 2696
  integer, parameter :: nGC_19206 = 2697
  integer, parameter :: nGC_9258 = 2698
  integer, parameter :: nGC_9259 = 2699
  integer, parameter :: nGC_9092 = 2700
  integer, parameter :: nGC_9093 = 2701
  integer, parameter :: nGC_9091 = 2702
  integer, parameter :: nGC_9096 = 2703
  integer, parameter :: nGC_9097 = 2704
  integer, parameter :: nGC_9094 = 2705
  integer, parameter :: nGC_9095 = 2706
  integer, parameter :: nGC_9098 = 2707
  integer, parameter :: nGC_9099 = 2708
  integer, parameter :: nGC_14178 = 2709
  integer, parameter :: nGC_9187 = 2710
  integer, parameter :: nGC_13683 = 2711
  integer, parameter :: nGC_8851 = 2712
  integer, parameter :: nGC_9175 = 2713
  integer, parameter :: nGC_9174 = 2714
  integer, parameter :: nGC_9177 = 2715
  integer, parameter :: nGC_9176 = 2716
  integer, parameter :: nGC_16202 = 2717
  integer, parameter :: nGC_16203 = 2718
  integer, parameter :: nGC_9173 = 2719
  integer, parameter :: nGC_17884 = 2720
  integer, parameter :: nGC_17883 = 2721
  integer, parameter :: nGC_9178 = 2722
  integer, parameter :: nGC_19337 = 2723
  integer, parameter :: nGC_14068 = 2724
  integer, parameter :: nGC_14069 = 2725
  integer, parameter :: nGC_14303 = 2726
  integer, parameter :: nGC_14302 = 2727
  integer, parameter :: nGC_9242 = 2728
  integer, parameter :: nGC_18182 = 2729
  integer, parameter :: nGC_9245 = 2730
  integer, parameter :: nGC_12968 = 2731
  integer, parameter :: nGC_13864 = 2732
  integer, parameter :: nGC_9244 = 2733
  integer, parameter :: nGC_13860 = 2734
  integer, parameter :: nGC_13863 = 2735
  integer, parameter :: nGC_13862 = 2736
  integer, parameter :: nGC_9189 = 2737
  integer, parameter :: nGC_14543 = 2738
  integer, parameter :: nGC_13046 = 2739
  integer, parameter :: nGC_16930 = 2740
  integer, parameter :: nGC_17837 = 2741
  integer, parameter :: nGC_14545 = 2742
  integer, parameter :: nGC_14544 = 2743
  integer, parameter :: nGC_9248 = 2744
  integer, parameter :: nGC_13388 = 2745
  integer, parameter :: nGC_13389 = 2746
  integer, parameter :: nGC_13263 = 2747
  integer, parameter :: nGC_12794 = 2748
  integer, parameter :: nGC_12790 = 2749
  integer, parameter :: nGC_8778 = 2750
  integer, parameter :: nGC_8779 = 2751
  integer, parameter :: nGC_8802 = 2752
  integer, parameter :: nGC_8772 = 2753
  integer, parameter :: nGC_8773 = 2754
  integer, parameter :: nGC_9184 = 2755
  integer, parameter :: nGC_8989 = 2756
  integer, parameter :: nGC_15781 = 2757
  integer, parameter :: nGC_17168 = 2758
  integer, parameter :: nGC_17169 = 2759
  integer, parameter :: nGC_8980 = 2760
  integer, parameter :: nGC_8984 = 2761
  integer, parameter :: nGC_8974 = 2762
  integer, parameter :: nGC_28029 = 2763
  integer, parameter :: nGC_8971 = 2764
  integer, parameter :: nGC_13491 = 2765
  integer, parameter :: nGC_20925 = 2766
  integer, parameter :: nGC_15343 = 2767
  integer, parameter :: nGC_9229 = 2768
  integer, parameter :: nGC_9228 = 2769
  integer, parameter :: nGC_9221 = 2770
  integer, parameter :: nGC_9223 = 2771
  integer, parameter :: nGC_9222 = 2772
  integer, parameter :: nGC_9224 = 2773
  integer, parameter :: nGC_9227 = 2774
  integer, parameter :: nGC_22866 = 2775
  integer, parameter :: nGC_20640 = 2776
  integer, parameter :: nGC_17836 = 2777
  integer, parameter :: nGC_9128 = 2778
  integer, parameter :: nGC_9129 = 2779
  integer, parameter :: nGC_9126 = 2780
  integer, parameter :: nGC_9124 = 2781
  integer, parameter :: nGC_9125 = 2782
  integer, parameter :: nGC_9123 = 2783
  integer, parameter :: nGC_13513 = 2784
  integer, parameter :: nGC_13514 = 2785
  integer, parameter :: nGC_14237 = 2786
  integer, parameter :: nGC_8730 = 2787
  integer, parameter :: nGC_8731 = 2788
  integer, parameter :: nGC_8732 = 2789
  integer, parameter :: nGC_8733 = 2790
  integer, parameter :: nGC_8734 = 2791
  integer, parameter :: nGC_8735 = 2792
  integer, parameter :: nGC_8736 = 2793
  integer, parameter :: nGC_8737 = 2794
  integer, parameter :: nGC_16027 = 2795
  integer, parameter :: nGC_14949 = 2796
  integer, parameter :: nGC_12914 = 2797
  integer, parameter :: nGC_16148 = 2798
  integer, parameter :: nGC_13422 = 2799
  integer, parameter :: nGC_12676 = 2800
  integer, parameter :: nGC_20344 = 2801
  integer, parameter :: nGC_20345 = 2802
  integer, parameter :: nGC_13352 = 2803
  integer, parameter :: nGC_19372 = 2804
  integer, parameter :: nGC_14529 = 2805
  integer, parameter :: nGC_17002 = 2806
  integer, parameter :: nGC_9014 = 2807
  integer, parameter :: nGC_8785 = 2808
  integer, parameter :: nGC_31129 = 2809
  integer, parameter :: nGC_8781 = 2810
  integer, parameter :: nGC_8782 = 2811
  integer, parameter :: nGC_8932 = 2812
  integer, parameter :: nGC_8933 = 2813
  integer, parameter :: nGC_8839 = 2814
  integer, parameter :: nGC_8838 = 2815
  integer, parameter :: nGC_21279 = 2816
  integer, parameter :: nGC_9148 = 2817
  integer, parameter :: nGC_9261 = 2818
  integer, parameter :: nGC_9260 = 2819
  integer, parameter :: nGC_9262 = 2820
  integer, parameter :: nGC_30209 = 2821
  integer, parameter :: nGC_9285 = 2822
  integer, parameter :: nGC_9284 = 2823
  integer, parameter :: nGC_9283 = 2824
  integer, parameter :: nGC_9282 = 2825
  integer, parameter :: nGC_9281 = 2826
  integer, parameter :: nGC_9280 = 2827
  integer, parameter :: nGC_22077 = 2828
  integer, parameter :: nGC_18316 = 2829
  integer, parameter :: nGC_19305 = 2830
  integer, parameter :: nGC_13971 = 2831
  integer, parameter :: nGC_13970 = 2832
  integer, parameter :: nGC_9146 = 2833
  integer, parameter :: nGC_9147 = 2834
  integer, parameter :: nGC_21851 = 2835
  integer, parameter :: nGC_29395 = 2836
  integer, parameter :: nGC_14980 = 2837
  integer, parameter :: nGC_9191 = 2838
  integer, parameter :: nGC_9116 = 2839
  integer, parameter :: nGC_9115 = 2840
  integer, parameter :: nGC_9114 = 2841
  integer, parameter :: nGC_9113 = 2842
  integer, parameter :: nGC_9112 = 2843
  integer, parameter :: nGC_14471 = 2844
  integer, parameter :: nGC_9110 = 2845
  integer, parameter :: nGC_9119 = 2846
  integer, parameter :: nGC_8865 = 2847
  integer, parameter :: nGC_13256 = 2848
  integer, parameter :: nGC_9234 = 2849
  integer, parameter :: nGC_8862 = 2850
  integer, parameter :: nGC_13527 = 2851
  integer, parameter :: nGC_8774 = 2852
  integer, parameter :: nGC_12789 = 2853
  integer, parameter :: nGC_12788 = 2854
  integer, parameter :: nGC_12787 = 2855
  integer, parameter :: nGC_16071 = 2856
  integer, parameter :: nGC_22407 = 2857
  integer, parameter :: nGC_14668 = 2858
  integer, parameter :: nGC_30566 = 2859
  integer, parameter :: nGC_8998 = 2860
  integer, parameter :: nGC_8999 = 2861
  integer, parameter :: nGC_13327 = 2862
  integer, parameter :: nGC_8992 = 2863
  integer, parameter :: nGC_8994 = 2864
  integer, parameter :: nGC_8996 = 2865
  integer, parameter :: nGC_9026 = 2866
  integer, parameter :: nGC_8903 = 2867
  integer, parameter :: nGC_8902 = 2868
  integer, parameter :: nGC_8901 = 2869
  integer, parameter :: nGC_8907 = 2870
  integer, parameter :: nGC_8905 = 2871
  integer, parameter :: nGC_8909 = 2872
  integer, parameter :: nGC_15757 = 2873
  integer, parameter :: nGC_15756 = 2874
  integer, parameter :: nGC_17388 = 2875
  integer, parameter :: nGC_17389 = 2876
  integer, parameter :: nGC_14584 = 2877
  integer, parameter :: nGC_9237 = 2878
  integer, parameter :: nGC_17777 = 2879
  integer, parameter :: nGC_9235 = 2880
  integer, parameter :: nGC_9232 = 2881
  integer, parameter :: nGC_9233 = 2882
  integer, parameter :: nGC_9230 = 2883
  integer, parameter :: nGC_9238 = 2884
  integer, parameter :: nGC_9239 = 2885
  integer, parameter :: nGC_29563 = 2886
  integer, parameter :: nGC_21852 = 2887
  integer, parameter :: nGC_13515 = 2888
  integer, parameter :: nGC_14366 = 2889
  integer, parameter :: nGC_13861 = 2890
  integer, parameter :: nGC_13329 = 2891
  integer, parameter :: nGC_29403 = 2892
  integer, parameter :: nGC_29233 = 2893
  integer, parameter :: nGC_30502 = 2894
  integer, parameter :: nGC_29236 = 2895
  integer, parameter :: nGC_20540 = 2896
  integer, parameter :: nGC_30031 = 2897
  integer, parameter :: nGC_30852 = 2898
  integer, parameter :: nGC_30506 = 2899
  integer, parameter :: nGC_29961 = 2900
  integer, parameter :: nGC_18365 = 2901
  integer, parameter :: nGC_29705 = 2902
  integer, parameter :: nGC_16149 = 2903
  integer, parameter :: nGC_29906 = 2904
  integer, parameter :: nGC_15782 = 2905
  integer, parameter :: nGC_14365 = 2906
  integer, parameter :: nGC_14320 = 2907
  integer, parameter :: nGC_12893 = 2908
  integer, parameter :: nGC_29575 = 2909
  integer, parameter :: nGC_13446 = 2910
  integer, parameter :: nGC_12894 = 2911
  integer, parameter :: nGC_13330 = 2912
  integer, parameter :: nGC_13529 = 2913
  integer, parameter :: nGC_13599 = 2914
  integer, parameter :: nGC_14670 = 2915
  integer, parameter :: nGC_14179 = 2916
  integer, parameter :: nGC_13490 = 2917
  integer, parameter :: nGC_29977 = 2918
  integer, parameter :: nGC_30146 = 2919
  integer, parameter :: nGC_31257 = 2920
  integer, parameter :: nGC_31519 = 2921
  integer, parameter :: nGC_29665 = 2922
  integer, parameter :: nGC_14685 = 2923
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
