!******************************************************************************!
!                                                                              !
!    fill_couplings2.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings2.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl2()
      coupl(nGC_8172) = ee*(cb**2d0 + sb**2d0)/(2d0*sw)
      coupl(nGC_8327) = cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw**2d0 + sw**2d0)** &
                        2d0/(cw**2d0*sw**2d0)
      coupl(nGC_363) = cima*(ca*cb**2d0*l1*vev1 - ca*cb**2d0*l3*vev1 + 2d0*ca* &
                       cb*l4*sb*vev2 + 2d0*ca*cb*l5*sb*vev2 - ca*l1*sb**2d0*   &
                       vev1 + ca*l3*sb**2d0*vev1 - cb**2d0*l2*sa*vev2 + cb**2d0&
                       *l3*sa*vev2 + 2d0*cb*l4*sa*sb*vev1 + 2d0*cb*l5*sa*sb*   &
                       vev1 + l2*sa*sb**2d0*vev2 - l3*sa*sb**2d0*vev2)
      coupl(nGC_365) = -cb*cima*sa*sb*vev2
      coupl(nGC_367) = -cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_144) = -sqrt(2d0)*cb*yb2/2d0 + sqrt(2d0)*sb*yd13x3/2d0
      coupl(nGC_145) = -sqrt(2d0)*ca*cima*ydo2/2d0 + sqrt(2d0)*cima*sa*ydo1/2d0
      coupl(nGC_146) = -cb*cima*ydo2 + cima*sb*ydo1
      coupl(nGC_147) = -sqrt(2d0)*cb*ydo2/2d0 + sqrt(2d0)*sb*ydo1/2d0
      coupl(nGC_140) = sqrt(2d0)*cb*yd13x3/2d0 + sqrt(2d0)*sb*yb2/2d0
      coupl(nGC_141) = -sqrt(2d0)*ca*cima*yb2/2d0 + sqrt(2d0)*cima*sa*yd13x3/2d0
      coupl(nGC_142) = -cb*cima*yb2 + cima*sb*yd13x3
      coupl(nGC_143) = sqrt(2d0)*cb*yb2/2d0 - sqrt(2d0)*sb*yd13x3/2d0
      coupl(nGC_148) = sqrt(2d0)*cb*ydo2/2d0 - sqrt(2d0)*sb*ydo1/2d0
      coupl(nGC_149) = -sqrt(2d0)*ca*cima*ydo1/2d0 - sqrt(2d0)*cima*sa*ydo2/2d0
      coupl(nGC_MI) = -cima
      coupl(nGC_7959) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_7958) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_MM) = -cMM*cima
      coupl(nGC_MC) = -cMC*cima
      coupl(nGC_MB) = -cMB*cima
      coupl(nGC_7957) = -2d0*cb*cima*sb**3d0
      coupl(nGC_7956) = 2d0*cb**3d0*cima*sb
      coupl(nGC_7951) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
      coupl(nGC_7950) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
      coupl(nGC_7953) = (cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
      coupl(nGC_7952) = -(cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
      coupl(nGC_MZ) = cMZ**2d0*cima
      coupl(nGC_8349) = -3d0*ca*cima*sa**2d0*vev2
      coupl(nGC_8348) = 3d0*ca**2d0*cima*sa*vev1
      coupl(nGC_8345) = -3d0*ca*cima*(ca**2d0*l2 + l3*sa**2d0 + l4*sa**2d0 + l5&
                        *sa**2d0)
      coupl(nGC_8344) = 3d0*cima*sa*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + l1*&
                        sa**2d0)
      coupl(nGC_8347) = -cima*(ca**3d0*vev2 + 2d0*ca**2d0*sa*vev1 - 2d0*ca*sa**&
                        2d0*vev2 - sa**3d0*vev1)
      coupl(nGC_8346) = 3d0*cima*(ca**3d0*l3*vev1 + ca**3d0*l4*vev1 + ca**3d0* &
                        l5*vev1 + 3d0*ca**2d0*l2*sa*vev2 - 2d0*ca**2d0*l3*sa*  &
                        vev2 - 2d0*ca**2d0*l4*sa*vev2 - 2d0*ca**2d0*l5*sa*vev2 &
                         + 3d0*ca*l1*sa**2d0*vev1 - 2d0*ca*l3*sa**2d0*vev1 -   &
                        2d0*ca*l4*sa**2d0*vev1 - 2d0*ca*l5*sa**2d0*vev1 + l3*sa&
                        **3d0*vev2 + l4*sa**3d0*vev2 + l5*sa**3d0*vev2)
      coupl(nGC_8341) = -3d0*ca**3d0*cima*vev2
      coupl(nGC_8340) = 3d0*cima*sa**3d0*vev1
      coupl(nGC_8343) = 3d0*ca*cima*sa*(ca*vev1 - sa*vev2)
      coupl(nGC_8342) = 3d0*ca*cima*sa*(ca*vev1 - sa*vev2)
      coupl(nGC_7921) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_8440) = cima*(-ca*cb**2d0*l3*vev2 - ca*cb*l4*sb*vev1 - ca*cb*l5&
                        *sb*vev1 - ca*l2*sb**2d0*vev2 + cb**2d0*l1*sa*vev1 + cb&
                        *l4*sa*sb*vev2 + cb*l5*sa*sb*vev2 + l3*sa*sb**2d0*vev1)
      coupl(nGC_8299) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/( &
                        cw*sw**2d0)
      coupl(nGC_8298) = ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_8443) = -cima*sa*sb**2d0*vev2
      coupl(nGC_8293) = -ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
      coupl(nGC_8292) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_8291) = ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0*cw*sw**2d0)
      coupl(nGC_8290) = ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
      coupl(nGC_8296) = ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw*sw**2d0)
      coupl(nGC_8295) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_8294) = -ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw**2d0*sw)
      coupl(nGC_8441) = -cima*(ca*sb**2d0*vev1 + cb**2d0*sa*vev2)
      coupl(nGC_8446) = -cima*(ca*cb**2d0*l1 + ca*l3*sb**2d0 + ca*l4*sb**2d0 - &
                        ca*l5*sb**2d0 + 2d0*cb*l5*sa*sb)
      coupl(nGC_8447) = -ca*cb**2d0*cima*vev1
      coupl(nGC_8125) = sqrt(2d0)*sb/2d0
      coupl(nGC_8124) = sqrt(2d0)*(cb*ym1 + sb*ym2)/2d0
      coupl(nGC_8127) = cima*ee*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_8126) = -sqrt(2d0)*cb/2d0
      coupl(nGC_8120) = -cima*ee**2d0*(ca**2d0 + sa**2d0)/sw**3d0
      coupl(nGC_8123) = cima*ee**2d0*(cb**2d0 + sb**2d0)/sw**2d0
      coupl(nGC_8122) = -cima*ee**2d0*(cb**2d0 + sb**2d0)/sw**3d0
      coupl(nGC_8129) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_8128) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_89) = -cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_80) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_81) = -cima*cw*ee/sw
      coupl(nGC_82) = cima*cw*ee/sw
      coupl(nGC_83) = 2d0*cima*cw*ee**2d0/sw
      coupl(nGC_84) = cima*ee*sw/(3d0*cw)
      coupl(nGC_85) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_86) = cima*ee*sw/cw
      coupl(nGC_87) = -cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_67) = -cMW*ca*cima*ee*sb/(2d0*sw) + cMW*cb*cima*ee*sa/(2d0*sw)
      coupl(nGC_64) = ca*cima*ee*sb/(2d0*sw) - cb*cima*ee*sa/(2d0*sw)
      coupl(nGC_65) = -ca*cima*ee**2d0*sb/(2d0*sw) + cb*cima*ee**2d0*sa/(2d0*sw)
      coupl(nGC_62) = cb**2d0*cima*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0*sb**2d0&
                      /(2d0*sw**2d0)
      coupl(nGC_63) = -ca*cima*ee*sb/(2d0*sw) + cb*cima*ee*sa/(2d0*sw)
      coupl(nGC_60) = -2d0*cb**4d0*cima*l5 - 2d0*cb**2d0*cima*l1*sb**2d0 - 2d0*&
                      cb**2d0*cima*l2*sb**2d0 + 4d0*cb**2d0*cima*l3*sb**2d0 +  &
                      4d0*cb**2d0*cima*l4*sb**2d0 - 2d0*cima*l5*sb**4d0
      coupl(nGC_61) = ca**2d0*cima*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0*sa**2d0&
                      /(2d0*sw**2d0)
      coupl(nGC_68) = -ca*cb*cima*ee/(2d0*sw) - cima*ee*sa*sb/(2d0*sw)
      coupl(nGC_69) = ca*cb*cima*ee/(2d0*sw) + cima*ee*sa*sb/(2d0*sw)
      coupl(nGC_8631) = -ca*cb**2d0*cima*sa
      coupl(nGC_8630) = cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0&
                        *l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa*sb  &
                         + 2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*l4&
                        *sa**2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + l5&
                        *sa**2d0*sb**2d0)
      coupl(nGC_8633) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_8632) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_8635) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca**  &
                        2d0*l1*sb**2d0 - ca**2d0*l3*sb**2d0 - 4d0*ca*cb*l4*sa* &
                        sb - 4d0*ca*cb*l5*sa*sb + cb**2d0*l2*sa**2d0 - cb**2d0*&
                        l3*sa**2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0)
      coupl(nGC_8634) = ca*cima*sa*sb**2d0
      coupl(nGC_8637) = -cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**  &
                        2d0*l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa* &
                        sb + 2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*&
                        l4*sa**2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + &
                        l5*sa**2d0*sb**2d0)
      coupl(nGC_8636) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_8639) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_8638) = -ca*cima*sa*sb**2d0
      coupl(nGC_2813) = -2d0*coupl(nGC_78)
      coupl(nGC_377) = -cima*(ca*cb**2d0*l4 + ca*cb**2d0*l5 - ca*l4*sb**2d0 -  &
                       ca*l5*sb**2d0 + 2d0*cb*l2*sa*sb - 2d0*cb*l3*sa*sb)/2d0
      coupl(nGC_375) = cima*(2d0*ca*cb*l1*sb - 2d0*ca*cb*l3*sb - cb**2d0*l4*sa &
                        - cb**2d0*l5*sa + l4*sa*sb**2d0 + l5*sa*sb**2d0)/2d0
      coupl(nGC_371) = -cima*(cb - sb)*(cb + sb)*(ca*vev2 + sa*vev1)/2d0
      coupl(nGC_379) = -cima*(ca*cb**2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 2d0*ca*&
                       cb*l2*sb*vev2 - 2d0*ca*cb*l3*sb*vev2 - ca*l4*sb**2d0*   &
                       vev1 - ca*l5*sb**2d0*vev1 - cb**2d0*l4*sa*vev2 - cb**2d0&
                       *l5*sa*vev2 + 2d0*cb*l1*sa*sb*vev1 - 2d0*cb*l3*sa*sb*   &
                       vev1 + l4*sa*sb**2d0*vev2 + l5*sa*sb**2d0*vev2)/2d0
      coupl(nGC_7990) = -2d0*cima*(-2d0*ca**2d0*cb*l5*sb + ca*cb**2d0*l1*sa -  &
                        ca*cb**2d0*l3*sa - ca*cb**2d0*l4*sa + ca*cb**2d0*l5*sa &
                         - ca*l2*sa*sb**2d0 + ca*l3*sa*sb**2d0 + ca*l4*sa*sb** &
                        2d0 - ca*l5*sa*sb**2d0 + 2d0*cb*l5*sa**2d0*sb)
      coupl(nGC_152) = sqrt(2d0)*cb*ydo1/2d0 + sqrt(2d0)*sb*ydo2/2d0
      coupl(nGC_151) = -sqrt(2d0)*cb*ydo1/2d0 - sqrt(2d0)*sb*ydo2/2d0
      coupl(nGC_150) = -cb*cima*ydo1 - cima*sb*ydo2
      coupl(nGC_157) = -sqrt(2d0)*ca*cima*ye1/2d0 - sqrt(2d0)*cima*sa*ye2/2d0
      coupl(nGC_156) = sqrt(2d0)*cb*ye2/2d0 - sqrt(2d0)*sb*ye1/2d0
      coupl(nGC_155) = -sqrt(2d0)*cb*ye2/2d0 + sqrt(2d0)*sb*ye1/2d0
      coupl(nGC_154) = -cb*cima*ye2 + cima*sb*ye1
      coupl(nGC_159) = -sqrt(2d0)*cb*ye1/2d0 - sqrt(2d0)*sb*ye2/2d0
      coupl(nGC_158) = -cb*cima*ye1 - cima*sb*ye2
      coupl(nGC_7998) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_8384) = -cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_8439) = -cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_7942) = -cb**2d0*cima*sa**2d0
      coupl(nGC_7943) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_7940) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_8386) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
      coupl(nGC_7946) = 2d0*cima*(ca**2d0*cb*l4*sb + ca**2d0*cb*l5*sb - ca*cb**&
                        2d0*l2*sa + ca*cb**2d0*l3*sa + ca*l1*sa*sb**2d0 - ca*l3&
                        *sa*sb**2d0 - cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
      coupl(nGC_7947) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
      coupl(nGC_7945) = -ca**2d0*cima*sb**2d0
      coupl(nGC_8358) = -3d0*ca*cima*sa*(ca*vev2 + sa*vev1)
      coupl(nGC_8359) = -3d0*ca*cima*sa*(ca*vev2 + sa*vev1)
      coupl(nGC_8352) = cima*sa*(3d0*ca**2d0*l1 - 2d0*ca**2d0*l3 - 2d0*ca**2d0*&
                        l4 - 2d0*ca**2d0*l5 + l3*sa**2d0 + l4*sa**2d0 + l5*sa**&
                        2d0)
      coupl(nGC_8353) = -ca*cima*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + 3d0*l2&
                        *sa**2d0 - 2d0*l3*sa**2d0 - 2d0*l4*sa**2d0 - 2d0*l5*sa &
                        **2d0)
      coupl(nGC_8350) = -cima*(ca**3d0*vev2 + 2d0*ca**2d0*sa*vev1 - 2d0*ca*sa**&
                        2d0*vev2 - sa**3d0*vev1)
      coupl(nGC_8351) = -cima*(ca**3d0*vev2 + 2d0*ca**2d0*sa*vev1 - 2d0*ca*sa**&
                        2d0*vev2 - sa**3d0*vev1)
      coupl(nGC_8356) = -3d0*ca**3d0*cima*vev1
      coupl(nGC_8357) = -3d0*cima*sa**3d0*vev2
      coupl(nGC_8354) = cima*(3d0*ca**3d0*l1*vev1 - 2d0*ca**3d0*l3*vev1 - 2d0* &
                        ca**3d0*l4*vev1 - 2d0*ca**3d0*l5*vev1 - 6d0*ca**2d0*l2*&
                        sa*vev2 + 7d0*ca**2d0*l3*sa*vev2 + 7d0*ca**2d0*l4*sa*  &
                        vev2 + 7d0*ca**2d0*l5*sa*vev2 - 6d0*ca*l1*sa**2d0*vev1 &
                         + 7d0*ca*l3*sa**2d0*vev1 + 7d0*ca*l4*sa**2d0*vev1 +   &
                        7d0*ca*l5*sa**2d0*vev1 + 3d0*l2*sa**3d0*vev2 - 2d0*l3* &
                        sa**3d0*vev2 - 2d0*l4*sa**3d0*vev2 - 2d0*l5*sa**3d0*   &
                        vev2)
      coupl(nGC_8355) = -3d0*ca*cima*sa*(ca*vev2 + sa*vev1)
      coupl(nGC_8434) = -cima*sa*sb**2d0*vev2
      coupl(nGC_8431) = sqrt(2d0)*cb/2d0
      coupl(nGC_8430) = sqrt(2d0)*(cb*ydo2 - sb*ydo1)/2d0
      coupl(nGC_975) = -coupl(nGC_96)
      coupl(nGC_8288) = -cima*ee*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)/(2d0* &
                        cw*sw)
      coupl(nGC_8289) = -ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0*cw**2d0*sw)
      coupl(nGC_8282) = ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_8283) = -ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw*sw**2d0)
      coupl(nGC_8284) = ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
      coupl(nGC_8285) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_8286) = cima*ee*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(2d0*cw&
                        *sw**2d0)
      coupl(nGC_8287) = -cima*ee*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(2d0* &
                        cw**2d0*sw)
      coupl(nGC_8132) = cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_8133) = cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_8130) = cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_8131) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_8136) = -sqrt(2d0)*sb/2d0
      coupl(nGC_8137) = sqrt(2d0)*cb/2d0
      coupl(nGC_8134) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_8135) = -sqrt(2d0)*(cb*yd13x3 + sb*yb2)/2d0
      coupl(nGC_53) = -cb**4d0*cima*l1 - 2d0*cb**2d0*cima*l3*sb**2d0 - 2d0*cb**&
                      2d0*cima*l4*sb**2d0 - 2d0*cb**2d0*cima*l5*sb**2d0 - cima*&
                      l2*sb**4d0
      coupl(nGC_52) = -3d0*cb**4d0*cima*l2 - 6d0*cb**2d0*cima*l3*sb**2d0 - 6d0*&
                      cb**2d0*cima*l4*sb**2d0 - 6d0*cb**2d0*cima*l5*sb**2d0 -  &
                      3d0*cima*l1*sb**4d0
      coupl(nGC_51) = -2d0*cb**4d0*cima*l2 - 4d0*cb**2d0*cima*l3*sb**2d0 - 4d0*&
                      cb**2d0*cima*l4*sb**2d0 - 4d0*cb**2d0*cima*l5*sb**2d0 -  &
                      2d0*cima*l1*sb**4d0
      coupl(nGC_50) = -cb**4d0*cima*l2 - 2d0*cb**2d0*cima*l3*sb**2d0 - 2d0*cb**&
                      2d0*cima*l4*sb**2d0 - 2d0*cb**2d0*cima*l5*sb**2d0 - cima*&
                      l1*sb**4d0
      coupl(nGC_57) = -cb**4d0*cima*l3 - cb**4d0*cima*l4 - 2d0*cb**2d0*cima*l1*&
                      sb**2d0 - 2d0*cb**2d0*cima*l2*sb**2d0 + 2d0*cb**2d0*cima*&
                      l3*sb**2d0 + 2d0*cb**2d0*cima*l4*sb**2d0 + 4d0*cb**2d0*  &
                      cima*l5*sb**2d0 - cima*l3*sb**4d0 - cima*l4*sb**4d0
      coupl(nGC_56) = -cb**4d0*cima*l3 - cb**2d0*cima*l1*sb**2d0 - cb**2d0*cima&
                      *l2*sb**2d0 + 2d0*cb**2d0*cima*l4*sb**2d0 + 2d0*cb**2d0* &
                      cima*l5*sb**2d0 - cima*l3*sb**4d0
      coupl(nGC_55) = -3d0*cb**4d0*cima*l1 - 6d0*cb**2d0*cima*l3*sb**2d0 - 6d0*&
                      cb**2d0*cima*l4*sb**2d0 - 6d0*cb**2d0*cima*l5*sb**2d0 -  &
                      3d0*cima*l2*sb**4d0
      coupl(nGC_54) = -2d0*cb**4d0*cima*l1 - 4d0*cb**2d0*cima*l3*sb**2d0 - 4d0*&
                      cb**2d0*cima*l4*sb**2d0 - 4d0*cb**2d0*cima*l5*sb**2d0 -  &
                      2d0*cima*l2*sb**4d0
      coupl(nGC_59) = -cb**4d0*cima*l3 - cb**4d0*cima*l4 - cb**4d0*cima*l5 -   &
                      3d0*cb**2d0*cima*l1*sb**2d0 - 3d0*cb**2d0*cima*l2*sb**2d0&
                       + 4d0*cb**2d0*cima*l3*sb**2d0 + 4d0*cb**2d0*cima*l4*sb**&
                      2d0 + 4d0*cb**2d0*cima*l5*sb**2d0 - cima*l3*sb**4d0 -    &
                      cima*l4*sb**4d0 - cima*l5*sb**4d0
      coupl(nGC_58) = -cb**4d0*cima*l4/2d0 - cb**4d0*cima*l5/2d0 - cb**2d0*cima&
                      *l1*sb**2d0 - cb**2d0*cima*l2*sb**2d0 + 2d0*cb**2d0*cima*&
                      l3*sb**2d0 + cb**2d0*cima*l4*sb**2d0 + cb**2d0*cima*l5*sb&
                      **2d0 - cima*l4*sb**4d0/2d0 - cima*l5*sb**4d0/2d0
      coupl(nGC_8164) = sqrt(2d0)*cb/2d0
      coupl(nGC_8626) = -cima*(cb*ye2 - sb*ye1)
      coupl(nGC_8627) = -cima*sb
      coupl(nGC_8624) = -cima*sb
      coupl(nGC_8625) = cb*cima
      coupl(nGC_8622) = -sqrt(2d0)*cima*(ca*yc2 - sa*yc1)/2d0
      coupl(nGC_8620) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_8621) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_ME) = -cME*cima
      coupl(nGC_MD) = -cMD*cima
      coupl(nGC_MS) = -cMS*cima
      coupl(nGC_MW) = cMW**2d0*cima
      coupl(nGC_MU) = -cMU*cima
      coupl(nGC_MT) = -cMT*cima
      coupl(nGC_2019) = -coupl(nGC_179)
      coupl(nGC_8650) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_196) = cb*cima*yup1 + cima*sb*yup2
      coupl(nGC_128) = ca*cima*cw**2d0*ee**2d0*vev2/(2d0*sw**2d0) + ca*cima*ee &
                       **2d0*vev2 + ca*cima*ee**2d0*sw**2d0*vev2/(2d0*cw**2d0  &
                       ) - cima*cw**2d0*ee**2d0*sa*vev1/(2d0*sw**2d0) - cima*ee&
                       **2d0*sa*vev1 - cima*ee**2d0*sa*sw**2d0*vev1/(2d0*cw**  &
                       2d0)
      coupl(nGC_99) = ca**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + ca**2d0*cima&
                      *ee**2d0 + ca**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0) +  &
                      cima*cw**2d0*ee**2d0*sa**2d0/(2d0*sw**2d0) + cima*ee**2d0&
                      *sa**2d0 + cima*ee**2d0*sa**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_190) = -sqrt(2d0)*cb*ytau1/2d0 - sqrt(2d0)*sb*ytau2/2d0
      coupl(nGC_98) = -cMW*cb**2d0*cima*cw*ee/(2d0*sw) + cMW*cb**2d0*cima*ee*sw&
                      /(2d0*cw) - cMW*cima*cw*ee*sb**2d0/(2d0*sw) + cMW*cima*ee&
                      *sb**2d0*sw/(2d0*cw)
      coupl(nGC_419) = -sqrt(2d0)*cb/2d0
      coupl(nGC_417) = -sqrt(2d0)*(cb*yt2 - sb*yt1)/2d0
      coupl(nGC_415) = -sqrt(2d0)*sb/2d0
      coupl(nGC_411) = cima*gs
      coupl(nGC_MW_GF) = cMW*cima
      coupl(nGC_7991) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_7993) = -cima*sa**2d0*sb**2d0
      coupl(nGC_7992) = 2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca**2d0&
                        *cb*l4*sb + ca**2d0*cb*l5*sb - 2d0*ca*cb**2d0*l5*sa +  &
                        2d0*ca*l5*sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**2d0&
                        *sb + cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
      coupl(nGC_7995) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_7994) = cima*(ca**2d0*sb**2d0 - 4d0*ca*cb*sa*sb + cb**2d0*sa** &
                        2d0)
      coupl(nGC_7997) = 2d0*cima*(-2d0*ca**2d0*cb*l5*sb + ca*cb**2d0*l1*sa - ca&
                        *cb**2d0*l3*sa - ca*cb**2d0*l4*sa + ca*cb**2d0*l5*sa - &
                        ca*l2*sa*sb**2d0 + ca*l3*sa*sb**2d0 + ca*l4*sa*sb**2d0 &
                         - ca*l5*sa*sb**2d0 + 2d0*cb*l5*sa**2d0*sb)
      coupl(nGC_7996) = -ca**2d0*cb**2d0*cima
      coupl(nGC_7999) = 3d0*cb*cima*sb**3d0
      coupl(nGC_8381) = -cima*(ca*cb**2d0*l3 + ca*l2*sb**2d0 - cb*l4*sa*sb - cb&
                        *l5*sa*sb)
      coupl(nGC_8380) = -cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_8383) = cb**2d0*cima*sa*vev1
      coupl(nGC_8382) = cima*(-ca*cb*l4*sb - ca*cb*l5*sb + cb**2d0*l1*sa + l3* &
                        sa*sb**2d0)
      coupl(nGC_8385) = cima*(ca*cb**2d0*l1*vev1 + ca*cb*l4*sb*vev2 + ca*cb*l5*&
                        sb*vev2 + ca*l3*sb**2d0*vev1 + cb**2d0*l3*sa*vev2 + cb*&
                        l4*sa*sb*vev1 + cb*l5*sa*sb*vev1 + l2*sa*sb**2d0*vev2)
      coupl(nGC_8387) = -2d0*cima*(ca*cb**2d0*l5*vev1 + ca*cb*l2*sb*vev2 - ca* &
                        cb*l3*sb*vev2 - ca*cb*l4*sb*vev2 + ca*cb*l5*sb*vev2 -  &
                        ca*l5*sb**2d0*vev1 - cb**2d0*l5*sa*vev2 + cb*l1*sa*sb* &
                        vev1 - cb*l3*sa*sb*vev1 - cb*l4*sa*sb*vev1 + cb*l5*sa* &
                        sb*vev1 + l5*sa*sb**2d0*vev2)
      coupl(nGC_8438) = -ca*cb**2d0*cima*vev1
      coupl(nGC_8389) = cima*(ca*cb**2d0*vev2 - 2d0*ca*cb*sb*vev1 + 2d0*cb*sa* &
                        sb*vev2 - sa*sb**2d0*vev1)
      coupl(nGC_8435) = -cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_8433) = cima*(-ca*cb**2d0*l4*vev2 - ca*cb**2d0*l5*vev2 + 2d0*ca&
                        *cb*l1*sb*vev1 - 2d0*ca*cb*l3*sb*vev1 + ca*l4*sb**2d0* &
                        vev2 + ca*l5*sb**2d0*vev2 - cb**2d0*l4*sa*vev1 - cb**  &
                        2d0*l5*sa*vev1 - 2d0*cb*l2*sa*sb*vev2 + 2d0*cb*l3*sa*sb&
                        *vev2 + l4*sa*sb**2d0*vev1 + l5*sa*sb**2d0*vev1)
      coupl(nGC_8432) = -cima*(ca*sb**2d0*vev1 + cb**2d0*sa*vev2)
    end subroutine fill_couplings_mdl2
end module fill_couplings2
