!******************************************************************************!
!                                                                              !
!    fill_couplings5.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings5.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl5()
      coupl(nGC_I) = cima
      coupl(nGC_7931) = cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_7930) = -cb**3d0*cima*sb
      coupl(nGC_8459) = -cima*(ca*cb**2d0*vev1 + ca*cb*sb*vev2 - ca*sb**2d0*   &
                        vev1 - cb**2d0*sa*vev2 + cb*sa*sb*vev1 + sa*sb**2d0*   &
                        vev2)
      coupl(nGC_8458) = -ca*cb*cima*sb*vev2
      coupl(nGC_8329) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*( &
                        cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_8397) = cb*cima
      coupl(nGC_8455) = sqrt(2d0)*cb/2d0
      coupl(nGC_8326) = cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*( &
                        cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_8325) = -cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*(&
                        cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_8323) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*( &
                        cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_8322) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(&
                        cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_8321) = -cMZ*cima*ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0* &
                        cw*sw)
      coupl(nGC_7932) = cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_3) = -cima*ee
      coupl(nGC_2) = -2d0*cima*ee/3d0
      coupl(nGC_1) = cima*ee/3d0
      coupl(nGC_7) = cima*gs
      coupl(nGC_1047) = -2d0*coupl(nGC_79)
      coupl(nGC_5) = cima*ee**2d0
      coupl(nGC_9) = -3d0*ca**3d0*cima*l2*sa + 3d0*ca**3d0*cima*l3*sa + 3d0*ca &
                     **3d0*cima*l4*sa + 3d0*ca**3d0*cima*l5*sa + 3d0*ca*cima*l1&
                     *sa**3d0 - 3d0*ca*cima*l3*sa**3d0 - 3d0*ca*cima*l4*sa**3d0&
                      - 3d0*ca*cima*l5*sa**3d0
      coupl(nGC_8328) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(&
                        cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_8529) = cima*sb
      coupl(nGC_8528) = -cb*cima
      coupl(nGC_8039) = (cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
      coupl(nGC_8038) = -(cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
      coupl(nGC_8663) = cima*(2d0*ca**2d0*cb*sb - ca*cb**2d0*sa + ca*sa*sb**2d0&
                         - 2d0*cb*sa**2d0*sb)
      coupl(nGC_8521) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/sw
      coupl(nGC_8520) = -cb*cima*ee**2d0/(2d0*sw)
      coupl(nGC_8523) = -cima*sb
      coupl(nGC_8030) = -sqrt(2d0)*(cb*yc2 - sb*yc1)/2d0
      coupl(nGC_8525) = -cima*ee
      coupl(nGC_8524) = -cima*(cb*ys2 - sb*yd12x2)
      coupl(nGC_8035) = -(cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
      coupl(nGC_8526) = cima*ee
      coupl(nGC_8456) = cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_8451) = -cima*sb
      coupl(nGC_7948) = (cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
      coupl(nGC_8450) = -cima*(cb*yc1 + sb*yc2)
      coupl(nGC_8442) = 2d0*cima*(-ca*cb**2d0*l5*vev2 + ca*cb*l1*sb*vev1 - ca* &
                        cb*l3*sb*vev1 - ca*cb*l4*sb*vev1 + ca*cb*l5*sb*vev1 +  &
                        ca*l5*sb**2d0*vev2 - cb**2d0*l5*sa*vev1 - cb*l2*sa*sb* &
                        vev2 + cb*l3*sa*sb*vev2 + cb*l4*sa*sb*vev2 - cb*l5*sa* &
                        sb*vev2 + l5*sa*sb**2d0*vev1)
      coupl(nGC_8107) = -6d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3  &
                         - 2d0*l4 - 2d0*l5)
      coupl(nGC_8147) = cima*ee**2d0*(ca*sb - cb*sa)/sw
      coupl(nGC_8146) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_8145) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_8144) = -cb*cima
      coupl(nGC_8140) = -cima*ee**2d0*(ca*sb - cb*sa)/sw
      coupl(nGC_8149) = cMW*cima*ee*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_8148) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_8106) = -cima*(cb**4d0 - 4d0*cb**2d0*sb**2d0 + sb**4d0)
      coupl(nGC_8280) = -sqrt(2d0)*cima*(ca*ydo2 - sa*ydo1)/2d0
      coupl(nGC_8281) = ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw**2d0*sw)
      coupl(nGC_8104) = -3d0*cb**2d0*cima*sb**2d0
      coupl(nGC_8139) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_8628) = -cb*cima
      coupl(nGC_399) = -cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0* &
                       sw**2d0)
      coupl(nGC_391) = cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw&
                       **2d0)
      coupl(nGC_8444) = -cima*(2d0*ca*cb*sb*vev2 - ca*sb**2d0*vev1 - cb**2d0*sa&
                        *vev2 + 2d0*cb*sa*sb*vev1)
      coupl(nGC_393) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*( &
                       ca*vev1 + sa*vev2)/(cw**2d0*sw**3d0)
      coupl(nGC_397) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev2 - sa*vev1&
                       )/(cw**2d0*sw**2d0)
      coupl(nGC_8079) = -cb**2d0*cima*sb**2d0
      coupl(nGC_8445) = -cima*(2d0*ca*cb*l5*sb + cb**2d0*l3*sa + cb**2d0*l4*sa &
                         - cb**2d0*l5*sa + l2*sa*sb**2d0)
      coupl(nGC_8565) = -3d0*cima*sa**4d0
      coupl(nGC_8037) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
      coupl(nGC_6) = -gs
      coupl(nGC_4) = cima*ee
      coupl(nGC_135) = -sqrt(2d0)*cb*yc1/2d0 - sqrt(2d0)*sb*yc2/2d0
      coupl(nGC_134) = cb*cima*yc1 + cima*sb*yc2
      coupl(nGC_137) = -sqrt(2d0)*ca*cima*yd13x3/2d0 - sqrt(2d0)*cima*sa*yb2/2d0
      coupl(nGC_136) = sqrt(2d0)*cb*yc1/2d0 + sqrt(2d0)*sb*yc2/2d0
      coupl(nGC_131) = cb*cima*yc2 - cima*sb*yc1
      coupl(nGC_130) = -sqrt(2d0)*ca*cima*yc2/2d0 + sqrt(2d0)*cima*sa*yc1/2d0
      coupl(nGC_133) = -sqrt(2d0)*ca*cima*yc1/2d0 - sqrt(2d0)*cima*sa*yc2/2d0
      coupl(nGC_132) = sqrt(2d0)*cb*yc2/2d0 - sqrt(2d0)*sb*yc1/2d0
      coupl(nGC_8036) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
      coupl(nGC_139) = -sqrt(2d0)*cb*yd13x3/2d0 - sqrt(2d0)*sb*yb2/2d0
      coupl(nGC_8138) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_8) = cima*gs**2d0
      coupl(nGC_8324) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)**2d0*(cw +  &
                        sw)**2d0/(cw**2d0*sw**2d0)
      coupl(nGC_8567) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_8200) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_8201) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_8202) = sqrt(2d0)*cima*(ca*ydo1 + sa*ydo2)/2d0
      coupl(nGC_8203) = -cMZ*cima*ee*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
      coupl(nGC_8204) = cima*ee*(cb**2d0 + sb**2d0)/(4d0*cMZ*sw)
      coupl(nGC_8205) = cMZ*cima*ee*(cb**2d0 + sb**2d0)/(2d0*sw)
      coupl(nGC_8206) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_8207) = 2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_8208) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_8209) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
      coupl(nGC_867) = -coupl(nGC_72)
      coupl(nGC_8033) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
      coupl(nGC_7928) = cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_7929) = cb*cima*sb**3d0
      coupl(nGC_8032) = -sqrt(2d0)*sb/2d0
      coupl(nGC_7924) = sqrt(2d0)*cb/2d0
      coupl(nGC_7925) = sqrt(2d0)*(cb*ytau2 - sb*ytau1)/2d0
      coupl(nGC_7926) = sqrt(2d0)*cb/2d0
      coupl(nGC_7927) = sqrt(2d0)*sb/2d0
      coupl(nGC_7920) = -sqrt(2d0)*cima*(ca*yt2 - sa*yt1)/2d0
      coupl(nGC_8031) = -sqrt(2d0)*cb/2d0
      coupl(nGC_7922) = sqrt(2d0)*(cb*ye2 - sb*ye1)/2d0
      coupl(nGC_7923) = sqrt(2d0)*sb/2d0
      coupl(nGC_8448) = -cima*(ca*sb**2d0*vev1 + cb**2d0*sa*vev2)
      coupl(nGC_8522) = -cb*cima
      coupl(nGC_8338) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/cw
      coupl(nGC_8339) = 3d0*ca*cima*sa*(ca*vev1 - sa*vev2)
      coupl(nGC_1191) = -coupl(nGC_194)
      coupl(nGC_8334) = -cima*ee**2d0*sb/(2d0*cw)
      coupl(nGC_8335) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw**2d0)
      coupl(nGC_8336) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*cw)
      coupl(nGC_8337) = -cb*cima*ee**2d0/(2d0*cw)
      coupl(nGC_8330) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)** &
                        2d0/(cw**2d0*sw**2d0)
      coupl(nGC_8331) = -cima*sb
      coupl(nGC_8332) = -cima*(cb*ydo2 - sb*ydo1)
      coupl(nGC_8333) = -cb*cima
      coupl(nGC_8034) = (cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
      coupl(nGC_8536) = -sqrt(2d0)*cb/2d0
      coupl(nGC_8537) = -sqrt(2d0)*sb/2d0
      coupl(nGC_8534) = cb*cima
      coupl(nGC_8535) = cima*sb
      coupl(nGC_8532) = 2d0*cima*gs**2d0
      coupl(nGC_8533) = cima*(cb*yup2 - sb*yup1)
      coupl(nGC_8530) = 2d0*cima*ee**2d0
      coupl(nGC_8531) = -gs
      coupl(nGC_8538) = -sqrt(2d0)*(cb*ys2 - sb*yd12x2)/2d0
      coupl(nGC_8539) = -sqrt(2d0)*(cb*yup1 + sb*yup2)/2d0
      coupl(nGC_8028) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_8029) = -4d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4 &
                         + cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0 - &
                        l5*sb**2d0)
      coupl(nGC_8020) = -3d0*cb*cima*sb**3d0
      coupl(nGC_8021) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_8022) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_8023) = 3d0*cima*(cb**4d0*l1 - cb**4d0*l3 - cb**4d0*l4 - cb**  &
                        4d0*l5 - 3d0*cb**2d0*l1*sb**2d0 - 3d0*cb**2d0*l2*sb**  &
                        2d0 + 6d0*cb**2d0*l3*sb**2d0 + 6d0*cb**2d0*l4*sb**2d0  &
                         + 6d0*cb**2d0*l5*sb**2d0 + l2*sb**4d0 - l3*sb**4d0 -  &
                        l4*sb**4d0 - l5*sb**4d0)
      coupl(nGC_8024) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_8025) = -cima*sb**4d0
      coupl(nGC_8026) = -cb**4d0*cima
      coupl(nGC_8027) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_329) = cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_8154) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw**2d0)
      coupl(nGC_8155) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_8156) = cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_8157) = cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_8150) = -cMW*cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_8151) = -cima*ee*(ca*sb - cb*sa)/(4d0*cMW*sw)
      coupl(nGC_8152) = -cMW*cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_8153) = cMW*cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_8158) = cima*ee*(ca*cb + sa*sb)/(2d0*sw**2d0)
      coupl(nGC_8159) = cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_7960) = 2d0*cima*(cb**4d0*l1 - cb**4d0*l3 - cb**4d0*l4 - cb**  &
                        4d0*l5 - 3d0*cb**2d0*l1*sb**2d0 - 3d0*cb**2d0*l2*sb**  &
                        2d0 + 6d0*cb**2d0*l3*sb**2d0 + 6d0*cb**2d0*l4*sb**2d0  &
                         + 6d0*cb**2d0*l5*sb**2d0 + l2*sb**4d0 - l3*sb**4d0 -  &
                        l4*sb**4d0 - l5*sb**4d0)
      coupl(nGC_7961) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_7963) = -ca**2d0*cima*sb**2d0
      coupl(nGC_7964) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_7965) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_8454) = -sqrt(2d0)*sb/2d0
      coupl(nGC_7968) = 2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_8457) = -cima*(ca*cb**2d0*l2*vev2 - ca*cb**2d0*l3*vev2 - ca*cb &
                        **2d0*l4*vev2 + ca*cb**2d0*l5*vev2 - 4d0*ca*cb*l5*sb*  &
                        vev1 - ca*l2*sb**2d0*vev2 + ca*l3*sb**2d0*vev2 + ca*l4*&
                        sb**2d0*vev2 - ca*l5*sb**2d0*vev2 + cb**2d0*l1*sa*vev1 &
                         - cb**2d0*l3*sa*vev1 - cb**2d0*l4*sa*vev1 + cb**2d0*l5&
                        *sa*vev1 + 4d0*cb*l5*sa*sb*vev2 - l1*sa*sb**2d0*vev1 + &
                        l3*sa*sb**2d0*vev1 + l4*sa*sb**2d0*vev1 - l5*sa*sb**2d0&
                        *vev1)
      coupl(nGC_8551) = cima*(cb*yc2 - sb*yc1)
      coupl(nGC_7955) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_8453) = -sqrt(2d0)*(cb*yc1 + sb*yc2)/2d0
      coupl(nGC_8143) = cima*sb
      coupl(nGC_8142) = cima*(cb*ytau1 + sb*ytau2)
      coupl(nGC_8554) = sqrt(2d0)*cb/2d0
      coupl(nGC_8141) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_8629) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_7954) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
      coupl(nGC_8046) = -8d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4 &
                         + cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0 - &
                        l5*sb**2d0)
      coupl(nGC_8452) = cb*cima
      coupl(nGC_8623) = -cima*(cb*yt1 + sb*yt2)
      coupl(nGC_8047) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_8273) = sqrt(2d0)*cima*(ca*ym1 + sa*ym2)/2d0
      coupl(nGC_8275) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_8044) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_8277) = -2d0*cima*ee/3d0
      coupl(nGC_8045) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_100) = cb**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cb**2d0*   &
                       cima*ee**2d0 + cb**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0&
                       ) + cima*cw**2d0*ee**2d0*sb**2d0/(2d0*sw**2d0) - cima*ee&
                       **2d0*sb**2d0 + cima*ee**2d0*sb**2d0*sw**2d0/(2d0*cw**  &
                       2d0)
      coupl(nGC_101) = cb**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cb**2d0*   &
                       cima*ee**2d0 + cb**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0&
                       ) + cima*cw**2d0*ee**2d0*sb**2d0/(2d0*sw**2d0) + cima*ee&
                       **2d0*sb**2d0 + cima*ee**2d0*sb**2d0*sw**2d0/(2d0*cw**  &
                       2d0)
      coupl(nGC_102) = -cb*cima*ee**2d0*vev2/(2d0*cw) + cima*ee**2d0*sb*vev1/( &
                       2d0*cw)
      coupl(nGC_103) = -ca**3d0*cima*l3*vev2 - ca**3d0*cima*l4*vev2 - ca**3d0* &
                       cima*l5*vev2 + 3d0*ca**2d0*cima*l1*sa*vev1 - 2d0*ca**2d0&
                       *cima*l3*sa*vev1 - 2d0*ca**2d0*cima*l4*sa*vev1 - 2d0*ca &
                       **2d0*cima*l5*sa*vev1 - 3d0*ca*cima*l2*sa**2d0*vev2 +   &
                       2d0*ca*cima*l3*sa**2d0*vev2 + 2d0*ca*cima*l4*sa**2d0*   &
                       vev2 + 2d0*ca*cima*l5*sa**2d0*vev2 + cima*l3*sa**3d0*   &
                       vev1 + cima*l4*sa**3d0*vev1 + cima*l5*sa**3d0*vev1
      coupl(nGC_105) = -3d0*ca**3d0*cima*l1*vev1 - 3d0*ca**2d0*cima*l3*sa*vev2 &
                        - 3d0*ca**2d0*cima*l4*sa*vev2 - 3d0*ca**2d0*cima*l5*sa*&
                       vev2 - 3d0*ca*cima*l3*sa**2d0*vev1 - 3d0*ca*cima*l4*sa**&
                       2d0*vev1 - 3d0*ca*cima*l5*sa**2d0*vev1 - 3d0*cima*l2*sa &
                       **3d0*vev2
      coupl(nGC_106) = -ca**3d0*cima*l3*vev1 - ca**3d0*cima*l4*vev1 - ca**3d0* &
                       cima*l5*vev1 - 3d0*ca**2d0*cima*l2*sa*vev2 + 2d0*ca**2d0&
                       *cima*l3*sa*vev2 + 2d0*ca**2d0*cima*l4*sa*vev2 + 2d0*ca &
                       **2d0*cima*l5*sa*vev2 - 3d0*ca*cima*l1*sa**2d0*vev1 +   &
                       2d0*ca*cima*l3*sa**2d0*vev1 + 2d0*ca*cima*l4*sa**2d0*   &
                       vev1 + 2d0*ca*cima*l5*sa**2d0*vev1 - cima*l3*sa**3d0*   &
                       vev2 - cima*l4*sa**3d0*vev2 - cima*l5*sa**3d0*vev2
      coupl(nGC_107) = -cb*cima*ee**2d0*vev1/(2d0*cw) - cima*ee**2d0*sb*vev2/( &
                       2d0*cw)
      coupl(nGC_108) = -ca*cb**2d0*cima*l3*vev2 - ca*cb*cima*l4*sb*vev1 - ca*cb&
                       *cima*l5*sb*vev1 - ca*cima*l2*sb**2d0*vev2 + cb**2d0*   &
                       cima*l1*sa*vev1 + cb*cima*l4*sa*sb*vev2 + cb*cima*l5*sa*&
                       sb*vev2 + cima*l3*sa*sb**2d0*vev1
      coupl(nGC_109) = -ca*cb**2d0*cima*l3*vev2 - ca*cb**2d0*cima*l4*vev2 + ca*&
                       cb**2d0*cima*l5*vev2 - 2d0*ca*cb*cima*l5*sb*vev1 - ca*  &
                       cima*l2*sb**2d0*vev2 + cb**2d0*cima*l1*sa*vev1 + 2d0*cb*&
                       cima*l5*sa*sb*vev2 + cima*l3*sa*sb**2d0*vev1 + cima*l4* &
                       sa*sb**2d0*vev1 - cima*l5*sa*sb**2d0*vev1
      coupl(nGC_8297) = -ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
      coupl(nGC_8239) = -cima*ee*sw/cw**2d0
      coupl(nGC_8238) = cima*ee/cw
      coupl(nGC_8235) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_8234) = cima*ee*sw/(3d0*cw)
      coupl(nGC_8237) = -sqrt(2d0)*cima*(ca*ytau2 - sa*ytau1)/2d0
      coupl(nGC_8236) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_8231) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_8230) = 2d0*cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_8233) = -cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_8232) = cima*ee/(3d0*cw)
      coupl(nGC_8043) = -2d0*cb**4d0*cima
      coupl(nGC_8707) = -cima*sa**2d0*sb**2d0
      coupl(nGC_817) = -coupl(nGC_94)
      coupl(nGC_8040) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
      coupl(nGC_7919) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_7918) = -sqrt(2d0)*cb/2d0
      coupl(nGC_8706) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
    end subroutine fill_couplings_mdl5
end module fill_couplings5
