!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_12750) = coupl(nGC_76)*dZG0Ha_QED2/2d0
      coupl(nGC_13337) = coupl(nGC_73)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_9381) = coupl(nGC_8286)*dsw_QED2 + coupl(nGC_8287)*dcw_QED2 +  &
                        coupl(nGC_8288)*dZee_QED2
      coupl(nGC_TS_GC_169_Hl) = -coupl(nGC_169)*dtHl_QED1/cMHL**2d0
      coupl(nGC_13413) = -coupl(nGC_13409)
      coupl(nGC_13650) = coupl(nGC_62)*dZGMinus
      coupl(nGC_20920) = coupl(nGC_161)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_15108) = coupl(nGC_MI)*dZtauMinusR_QED2
      coupl(nGC_14172) = coupl(nGC_173)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_14173) = coupl(nGC_173)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_18204) = coupl(nGC_MI)*dZmuMinusR_QED2
      coupl(nGC_18202) = coupl(nGC_MI)*dZmuMinusL_QED2
      coupl(nGC_18203) = coupl(nGC_MM)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_15577) = coupl(nGC_62)*dZG0
      coupl(nGC_14425) = coupl(nGC_60)*dZGMinus
      coupl(nGC_9412) = coupl(nGC_8552)*dyc1_QED1_QCD2 + coupl(nGC_8553)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_13348) = coupl(nGC_91)*dZG0/2d0
      coupl(nGC_9419) = coupl(nGC_8223)*dydo2_QED1_QCD2 + coupl(nGC_8225)*     &
                        dydo1_QED1_QCD2
      coupl(nGC_9389) = coupl(nGC_8590)*dcw_QED2 + coupl(nGC_8591)*dZee_QED2
      coupl(nGC_9386) = coupl(nGC_8596)*dcw_QED2 + coupl(nGC_8597)*db_QED2 +   &
                        coupl(nGC_8598)*dZee_QED2 + coupl(nGC_8599)*da_QED2
      coupl(nGC_9385) = coupl(nGC_8592)*dcw_QED2 + coupl(nGC_8593)*db_QED2 +   &
                        coupl(nGC_8594)*dZee_QED2 + coupl(nGC_8595)*da_QED2
      coupl(nGC_9383) = coupl(nGC_8606)*dcw_QED2 + coupl(nGC_8607)*dZee_QED2
      coupl(nGC_TS_GC_173_Hh) = -coupl(nGC_173)*dtHh_QED1/cMHH**2d0
      coupl(nGC_16200) = coupl(nGC_159)*dZG0/2d0
      coupl(nGC_21850) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_16444) = coupl(nGC_64)*dZHMinusGMinus_QED2/2d0
      coupl(nGC_16442) = coupl(nGC_69)*dZGMinus/2d0
      coupl(nGC_TS_GC_161_Hl) = -coupl(nGC_161)*dtHl_QED1/cMHL**2d0
      coupl(nGC_14765) = coupl(nGC_87)*dZbL_QCD2
      coupl(nGC_14769) = coupl(nGC_84)*dZbR_QCD2
      coupl(nGC_9342) = coupl(nGC_8355)*dl3_QED4 + coupl(nGC_8356)*dl1_QED4 +  &
                        coupl(nGC_8357)*dl2_QED4 + coupl(nGC_8358)*dl5_QED4 +  &
                        coupl(nGC_8359)*dl4_QED4 + coupl(nGC_8360)*dvev1_QED1  &
                         + coupl(nGC_8361)*dvev2_QED1 + coupl(nGC_8362)*da_QED2
      coupl(nGC_14236) = 2d0*coupl(nGC_54)*dZGMinus
      coupl(nGC_9344) = coupl(nGC_8363)*dl3_QED4 + coupl(nGC_8364)*dl1_QED4 +  &
                        coupl(nGC_8365)*dl2_QED4 + coupl(nGC_8366)*dl5_QED4 +  &
                        coupl(nGC_8367)*dl4_QED4 + coupl(nGC_8368)*dvev1_QED1  &
                         + coupl(nGC_8369)*dvev2_QED1 + coupl(nGC_8370)*da_QED2
      coupl(nGC_13425) = coupl(nGC_62)*(dZGMinusHMinus_QED2 +                  &
                         dZHMinusGMinus_QED2)/2d0
      coupl(nGC_13420) = coupl(nGC_158)*dZGMinus/2d0
      coupl(nGC_12772) = coupl(nGC_97)*dZGMinus
      coupl(nGC_9463) = coupl(nGC_8135)*db_QED2 + coupl(nGC_8136)*dyd13x3_QED3 &
                         + coupl(nGC_8137)*dyb2_QED3
      coupl(nGC_9462) = coupl(nGC_8371)*dyd12x2_QED3 + coupl(nGC_8372)*        &
                        dys2_QED3 + coupl(nGC_8373)*db_QED2
      coupl(nGC_9461) = coupl(nGC_8371)*dyd12x2_QED1_QCD2 + coupl(nGC_8372)*   &
                        dys2_QED1_QCD2
      coupl(nGC_13354) = coupl(nGC_99)*dZZA_QED2/2d0
      coupl(nGC_13353) = -coupl(nGC_13348)
      coupl(nGC_9464) = coupl(nGC_8136)*dyd13x3_QED1_QCD2 + coupl(nGC_8137)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_28018) = coupl(nGC_MI)*dZtL_QED2
      coupl(nGC_15443) = coupl(nGC_MZ)*dZZA_QED2/2d0
      coupl(nGC_15442) = coupl(nGC_MI)*dZZA_QED2/2d0
      coupl(nGC_13577) = coupl(nGC_61)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_16924) = coupl(nGC_177)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_16923) = coupl(nGC_177)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_17459) = coupl(nGC_91)*dZZA_QED2/2d0
      coupl(nGC_13579) = coupl(nGC_98)*dZGMinus/2d0
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
