!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_15000) = coupl(nGC_41)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_TS_GC_92_Hh) = -coupl(nGC_92)*dtHh_QED1/cMHH**2d0
      coupl(nGC_9337) = coupl(nGC_7998)*dl3_QED4 + coupl(nGC_7999)*dl1_QED4 +  &
                        coupl(nGC_8000)*dl2_QED4 + coupl(nGC_8001)*dl5_QED4 +  &
                        coupl(nGC_8002)*dl4_QED4 + coupl(nGC_8003)*db_QED2
      coupl(nGC_22471) = coupl(nGC_165)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_18173) = coupl(nGC_MD)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_13741) = coupl(nGC_48)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_18171) = coupl(nGC_MI)*dZdL_QED2
      coupl(nGC_14539) = coupl(nGC_150)*dZGMinus/2d0
      coupl(nGC_TS_GC_68_Hl) = -coupl(nGC_68)*dtHl_QED1/cMHL**2d0
      coupl(nGC_14533) = coupl(nGC_196)*dZGMinus/2d0
      coupl(nGC_13562) = coupl(nGC_147)*dZHaG0_QED2/2d0 + coupl(nGC_151)*      &
                         dZdL_QED2/2d0 + coupl(nGC_151)*dZdR_QED2/2d0 + coupl( &
                         nGC_9432)
      coupl(nGC_TS_GC_64_Hl) = -coupl(nGC_64)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_64_Hh) = -coupl(nGC_64)*dtHh_QED1/cMHH**2d0
      coupl(nGC_9477) = coupl(nGC_8580)*db_QED2 + coupl(nGC_8581)*dytau1_QED3  &
                         + coupl(nGC_8582)*dytau2_QED3
      coupl(nGC_13161) = coupl(nGC_190)*dZG0/2d0
      coupl(nGC_13164) = coupl(nGC_186)*dZHaG0_QED2/2d0 + coupl(nGC_190)*      &
                         dZtauMinusL_QED2/2d0 + coupl(nGC_190)*dZtauMinusR_QED2&
                         /2d0 + coupl(nGC_9477)
      coupl(nGC_9294) = coupl(nGC_8226)*dsw_QED2 + coupl(nGC_8227)*dcw_QED2 +  &
                        coupl(nGC_8228)*dZee_QED2
      coupl(nGC_9296) = coupl(nGC_8072)*dl3_QED4 + coupl(nGC_8073)*dl1_QED4 +  &
                        coupl(nGC_8074)*dl2_QED4 + coupl(nGC_8075)*dl5_QED4 +  &
                        coupl(nGC_8076)*dl4_QED4 + coupl(nGC_8077)*db_QED2
      coupl(nGC_9292) = coupl(nGC_8220)*dsw_QED2 + coupl(nGC_8221)*dcw_QED2 +  &
                        coupl(nGC_8222)*dZee_QED2
      coupl(nGC_9299) = coupl(nGC_7991)*dl3_QED4 + coupl(nGC_7992)*db_QED2 +   &
                        coupl(nGC_7993)*dl2_QED4 + coupl(nGC_7994)*dl5_QED4 +  &
                        coupl(nGC_7995)*dl4_QED4 + coupl(nGC_7996)*dl1_QED4 +  &
                        coupl(nGC_7997)*da_QED2
      coupl(nGC_24621) = coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_9430) = coupl(nGC_8094)*dyd13x3_QED1_QCD2 + coupl(nGC_8095)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_9431) = coupl(nGC_8374)*dydo2_QED1_QCD2 + coupl(nGC_8376)*     &
                        dydo1_QED1_QCD2
      coupl(nGC_TS_GC_63_Hh) = -coupl(nGC_63)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_32_Hh) = -coupl(nGC_32)*dtHh_QED1/cMHH**2d0
      coupl(nGC_15106) = coupl(nGC_MI)*dZtauMinusL_QED2
      coupl(nGC_15107) = coupl(nGC_MTA)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/ &
                         2d0
      coupl(nGC_18180) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_15264) = coupl(nGC_68)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_15433) = coupl(nGC_88)*dZtL_QCD2
      coupl(nGC_15436) = coupl(nGC_85)*dZtR_QCD2
      coupl(nGC_14252) = coupl(nGC_40)*dZGMinus/2d0
      coupl(nGC_12719) = coupl(nGC_43)*(2d0*dZG0 + dZGMinus)/2d0
      coupl(nGC_13179) = coupl(nGC_72)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_9445) = coupl(nGC_8483)*dys2_QED1_QCD2 + coupl(nGC_8484)*      &
                        dyd12x2_QED1_QCD2
      coupl(nGC_9447) = coupl(nGC_8650)*dyd13x3_QED1_QCD2 + coupl(nGC_8652)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_9440) = coupl(nGC_7975)*dyd13x3_QED1_QCD2 + coupl(nGC_7976)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_12804) = coupl(nGC_99)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_12807) = coupl(nGC_28)*dZG0/2d0
      coupl(nGC_13284) = coupl(nGC_56)*dZGMinus
      coupl(nGC_9047) = (coupl(nGC_162)**2d0*coupl(nGC_86) + coupl(nGC_166)**  &
                        2d0*coupl(nGC_86) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_82&
                        ) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_89) + 4d0*coupl(  &
                        nGC_90)**3d0)/(32d0*pi**2d0)
      coupl(nGC_TS_GC_104_Hl) = -coupl(nGC_104)*dtHl_QED1/cMHL**2d0
      coupl(nGC_9045) = (coupl(nGC_154)**2d0*coupl(nGC_86) + coupl(nGC_158)**  &
                        2d0*coupl(nGC_86) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_82&
                        ) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_89) + 4d0*coupl(  &
                        nGC_90)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9046) = (coupl(nGC_185)**2d0*coupl(nGC_86) + coupl(nGC_189)**  &
                        2d0*coupl(nGC_86) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_82&
                        ) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_89) + 4d0*coupl(  &
                        nGC_90)**3d0)/(32d0*pi**2d0)
      coupl(nGC_14819) = coupl(nGC_14)*dZGMinus/2d0
      coupl(nGC_16676) = coupl(nGC_83)*dZAZ_QED2
      coupl(nGC_16872) = coupl(nGC_MW_GF)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_14333) = coupl(nGC_48)*dZGMinus/2d0
      coupl(nGC_TS_GC_25_Hh) = -coupl(nGC_25)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_25_Hl) = -coupl(nGC_25)*dtHl_QED1/cMHL**2d0
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
