!******************************************************************************!
!                                                                              !
!    fill_ctcouplings33.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings33.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings33
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl33()
      coupl(nGC_19206) = coupl(nGC_19201) + coupl(nGC_19205)
      coupl(nGC_9258) = (-4d0*Nc*cima*coupl(nGC_80)**2d0*coupl(nGC_87)**2d0 +  &
                        12d0*Nc*cima*coupl(nGC_80)**2d0*coupl(nGC_87)*coupl(   &
                        nGC_88) - 4d0*Nc*cima*coupl(nGC_80)**2d0*coupl(nGC_88  &
                        )**2d0 - 8d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_82)** &
                        2d0 + 4d0*cima*coupl(nGC_607)**2d0 + 4d0*cima*coupl(   &
                        nGC_79)**2d0 - 4d0*cima*coupl(nGC_80)**2d0*coupl(nGC_89&
                        )**2d0 + 12d0*cima*coupl(nGC_80)**2d0*coupl(nGC_89)*   &
                        coupl(nGC_90) - 4d0*cima*coupl(nGC_80)**2d0*coupl(     &
                        nGC_90)**2d0 - 8d0*cima*coupl(nGC_82)**2d0*coupl(      &
                        nGC_833)**2d0 + 2d0*coupl(nGC_1047)*coupl(nGC_82)*coupl&
                        (nGC_833) + coupl(nGC_1103)**2d0*coupl(nGC_79) + 12d0* &
                        coupl(nGC_1103)*coupl(nGC_607)*coupl(nGC_82) + 2d0*    &
                        coupl(nGC_1103)*coupl(nGC_82)*coupl(nGC_83) + coupl(   &
                        nGC_2813)*coupl(nGC_833)**2d0 + coupl(nGC_78)*coupl(   &
                        nGC_82)**2d0 + 12d0*coupl(nGC_79)*coupl(nGC_82)*coupl( &
                        nGC_833) + coupl(nGC_79)*coupl(nGC_833)**2d0)/(32d0*pi &
                        **2d0)
      coupl(nGC_9259) = (18d0*Nc*cima*coupl(nGC_80)**2d0*coupl(nGC_87)**2d0 -  &
                        30d0*Nc*cima*coupl(nGC_80)**2d0*coupl(nGC_87)*coupl(   &
                        nGC_88) + 18d0*Nc*cima*coupl(nGC_80)**2d0*coupl(nGC_88 &
                        )**2d0 + 6d0*cima*coupl(nGC_1047)*coupl(nGC_78) - 16d0*&
                        cima*coupl(nGC_1103)**2d0*coupl(nGC_82)**2d0 + 18d0*   &
                        cima*coupl(nGC_80)**2d0*coupl(nGC_89)**2d0 - 30d0*cima*&
                        coupl(nGC_80)**2d0*coupl(nGC_89)*coupl(nGC_90) + 18d0* &
                        cima*coupl(nGC_80)**2d0*coupl(nGC_90)**2d0 - 16d0*cima*&
                        coupl(nGC_82)**2d0*coupl(nGC_833)**2d0 + 9d0*coupl(    &
                        nGC_1047)*coupl(nGC_1103)**2d0 + 9d0*coupl(nGC_1047)*  &
                        coupl(nGC_833)**2d0 + 6d0*coupl(nGC_1103)*coupl(nGC_607&
                        )*coupl(nGC_82) + 9d0*coupl(nGC_78)*coupl(nGC_82)**2d0 &
                         + 9d0*coupl(nGC_78)*coupl(nGC_833)**2d0 + 6d0*coupl(  &
                        nGC_79)*coupl(nGC_82)*coupl(nGC_833))/(48d0*pi**2d0)
      coupl(nGC_9092) = (-24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_143)*coupl( &
                        nGC_144) - 24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_147&
                        )*coupl(nGC_148) - 24d0*Nc*cima*coupl(nGC_1)**2d0*coupl&
                        (nGC_171)*coupl(nGC_172) - 24d0*Nc*cima*coupl(nGC_1191 &
                        )*coupl(nGC_194)*coupl(nGC_2)**2d0 - 24d0*Nc*cima*coupl&
                        (nGC_132)*coupl(nGC_2)**2d0*coupl(nGC_695) - 24d0*Nc*  &
                        cima*coupl(nGC_179)*coupl(nGC_2)**2d0*coupl(nGC_2019   &
                        ) + 9d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_72)*coupl( &
                        nGC_867) + 12d0*cima*coupl(nGC_1207)*coupl(nGC_62) -   &
                        24d0*cima*coupl(nGC_155)*coupl(nGC_156)*coupl(nGC_4)** &
                        2d0 - 24d0*cima*coupl(nGC_163)*coupl(nGC_164)*coupl(   &
                        nGC_4)**2d0 + 4d0*cima*coupl(nGC_17)**2d0*coupl(nGC_72 &
                        )*coupl(nGC_867) - 24d0*cima*coupl(nGC_186)*coupl(     &
                        nGC_187)*coupl(nGC_4)**2d0 + 9d0*cima*coupl(nGC_3)**2d0&
                        *coupl(nGC_72)*coupl(nGC_867) + 4d0*cima*coupl(nGC_72)*&
                        coupl(nGC_793)**2d0*coupl(nGC_867) + 18d0*coupl(       &
                        nGC_1103)**2d0*coupl(nGC_62) - 6d0*coupl(nGC_1103)*    &
                        coupl(nGC_72)*coupl(nGC_73) - 6d0*coupl(nGC_1103)*coupl&
                        (nGC_74)*coupl(nGC_867) - 6d0*coupl(nGC_1207)*coupl(   &
                        nGC_72)*coupl(nGC_867) + 6d0*coupl(nGC_18)*coupl(nGC_72&
                        )*coupl(nGC_867) + 18d0*coupl(nGC_3)**2d0*coupl(nGC_62 &
                        ) - 6d0*coupl(nGC_3)*coupl(nGC_72)*coupl(nGC_74) - 6d0*&
                        coupl(nGC_3)*coupl(nGC_73)*coupl(nGC_867))/(96d0*pi**  &
                        2d0)
      coupl(nGC_9093) = (-24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_137)**2d0 - &
                        24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_149)**2d0 -   &
                        24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_173)**2d0 -   &
                        24d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_2)**2d0 -   &
                        24d0*Nc*cima*coupl(nGC_180)**2d0*coupl(nGC_2)**2d0 -   &
                        24d0*Nc*cima*coupl(nGC_195)**2d0*coupl(nGC_2)**2d0 +   &
                        9d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_1243)*coupl(   &
                        nGC_68) + 9d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_3011 &
                        )*coupl(nGC_64) + 12d0*cima*coupl(nGC_1207)*coupl(     &
                        nGC_61) + 4d0*cima*coupl(nGC_1243)*coupl(nGC_68)*coupl(&
                        nGC_793)**2d0 + 4d0*cima*coupl(nGC_1485)*coupl(nGC_17  &
                        )**2d0*coupl(nGC_69) + 9d0*cima*coupl(nGC_1485)*coupl( &
                        nGC_3)**2d0*coupl(nGC_69) - 24d0*cima*coupl(nGC_157)** &
                        2d0*coupl(nGC_4)**2d0 - 24d0*cima*coupl(nGC_165)**2d0* &
                        coupl(nGC_4)**2d0 + 4d0*cima*coupl(nGC_17)**2d0*coupl( &
                        nGC_2391)*coupl(nGC_63) - 24d0*cima*coupl(nGC_188)**2d0&
                        *coupl(nGC_4)**2d0 + 9d0*cima*coupl(nGC_2391)*coupl(   &
                        nGC_3)**2d0*coupl(nGC_63) + 4d0*cima*coupl(nGC_3011)*  &
                        coupl(nGC_64)*coupl(nGC_793)**2d0 + 18d0*coupl(nGC_1103&
                        )**2d0*coupl(nGC_61) - 6d0*coupl(nGC_1103)*coupl(      &
                        nGC_1243)*coupl(nGC_70) - 6d0*coupl(nGC_1103)*coupl(   &
                        nGC_3011)*coupl(nGC_66) - 6d0*coupl(nGC_1103)*coupl(   &
                        nGC_64)*coupl(nGC_66) - 6d0*coupl(nGC_1103)*coupl(     &
                        nGC_68)*coupl(nGC_70) - 3d0*coupl(nGC_1207)*coupl(     &
                        nGC_1243)*coupl(nGC_68) - 3d0*coupl(nGC_1207)*coupl(   &
                        nGC_1485)*coupl(nGC_69) - 3d0*coupl(nGC_1207)*coupl(   &
                        nGC_2391)*coupl(nGC_63) - 3d0*coupl(nGC_1207)*coupl(   &
                        nGC_3011)*coupl(nGC_64) + 3d0*coupl(nGC_1243)*coupl(   &
                        nGC_18)*coupl(nGC_68) + 3d0*coupl(nGC_1485)*coupl(     &
                        nGC_18)*coupl(nGC_69) - 6d0*coupl(nGC_1485)*coupl(nGC_3&
                        )*coupl(nGC_70) + 3d0*coupl(nGC_18)*coupl(nGC_2391)*   &
                        coupl(nGC_63) + 3d0*coupl(nGC_18)*coupl(nGC_3011)*coupl&
                        (nGC_64) - 6d0*coupl(nGC_2391)*coupl(nGC_3)*coupl(     &
                        nGC_66) + 18d0*coupl(nGC_3)**2d0*coupl(nGC_61) - 6d0*  &
                        coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_66) - 6d0*coupl(  &
                        nGC_3)*coupl(nGC_69)*coupl(nGC_70))/(96d0*pi**2d0)
      coupl(nGC_9091) = (-24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_139)*coupl( &
                        nGC_140) - 24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_151&
                        )*coupl(nGC_152) - 24d0*Nc*cima*coupl(nGC_1)**2d0*coupl&
                        (nGC_175)*coupl(nGC_176) - 24d0*Nc*cima*coupl(nGC_135)*&
                        coupl(nGC_136)*coupl(nGC_2)**2d0 - 24d0*Nc*cima*coupl( &
                        nGC_182)*coupl(nGC_183)*coupl(nGC_2)**2d0 - 24d0*Nc*   &
                        cima*coupl(nGC_197)*coupl(nGC_198)*coupl(nGC_2)**2d0 + &
                        9d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_72)*coupl(     &
                        nGC_867) + 12d0*cima*coupl(nGC_1207)*coupl(nGC_62) -   &
                        24d0*cima*coupl(nGC_159)*coupl(nGC_160)*coupl(nGC_4)** &
                        2d0 - 24d0*cima*coupl(nGC_167)*coupl(nGC_168)*coupl(   &
                        nGC_4)**2d0 + 4d0*cima*coupl(nGC_17)**2d0*coupl(nGC_72 &
                        )*coupl(nGC_867) - 24d0*cima*coupl(nGC_190)*coupl(     &
                        nGC_191)*coupl(nGC_4)**2d0 + 9d0*cima*coupl(nGC_3)**2d0&
                        *coupl(nGC_72)*coupl(nGC_867) + 4d0*cima*coupl(nGC_72)*&
                        coupl(nGC_793)**2d0*coupl(nGC_867) + 18d0*coupl(       &
                        nGC_1103)**2d0*coupl(nGC_62) - 6d0*coupl(nGC_1103)*    &
                        coupl(nGC_72)*coupl(nGC_73) - 6d0*coupl(nGC_1103)*coupl&
                        (nGC_74)*coupl(nGC_867) - 6d0*coupl(nGC_1207)*coupl(   &
                        nGC_72)*coupl(nGC_867) + 6d0*coupl(nGC_18)*coupl(nGC_72&
                        )*coupl(nGC_867) + 18d0*coupl(nGC_3)**2d0*coupl(nGC_62 &
                        ) - 6d0*coupl(nGC_3)*coupl(nGC_72)*coupl(nGC_74) - 6d0*&
                        coupl(nGC_3)*coupl(nGC_73)*coupl(nGC_867))/(96d0*pi**  &
                        2d0)
      coupl(nGC_9096) = (-12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_80)**2d0 +  &
                        36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_80)** &
                        2d0 - 12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_80)**2d0&
                         - 24d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_3)**2d0 -  &
                        16d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_82)**2d0 - 8d0&
                        *cima*coupl(nGC_3)**2d0*coupl(nGC_833)**2d0 - 12d0*cima&
                        *coupl(nGC_4)**2d0*coupl(nGC_80)**2d0 + 12d0*cima*coupl&
                        (nGC_5)**2d0 + 12d0*cima*coupl(nGC_607)**2d0 + 3d0*    &
                        coupl(nGC_1103)**2d0*coupl(nGC_5) + 3d0*coupl(nGC_1103 &
                        )**2d0*coupl(nGC_78) + 6d0*coupl(nGC_1103)*coupl(      &
                        nGC_1207)*coupl(nGC_3) + 36d0*coupl(nGC_1103)*coupl(   &
                        nGC_3)*coupl(nGC_5) + 36d0*coupl(nGC_1103)*coupl(      &
                        nGC_607)*coupl(nGC_82) + 3d0*coupl(nGC_2813)*coupl(    &
                        nGC_3)**2d0 + 6d0*coupl(nGC_3)*coupl(nGC_83)*coupl(    &
                        nGC_833) + 3d0*coupl(nGC_5)*coupl(nGC_833)**2d0)/(96d0*&
                        pi**2d0)
      coupl(nGC_9097) = (-48d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_137)*coupl( &
                        nGC_141) - 48d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_145&
                        )*coupl(nGC_149) - 48d0*Nc*cima*coupl(nGC_1)**2d0*coupl&
                        (nGC_169)*coupl(nGC_173) - 48d0*Nc*cima*coupl(nGC_130)*&
                        coupl(nGC_133)*coupl(nGC_2)**2d0 - 48d0*Nc*cima*coupl( &
                        nGC_177)*coupl(nGC_180)*coupl(nGC_2)**2d0 - 48d0*Nc*   &
                        cima*coupl(nGC_192)*coupl(nGC_195)*coupl(nGC_2)**2d0 + &
                        9d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_1243)*coupl(   &
                        nGC_63) + 9d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_1243 &
                        )*coupl(nGC_64) + 9d0*cima*coupl(nGC_1103)**2d0*coupl( &
                        nGC_2391)*coupl(nGC_68) + 9d0*cima*coupl(nGC_1103)**2d0&
                        *coupl(nGC_3011)*coupl(nGC_68) + 4d0*cima*coupl(       &
                        nGC_1243)*coupl(nGC_63)*coupl(nGC_793)**2d0 + 4d0*cima*&
                        coupl(nGC_1243)*coupl(nGC_64)*coupl(nGC_793)**2d0 + 4d0&
                        *cima*coupl(nGC_1485)*coupl(nGC_17)**2d0*coupl(nGC_63  &
                        ) + 4d0*cima*coupl(nGC_1485)*coupl(nGC_17)**2d0*coupl( &
                        nGC_64) + 9d0*cima*coupl(nGC_1485)*coupl(nGC_3)**2d0*  &
                        coupl(nGC_63) + 9d0*cima*coupl(nGC_1485)*coupl(nGC_3)**&
                        2d0*coupl(nGC_64) - 48d0*cima*coupl(nGC_153)*coupl(    &
                        nGC_157)*coupl(nGC_4)**2d0 - 48d0*cima*coupl(nGC_161)* &
                        coupl(nGC_165)*coupl(nGC_4)**2d0 + 4d0*cima*coupl(     &
                        nGC_17)**2d0*coupl(nGC_2391)*coupl(nGC_69) + 4d0*cima* &
                        coupl(nGC_17)**2d0*coupl(nGC_3011)*coupl(nGC_69) - 48d0&
                        *cima*coupl(nGC_184)*coupl(nGC_188)*coupl(nGC_4)**2d0  &
                         + 9d0*cima*coupl(nGC_2391)*coupl(nGC_3)**2d0*coupl(   &
                        nGC_69) + 4d0*cima*coupl(nGC_2391)*coupl(nGC_68)*coupl(&
                        nGC_793)**2d0 + 9d0*cima*coupl(nGC_3)**2d0*coupl(      &
                        nGC_3011)*coupl(nGC_69) + 4d0*cima*coupl(nGC_3011)*    &
                        coupl(nGC_68)*coupl(nGC_793)**2d0 - 6d0*coupl(nGC_1103 &
                        )*coupl(nGC_1243)*coupl(nGC_65) - 6d0*coupl(nGC_1103)* &
                        coupl(nGC_1243)*coupl(nGC_66) - 6d0*coupl(nGC_1103)*   &
                        coupl(nGC_2391)*coupl(nGC_70) - 6d0*coupl(nGC_1103)*   &
                        coupl(nGC_3011)*coupl(nGC_70) - 6d0*coupl(nGC_1103)*   &
                        coupl(nGC_63)*coupl(nGC_70) - 6d0*coupl(nGC_1103)*coupl&
                        (nGC_64)*coupl(nGC_70) - 6d0*coupl(nGC_1103)*coupl(    &
                        nGC_65)*coupl(nGC_68) - 6d0*coupl(nGC_1103)*coupl(     &
                        nGC_66)*coupl(nGC_68) - 6d0*coupl(nGC_1207)*coupl(     &
                        nGC_1243)*coupl(nGC_63) - 6d0*coupl(nGC_1207)*coupl(   &
                        nGC_1243)*coupl(nGC_64) - 6d0*coupl(nGC_1207)*coupl(   &
                        nGC_1485)*coupl(nGC_63) - 6d0*coupl(nGC_1207)*coupl(   &
                        nGC_1485)*coupl(nGC_64) - 6d0*coupl(nGC_1485)*coupl(   &
                        nGC_3)*coupl(nGC_65) - 6d0*coupl(nGC_1485)*coupl(nGC_3 &
                        )*coupl(nGC_66) + 6d0*coupl(nGC_18)*coupl(nGC_2391)*   &
                        coupl(nGC_68) + 6d0*coupl(nGC_18)*coupl(nGC_2391)*coupl&
                        (nGC_69) + 6d0*coupl(nGC_18)*coupl(nGC_3011)*coupl(    &
                        nGC_68) + 6d0*coupl(nGC_18)*coupl(nGC_3011)*coupl(     &
                        nGC_69) - 6d0*coupl(nGC_2391)*coupl(nGC_3)*coupl(nGC_70&
                        ) - 6d0*coupl(nGC_3)*coupl(nGC_3011)*coupl(nGC_70) -   &
                        6d0*coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_70) - 6d0*    &
                        coupl(nGC_3)*coupl(nGC_64)*coupl(nGC_70) - 6d0*coupl(  &
                        nGC_3)*coupl(nGC_65)*coupl(nGC_69) - 6d0*coupl(nGC_3)* &
                        coupl(nGC_66)*coupl(nGC_69))/(192d0*pi**2d0)
      coupl(nGC_9094) = (-12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_80)**2d0 +  &
                        36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_80)** &
                        2d0 - 12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_80)**2d0&
                         - 24d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_3)**2d0 -  &
                        8d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_82)**2d0 - 16d0&
                        *cima*coupl(nGC_3)**2d0*coupl(nGC_833)**2d0 - 12d0*cima&
                        *coupl(nGC_4)**2d0*coupl(nGC_80)**2d0 + 12d0*cima*coupl&
                        (nGC_5)**2d0 + 12d0*cima*coupl(nGC_607)**2d0 + 3d0*    &
                        coupl(nGC_1103)**2d0*coupl(nGC_2813) + 3d0*coupl(      &
                        nGC_1103)**2d0*coupl(nGC_5) + 6d0*coupl(nGC_1103)*coupl&
                        (nGC_1207)*coupl(nGC_3) + 36d0*coupl(nGC_1103)*coupl(  &
                        nGC_3)*coupl(nGC_5) + 6d0*coupl(nGC_1103)*coupl(nGC_82 &
                        )*coupl(nGC_83) + 3d0*coupl(nGC_3)**2d0*coupl(nGC_78   &
                        ) + 36d0*coupl(nGC_3)*coupl(nGC_607)*coupl(nGC_833) +  &
                        3d0*coupl(nGC_5)*coupl(nGC_833)**2d0)/(96d0*pi**2d0)
      coupl(nGC_9095) = (18d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_80)**2d0 -   &
                        30d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_80)** &
                        2d0 + 18d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_80)**2d0&
                         - 16d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_3)**2d0 -  &
                        8d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_82)**2d0 + 6d0*&
                        cima*coupl(nGC_1207)*coupl(nGC_78) - 8d0*cima*coupl(   &
                        nGC_3)**2d0*coupl(nGC_833)**2d0 + 18d0*cima*coupl(nGC_4&
                        )**2d0*coupl(nGC_80)**2d0 + 9d0*coupl(nGC_1103)**2d0*  &
                        coupl(nGC_1207) + 9d0*coupl(nGC_1103)**2d0*coupl(nGC_78&
                        ) + 6d0*coupl(nGC_1103)*coupl(nGC_3)*coupl(nGC_5) + 3d0&
                        *coupl(nGC_1103)*coupl(nGC_607)*coupl(nGC_82) + 9d0*   &
                        coupl(nGC_1207)*coupl(nGC_833)**2d0 + 9d0*coupl(nGC_3  &
                        )**2d0*coupl(nGC_78) + 3d0*coupl(nGC_3)*coupl(nGC_607)*&
                        coupl(nGC_833))/(48d0*pi**2d0)
      coupl(nGC_9098) = (6d0*Nc*cima*coupl(nGC_1)**3d0*coupl(nGC_84) + 6d0*Nc* &
                        cima*coupl(nGC_1)**3d0*coupl(nGC_87) + 6d0*Nc*cima*    &
                        coupl(nGC_2)**3d0*coupl(nGC_85) + 6d0*Nc*cima*coupl(   &
                        nGC_2)**3d0*coupl(nGC_88) - 20d0*cima*coupl(nGC_1103)**&
                        3d0*coupl(nGC_833) + 6d0*cima*coupl(nGC_1207)*coupl(   &
                        nGC_83) - 20d0*cima*coupl(nGC_3)**3d0*coupl(nGC_82) +  &
                        6d0*cima*coupl(nGC_4)**3d0*coupl(nGC_86) + 6d0*cima*   &
                        coupl(nGC_4)**3d0*coupl(nGC_89) + 3d0*coupl(nGC_1103)**&
                        2d0*coupl(nGC_607) + 9d0*coupl(nGC_1103)**2d0*coupl(   &
                        nGC_83) + 9d0*coupl(nGC_1103)*coupl(nGC_1207)*coupl(   &
                        nGC_833) + 3d0*coupl(nGC_1103)*coupl(nGC_5)*coupl(     &
                        nGC_833) + 9d0*coupl(nGC_1207)*coupl(nGC_3)*coupl(     &
                        nGC_82) + 3d0*coupl(nGC_3)**2d0*coupl(nGC_607) + 9d0*  &
                        coupl(nGC_3)**2d0*coupl(nGC_83) + 3d0*coupl(nGC_3)*    &
                        coupl(nGC_5)*coupl(nGC_82))/(48d0*pi**2d0)
      coupl(nGC_9099) = (6d0*Nc*cima*coupl(nGC_1)**4d0 + 6d0*Nc*cima*coupl(    &
                        nGC_2)**4d0 - 10d0*cima*coupl(nGC_1103)**4d0 + 3d0*cima&
                        *coupl(nGC_1207)**2d0 - 10d0*cima*coupl(nGC_3)**4d0 +  &
                        6d0*cima*coupl(nGC_4)**4d0 + 9d0*coupl(nGC_1103)**2d0* &
                        coupl(nGC_1207) + 3d0*coupl(nGC_1103)**2d0*coupl(nGC_5 &
                        ) + 9d0*coupl(nGC_1207)*coupl(nGC_3)**2d0 + 3d0*coupl( &
                        nGC_3)**2d0*coupl(nGC_5))/(24d0*pi**2d0)
      coupl(nGC_14178) = coupl(nGC_169)*dZHlHh_QED2/2d0 + coupl(nGC_173)*      &
                         dZHh_QED2/2d0 + coupl(nGC_9446)
      coupl(nGC_9187) = (-16d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(    &
                        nGC_80)**2d0 - 16d0*Nc*cima*coupl(nGC_138)*coupl(      &
                        nGC_142)*coupl(nGC_80)**2d0 - 16d0*Nc*cima*coupl(      &
                        nGC_146)*coupl(nGC_150)*coupl(nGC_80)**2d0 - 16d0*Nc*  &
                        cima*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_80)**2d0  &
                         - 16d0*Nc*cima*coupl(nGC_178)*coupl(nGC_181)*coupl(   &
                        nGC_80)**2d0 - 16d0*Nc*cima*coupl(nGC_193)*coupl(      &
                        nGC_196)*coupl(nGC_80)**2d0 + 4d0*cima*coupl(nGC_1243  &
                        )**3d0*coupl(nGC_63) + 4d0*cima*coupl(nGC_1243)**3d0*  &
                        coupl(nGC_64) + 4d0*cima*coupl(nGC_1243)**2d0*coupl(   &
                        nGC_1485)*coupl(nGC_63) + 4d0*cima*coupl(nGC_1243)**2d0&
                        *coupl(nGC_1485)*coupl(nGC_64) + 4d0*cima*coupl(       &
                        nGC_1243)**2d0*coupl(nGC_2391)*coupl(nGC_68) + 4d0*cima&
                        *coupl(nGC_1243)**2d0*coupl(nGC_3011)*coupl(nGC_68) +  &
                        4d0*cima*coupl(nGC_1243)*coupl(nGC_1485)*coupl(nGC_2391&
                        )*coupl(nGC_69) + 4d0*cima*coupl(nGC_1243)*coupl(      &
                        nGC_1485)*coupl(nGC_3011)*coupl(nGC_69) + 4d0*cima*    &
                        coupl(nGC_1243)*coupl(nGC_2391)**2d0*coupl(nGC_63) +   &
                        4d0*cima*coupl(nGC_1243)*coupl(nGC_2391)*coupl(nGC_3011&
                        )*coupl(nGC_63) + 4d0*cima*coupl(nGC_1243)*coupl(      &
                        nGC_2391)*coupl(nGC_3011)*coupl(nGC_64) + 4d0*cima*    &
                        coupl(nGC_1243)*coupl(nGC_3011)**2d0*coupl(nGC_64) +   &
                        4d0*cima*coupl(nGC_1243)*coupl(nGC_63)*coupl(nGC_72)** &
                        2d0 + 4d0*cima*coupl(nGC_1243)*coupl(nGC_63)*coupl(    &
                        nGC_867)**2d0 + 4d0*cima*coupl(nGC_1243)*coupl(nGC_64)*&
                        coupl(nGC_72)**2d0 + 4d0*cima*coupl(nGC_1243)*coupl(   &
                        nGC_64)*coupl(nGC_867)**2d0 - 16d0*cima*coupl(nGC_154)*&
                        coupl(nGC_158)*coupl(nGC_80)**2d0 - 16d0*cima*coupl(   &
                        nGC_162)*coupl(nGC_166)*coupl(nGC_80)**2d0 + 4d0*cima* &
                        coupl(nGC_17)**2d0*coupl(nGC_63)*coupl(nGC_69) + 4d0*  &
                        cima*coupl(nGC_17)**2d0*coupl(nGC_64)*coupl(nGC_69) -  &
                        16d0*cima*coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_80)**&
                        2d0 + 4d0*cima*coupl(nGC_2391)**2d0*coupl(nGC_3011)*   &
                        coupl(nGC_68) + 4d0*cima*coupl(nGC_2391)**2d0*coupl(   &
                        nGC_3011)*coupl(nGC_69) + 4d0*cima*coupl(nGC_2391)*    &
                        coupl(nGC_3011)**2d0*coupl(nGC_68) + 4d0*cima*coupl(   &
                        nGC_2391)*coupl(nGC_3011)**2d0*coupl(nGC_69) + 4d0*cima&
                        *coupl(nGC_2391)*coupl(nGC_68)*coupl(nGC_867)**2d0 +   &
                        4d0*cima*coupl(nGC_2391)*coupl(nGC_69)*coupl(nGC_867)**&
                        2d0 + 9d0*cima*coupl(nGC_3)**2d0*coupl(nGC_63)*coupl(  &
                        nGC_69) + 9d0*cima*coupl(nGC_3)**2d0*coupl(nGC_64)*    &
                        coupl(nGC_69) + 4d0*cima*coupl(nGC_3011)*coupl(nGC_68)*&
                        coupl(nGC_72)**2d0 + 4d0*cima*coupl(nGC_3011)*coupl(   &
                        nGC_69)*coupl(nGC_72)**2d0 + 9d0*cima*coupl(nGC_63)*   &
                        coupl(nGC_69)*coupl(nGC_82)**2d0 + 4d0*cima*coupl(     &
                        nGC_63)*coupl(nGC_69)*coupl(nGC_96)**2d0 + 9d0*cima*   &
                        coupl(nGC_64)*coupl(nGC_69)*coupl(nGC_82)**2d0 + 4d0*  &
                        cima*coupl(nGC_64)*coupl(nGC_69)*coupl(nGC_96)**2d0 +  &
                        6d0*coupl(nGC_1243)*coupl(nGC_2391)*coupl(nGC_61) + 6d0&
                        *coupl(nGC_1243)*coupl(nGC_3011)*coupl(nGC_61) - 6d0*  &
                        coupl(nGC_14)*coupl(nGC_69)*coupl(nGC_82) - 6d0*coupl( &
                        nGC_15)*coupl(nGC_69)*coupl(nGC_82) - 6d0*coupl(nGC_16 &
                        )*coupl(nGC_63)*coupl(nGC_82) - 6d0*coupl(nGC_16)*coupl&
                        (nGC_64)*coupl(nGC_82) - 6d0*coupl(nGC_3)*coupl(nGC_63 &
                        )*coupl(nGC_70) - 6d0*coupl(nGC_3)*coupl(nGC_64)*coupl(&
                        nGC_70) - 6d0*coupl(nGC_3)*coupl(nGC_65)*coupl(nGC_69  &
                        ) - 6d0*coupl(nGC_3)*coupl(nGC_66)*coupl(nGC_69) - 6d0*&
                        coupl(nGC_63)*coupl(nGC_69)*coupl(nGC_78) - 6d0*coupl( &
                        nGC_64)*coupl(nGC_69)*coupl(nGC_78))/(192d0*pi**2d0)
      coupl(nGC_13683) = coupl(nGC_26)*dZHlHh_QED2 + coupl(nGC_29)*dZG0Ha_QED2 &
                          + coupl(nGC_38)*dZHa_QED2 + coupl(nGC_38)*dZHh_QED2  &
                          + coupl(nGC_9310)
      coupl(nGC_8851) = (8d0*coupl(nGC_1)*coupl(nGC_174)*coupl(nGC_2) - coupl( &
                        nGC_1)*coupl(nGC_174)*coupl(nGC_793) - coupl(nGC_1243)*&
                        coupl(nGC_173)*coupl(nGC_80) - coupl(nGC_130)*coupl(   &
                        nGC_134)*coupl(nGC_169) - coupl(nGC_132)*coupl(nGC_134 &
                        )*coupl(nGC_171) - coupl(nGC_133)*coupl(nGC_134)*coupl(&
                        nGC_173) - coupl(nGC_134)*coupl(nGC_136)*coupl(nGC_175 &
                        ) - coupl(nGC_169)*coupl(nGC_2391)*coupl(nGC_80) -     &
                        coupl(nGC_17)*coupl(nGC_174)*coupl(nGC_2) + 8d0*coupl( &
                        nGC_174)*coupl(nGC_84)*coupl(nGC_88) - coupl(nGC_174)* &
                        coupl(nGC_84)*coupl(nGC_975) - coupl(nGC_174)*coupl(   &
                        nGC_88)*coupl(nGC_96) - coupl(nGC_175)*coupl(nGC_72)*  &
                        coupl(nGC_80))/(32d0*pi**2d0)
      coupl(nGC_9175) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(     &
                        nGC_135)*coupl(nGC_136) + 20d0*Nc*cima*coupl(nGC_131)* &
                        coupl(nGC_134)*coupl(nGC_175)*coupl(nGC_176) + 20d0*Nc*&
                        cima*coupl(nGC_131)*coupl(nGC_135)*coupl(nGC_174)*coupl&
                        (nGC_176) + 20d0*Nc*cima*coupl(nGC_134)*coupl(nGC_136)*&
                        coupl(nGC_170)*coupl(nGC_175) + 20d0*Nc*cima*coupl(    &
                        nGC_135)*coupl(nGC_136)*coupl(nGC_170)*coupl(nGC_174   &
                        ) + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_139)*coupl(  &
                        nGC_140)*coupl(nGC_142) + 20d0*Nc*cima*coupl(nGC_138)* &
                        coupl(nGC_140)*coupl(nGC_178)*coupl(nGC_182) + 20d0*Nc*&
                        cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_182)*coupl&
                        (nGC_183) + 20d0*Nc*cima*coupl(nGC_139)*coupl(nGC_140)*&
                        coupl(nGC_178)*coupl(nGC_181) + 20d0*Nc*cima*coupl(    &
                        nGC_139)*coupl(nGC_142)*coupl(nGC_181)*coupl(nGC_183   &
                        ) + 20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*coupl(  &
                        nGC_151)*coupl(nGC_152) + 20d0*Nc*cima*coupl(nGC_146)* &
                        coupl(nGC_150)*coupl(nGC_197)*coupl(nGC_198) + 20d0*Nc*&
                        cima*coupl(nGC_146)*coupl(nGC_151)*coupl(nGC_196)*coupl&
                        (nGC_198) + 20d0*Nc*cima*coupl(nGC_150)*coupl(nGC_152)*&
                        coupl(nGC_193)*coupl(nGC_197) + 20d0*Nc*cima*coupl(    &
                        nGC_151)*coupl(nGC_152)*coupl(nGC_193)*coupl(nGC_196   &
                        ) + 20d0*Nc*cima*coupl(nGC_170)*coupl(nGC_174)*coupl(  &
                        nGC_175)*coupl(nGC_176) + 20d0*Nc*cima*coupl(nGC_178)* &
                        coupl(nGC_181)*coupl(nGC_182)*coupl(nGC_183) + 20d0*Nc*&
                        cima*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_197)*coupl&
                        (nGC_198) - 5d0*cima*coupl(nGC_1243)**2d0*coupl(nGC_665&
                        )*coupl(nGC_94) - 5d0*cima*coupl(nGC_1243)*coupl(      &
                        nGC_2391)*coupl(nGC_665)*coupl(nGC_91) - 5d0*cima*coupl&
                        (nGC_1243)*coupl(nGC_2391)*coupl(nGC_72)*coupl(nGC_867 &
                        ) - 5d0*cima*coupl(nGC_1243)*coupl(nGC_3011)*coupl(    &
                        nGC_72)*coupl(nGC_867) - 5d0*cima*coupl(nGC_1243)*coupl&
                        (nGC_3011)*coupl(nGC_817)*coupl(nGC_94) - 5d0*cima*    &
                        coupl(nGC_1243)*coupl(nGC_665)*coupl(nGC_867)*coupl(   &
                        nGC_975) + 20d0*cima*coupl(nGC_154)*coupl(nGC_158)*    &
                        coupl(nGC_159)*coupl(nGC_160) + 20d0*cima*coupl(nGC_162&
                        )*coupl(nGC_166)*coupl(nGC_167)*coupl(nGC_168) + 20d0* &
                        cima*coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_190)*coupl&
                        (nGC_191) - 5d0*cima*coupl(nGC_2391)*coupl(nGC_3011)*  &
                        coupl(nGC_817)*coupl(nGC_91) - 5d0*cima*coupl(nGC_3011 &
                        )*coupl(nGC_817)*coupl(nGC_867)*coupl(nGC_975) - 5d0*  &
                        cima*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_665)*coupl( &
                        nGC_94) - 5d0*cima*coupl(nGC_63)*coupl(nGC_69)*coupl(  &
                        nGC_72)*coupl(nGC_867) - 5d0*cima*coupl(nGC_63)*coupl( &
                        nGC_69)*coupl(nGC_817)*coupl(nGC_94) - 5d0*cima*coupl( &
                        nGC_63)*coupl(nGC_72)*coupl(nGC_94)*coupl(nGC_96) - 5d0&
                        *cima*coupl(nGC_64)*coupl(nGC_665)*coupl(nGC_69)*coupl(&
                        nGC_91) - 5d0*cima*coupl(nGC_64)*coupl(nGC_69)*coupl(  &
                        nGC_72)*coupl(nGC_867) - 5d0*cima*coupl(nGC_69)**2d0*  &
                        coupl(nGC_817)*coupl(nGC_91) - 5d0*cima*coupl(nGC_69)* &
                        coupl(nGC_72)*coupl(nGC_91)*coupl(nGC_96) - 3d0*coupl( &
                        nGC_1243)*coupl(nGC_2391)*coupl(nGC_62) - 3d0*coupl(   &
                        nGC_1243)*coupl(nGC_3011)*coupl(nGC_62) + 3d0*coupl(   &
                        nGC_1243)*coupl(nGC_41)*coupl(nGC_72) - 6d0*coupl(     &
                        nGC_20)*coupl(nGC_63)*coupl(nGC_94) - 6d0*coupl(nGC_20 &
                        )*coupl(nGC_69)*coupl(nGC_91) + 3d0*coupl(nGC_2391)*   &
                        coupl(nGC_48)*coupl(nGC_72) + 3d0*coupl(nGC_24)*coupl( &
                        nGC_665)*coupl(nGC_91) + 3d0*coupl(nGC_25)*coupl(nGC_63&
                        )*coupl(nGC_64) + 3d0*coupl(nGC_25)*coupl(nGC_69)**2d0 &
                         + 3d0*coupl(nGC_27)*coupl(nGC_817)*coupl(nGC_94) + 3d0&
                        *coupl(nGC_33)*coupl(nGC_63)*coupl(nGC_69) + 3d0*coupl(&
                        nGC_36)*coupl(nGC_665)*coupl(nGC_94) + 3d0*coupl(nGC_36&
                        )*coupl(nGC_817)*coupl(nGC_91) + 3d0*coupl(nGC_39)*    &
                        coupl(nGC_64)*coupl(nGC_69) + 3d0*coupl(nGC_41)*coupl( &
                        nGC_69)*coupl(nGC_867) + 6d0*coupl(nGC_41)*coupl(      &
                        nGC_817)*coupl(nGC_96) + 3d0*coupl(nGC_41)*coupl(      &
                        nGC_817)*coupl(nGC_975) + 3d0*coupl(nGC_41)*coupl(     &
                        nGC_94)*coupl(nGC_96) + 3d0*coupl(nGC_43)*coupl(nGC_72 &
                        )**2d0 + 3d0*coupl(nGC_43)*coupl(nGC_793)**2d0 + 9d0*  &
                        coupl(nGC_43)*coupl(nGC_867)**2d0 + 3d0*coupl(nGC_43)* &
                        coupl(nGC_975)**2d0 + 6d0*coupl(nGC_45)*coupl(nGC_72)* &
                        coupl(nGC_867) + 3d0*coupl(nGC_47)*coupl(nGC_72)*coupl(&
                        nGC_867) + 3d0*coupl(nGC_48)*coupl(nGC_64)*coupl(      &
                        nGC_867) + 6d0*coupl(nGC_48)*coupl(nGC_665)*coupl(     &
                        nGC_96) + 3d0*coupl(nGC_48)*coupl(nGC_665)*coupl(      &
                        nGC_975) + 3d0*coupl(nGC_48)*coupl(nGC_91)*coupl(nGC_96&
                        ))/(96d0*pi**2d0)
      coupl(nGC_9174) = (20d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_134)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_138)**2d0*coupl(nGC_142)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_146)**2d0*coupl(nGC_150)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_170)**2d0*coupl(nGC_174)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_178)**2d0*coupl(nGC_181)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_193)**2d0*coupl(nGC_196)**2d0&
                         - 5d0*cima*coupl(nGC_1243)**2d0*coupl(nGC_2391)**2d0  &
                         - 10d0*cima*coupl(nGC_1243)**2d0*coupl(nGC_2391)*coupl&
                        (nGC_3011) - 5d0*cima*coupl(nGC_1243)**2d0*coupl(      &
                        nGC_3011)**2d0 - 10d0*cima*coupl(nGC_1243)**2d0*coupl( &
                        nGC_69)**2d0 - 10d0*cima*coupl(nGC_1243)*coupl(nGC_2391&
                        )*coupl(nGC_64)*coupl(nGC_69) - 10d0*cima*coupl(       &
                        nGC_1243)*coupl(nGC_3011)*coupl(nGC_63)*coupl(nGC_69   &
                        ) - 20d0*cima*coupl(nGC_1243)*coupl(nGC_69)*coupl(     &
                        nGC_72)*coupl(nGC_867) + 20d0*cima*coupl(nGC_154)**2d0*&
                        coupl(nGC_158)**2d0 + 20d0*cima*coupl(nGC_162)**2d0*   &
                        coupl(nGC_166)**2d0 + 20d0*cima*coupl(nGC_185)**2d0*   &
                        coupl(nGC_189)**2d0 - 10d0*cima*coupl(nGC_2391)*coupl( &
                        nGC_3011)*coupl(nGC_63)*coupl(nGC_64) - 10d0*cima*coupl&
                        (nGC_2391)*coupl(nGC_64)*coupl(nGC_72)*coupl(nGC_867   &
                        ) - 10d0*cima*coupl(nGC_3011)*coupl(nGC_63)*coupl(     &
                        nGC_72)*coupl(nGC_867) - 5d0*cima*coupl(nGC_63)**2d0*  &
                        coupl(nGC_69)**2d0 - 10d0*cima*coupl(nGC_63)*coupl(    &
                        nGC_64)*coupl(nGC_69)**2d0 - 5d0*cima*coupl(nGC_64)**  &
                        2d0*coupl(nGC_69)**2d0 - 10d0*cima*coupl(nGC_72)**2d0* &
                        coupl(nGC_867)**2d0 + 6d0*coupl(nGC_1243)**2d0*coupl(  &
                        nGC_36) + 6d0*coupl(nGC_1243)*coupl(nGC_2391)*coupl(   &
                        nGC_24) + 6d0*coupl(nGC_1243)*coupl(nGC_27)*coupl(     &
                        nGC_3011) + 6d0*coupl(nGC_1243)*coupl(nGC_48)*coupl(   &
                        nGC_72) + 6d0*coupl(nGC_1243)*coupl(nGC_49)*coupl(     &
                        nGC_867) + 6d0*coupl(nGC_17)**2d0*coupl(nGC_60) + 6d0* &
                        coupl(nGC_17)*coupl(nGC_60)*coupl(nGC_793) + 6d0*coupl(&
                        nGC_2391)*coupl(nGC_3011)*coupl(nGC_36) + 6d0*coupl(   &
                        nGC_2391)*coupl(nGC_41)*coupl(nGC_867) + 6d0*coupl(    &
                        nGC_24)*coupl(nGC_64)*coupl(nGC_69) + 6d0*coupl(nGC_27 &
                        )*coupl(nGC_63)*coupl(nGC_69) + 6d0*coupl(nGC_3011)*   &
                        coupl(nGC_41)*coupl(nGC_72) + 6d0*coupl(nGC_36)*coupl( &
                        nGC_63)*coupl(nGC_64) + 6d0*coupl(nGC_36)*coupl(nGC_69 &
                        )**2d0 + 6d0*coupl(nGC_41)*coupl(nGC_63)*coupl(nGC_867 &
                        ) + 6d0*coupl(nGC_41)*coupl(nGC_64)*coupl(nGC_72) + 6d0&
                        *coupl(nGC_48)*coupl(nGC_69)*coupl(nGC_867) + 6d0*coupl&
                        (nGC_49)*coupl(nGC_69)*coupl(nGC_72) + 12d0*coupl(     &
                        nGC_58)*coupl(nGC_72)*coupl(nGC_867) + 6d0*coupl(nGC_60&
                        )*coupl(nGC_793)**2d0 + 6d0*coupl(nGC_60)*coupl(nGC_96 &
                        )**2d0 + 6d0*coupl(nGC_60)*coupl(nGC_96)*coupl(nGC_975 &
                        ) + 6d0*coupl(nGC_60)*coupl(nGC_975)**2d0)/(96d0*pi**  &
                        2d0)
      coupl(nGC_9177) = (10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)*coupl(     &
                        nGC_134)*coupl(nGC_135) + 10d0*Nc*cima*coupl(nGC_131)* &
                        coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_136) + 10d0*Nc*&
                        cima*coupl(nGC_131)*coupl(nGC_133)*coupl(nGC_174)*coupl&
                        (nGC_176) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*&
                        coupl(nGC_173)*coupl(nGC_175) + 10d0*Nc*cima*coupl(    &
                        nGC_131)*coupl(nGC_134)*coupl(nGC_173)*coupl(nGC_176   &
                        ) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_135)*coupl(  &
                        nGC_173)*coupl(nGC_174) + 10d0*Nc*cima*coupl(nGC_133)* &
                        coupl(nGC_134)*coupl(nGC_170)*coupl(nGC_175) + 10d0*Nc*&
                        cima*coupl(nGC_133)*coupl(nGC_135)*coupl(nGC_170)*coupl&
                        (nGC_174) + 10d0*Nc*cima*coupl(nGC_133)*coupl(nGC_136)*&
                        coupl(nGC_170)*coupl(nGC_174) + 10d0*Nc*cima*coupl(    &
                        nGC_134)*coupl(nGC_136)*coupl(nGC_170)*coupl(nGC_173   &
                        ) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138)*coupl(  &
                        nGC_139)*coupl(nGC_142) + 10d0*Nc*cima*coupl(nGC_137)* &
                        coupl(nGC_138)*coupl(nGC_140)*coupl(nGC_142) + 10d0*Nc*&
                        cima*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_178)*coupl&
                        (nGC_182) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_139)*&
                        coupl(nGC_178)*coupl(nGC_181) + 10d0*Nc*cima*coupl(    &
                        nGC_137)*coupl(nGC_140)*coupl(nGC_178)*coupl(nGC_181   &
                        ) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*coupl(  &
                        nGC_181)*coupl(nGC_183) + 10d0*Nc*cima*coupl(nGC_138)* &
                        coupl(nGC_140)*coupl(nGC_178)*coupl(nGC_180) + 10d0*Nc*&
                        cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_180)*coupl&
                        (nGC_182) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*&
                        coupl(nGC_180)*coupl(nGC_183) + 10d0*Nc*cima*coupl(    &
                        nGC_139)*coupl(nGC_142)*coupl(nGC_180)*coupl(nGC_181   &
                        ) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149)*coupl(  &
                        nGC_150)*coupl(nGC_151) + 10d0*Nc*cima*coupl(nGC_146)* &
                        coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_152) + 10d0*Nc*&
                        cima*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_196)*coupl&
                        (nGC_198) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*&
                        coupl(nGC_195)*coupl(nGC_197) + 10d0*Nc*cima*coupl(    &
                        nGC_146)*coupl(nGC_150)*coupl(nGC_195)*coupl(nGC_198   &
                        ) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_151)*coupl(  &
                        nGC_195)*coupl(nGC_196) + 10d0*Nc*cima*coupl(nGC_149)* &
                        coupl(nGC_150)*coupl(nGC_193)*coupl(nGC_197) + 10d0*Nc*&
                        cima*coupl(nGC_149)*coupl(nGC_151)*coupl(nGC_193)*coupl&
                        (nGC_196) + 10d0*Nc*cima*coupl(nGC_149)*coupl(nGC_152)*&
                        coupl(nGC_193)*coupl(nGC_196) + 10d0*Nc*cima*coupl(    &
                        nGC_150)*coupl(nGC_152)*coupl(nGC_193)*coupl(nGC_195   &
                        ) + 10d0*Nc*cima*coupl(nGC_170)*coupl(nGC_173)*coupl(  &
                        nGC_174)*coupl(nGC_175) + 10d0*Nc*cima*coupl(nGC_170)* &
                        coupl(nGC_173)*coupl(nGC_174)*coupl(nGC_176) + 10d0*Nc*&
                        cima*coupl(nGC_178)*coupl(nGC_180)*coupl(nGC_181)*coupl&
                        (nGC_182) + 10d0*Nc*cima*coupl(nGC_178)*coupl(nGC_180)*&
                        coupl(nGC_181)*coupl(nGC_183) + 10d0*Nc*cima*coupl(    &
                        nGC_193)*coupl(nGC_195)*coupl(nGC_196)*coupl(nGC_197   &
                        ) + 10d0*Nc*cima*coupl(nGC_193)*coupl(nGC_195)*coupl(  &
                        nGC_196)*coupl(nGC_198) - 5d0*cima*coupl(nGC_1243)*    &
                        coupl(nGC_1485)*coupl(nGC_2391)*coupl(nGC_867) - 5d0*  &
                        cima*coupl(nGC_1243)*coupl(nGC_1485)*coupl(nGC_3011)*  &
                        coupl(nGC_867) - 5d0*cima*coupl(nGC_1243)*coupl(       &
                        nGC_2391)*coupl(nGC_69)*coupl(nGC_72) - 5d0*cima*coupl(&
                        nGC_1243)*coupl(nGC_3011)*coupl(nGC_69)*coupl(nGC_72   &
                        ) - 5d0*cima*coupl(nGC_1243)*coupl(nGC_63)*coupl(nGC_94&
                        )*coupl(nGC_96) - 5d0*cima*coupl(nGC_1243)*coupl(nGC_69&
                        )*coupl(nGC_91)*coupl(nGC_96) - 5d0*cima*coupl(nGC_1331&
                        )*coupl(nGC_64)*coupl(nGC_665)*coupl(nGC_72) - 5d0*cima&
                        *coupl(nGC_1331)*coupl(nGC_69)*coupl(nGC_72)*coupl(    &
                        nGC_817) + 12d0*cima*coupl(nGC_15)*coupl(nGC_20) + 10d0&
                        *cima*coupl(nGC_154)*coupl(nGC_157)*coupl(nGC_158)*    &
                        coupl(nGC_159) + 10d0*cima*coupl(nGC_154)*coupl(nGC_157&
                        )*coupl(nGC_158)*coupl(nGC_160) + 10d0*cima*coupl(     &
                        nGC_162)*coupl(nGC_165)*coupl(nGC_166)*coupl(nGC_167   &
                        ) + 10d0*cima*coupl(nGC_162)*coupl(nGC_165)*coupl(     &
                        nGC_166)*coupl(nGC_168) + 10d0*cima*coupl(nGC_185)*    &
                        coupl(nGC_188)*coupl(nGC_189)*coupl(nGC_190) + 10d0*   &
                        cima*coupl(nGC_185)*coupl(nGC_188)*coupl(nGC_189)*coupl&
                        (nGC_191) - 5d0*cima*coupl(nGC_3011)*coupl(nGC_64)*    &
                        coupl(nGC_665)*coupl(nGC_96) - 5d0*cima*coupl(nGC_3011 &
                        )*coupl(nGC_69)*coupl(nGC_817)*coupl(nGC_96) - 5d0*cima&
                        *coupl(nGC_63)*coupl(nGC_793)**2d0*coupl(nGC_867) - 5d0&
                        *cima*coupl(nGC_63)*coupl(nGC_867)*coupl(nGC_94)**2d0  &
                         - 5d0*cima*coupl(nGC_63)*coupl(nGC_867)*coupl(nGC_975 &
                        )**2d0 + 12d0*cima*coupl(nGC_66)*coupl(nGC_74) - 5d0*  &
                        cima*coupl(nGC_69)*coupl(nGC_867)*coupl(nGC_91)*coupl( &
                        nGC_94) - 5d0*cima*coupl(nGC_867)**2d0*coupl(nGC_92)*  &
                        coupl(nGC_975) + 3d0*coupl(nGC_1243)*coupl(nGC_23)*    &
                        coupl(nGC_867) + 3d0*coupl(nGC_1243)*coupl(nGC_27)*    &
                        coupl(nGC_72) + 3d0*coupl(nGC_1243)*coupl(nGC_43)*coupl&
                        (nGC_72) + 3d0*coupl(nGC_1243)*coupl(nGC_45)*coupl(    &
                        nGC_867) + 3d0*coupl(nGC_1331)*coupl(nGC_41)*coupl(    &
                        nGC_665) + 3d0*coupl(nGC_1331)*coupl(nGC_49)*coupl(    &
                        nGC_817) + 3d0*coupl(nGC_1331)*coupl(nGC_58)*coupl(    &
                        nGC_975) + 3d0*coupl(nGC_1485)*coupl(nGC_45)*coupl(    &
                        nGC_867) - 3d0*coupl(nGC_15)*coupl(nGC_64)*coupl(      &
                        nGC_665) - 3d0*coupl(nGC_15)*coupl(nGC_69)*coupl(      &
                        nGC_817) - 3d0*coupl(nGC_15)*coupl(nGC_867)*coupl(     &
                        nGC_975) - 3d0*coupl(nGC_16)*coupl(nGC_63)*coupl(nGC_94&
                        ) - 3d0*coupl(nGC_16)*coupl(nGC_69)*coupl(nGC_91) - 3d0&
                        *coupl(nGC_17)*coupl(nGC_3011)*coupl(nGC_74) - 3d0*    &
                        coupl(nGC_20)*coupl(nGC_3011)*coupl(nGC_96) - 3d0*coupl&
                        (nGC_20)*coupl(nGC_867)*coupl(nGC_92) + 3d0*coupl(     &
                        nGC_2391)*coupl(nGC_36)*coupl(nGC_72) + 3d0*coupl(     &
                        nGC_25)*coupl(nGC_69)*coupl(nGC_867) + 3d0*coupl(nGC_27&
                        )*coupl(nGC_817)*coupl(nGC_96) + 3d0*coupl(nGC_27)*    &
                        coupl(nGC_94)*coupl(nGC_96) + 3d0*coupl(nGC_29)*coupl( &
                        nGC_69)*coupl(nGC_72) + 3d0*coupl(nGC_3011)*coupl(     &
                        nGC_32)*coupl(nGC_867) + 3d0*coupl(nGC_3011)*coupl(    &
                        nGC_56)*coupl(nGC_867) + 3d0*coupl(nGC_33)*coupl(nGC_63&
                        )*coupl(nGC_867) + 3d0*coupl(nGC_36)*coupl(nGC_665)*   &
                        coupl(nGC_96) + 3d0*coupl(nGC_36)*coupl(nGC_91)*coupl( &
                        nGC_96) + 3d0*coupl(nGC_37)*coupl(nGC_64)*coupl(nGC_72 &
                        ) + 3d0*coupl(nGC_41)*coupl(nGC_63)*coupl(nGC_64) + 3d0&
                        *coupl(nGC_41)*coupl(nGC_68)*coupl(nGC_69) + 3d0*coupl(&
                        nGC_41)*coupl(nGC_72)**2d0 + 3d0*coupl(nGC_41)*coupl(  &
                        nGC_793)**2d0 + 3d0*coupl(nGC_41)*coupl(nGC_817)**2d0  &
                         + 3d0*coupl(nGC_41)*coupl(nGC_975)**2d0 + 3d0*coupl(  &
                        nGC_43)*coupl(nGC_68)*coupl(nGC_867) + 3d0*coupl(nGC_43&
                        )*coupl(nGC_817)*coupl(nGC_975) + 3d0*coupl(nGC_43)*   &
                        coupl(nGC_94)*coupl(nGC_975) + 3d0*coupl(nGC_48)*coupl(&
                        nGC_64)*coupl(nGC_68) + 3d0*coupl(nGC_48)*coupl(nGC_64 &
                        )*coupl(nGC_69) + 3d0*coupl(nGC_48)*coupl(nGC_665)*    &
                        coupl(nGC_817) + 3d0*coupl(nGC_57)*coupl(nGC_63)*coupl(&
                        nGC_867) + 3d0*coupl(nGC_58)*coupl(nGC_64)*coupl(nGC_72&
                        ) + 3d0*coupl(nGC_58)*coupl(nGC_92)*coupl(nGC_975) +   &
                        3d0*coupl(nGC_60)*coupl(nGC_64)*coupl(nGC_867) - 3d0*  &
                        coupl(nGC_66)*coupl(nGC_793)*coupl(nGC_867))/(96d0*pi**&
                        2d0)
      coupl(nGC_9176) = (10d0*Nc*cima*coupl(nGC_1191)*coupl(nGC_146)*coupl(    &
                        nGC_150)*coupl(nGC_198) + 10d0*Nc*cima*coupl(nGC_1191)*&
                        coupl(nGC_150)*coupl(nGC_152)*coupl(nGC_193) + 10d0*Nc*&
                        cima*coupl(nGC_1191)*coupl(nGC_193)*coupl(nGC_196)*    &
                        coupl(nGC_198) + 10d0*Nc*cima*coupl(nGC_131)*coupl(    &
                        nGC_132)*coupl(nGC_134)*coupl(nGC_135) + 10d0*Nc*cima* &
                        coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_136)*coupl(    &
                        nGC_695) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)* &
                        coupl(nGC_171)*coupl(nGC_176) + 10d0*Nc*cima*coupl(    &
                        nGC_131)*coupl(nGC_134)*coupl(nGC_172)*coupl(nGC_175   &
                        ) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_135)*coupl(  &
                        nGC_172)*coupl(nGC_174) + 10d0*Nc*cima*coupl(nGC_131)* &
                        coupl(nGC_174)*coupl(nGC_176)*coupl(nGC_695) + 10d0*Nc*&
                        cima*coupl(nGC_132)*coupl(nGC_134)*coupl(nGC_170)*coupl&
                        (nGC_175) + 10d0*Nc*cima*coupl(nGC_132)*coupl(nGC_135)*&
                        coupl(nGC_170)*coupl(nGC_174) + 10d0*Nc*cima*coupl(    &
                        nGC_134)*coupl(nGC_136)*coupl(nGC_170)*coupl(nGC_171   &
                        ) + 10d0*Nc*cima*coupl(nGC_136)*coupl(nGC_170)*coupl(  &
                        nGC_174)*coupl(nGC_695) + 10d0*Nc*cima*coupl(nGC_138)* &
                        coupl(nGC_139)*coupl(nGC_142)*coupl(nGC_143) + 10d0*Nc*&
                        cima*coupl(nGC_138)*coupl(nGC_140)*coupl(nGC_142)*coupl&
                        (nGC_144) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_140)*&
                        coupl(nGC_178)*coupl(nGC_2019) + 10d0*Nc*cima*coupl(   &
                        nGC_138)*coupl(nGC_142)*coupl(nGC_179)*coupl(nGC_182   &
                        ) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*coupl(  &
                        nGC_183)*coupl(nGC_2019) + 10d0*Nc*cima*coupl(nGC_138)*&
                        coupl(nGC_143)*coupl(nGC_178)*coupl(nGC_182) + 10d0*Nc*&
                        cima*coupl(nGC_139)*coupl(nGC_142)*coupl(nGC_179)*coupl&
                        (nGC_181) + 10d0*Nc*cima*coupl(nGC_139)*coupl(nGC_143)*&
                        coupl(nGC_178)*coupl(nGC_181) + 10d0*Nc*cima*coupl(    &
                        nGC_140)*coupl(nGC_144)*coupl(nGC_178)*coupl(nGC_181   &
                        ) + 10d0*Nc*cima*coupl(nGC_142)*coupl(nGC_144)*coupl(  &
                        nGC_181)*coupl(nGC_183) + 10d0*Nc*cima*coupl(nGC_146)* &
                        coupl(nGC_147)*coupl(nGC_150)*coupl(nGC_152) + 10d0*Nc*&
                        cima*coupl(nGC_146)*coupl(nGC_147)*coupl(nGC_196)*coupl&
                        (nGC_198) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_148)*&
                        coupl(nGC_150)*coupl(nGC_151) + 10d0*Nc*cima*coupl(    &
                        nGC_146)*coupl(nGC_150)*coupl(nGC_194)*coupl(nGC_197   &
                        ) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_151)*coupl(  &
                        nGC_194)*coupl(nGC_196) + 10d0*Nc*cima*coupl(nGC_147)* &
                        coupl(nGC_152)*coupl(nGC_193)*coupl(nGC_196) + 10d0*Nc*&
                        cima*coupl(nGC_148)*coupl(nGC_150)*coupl(nGC_193)*coupl&
                        (nGC_197) + 10d0*Nc*cima*coupl(nGC_148)*coupl(nGC_151)*&
                        coupl(nGC_193)*coupl(nGC_196) + 10d0*Nc*cima*coupl(    &
                        nGC_170)*coupl(nGC_171)*coupl(nGC_174)*coupl(nGC_176   &
                        ) + 10d0*Nc*cima*coupl(nGC_170)*coupl(nGC_172)*coupl(  &
                        nGC_174)*coupl(nGC_175) + 10d0*Nc*cima*coupl(nGC_178)* &
                        coupl(nGC_179)*coupl(nGC_181)*coupl(nGC_182) + 10d0*Nc*&
                        cima*coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_183)*coupl&
                        (nGC_2019) + 10d0*Nc*cima*coupl(nGC_193)*coupl(nGC_194 &
                        )*coupl(nGC_196)*coupl(nGC_197) - 5d0*cima*coupl(      &
                        nGC_1243)*coupl(nGC_817)*coupl(nGC_867)*coupl(nGC_975  &
                        ) - 5d0*cima*coupl(nGC_1331)*coupl(nGC_3011)*coupl(    &
                        nGC_867)*coupl(nGC_975) - 5d0*cima*coupl(nGC_1331)*    &
                        coupl(nGC_63)*coupl(nGC_69)*coupl(nGC_94) - 5d0*cima*  &
                        coupl(nGC_1331)*coupl(nGC_69)**2d0*coupl(nGC_91) + 10d0&
                        *cima*coupl(nGC_154)*coupl(nGC_155)*coupl(nGC_158)*    &
                        coupl(nGC_160) + 10d0*cima*coupl(nGC_154)*coupl(nGC_156&
                        )*coupl(nGC_158)*coupl(nGC_159) + 10d0*cima*coupl(     &
                        nGC_162)*coupl(nGC_163)*coupl(nGC_166)*coupl(nGC_168   &
                        ) + 10d0*cima*coupl(nGC_162)*coupl(nGC_164)*coupl(     &
                        nGC_166)*coupl(nGC_167) + 10d0*cima*coupl(nGC_185)*    &
                        coupl(nGC_186)*coupl(nGC_189)*coupl(nGC_191) + 10d0*   &
                        cima*coupl(nGC_185)*coupl(nGC_187)*coupl(nGC_189)*coupl&
                        (nGC_190) + 12d0*cima*coupl(nGC_19)*coupl(nGC_20) - 5d0&
                        *cima*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_665)*coupl(&
                        nGC_92) - 5d0*cima*coupl(nGC_63)*coupl(nGC_64)*coupl(  &
                        nGC_817)*coupl(nGC_94) - 5d0*cima*coupl(nGC_63)*coupl( &
                        nGC_69)*coupl(nGC_817)*coupl(nGC_92) - 5d0*cima*coupl( &
                        nGC_64)*coupl(nGC_665)*coupl(nGC_69)*coupl(nGC_94) -   &
                        5d0*cima*coupl(nGC_64)*coupl(nGC_665)*coupl(nGC_867)*  &
                        coupl(nGC_96) - 5d0*cima*coupl(nGC_64)*coupl(nGC_69)*  &
                        coupl(nGC_817)*coupl(nGC_91) - 5d0*cima*coupl(nGC_69)**&
                        2d0*coupl(nGC_817)*coupl(nGC_94) - 5d0*cima*coupl(     &
                        nGC_69)*coupl(nGC_817)*coupl(nGC_867)*coupl(nGC_96) -  &
                        5d0*cima*coupl(nGC_72)*coupl(nGC_793)**2d0*coupl(      &
                        nGC_867) - 5d0*cima*coupl(nGC_72)*coupl(nGC_867)*coupl(&
                        nGC_975)**2d0 + 12d0*cima*coupl(nGC_73)*coupl(nGC_74   &
                        ) - 3d0*coupl(nGC_1243)*coupl(nGC_20)*coupl(nGC_817) + &
                        3d0*coupl(nGC_1243)*coupl(nGC_49)*coupl(nGC_72) - 3d0* &
                        coupl(nGC_1331)*coupl(nGC_20)*coupl(nGC_3011) + 3d0*   &
                        coupl(nGC_1331)*coupl(nGC_41)*coupl(nGC_975) - 3d0*    &
                        coupl(nGC_17)*coupl(nGC_74)*coupl(nGC_867) - 3d0*coupl(&
                        nGC_19)*coupl(nGC_64)*coupl(nGC_665) - 3d0*coupl(nGC_19&
                        )*coupl(nGC_69)*coupl(nGC_817) - 3d0*coupl(nGC_19)*    &
                        coupl(nGC_867)*coupl(nGC_975) - 3d0*coupl(nGC_20)*coupl&
                        (nGC_867)*coupl(nGC_96) + 3d0*coupl(nGC_2391)*coupl(   &
                        nGC_41)*coupl(nGC_72) + 3d0*coupl(nGC_24)*coupl(nGC_665&
                        )*coupl(nGC_94) + 3d0*coupl(nGC_27)*coupl(nGC_817)*    &
                        coupl(nGC_92) + 3d0*coupl(nGC_28)*coupl(nGC_64)*coupl( &
                        nGC_69) + 3d0*coupl(nGC_29)*coupl(nGC_63)*coupl(nGC_69 &
                        ) + 3d0*coupl(nGC_36)*coupl(nGC_665)*coupl(nGC_92) +   &
                        3d0*coupl(nGC_36)*coupl(nGC_817)*coupl(nGC_94) + 3d0*  &
                        coupl(nGC_37)*coupl(nGC_63)*coupl(nGC_64) + 3d0*coupl( &
                        nGC_37)*coupl(nGC_69)**2d0 + 3d0*coupl(nGC_41)*coupl(  &
                        nGC_63)*coupl(nGC_72) + 3d0*coupl(nGC_41)*coupl(nGC_665&
                        )*coupl(nGC_96) + 3d0*coupl(nGC_41)*coupl(nGC_91)*coupl&
                        (nGC_96) + 3d0*coupl(nGC_41)*coupl(nGC_92)*coupl(      &
                        nGC_975) + 3d0*coupl(nGC_48)*coupl(nGC_69)*coupl(nGC_72&
                        ) + 3d0*coupl(nGC_48)*coupl(nGC_817)*coupl(nGC_975) +  &
                        3d0*coupl(nGC_48)*coupl(nGC_94)*coupl(nGC_975) + 3d0*  &
                        coupl(nGC_49)*coupl(nGC_817)*coupl(nGC_96) + 3d0*coupl(&
                        nGC_49)*coupl(nGC_94)*coupl(nGC_96) + 6d0*coupl(nGC_56 &
                        )*coupl(nGC_867)**2d0 + 3d0*coupl(nGC_57)*coupl(nGC_72 &
                        )*coupl(nGC_867) + 6d0*coupl(nGC_58)*coupl(nGC_72)**2d0&
                         + 3d0*coupl(nGC_58)*coupl(nGC_793)**2d0 + 3d0*coupl(  &
                        nGC_58)*coupl(nGC_975)**2d0 + 3d0*coupl(nGC_59)*coupl( &
                        nGC_72)*coupl(nGC_867) + 3d0*coupl(nGC_60)*coupl(nGC_72&
                        )*coupl(nGC_867) - 3d0*coupl(nGC_73)*coupl(nGC_793)*   &
                        coupl(nGC_867))/(96d0*pi**2d0)
      coupl(nGC_16202) = coupl(nGC_156)*dZHaG0_QED2/2d0 + coupl(nGC_160)*      &
                         dZeMinusL_QED2/2d0 + coupl(nGC_160)*dZeMinusR_QED2/2d0&
                          + coupl(nGC_9473)
      coupl(nGC_16203) = coupl(nGC_155)*dZHaG0_QED2/2d0 + coupl(nGC_159)*      &
                         dZeMinusL_QED2/2d0 + coupl(nGC_159)*dZeMinusR_QED2/2d0&
                          + coupl(nGC_9474)
      coupl(nGC_9173) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_134)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_130)*   &
                        coupl(nGC_134)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_130)*coupl(nGC_134)*coupl(nGC_80)*coupl(&
                        nGC_88) + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_141)*  &
                        coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*coupl(      &
                        nGC_138)*coupl(nGC_141)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_145)*coupl(   &
                        nGC_150)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_145)*coupl(nGC_150)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_169)*coupl(nGC_174)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_169)*coupl(nGC_174)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_169)*coupl(   &
                        nGC_174)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_177)*coupl(nGC_181)*coupl(nGC_80)*coupl(     &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_177)*coupl(nGC_181)*  &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_177)*coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_88) +  &
                        20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_196)*coupl(nGC_80&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_192)*coupl(   &
                        nGC_196)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_192)*coupl(nGC_196)*coupl(nGC_80)*coupl(     &
                        nGC_88) + 4d0*cima*coupl(nGC_1331)*coupl(nGC_1485)*    &
                        coupl(nGC_68)*coupl(nGC_72) + 4d0*cima*coupl(nGC_1331)*&
                        coupl(nGC_68)*coupl(nGC_817)*coupl(nGC_975) + 24d0*cima&
                        *coupl(nGC_14)*coupl(nGC_79) + 4d0*cima*coupl(nGC_1485 &
                        )**2d0*coupl(nGC_2391)*coupl(nGC_975) + 4d0*cima*coupl(&
                        nGC_1485)*coupl(nGC_2391)*coupl(nGC_72)*coupl(nGC_817  &
                        ) + 4d0*cima*coupl(nGC_1485)*coupl(nGC_2391)*coupl(    &
                        nGC_72)*coupl(nGC_94) + 4d0*cima*coupl(nGC_1485)*coupl(&
                        nGC_63)*coupl(nGC_68)*coupl(nGC_975) + 20d0*cima*coupl(&
                        nGC_153)*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_86) -  &
                        16d0*cima*coupl(nGC_153)*coupl(nGC_158)*coupl(nGC_80)* &
                        coupl(nGC_89) - 16d0*cima*coupl(nGC_153)*coupl(nGC_158 &
                        )*coupl(nGC_80)*coupl(nGC_90) + 20d0*cima*coupl(nGC_161&
                        )*coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_86) - 16d0*   &
                        cima*coupl(nGC_161)*coupl(nGC_166)*coupl(nGC_80)*coupl(&
                        nGC_89) - 16d0*cima*coupl(nGC_161)*coupl(nGC_166)*coupl&
                        (nGC_80)*coupl(nGC_90) + 9d0*cima*coupl(nGC_17)*coupl( &
                        nGC_3)*coupl(nGC_63)*coupl(nGC_833) + 20d0*cima*coupl( &
                        nGC_184)*coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_86) -  &
                        16d0*cima*coupl(nGC_184)*coupl(nGC_189)*coupl(nGC_80)* &
                        coupl(nGC_89) - 16d0*cima*coupl(nGC_184)*coupl(nGC_189 &
                        )*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*coupl(nGC_2391&
                        )*coupl(nGC_3011)**2d0*coupl(nGC_975) + 4d0*cima*coupl(&
                        nGC_2391)*coupl(nGC_3011)*coupl(nGC_665)*coupl(nGC_72  &
                        ) + 4d0*cima*coupl(nGC_2391)*coupl(nGC_3011)*coupl(    &
                        nGC_72)*coupl(nGC_91) + 4d0*cima*coupl(nGC_2391)*coupl(&
                        nGC_72)**2d0*coupl(nGC_975) + 4d0*cima*coupl(nGC_3011)*&
                        coupl(nGC_68)*coupl(nGC_69)*coupl(nGC_975) + 4d0*cima* &
                        coupl(nGC_3011)*coupl(nGC_68)*coupl(nGC_72)*coupl(     &
                        nGC_817) + 24d0*cima*coupl(nGC_607)*coupl(nGC_65) + 4d0&
                        *cima*coupl(nGC_63)*coupl(nGC_665)**2d0*coupl(nGC_975  &
                        ) + 4d0*cima*coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_72)*&
                        coupl(nGC_94) + 4d0*cima*coupl(nGC_63)*coupl(nGC_817)**&
                        2d0*coupl(nGC_975) + 9d0*cima*coupl(nGC_63)*coupl(     &
                        nGC_82)*coupl(nGC_833)*coupl(nGC_96) + 4d0*cima*coupl( &
                        nGC_665)*coupl(nGC_68)*coupl(nGC_817)*coupl(nGC_975) + &
                        4d0*cima*coupl(nGC_665)*coupl(nGC_867)*coupl(nGC_96)*  &
                        coupl(nGC_975) + 4d0*cima*coupl(nGC_68)*coupl(nGC_69)* &
                        coupl(nGC_72)*coupl(nGC_91) + 9d0*cima*coupl(nGC_82)*  &
                        coupl(nGC_833)*coupl(nGC_867)*coupl(nGC_91) - 6d0*coupl&
                        (nGC_100)*coupl(nGC_63)*coupl(nGC_82) + 36d0*coupl(    &
                        nGC_1103)*coupl(nGC_65)*coupl(nGC_82) - 6d0*coupl(     &
                        nGC_14)*coupl(nGC_17)*coupl(nGC_3) + 6d0*coupl(nGC_14)*&
                        coupl(nGC_2391)*coupl(nGC_3011) + 36d0*coupl(nGC_14)*  &
                        coupl(nGC_82)*coupl(nGC_833) - 6d0*coupl(nGC_14)*coupl(&
                        nGC_82)*coupl(nGC_96) + 6d0*coupl(nGC_1485)*coupl(     &
                        nGC_15)*coupl(nGC_68) + 6d0*coupl(nGC_1485)*coupl(     &
                        nGC_16)*coupl(nGC_2391) + 6d0*coupl(nGC_16)*coupl(     &
                        nGC_3011)*coupl(nGC_68) - 6d0*coupl(nGC_17)*coupl(     &
                        nGC_607)*coupl(nGC_63) + 6d0*coupl(nGC_19)*coupl(      &
                        nGC_2391)*coupl(nGC_72) + 6d0*coupl(nGC_19)*coupl(     &
                        nGC_665)*coupl(nGC_975) - 6d0*coupl(nGC_19)*coupl(     &
                        nGC_833)*coupl(nGC_91) - 6d0*coupl(nGC_3)*coupl(nGC_63 &
                        )*coupl(nGC_97) - 6d0*coupl(nGC_61)*coupl(nGC_63)*coupl&
                        (nGC_82) - 6d0*coupl(nGC_62)*coupl(nGC_63)*coupl(      &
                        nGC_833) - 6d0*coupl(nGC_63)*coupl(nGC_79)*coupl(nGC_96&
                        ) - 6d0*coupl(nGC_63)*coupl(nGC_833)*coupl(nGC_99) -   &
                        6d0*coupl(nGC_79)*coupl(nGC_867)*coupl(nGC_91))/(192d0*&
                        pi**2d0)
      coupl(nGC_17884) = coupl(nGC_12891) + coupl(nGC_17881)
      coupl(nGC_17883) = coupl(nGC_12891) + coupl(nGC_17882)
      coupl(nGC_9178) = (10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*coupl(     &
                        nGC_134)*coupl(nGC_135) + 10d0*Nc*cima*coupl(nGC_130)* &
                        coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_136) + 10d0*Nc*&
                        cima*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_174)*coupl&
                        (nGC_176) + 10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_134)*&
                        coupl(nGC_170)*coupl(nGC_175) + 10d0*Nc*cima*coupl(    &
                        nGC_130)*coupl(nGC_135)*coupl(nGC_170)*coupl(nGC_174   &
                        ) + 10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_136)*coupl(  &
                        nGC_170)*coupl(nGC_174) + 10d0*Nc*cima*coupl(nGC_131)* &
                        coupl(nGC_134)*coupl(nGC_169)*coupl(nGC_175) + 10d0*Nc*&
                        cima*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_169)*coupl&
                        (nGC_176) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_135)*&
                        coupl(nGC_169)*coupl(nGC_174) + 10d0*Nc*cima*coupl(    &
                        nGC_134)*coupl(nGC_136)*coupl(nGC_169)*coupl(nGC_170   &
                        ) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_139)*coupl(  &
                        nGC_141)*coupl(nGC_142) + 10d0*Nc*cima*coupl(nGC_138)* &
                        coupl(nGC_140)*coupl(nGC_141)*coupl(nGC_142) + 10d0*Nc*&
                        cima*coupl(nGC_138)*coupl(nGC_140)*coupl(nGC_177)*coupl&
                        (nGC_178) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_141)*&
                        coupl(nGC_178)*coupl(nGC_182) + 10d0*Nc*cima*coupl(    &
                        nGC_138)*coupl(nGC_142)*coupl(nGC_177)*coupl(nGC_182   &
                        ) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*coupl(  &
                        nGC_177)*coupl(nGC_183) + 10d0*Nc*cima*coupl(nGC_139)* &
                        coupl(nGC_141)*coupl(nGC_178)*coupl(nGC_181) + 10d0*Nc*&
                        cima*coupl(nGC_139)*coupl(nGC_142)*coupl(nGC_177)*coupl&
                        (nGC_181) + 10d0*Nc*cima*coupl(nGC_140)*coupl(nGC_141)*&
                        coupl(nGC_178)*coupl(nGC_181) + 10d0*Nc*cima*coupl(    &
                        nGC_141)*coupl(nGC_142)*coupl(nGC_181)*coupl(nGC_183   &
                        ) + 10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146)*coupl(  &
                        nGC_150)*coupl(nGC_151) + 10d0*Nc*cima*coupl(nGC_145)* &
                        coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_152) + 10d0*Nc*&
                        cima*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_196)*coupl&
                        (nGC_198) + 10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_150)*&
                        coupl(nGC_193)*coupl(nGC_197) + 10d0*Nc*cima*coupl(    &
                        nGC_145)*coupl(nGC_151)*coupl(nGC_193)*coupl(nGC_196   &
                        ) + 10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_152)*coupl(  &
                        nGC_193)*coupl(nGC_196) + 10d0*Nc*cima*coupl(nGC_146)* &
                        coupl(nGC_150)*coupl(nGC_192)*coupl(nGC_197) + 10d0*Nc*&
                        cima*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_192)*coupl&
                        (nGC_198) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_151)*&
                        coupl(nGC_192)*coupl(nGC_196) + 10d0*Nc*cima*coupl(    &
                        nGC_150)*coupl(nGC_152)*coupl(nGC_192)*coupl(nGC_193   &
                        ) + 10d0*Nc*cima*coupl(nGC_169)*coupl(nGC_170)*coupl(  &
                        nGC_174)*coupl(nGC_175) + 10d0*Nc*cima*coupl(nGC_169)* &
                        coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_176) + 10d0*Nc*&
                        cima*coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_181)*coupl&
                        (nGC_182) + 10d0*Nc*cima*coupl(nGC_177)*coupl(nGC_178)*&
                        coupl(nGC_181)*coupl(nGC_183) + 10d0*Nc*cima*coupl(    &
                        nGC_192)*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_197   &
                        ) + 10d0*Nc*cima*coupl(nGC_192)*coupl(nGC_193)*coupl(  &
                        nGC_196)*coupl(nGC_198) - 5d0*cima*coupl(nGC_1243)*    &
                        coupl(nGC_2391)*coupl(nGC_3011)*coupl(nGC_867) - 5d0*  &
                        cima*coupl(nGC_1243)*coupl(nGC_2391)*coupl(nGC_64)*    &
                        coupl(nGC_72) - 5d0*cima*coupl(nGC_1243)*coupl(nGC_3011&
                        )**2d0*coupl(nGC_867) - 5d0*cima*coupl(nGC_1243)*coupl(&
                        nGC_3011)*coupl(nGC_64)*coupl(nGC_72) - 5d0*cima*coupl(&
                        nGC_1243)*coupl(nGC_64)*coupl(nGC_665)*coupl(nGC_96) - &
                        5d0*cima*coupl(nGC_1243)*coupl(nGC_69)*coupl(nGC_817)* &
                        coupl(nGC_96) + 10d0*cima*coupl(nGC_153)*coupl(nGC_154 &
                        )*coupl(nGC_158)*coupl(nGC_159) + 10d0*cima*coupl(     &
                        nGC_153)*coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_160   &
                        ) + 12d0*cima*coupl(nGC_16)*coupl(nGC_20) + 10d0*cima* &
                        coupl(nGC_161)*coupl(nGC_162)*coupl(nGC_166)*coupl(    &
                        nGC_167) + 10d0*cima*coupl(nGC_161)*coupl(nGC_162)*    &
                        coupl(nGC_166)*coupl(nGC_168) + 10d0*cima*coupl(nGC_184&
                        )*coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_190) + 10d0* &
                        cima*coupl(nGC_184)*coupl(nGC_185)*coupl(nGC_189)*coupl&
                        (nGC_191) - 5d0*cima*coupl(nGC_2391)*coupl(nGC_63)*    &
                        coupl(nGC_94)*coupl(nGC_96) - 5d0*cima*coupl(nGC_2391)*&
                        coupl(nGC_69)*coupl(nGC_91)*coupl(nGC_96) - 5d0*cima*  &
                        coupl(nGC_63)*coupl(nGC_867)*coupl(nGC_91)*coupl(nGC_94&
                        ) - 5d0*cima*coupl(nGC_64)*coupl(nGC_665)*coupl(nGC_72 &
                        )*coupl(nGC_817) - 5d0*cima*coupl(nGC_69)*coupl(nGC_72 &
                        )*coupl(nGC_817)**2d0 - 5d0*cima*coupl(nGC_69)*coupl(  &
                        nGC_793)**2d0*coupl(nGC_867) - 5d0*cima*coupl(nGC_69)* &
                        coupl(nGC_867)*coupl(nGC_91)**2d0 - 5d0*cima*coupl(    &
                        nGC_69)*coupl(nGC_867)*coupl(nGC_975)**2d0 + 12d0*cima*&
                        coupl(nGC_70)*coupl(nGC_74) - 5d0*cima*coupl(nGC_867)**&
                        2d0*coupl(nGC_94)*coupl(nGC_975) - 3d0*coupl(nGC_1243)*&
                        coupl(nGC_17)*coupl(nGC_74) - 3d0*coupl(nGC_1243)*coupl&
                        (nGC_20)*coupl(nGC_96) + 3d0*coupl(nGC_1243)*coupl(    &
                        nGC_35)*coupl(nGC_867) + 3d0*coupl(nGC_1243)*coupl(    &
                        nGC_36)*coupl(nGC_72) + 3d0*coupl(nGC_1243)*coupl(     &
                        nGC_56)*coupl(nGC_867) - 3d0*coupl(nGC_14)*coupl(nGC_63&
                        )*coupl(nGC_94) - 3d0*coupl(nGC_14)*coupl(nGC_69)*coupl&
                        (nGC_91) - 3d0*coupl(nGC_16)*coupl(nGC_64)*coupl(      &
                        nGC_665) - 3d0*coupl(nGC_16)*coupl(nGC_69)*coupl(      &
                        nGC_817) - 3d0*coupl(nGC_16)*coupl(nGC_867)*coupl(     &
                        nGC_975) - 3d0*coupl(nGC_20)*coupl(nGC_867)*coupl(     &
                        nGC_94) + 3d0*coupl(nGC_23)*coupl(nGC_3011)*coupl(     &
                        nGC_867) + 3d0*coupl(nGC_2391)*coupl(nGC_24)*coupl(    &
                        nGC_72) + 3d0*coupl(nGC_2391)*coupl(nGC_43)*coupl(     &
                        nGC_72) + 3d0*coupl(nGC_2391)*coupl(nGC_45)*coupl(     &
                        nGC_867) + 3d0*coupl(nGC_24)*coupl(nGC_665)*coupl(     &
                        nGC_96) + 3d0*coupl(nGC_24)*coupl(nGC_91)*coupl(nGC_96 &
                        ) + 3d0*coupl(nGC_25)*coupl(nGC_63)*coupl(nGC_867) +   &
                        3d0*coupl(nGC_28)*coupl(nGC_64)*coupl(nGC_72) + 3d0*   &
                        coupl(nGC_3011)*coupl(nGC_45)*coupl(nGC_867) + 3d0*    &
                        coupl(nGC_36)*coupl(nGC_817)*coupl(nGC_96) + 3d0*coupl(&
                        nGC_36)*coupl(nGC_94)*coupl(nGC_96) + 3d0*coupl(nGC_37 &
                        )*coupl(nGC_69)*coupl(nGC_72) + 3d0*coupl(nGC_39)*coupl&
                        (nGC_69)*coupl(nGC_867) + 3d0*coupl(nGC_41)*coupl(     &
                        nGC_63)*coupl(nGC_68) + 3d0*coupl(nGC_41)*coupl(nGC_63 &
                        )*coupl(nGC_69) + 6d0*coupl(nGC_41)*coupl(nGC_665)*    &
                        coupl(nGC_817) + 3d0*coupl(nGC_43)*coupl(nGC_63)*coupl(&
                        nGC_867) + 3d0*coupl(nGC_43)*coupl(nGC_665)*coupl(     &
                        nGC_975) + 3d0*coupl(nGC_43)*coupl(nGC_91)*coupl(      &
                        nGC_975) + 3d0*coupl(nGC_48)*coupl(nGC_63)*coupl(nGC_64&
                        ) + 3d0*coupl(nGC_48)*coupl(nGC_665)**2d0 + 3d0*coupl( &
                        nGC_48)*coupl(nGC_68)*coupl(nGC_69) + 3d0*coupl(nGC_48 &
                        )*coupl(nGC_72)**2d0 + 3d0*coupl(nGC_48)*coupl(nGC_793 &
                        )**2d0 + 3d0*coupl(nGC_48)*coupl(nGC_975)**2d0 + 3d0*  &
                        coupl(nGC_49)*coupl(nGC_817)**2d0 + 3d0*coupl(nGC_57)* &
                        coupl(nGC_69)*coupl(nGC_867) + 3d0*coupl(nGC_58)*coupl(&
                        nGC_68)*coupl(nGC_72) + 3d0*coupl(nGC_58)*coupl(nGC_817&
                        )*coupl(nGC_975) + 3d0*coupl(nGC_58)*coupl(nGC_94)*    &
                        coupl(nGC_975) + 3d0*coupl(nGC_60)*coupl(nGC_68)*coupl(&
                        nGC_867) - 3d0*coupl(nGC_70)*coupl(nGC_793)*coupl(     &
                        nGC_867))/(96d0*pi**2d0)
      coupl(nGC_19337) = coupl(nGC_109)*dZHl_QED2/2d0 + coupl(nGC_117)*        &
                         dZHhHl_QED2/2d0 + coupl(nGC_120)*dZHaG0_QED2 + coupl( &
                         nGC_9350) + coupl(nGC_TS_GC_25_Hh) + coupl(           &
                         nGC_TS_GC_39_Hl)
      coupl(nGC_14068) = coupl(nGC_14062) + coupl(nGC_14067)
      coupl(nGC_14069) = coupl(nGC_14062) + coupl(nGC_14066)
      coupl(nGC_14303) = coupl(nGC_13488) + coupl(nGC_14301)
      coupl(nGC_14302) = coupl(nGC_13488) + coupl(nGC_14300)
      coupl(nGC_9242) = (40d0*Nc*cima*coupl(nGC_130)*coupl(nGC_133)**3d0 + 40d0&
                        *Nc*cima*coupl(nGC_137)**3d0*coupl(nGC_141) + 40d0*Nc* &
                        cima*coupl(nGC_145)*coupl(nGC_149)**3d0 + 40d0*Nc*cima*&
                        coupl(nGC_169)*coupl(nGC_173)**3d0 + 40d0*Nc*cima*coupl&
                        (nGC_177)*coupl(nGC_180)**3d0 + 40d0*Nc*cima*coupl(    &
                        nGC_192)*coupl(nGC_195)**3d0 - 5d0*cima*coupl(nGC_1243 &
                        )**2d0*coupl(nGC_63)*coupl(nGC_68) - 5d0*cima*coupl(   &
                        nGC_1243)**2d0*coupl(nGC_64)*coupl(nGC_68) - 5d0*cima* &
                        coupl(nGC_1243)*coupl(nGC_2391)*coupl(nGC_68)**2d0 -   &
                        5d0*cima*coupl(nGC_1243)*coupl(nGC_3011)*coupl(nGC_63)*&
                        coupl(nGC_64) - 5d0*cima*coupl(nGC_1243)*coupl(nGC_3011&
                        )*coupl(nGC_64)**2d0 - 5d0*cima*coupl(nGC_1243)*coupl( &
                        nGC_3011)*coupl(nGC_68)**2d0 - 5d0*cima*coupl(nGC_1331 &
                        )**2d0*coupl(nGC_92)*coupl(nGC_94) - 5d0*cima*coupl(   &
                        nGC_1331)*coupl(nGC_665)*coupl(nGC_92)*coupl(nGC_94) - &
                        5d0*cima*coupl(nGC_1331)*coupl(nGC_817)*coupl(nGC_91)* &
                        coupl(nGC_92) - 5d0*cima*coupl(nGC_1331)*coupl(nGC_817 &
                        )*coupl(nGC_92)**2d0 - 5d0*cima*coupl(nGC_1331)*coupl( &
                        nGC_817)*coupl(nGC_94)**2d0 - 5d0*cima*coupl(nGC_1485  &
                        )**2d0*coupl(nGC_63)*coupl(nGC_69) - 5d0*cima*coupl(   &
                        nGC_1485)**2d0*coupl(nGC_64)*coupl(nGC_69) - 5d0*cima* &
                        coupl(nGC_1485)*coupl(nGC_2391)*coupl(nGC_63)**2d0 -   &
                        5d0*cima*coupl(nGC_1485)*coupl(nGC_2391)*coupl(nGC_63)*&
                        coupl(nGC_64) - 5d0*cima*coupl(nGC_1485)*coupl(nGC_2391&
                        )*coupl(nGC_69)**2d0 - 5d0*cima*coupl(nGC_1485)*coupl( &
                        nGC_3011)*coupl(nGC_69)**2d0 + 40d0*cima*coupl(nGC_153 &
                        )*coupl(nGC_157)**3d0 + 40d0*cima*coupl(nGC_161)*coupl(&
                        nGC_165)**3d0 + 40d0*cima*coupl(nGC_184)*coupl(nGC_188 &
                        )**3d0 - 5d0*cima*coupl(nGC_2391)**2d0*coupl(nGC_63)*  &
                        coupl(nGC_69) - 5d0*cima*coupl(nGC_2391)*coupl(nGC_3011&
                        )*coupl(nGC_63)*coupl(nGC_69) - 5d0*cima*coupl(nGC_2391&
                        )*coupl(nGC_3011)*coupl(nGC_64)*coupl(nGC_68) - 5d0*   &
                        cima*coupl(nGC_3011)**2d0*coupl(nGC_64)*coupl(nGC_68   &
                        ) - 5d0*cima*coupl(nGC_665)*coupl(nGC_817)*coupl(nGC_94&
                        )**2d0 - 5d0*cima*coupl(nGC_817)**2d0*coupl(nGC_91)*   &
                        coupl(nGC_94) - 5d0*cima*coupl(nGC_817)**2d0*coupl(    &
                        nGC_92)*coupl(nGC_94) + coupl(nGC_1243)**2d0*coupl(    &
                        nGC_27) + 3d0*coupl(nGC_1243)*coupl(nGC_23)*coupl(     &
                        nGC_68) + 3d0*coupl(nGC_1243)*coupl(nGC_3011)*coupl(   &
                        nGC_36) + coupl(nGC_1243)*coupl(nGC_32)*coupl(nGC_63   &
                        ) + coupl(nGC_1243)*coupl(nGC_34)*coupl(nGC_64) - 2d0* &
                        coupl(nGC_1243)*coupl(nGC_61)*coupl(nGC_63) - 2d0*coupl&
                        (nGC_1243)*coupl(nGC_61)*coupl(nGC_64) + 3d0*coupl(    &
                        nGC_1331)*coupl(nGC_26)*coupl(nGC_92) + coupl(nGC_1331 &
                        )*coupl(nGC_29)*coupl(nGC_91) + 3d0*coupl(nGC_1331)*   &
                        coupl(nGC_37)*coupl(nGC_94) + coupl(nGC_1331)*coupl(   &
                        nGC_38)*coupl(nGC_94) - 2d0*coupl(nGC_1331)*coupl(     &
                        nGC_94)*coupl(nGC_99) + coupl(nGC_1485)**2d0*coupl(    &
                        nGC_27) + 3d0*coupl(nGC_1485)*coupl(nGC_23)*coupl(     &
                        nGC_69) + 3d0*coupl(nGC_1485)*coupl(nGC_2391)*coupl(   &
                        nGC_36) + coupl(nGC_1485)*coupl(nGC_32)*coupl(nGC_64   &
                        ) + coupl(nGC_1485)*coupl(nGC_34)*coupl(nGC_63) - 2d0* &
                        coupl(nGC_1485)*coupl(nGC_61)*coupl(nGC_63) - 2d0*coupl&
                        (nGC_1485)*coupl(nGC_61)*coupl(nGC_64) + 3d0*coupl(    &
                        nGC_22)*coupl(nGC_2391)*coupl(nGC_63) + 3d0*coupl(     &
                        nGC_22)*coupl(nGC_3011)*coupl(nGC_64) + 4d0*coupl(     &
                        nGC_2391)*coupl(nGC_27)*coupl(nGC_3011) + 2d0*coupl(   &
                        nGC_2391)*coupl(nGC_32)*coupl(nGC_68) + 2d0*coupl(     &
                        nGC_2391)*coupl(nGC_34)*coupl(nGC_69) - coupl(nGC_2391 &
                        )*coupl(nGC_61)*coupl(nGC_68) - coupl(nGC_2391)*coupl( &
                        nGC_61)*coupl(nGC_69) + 3d0*coupl(nGC_25)*coupl(nGC_817&
                        )*coupl(nGC_94) + 2d0*coupl(nGC_27)*coupl(nGC_63)*coupl&
                        (nGC_64) + 2d0*coupl(nGC_27)*coupl(nGC_68)**2d0 + 2d0* &
                        coupl(nGC_27)*coupl(nGC_69)**2d0 + 2d0*coupl(nGC_29)*  &
                        coupl(nGC_665)*coupl(nGC_92) + 3d0*coupl(nGC_29)*coupl(&
                        nGC_817)*coupl(nGC_94) + 2d0*coupl(nGC_3011)*coupl(    &
                        nGC_32)*coupl(nGC_69) + 2d0*coupl(nGC_3011)*coupl(     &
                        nGC_34)*coupl(nGC_68) - coupl(nGC_3011)*coupl(nGC_61)* &
                        coupl(nGC_68) - coupl(nGC_3011)*coupl(nGC_61)*coupl(   &
                        nGC_69) + 2d0*coupl(nGC_33)*coupl(nGC_665)*coupl(nGC_94&
                        ) + coupl(nGC_33)*coupl(nGC_817)*coupl(nGC_91) + 3d0*  &
                        coupl(nGC_36)*coupl(nGC_63)*coupl(nGC_69) + 3d0*coupl( &
                        nGC_36)*coupl(nGC_64)*coupl(nGC_68) + 3d0*coupl(nGC_37 &
                        )*coupl(nGC_817)*coupl(nGC_92) + 2d0*coupl(nGC_38)*    &
                        coupl(nGC_817)*coupl(nGC_92) - coupl(nGC_665)*coupl(   &
                        nGC_94)*coupl(nGC_99) - 2d0*coupl(nGC_817)*coupl(nGC_91&
                        )*coupl(nGC_99) - coupl(nGC_817)*coupl(nGC_92)*coupl(  &
                        nGC_99))/(32d0*pi**2d0)
      coupl(nGC_18182) = coupl(nGC_18173) + coupl(nGC_18181)
      coupl(nGC_9245) = (-32d0*Nc*cima*coupl(nGC_130)*coupl(nGC_133)*coupl(    &
                        nGC_80)**2d0 - 32d0*Nc*cima*coupl(nGC_137)*coupl(      &
                        nGC_141)*coupl(nGC_80)**2d0 - 32d0*Nc*cima*coupl(      &
                        nGC_145)*coupl(nGC_149)*coupl(nGC_80)**2d0 - 32d0*Nc*  &
                        cima*coupl(nGC_169)*coupl(nGC_173)*coupl(nGC_80)**2d0  &
                         - 32d0*Nc*cima*coupl(nGC_177)*coupl(nGC_180)*coupl(   &
                        nGC_80)**2d0 - 32d0*Nc*cima*coupl(nGC_192)*coupl(      &
                        nGC_195)*coupl(nGC_80)**2d0 + 9d0*cima*coupl(nGC_1103  &
                        )**2d0*coupl(nGC_1485)*coupl(nGC_63) + 9d0*cima*coupl( &
                        nGC_1103)**2d0*coupl(nGC_1485)*coupl(nGC_64) + 4d0*cima&
                        *coupl(nGC_1243)*coupl(nGC_2391)**2d0*coupl(nGC_3011   &
                        ) + 4d0*cima*coupl(nGC_1243)*coupl(nGC_2391)*coupl(    &
                        nGC_3011)**2d0 + 4d0*cima*coupl(nGC_1243)*coupl(       &
                        nGC_2391)*coupl(nGC_68)*coupl(nGC_69) + 9d0*cima*coupl(&
                        nGC_1243)*coupl(nGC_3)**2d0*coupl(nGC_63) + 9d0*cima*  &
                        coupl(nGC_1243)*coupl(nGC_3)**2d0*coupl(nGC_64) + 4d0* &
                        cima*coupl(nGC_1243)*coupl(nGC_3011)*coupl(nGC_68)*    &
                        coupl(nGC_69) + 9d0*cima*coupl(nGC_1243)*coupl(nGC_63)*&
                        coupl(nGC_82)**2d0 + 9d0*cima*coupl(nGC_1243)*coupl(   &
                        nGC_64)*coupl(nGC_82)**2d0 + 9d0*cima*coupl(nGC_1331)* &
                        coupl(nGC_82)**2d0*coupl(nGC_94) + 9d0*cima*coupl(     &
                        nGC_1331)*coupl(nGC_833)**2d0*coupl(nGC_94) + 4d0*cima*&
                        coupl(nGC_1485)*coupl(nGC_2391)**2d0*coupl(nGC_3011) + &
                        4d0*cima*coupl(nGC_1485)*coupl(nGC_2391)*coupl(nGC_3011&
                        )**2d0 + 4d0*cima*coupl(nGC_1485)*coupl(nGC_2391)*coupl&
                        (nGC_68)*coupl(nGC_69) + 4d0*cima*coupl(nGC_1485)*coupl&
                        (nGC_3011)*coupl(nGC_68)*coupl(nGC_69) + 9d0*cima*coupl&
                        (nGC_1485)*coupl(nGC_63)*coupl(nGC_833)**2d0 + 9d0*cima&
                        *coupl(nGC_1485)*coupl(nGC_64)*coupl(nGC_833)**2d0 -   &
                        32d0*cima*coupl(nGC_153)*coupl(nGC_157)*coupl(nGC_80)**&
                        2d0 - 32d0*cima*coupl(nGC_161)*coupl(nGC_165)*coupl(   &
                        nGC_80)**2d0 - 32d0*cima*coupl(nGC_184)*coupl(nGC_188)*&
                        coupl(nGC_80)**2d0 + 4d0*cima*coupl(nGC_2391)*coupl(   &
                        nGC_3011)*coupl(nGC_63)*coupl(nGC_68) + 4d0*cima*coupl(&
                        nGC_2391)*coupl(nGC_3011)*coupl(nGC_63)*coupl(nGC_69   &
                        ) + 4d0*cima*coupl(nGC_2391)*coupl(nGC_3011)*coupl(    &
                        nGC_64)*coupl(nGC_68) + 4d0*cima*coupl(nGC_2391)*coupl(&
                        nGC_3011)*coupl(nGC_64)*coupl(nGC_69) + 4d0*cima*coupl(&
                        nGC_2391)*coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_867) + &
                        4d0*cima*coupl(nGC_2391)*coupl(nGC_69)*coupl(nGC_72)*  &
                        coupl(nGC_867) + 4d0*cima*coupl(nGC_3011)*coupl(nGC_68 &
                        )*coupl(nGC_72)*coupl(nGC_867) + 4d0*cima*coupl(       &
                        nGC_3011)*coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_867) + &
                        4d0*cima*coupl(nGC_63)*coupl(nGC_68)**2d0*coupl(nGC_69 &
                        ) + 4d0*cima*coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_69  &
                        )**2d0 + 4d0*cima*coupl(nGC_64)*coupl(nGC_68)**2d0*    &
                        coupl(nGC_69) + 4d0*cima*coupl(nGC_64)*coupl(nGC_68)*  &
                        coupl(nGC_69)**2d0 + 8d0*cima*coupl(nGC_665)*coupl(    &
                        nGC_72)*coupl(nGC_867)*coupl(nGC_94) + 8d0*cima*coupl( &
                        nGC_72)*coupl(nGC_817)*coupl(nGC_867)*coupl(nGC_92) +  &
                        9d0*cima*coupl(nGC_817)*coupl(nGC_82)**2d0*coupl(nGC_91&
                        ) + 9d0*cima*coupl(nGC_817)*coupl(nGC_833)**2d0*coupl( &
                        nGC_91) - 6d0*coupl(nGC_1047)*coupl(nGC_1331)*coupl(   &
                        nGC_94) - 6d0*coupl(nGC_1047)*coupl(nGC_817)*coupl(    &
                        nGC_91) - 6d0*coupl(nGC_1103)*coupl(nGC_1485)*coupl(   &
                        nGC_65) - 6d0*coupl(nGC_1103)*coupl(nGC_1485)*coupl(   &
                        nGC_66) - 6d0*coupl(nGC_1103)*coupl(nGC_63)*coupl(     &
                        nGC_70) - 6d0*coupl(nGC_1103)*coupl(nGC_64)*coupl(     &
                        nGC_70) - 6d0*coupl(nGC_1243)*coupl(nGC_14)*coupl(     &
                        nGC_82) - 6d0*coupl(nGC_1243)*coupl(nGC_15)*coupl(     &
                        nGC_82) - 6d0*coupl(nGC_1243)*coupl(nGC_3)*coupl(nGC_65&
                        ) - 6d0*coupl(nGC_1243)*coupl(nGC_3)*coupl(nGC_66) -   &
                        6d0*coupl(nGC_1243)*coupl(nGC_63)*coupl(nGC_78) - 6d0* &
                        coupl(nGC_1243)*coupl(nGC_64)*coupl(nGC_78) - 6d0*coupl&
                        (nGC_14)*coupl(nGC_1485)*coupl(nGC_833) - 6d0*coupl(   &
                        nGC_1485)*coupl(nGC_15)*coupl(nGC_833) - 6d0*coupl(    &
                        nGC_1485)*coupl(nGC_63)*coupl(nGC_78) - 6d0*coupl(     &
                        nGC_1485)*coupl(nGC_64)*coupl(nGC_78) - 6d0*coupl(     &
                        nGC_16)*coupl(nGC_63)*coupl(nGC_82) - 6d0*coupl(nGC_16 &
                        )*coupl(nGC_63)*coupl(nGC_833) - 6d0*coupl(nGC_16)*    &
                        coupl(nGC_64)*coupl(nGC_82) - 6d0*coupl(nGC_16)*coupl( &
                        nGC_64)*coupl(nGC_833) + 6d0*coupl(nGC_2391)*coupl(    &
                        nGC_62)*coupl(nGC_68) + 6d0*coupl(nGC_2391)*coupl(     &
                        nGC_62)*coupl(nGC_69) - 6d0*coupl(nGC_3)*coupl(nGC_63)*&
                        coupl(nGC_70) - 6d0*coupl(nGC_3)*coupl(nGC_64)*coupl(  &
                        nGC_70) + 6d0*coupl(nGC_3011)*coupl(nGC_62)*coupl(     &
                        nGC_68) + 6d0*coupl(nGC_3011)*coupl(nGC_62)*coupl(     &
                        nGC_69) + 6d0*coupl(nGC_62)*coupl(nGC_665)*coupl(nGC_94&
                        ) + 6d0*coupl(nGC_62)*coupl(nGC_817)*coupl(nGC_92))/(  &
                        192d0*pi**2d0)
      coupl(nGC_12968) = coupl(nGC_22)*dZHlHh_QED2 + coupl(nGC_27)*            &
                         dZGMinusHMinus_QED2 + coupl(nGC_34)*dZHMinus_QED2 +   &
                         coupl(nGC_34)*dZHh_QED2 + coupl(nGC_9315)
      coupl(nGC_13864) = coupl(nGC_13857) + coupl(nGC_9516)
      coupl(nGC_9244) = (120d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_133)**2d0 &
                         + 120d0*Nc*cima*coupl(nGC_137)**2d0*coupl(nGC_141)**  &
                        2d0 + 120d0*Nc*cima*coupl(nGC_145)**2d0*coupl(nGC_149  &
                        )**2d0 + 120d0*Nc*cima*coupl(nGC_169)**2d0*coupl(      &
                        nGC_173)**2d0 + 120d0*Nc*cima*coupl(nGC_177)**2d0*coupl&
                        (nGC_180)**2d0 + 120d0*Nc*cima*coupl(nGC_192)**2d0*    &
                        coupl(nGC_195)**2d0 - 5d0*cima*coupl(nGC_1243)**2d0*   &
                        coupl(nGC_63)**2d0 - 10d0*cima*coupl(nGC_1243)**2d0*   &
                        coupl(nGC_63)*coupl(nGC_64) - 5d0*cima*coupl(nGC_1243  &
                        )**2d0*coupl(nGC_64)**2d0 - 10d0*cima*coupl(nGC_1243)**&
                        2d0*coupl(nGC_68)**2d0 - 20d0*cima*coupl(nGC_1243)*    &
                        coupl(nGC_2391)*coupl(nGC_63)*coupl(nGC_68) - 10d0*cima&
                        *coupl(nGC_1243)*coupl(nGC_2391)*coupl(nGC_64)*coupl(  &
                        nGC_68) - 10d0*cima*coupl(nGC_1243)*coupl(nGC_3011)*   &
                        coupl(nGC_63)*coupl(nGC_68) - 20d0*cima*coupl(nGC_1243 &
                        )*coupl(nGC_3011)*coupl(nGC_64)*coupl(nGC_68) - 5d0*   &
                        cima*coupl(nGC_1331)**2d0*coupl(nGC_94)**2d0 - 10d0*   &
                        cima*coupl(nGC_1331)*coupl(nGC_665)*coupl(nGC_91)*coupl&
                        (nGC_92) - 10d0*cima*coupl(nGC_1331)*coupl(nGC_665)*   &
                        coupl(nGC_94)**2d0 - 10d0*cima*coupl(nGC_1331)*coupl(  &
                        nGC_817)*coupl(nGC_91)*coupl(nGC_94) - 20d0*cima*coupl(&
                        nGC_1331)*coupl(nGC_817)*coupl(nGC_92)*coupl(nGC_94) - &
                        5d0*cima*coupl(nGC_1485)**2d0*coupl(nGC_63)**2d0 - 10d0&
                        *cima*coupl(nGC_1485)**2d0*coupl(nGC_63)*coupl(nGC_64  &
                        ) - 5d0*cima*coupl(nGC_1485)**2d0*coupl(nGC_64)**2d0 - &
                        10d0*cima*coupl(nGC_1485)**2d0*coupl(nGC_69)**2d0 -    &
                        20d0*cima*coupl(nGC_1485)*coupl(nGC_2391)*coupl(nGC_63 &
                        )*coupl(nGC_69) - 10d0*cima*coupl(nGC_1485)*coupl(     &
                        nGC_2391)*coupl(nGC_64)*coupl(nGC_69) - 10d0*cima*coupl&
                        (nGC_1485)*coupl(nGC_3011)*coupl(nGC_63)*coupl(nGC_69  &
                        ) - 20d0*cima*coupl(nGC_1485)*coupl(nGC_3011)*coupl(   &
                        nGC_64)*coupl(nGC_69) + 120d0*cima*coupl(nGC_153)**2d0*&
                        coupl(nGC_157)**2d0 + 120d0*cima*coupl(nGC_161)**2d0*  &
                        coupl(nGC_165)**2d0 + 120d0*cima*coupl(nGC_184)**2d0*  &
                        coupl(nGC_188)**2d0 - 5d0*cima*coupl(nGC_2391)**2d0*   &
                        coupl(nGC_68)**2d0 - 5d0*cima*coupl(nGC_2391)**2d0*    &
                        coupl(nGC_69)**2d0 - 20d0*cima*coupl(nGC_2391)*coupl(  &
                        nGC_3011)*coupl(nGC_63)*coupl(nGC_64) - 10d0*cima*coupl&
                        (nGC_2391)*coupl(nGC_3011)*coupl(nGC_68)**2d0 - 10d0*  &
                        cima*coupl(nGC_2391)*coupl(nGC_3011)*coupl(nGC_69)**2d0&
                         - 5d0*cima*coupl(nGC_3011)**2d0*coupl(nGC_68)**2d0 -  &
                        5d0*cima*coupl(nGC_3011)**2d0*coupl(nGC_69)**2d0 + 12d0&
                        *cima*coupl(nGC_61)**2d0 - 5d0*cima*coupl(nGC_665)**2d0&
                        *coupl(nGC_94)**2d0 - 20d0*cima*coupl(nGC_665)*coupl(  &
                        nGC_817)*coupl(nGC_91)*coupl(nGC_94) - 10d0*cima*coupl(&
                        nGC_665)*coupl(nGC_817)*coupl(nGC_92)*coupl(nGC_94) -  &
                        5d0*cima*coupl(nGC_817)**2d0*coupl(nGC_91)**2d0 - 10d0*&
                        cima*coupl(nGC_817)**2d0*coupl(nGC_91)*coupl(nGC_92) - &
                        5d0*cima*coupl(nGC_817)**2d0*coupl(nGC_92)**2d0 - 10d0*&
                        cima*coupl(nGC_817)**2d0*coupl(nGC_94)**2d0 + 6d0*cima*&
                        coupl(nGC_99)**2d0 + 6d0*coupl(nGC_1243)**2d0*coupl(   &
                        nGC_36) + 6d0*coupl(nGC_1243)*coupl(nGC_22)*coupl(     &
                        nGC_64) + 6d0*coupl(nGC_1243)*coupl(nGC_23)*coupl(     &
                        nGC_63) + 3d0*coupl(nGC_1243)*coupl(nGC_2391)*coupl(   &
                        nGC_27) + 3d0*coupl(nGC_1243)*coupl(nGC_24)*coupl(     &
                        nGC_3011) + 3d0*coupl(nGC_1243)*coupl(nGC_34)*coupl(   &
                        nGC_68) + 3d0*coupl(nGC_1243)*coupl(nGC_35)*coupl(     &
                        nGC_68) - 6d0*coupl(nGC_1243)*coupl(nGC_61)*coupl(     &
                        nGC_68) + 6d0*coupl(nGC_1331)*coupl(nGC_26)*coupl(     &
                        nGC_94) + 3d0*coupl(nGC_1331)*coupl(nGC_28)*coupl(     &
                        nGC_94) + 3d0*coupl(nGC_1331)*coupl(nGC_31)*coupl(     &
                        nGC_92) + 6d0*coupl(nGC_1331)*coupl(nGC_37)*coupl(     &
                        nGC_91) - 3d0*coupl(nGC_1331)*coupl(nGC_92)*coupl(     &
                        nGC_99) + 6d0*coupl(nGC_1485)**2d0*coupl(nGC_36) + 6d0*&
                        coupl(nGC_1485)*coupl(nGC_22)*coupl(nGC_63) + 6d0*coupl&
                        (nGC_1485)*coupl(nGC_23)*coupl(nGC_64) + 3d0*coupl(    &
                        nGC_1485)*coupl(nGC_2391)*coupl(nGC_24) + 3d0*coupl(   &
                        nGC_1485)*coupl(nGC_27)*coupl(nGC_3011) + 3d0*coupl(   &
                        nGC_1485)*coupl(nGC_34)*coupl(nGC_69) + 3d0*coupl(     &
                        nGC_1485)*coupl(nGC_35)*coupl(nGC_69) - 6d0*coupl(     &
                        nGC_1485)*coupl(nGC_61)*coupl(nGC_69) + 6d0*coupl(     &
                        nGC_22)*coupl(nGC_2391)*coupl(nGC_69) + 6d0*coupl(     &
                        nGC_22)*coupl(nGC_3011)*coupl(nGC_68) + 6d0*coupl(     &
                        nGC_23)*coupl(nGC_2391)*coupl(nGC_68) + 6d0*coupl(     &
                        nGC_23)*coupl(nGC_3011)*coupl(nGC_69) + 3d0*coupl(     &
                        nGC_2391)*coupl(nGC_30)*coupl(nGC_63) + 12d0*coupl(    &
                        nGC_2391)*coupl(nGC_3011)*coupl(nGC_36) + 3d0*coupl(   &
                        nGC_2391)*coupl(nGC_32)*coupl(nGC_63) - 6d0*coupl(     &
                        nGC_2391)*coupl(nGC_61)*coupl(nGC_63) + 3d0*coupl(     &
                        nGC_24)*coupl(nGC_63)*coupl(nGC_69) + 3d0*coupl(nGC_24 &
                        )*coupl(nGC_64)*coupl(nGC_68) + 6d0*coupl(nGC_25)*coupl&
                        (nGC_665)*coupl(nGC_94) + 6d0*coupl(nGC_25)*coupl(     &
                        nGC_817)*coupl(nGC_91) + 6d0*coupl(nGC_26)*coupl(      &
                        nGC_817)*coupl(nGC_92) + 3d0*coupl(nGC_27)*coupl(nGC_63&
                        )*coupl(nGC_68) + 3d0*coupl(nGC_27)*coupl(nGC_64)*coupl&
                        (nGC_69) + 3d0*coupl(nGC_28)*coupl(nGC_817)*coupl(     &
                        nGC_92) + 3d0*coupl(nGC_29)*coupl(nGC_665)*coupl(nGC_94&
                        ) + 3d0*coupl(nGC_29)*coupl(nGC_817)*coupl(nGC_91) +   &
                        3d0*coupl(nGC_30)*coupl(nGC_3011)*coupl(nGC_64) + 3d0* &
                        coupl(nGC_3011)*coupl(nGC_32)*coupl(nGC_64) - 6d0*coupl&
                        (nGC_3011)*coupl(nGC_61)*coupl(nGC_64) + 3d0*coupl(    &
                        nGC_33)*coupl(nGC_665)*coupl(nGC_91) + 12d0*coupl(     &
                        nGC_36)*coupl(nGC_63)*coupl(nGC_64) + 6d0*coupl(nGC_36 &
                        )*coupl(nGC_68)**2d0 + 6d0*coupl(nGC_36)*coupl(nGC_69  &
                        )**2d0 + 6d0*coupl(nGC_37)*coupl(nGC_665)*coupl(nGC_92 &
                        ) + 12d0*coupl(nGC_37)*coupl(nGC_817)*coupl(nGC_94) +  &
                        3d0*coupl(nGC_38)*coupl(nGC_817)*coupl(nGC_94) + 3d0*  &
                        coupl(nGC_39)*coupl(nGC_817)*coupl(nGC_94) - 3d0*coupl(&
                        nGC_665)*coupl(nGC_91)*coupl(nGC_99) - 6d0*coupl(      &
                        nGC_817)*coupl(nGC_94)*coupl(nGC_99))/(96d0*pi**2d0)
      coupl(nGC_13860) = coupl(nGC_194)*dZHa_QED2/2d0 + coupl(nGC_9515)
      coupl(nGC_13863) = -coupl(nGC_13857) - coupl(nGC_9516)
      coupl(nGC_13862) = coupl(nGC_13859) + coupl(nGC_13860)
      coupl(nGC_9189) = (20d0*Nc*cima*coupl(nGC_132)*coupl(nGC_134)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_132)*   &
                        coupl(nGC_134)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_132)*coupl(nGC_134)*coupl(nGC_80)*coupl(&
                        nGC_88) + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_143)*  &
                        coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*coupl(      &
                        nGC_138)*coupl(nGC_143)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_138)*coupl(nGC_143)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_148)*coupl(   &
                        nGC_150)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_148)*coupl(nGC_150)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_148)*coupl(nGC_150)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_172)*coupl(nGC_174)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_172)*coupl(nGC_174)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_172)*coupl(   &
                        nGC_174)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_179)*coupl(nGC_181)*coupl(nGC_80)*coupl(     &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_179)*coupl(nGC_181)*  &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_179)*coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_88) +  &
                        20d0*Nc*cima*coupl(nGC_194)*coupl(nGC_196)*coupl(nGC_80&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_194)*coupl(   &
                        nGC_196)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_194)*coupl(nGC_196)*coupl(nGC_80)*coupl(     &
                        nGC_88) + 4d0*cima*coupl(nGC_1243)*coupl(nGC_1331)*    &
                        coupl(nGC_72)**2d0 + 4d0*cima*coupl(nGC_1243)*coupl(   &
                        nGC_64)*coupl(nGC_72)*coupl(nGC_96) + 9d0*cima*coupl(  &
                        nGC_1331)*coupl(nGC_69)*coupl(nGC_82)*coupl(nGC_833) + &
                        20d0*cima*coupl(nGC_156)*coupl(nGC_158)*coupl(nGC_80)* &
                        coupl(nGC_86) - 16d0*cima*coupl(nGC_156)*coupl(nGC_158 &
                        )*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_156&
                        )*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_90) + 20d0*   &
                        cima*coupl(nGC_164)*coupl(nGC_166)*coupl(nGC_80)*coupl(&
                        nGC_86) - 16d0*cima*coupl(nGC_164)*coupl(nGC_166)*coupl&
                        (nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_164)*coupl&
                        (nGC_166)*coupl(nGC_80)*coupl(nGC_90) + 20d0*cima*coupl&
                        (nGC_187)*coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_86) - &
                        16d0*cima*coupl(nGC_187)*coupl(nGC_189)*coupl(nGC_80)* &
                        coupl(nGC_89) - 16d0*cima*coupl(nGC_187)*coupl(nGC_189 &
                        )*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*coupl(nGC_2391&
                        )*coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_96) + 4d0*cima*&
                        coupl(nGC_2391)*coupl(nGC_72)**2d0*coupl(nGC_817) + 4d0&
                        *cima*coupl(nGC_64)*coupl(nGC_72)**2d0*coupl(nGC_94) + &
                        9d0*cima*coupl(nGC_64)*coupl(nGC_817)*coupl(nGC_82)*   &
                        coupl(nGC_833) + 4d0*cima*coupl(nGC_64)*coupl(nGC_94)* &
                        coupl(nGC_96)*coupl(nGC_975) + 4d0*cima*coupl(nGC_68)* &
                        coupl(nGC_72)**2d0*coupl(nGC_91) + 4d0*cima*coupl(     &
                        nGC_69)*coupl(nGC_92)*coupl(nGC_96)*coupl(nGC_975) +   &
                        4d0*cima*coupl(nGC_867)*coupl(nGC_91)*coupl(nGC_94)*   &
                        coupl(nGC_96) + 4d0*cima*coupl(nGC_867)*coupl(nGC_92)* &
                        coupl(nGC_94)*coupl(nGC_96) + 6d0*coupl(nGC_1243)*coupl&
                        (nGC_15)*coupl(nGC_72) - 6d0*coupl(nGC_1331)*coupl(    &
                        nGC_16)*coupl(nGC_82) - 6d0*coupl(nGC_1331)*coupl(     &
                        nGC_69)*coupl(nGC_79) - 6d0*coupl(nGC_14)*coupl(nGC_817&
                        )*coupl(nGC_82) + 6d0*coupl(nGC_14)*coupl(nGC_94)*coupl&
                        (nGC_96) + 6d0*coupl(nGC_16)*coupl(nGC_2391)*coupl(    &
                        nGC_72) + 6d0*coupl(nGC_16)*coupl(nGC_92)*coupl(nGC_96 &
                        ) - 6d0*coupl(nGC_64)*coupl(nGC_79)*coupl(nGC_817))/(  &
                        192d0*pi**2d0)
      coupl(nGC_14543) = coupl(nGC_146)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_150&
                         )*dZdR_QED2/2d0 + coupl(nGC_150)*dZuL_QED2/2d0 + coupl&
                         (nGC_9410)
      coupl(nGC_13046) = coupl(nGC_80)*dZWMinus_QED2/2d0 + coupl(nGC_80)*      &
                         dZnu_tauL_QED2/2d0 + coupl(nGC_80)*dZtauMinusL_QED2/  &
                         2d0 + coupl(nGC_9399)
      coupl(nGC_16930) = coupl(nGC_16923) + coupl(nGC_16929)
      coupl(nGC_17837) = coupl(nGC_13488) + coupl(nGC_17835)
      coupl(nGC_14545) = coupl(nGC_150)*dZdR_QCD2/2d0 + coupl(nGC_150)*        &
                         dZuL_QCD2/2d0 + coupl(nGC_9409)
      coupl(nGC_14544) = coupl(nGC_196)*dZdL_QCD2/2d0 + coupl(nGC_196)*        &
                         dZuR_QCD2/2d0 + coupl(nGC_9408)
      coupl(nGC_9248) = (-32d0*Nc*cima*coupl(nGC_130)*coupl(nGC_133)*coupl(    &
                        nGC_85)**2d0 + 40d0*Nc*cima*coupl(nGC_130)*coupl(      &
                        nGC_133)*coupl(nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*   &
                        coupl(nGC_130)*coupl(nGC_133)*coupl(nGC_88)**2d0 - 32d0&
                        *Nc*cima*coupl(nGC_137)*coupl(nGC_141)*coupl(nGC_84)** &
                        2d0 + 40d0*Nc*cima*coupl(nGC_137)*coupl(nGC_141)*coupl(&
                        nGC_84)*coupl(nGC_87) - 32d0*Nc*cima*coupl(nGC_137)*   &
                        coupl(nGC_141)*coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl(&
                        nGC_145)*coupl(nGC_149)*coupl(nGC_84)**2d0 + 40d0*Nc*  &
                        cima*coupl(nGC_145)*coupl(nGC_149)*coupl(nGC_84)*coupl(&
                        nGC_87) - 32d0*Nc*cima*coupl(nGC_145)*coupl(nGC_149)*  &
                        coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl(nGC_169)*coupl(&
                        nGC_173)*coupl(nGC_84)**2d0 + 40d0*Nc*cima*coupl(      &
                        nGC_169)*coupl(nGC_173)*coupl(nGC_84)*coupl(nGC_87) -  &
                        32d0*Nc*cima*coupl(nGC_169)*coupl(nGC_173)*coupl(nGC_87&
                        )**2d0 - 32d0*Nc*cima*coupl(nGC_177)*coupl(nGC_180)*   &
                        coupl(nGC_85)**2d0 + 40d0*Nc*cima*coupl(nGC_177)*coupl(&
                        nGC_180)*coupl(nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*   &
                        coupl(nGC_177)*coupl(nGC_180)*coupl(nGC_88)**2d0 - 32d0&
                        *Nc*cima*coupl(nGC_192)*coupl(nGC_195)*coupl(nGC_85)** &
                        2d0 + 40d0*Nc*cima*coupl(nGC_192)*coupl(nGC_195)*coupl(&
                        nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*coupl(nGC_192)*   &
                        coupl(nGC_195)*coupl(nGC_88)**2d0 + 9d0*cima*coupl(    &
                        nGC_1243)*coupl(nGC_63)*coupl(nGC_833)**2d0 + 9d0*cima*&
                        coupl(nGC_1243)*coupl(nGC_64)*coupl(nGC_833)**2d0 + 4d0&
                        *cima*coupl(nGC_1331)*coupl(nGC_817)*coupl(nGC_92)**2d0&
                         + 4d0*cima*coupl(nGC_1331)*coupl(nGC_817)*coupl(nGC_94&
                        )**2d0 + 9d0*cima*coupl(nGC_1485)*coupl(nGC_63)*coupl( &
                        nGC_82)**2d0 + 9d0*cima*coupl(nGC_1485)*coupl(nGC_64)* &
                        coupl(nGC_82)**2d0 - 32d0*cima*coupl(nGC_153)*coupl(   &
                        nGC_157)*coupl(nGC_86)**2d0 + 40d0*cima*coupl(nGC_153)*&
                        coupl(nGC_157)*coupl(nGC_86)*coupl(nGC_89) - 32d0*cima*&
                        coupl(nGC_153)*coupl(nGC_157)*coupl(nGC_89)**2d0 - 32d0&
                        *cima*coupl(nGC_161)*coupl(nGC_165)*coupl(nGC_86)**2d0 &
                         + 40d0*cima*coupl(nGC_161)*coupl(nGC_165)*coupl(nGC_86&
                        )*coupl(nGC_89) - 32d0*cima*coupl(nGC_161)*coupl(      &
                        nGC_165)*coupl(nGC_89)**2d0 - 32d0*cima*coupl(nGC_184)*&
                        coupl(nGC_188)*coupl(nGC_86)**2d0 + 40d0*cima*coupl(   &
                        nGC_184)*coupl(nGC_188)*coupl(nGC_86)*coupl(nGC_89) -  &
                        32d0*cima*coupl(nGC_184)*coupl(nGC_188)*coupl(nGC_89)**&
                        2d0 + 4d0*cima*coupl(nGC_2391)*coupl(nGC_68)*coupl(    &
                        nGC_975)**2d0 + 4d0*cima*coupl(nGC_2391)*coupl(nGC_69)*&
                        coupl(nGC_96)**2d0 + 4d0*cima*coupl(nGC_3011)*coupl(   &
                        nGC_68)*coupl(nGC_975)**2d0 + 4d0*cima*coupl(nGC_3011)*&
                        coupl(nGC_69)*coupl(nGC_96)**2d0 + 4d0*cima*coupl(     &
                        nGC_665)**2d0*coupl(nGC_91)*coupl(nGC_94) + 4d0*cima*  &
                        coupl(nGC_665)**2d0*coupl(nGC_92)*coupl(nGC_94) + 4d0* &
                        cima*coupl(nGC_665)*coupl(nGC_817)*coupl(nGC_92)**2d0  &
                         + 4d0*cima*coupl(nGC_665)*coupl(nGC_817)*coupl(nGC_94 &
                        )**2d0 + 4d0*cima*coupl(nGC_817)**2d0*coupl(nGC_91)*   &
                        coupl(nGC_94) + 4d0*cima*coupl(nGC_817)**2d0*coupl(    &
                        nGC_92)*coupl(nGC_94) + 3d0*coupl(nGC_100)*coupl(      &
                        nGC_2391)*coupl(nGC_68) + 3d0*coupl(nGC_100)*coupl(    &
                        nGC_2391)*coupl(nGC_69) + 3d0*coupl(nGC_100)*coupl(    &
                        nGC_3011)*coupl(nGC_68) + 3d0*coupl(nGC_100)*coupl(    &
                        nGC_3011)*coupl(nGC_69) + 3d0*coupl(nGC_101)*coupl(    &
                        nGC_665)*coupl(nGC_94) + 3d0*coupl(nGC_101)*coupl(     &
                        nGC_817)*coupl(nGC_92) - 3d0*coupl(nGC_1047)*coupl(    &
                        nGC_1243)*coupl(nGC_63) - 3d0*coupl(nGC_1047)*coupl(   &
                        nGC_1243)*coupl(nGC_64) - 3d0*coupl(nGC_1047)*coupl(   &
                        nGC_1485)*coupl(nGC_63) - 3d0*coupl(nGC_1047)*coupl(   &
                        nGC_1485)*coupl(nGC_64) - 6d0*coupl(nGC_1243)*coupl(   &
                        nGC_14)*coupl(nGC_833) - 6d0*coupl(nGC_1243)*coupl(    &
                        nGC_15)*coupl(nGC_833) - 6d0*coupl(nGC_14)*coupl(      &
                        nGC_1485)*coupl(nGC_82) - 6d0*coupl(nGC_1485)*coupl(   &
                        nGC_15)*coupl(nGC_82) - 6d0*coupl(nGC_16)*coupl(nGC_63 &
                        )*coupl(nGC_82) - 6d0*coupl(nGC_16)*coupl(nGC_63)*coupl&
                        (nGC_833) - 6d0*coupl(nGC_16)*coupl(nGC_64)*coupl(     &
                        nGC_82) - 6d0*coupl(nGC_16)*coupl(nGC_64)*coupl(nGC_833&
                        ))/(96d0*pi**2d0)
      coupl(nGC_13388) = coupl(nGC_13379) + coupl(nGC_13386)
      coupl(nGC_13389) = coupl(nGC_13379) + coupl(nGC_13387)
    end subroutine fill_CTcouplings_mdl33
end module fill_ctcouplings33
