!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl4()
      coupl(nGC_21268) = coupl(nGC_MI)*dZuL_QED2
      coupl(nGC_21269) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_14880) = coupl(nGC_140)*dZbL_QCD2/2d0 + coupl(nGC_140)*        &
                         dZbR_QCD2/2d0 + coupl(nGC_9440)
      coupl(nGC_12847) = coupl(nGC_72)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_TS_GC_192_Hl) = -coupl(nGC_192)*dtHl_QED1/cMHL**2d0
      coupl(nGC_14085) = coupl(nGC_39)*dZG0
      coupl(nGC_12841) = dZGMinusHMinus_QED2*(coupl(nGC_40) + coupl(nGC_41))/2d0
      coupl(nGC_TS_GC_99_Hl) = -coupl(nGC_99)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_99_Hh) = -coupl(nGC_99)*dtHh_QED1/cMHH**2d0
      coupl(nGC_21848) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_21849) = coupl(nGC_MI)*dZcR_QED2
      coupl(nGC_21846) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_21847) = coupl(nGC_MC)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_21845) = coupl(nGC_MI)*dZcL_QED2
      coupl(nGC_14065) = coupl(nGC_84)*dZdR_QCD2
      coupl(nGC_13584) = coupl(nGC_157)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
      coupl(nGC_13382) = coupl(nGC_85)*dZcR_QCD2
      coupl(nGC_12704) = coupl(nGC_15)*dZHMinus_QED2/2d0 + coupl(nGC_15)*      &
                         dZHh_QED2/2d0 + coupl(nGC_15)*dZWMinus_QED2/2d0 +     &
                         coupl(nGC_15)*dZZ_QED2/2d0 + coupl(nGC_16)*           &
                         dZGMinusHMinus_QED2/2d0 + coupl(nGC_16)*dZHlHh_QED2/  &
                         2d0 + coupl(nGC_66)*dZAZ_QED2/2d0 + coupl(nGC_9386)
      coupl(nGC_13385) = coupl(nGC_88)*dZcL_QCD2
      coupl(nGC_9457) = coupl(nGC_8608)*dydo2_QED1_QCD2 + coupl(nGC_8610)*     &
                        dydo1_QED1_QCD2
      coupl(nGC_TS_GC_65_Hl) = -coupl(nGC_65)*dtHl_QED1/cMHL**2d0
      coupl(nGC_12816) = coupl(nGC_82)*dZWMinus_QED2/2d0 + coupl(nGC_9292)
      coupl(nGC_14719) = coupl(nGC_MW_GF)*dZGMinus/2d0
      coupl(nGC_16240) = coupl(nGC_80)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_9636) = -cima*dMHC2_QED2
      coupl(nGC_9637) = -cima*dMHL2_QED2
      coupl(nGC_9638) = -cima*dMHH2_QED2
      coupl(nGC_9639) = -cima*dMHA2_QED2
      coupl(nGC_TS_GC_33_Hh) = -coupl(nGC_33)*dtHh_QED1/cMHH**2d0
      coupl(nGC_17460) = -coupl(nGC_17459)
      coupl(nGC_9460) = coupl(nGC_8407)*dyd12x2_QED3 + coupl(nGC_8408)*        &
                        dys2_QED3 + coupl(nGC_8409)*db_QED2
      coupl(nGC_TS_GC_180_Hh) = -coupl(nGC_180)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_121_Hh) = -coupl(nGC_121)*dtHh_QED1/cMHH**2d0
      coupl(nGC_16024) = 3d0*coupl(nGC_47)*dZG0/2d0
      coupl(nGC_21277) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_21276) = coupl(nGC_MI)*dZuR_QED2
      coupl(nGC_21271) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_21270) = coupl(nGC_MU)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_14899) = coupl(nGC_166)*dZGMinus/2d0
      coupl(nGC_21075) = coupl(nGC_MI)*dZA_QED2
      coupl(nGC_14896) = coupl(nGC_75)*dZG0/2d0
      coupl(nGC_14721) = coupl(nGC_9658) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_12833) = coupl(nGC_36)*dZGMinus/2d0
      coupl(nGC_9492) = coupl(nGC_8584)*dyup1_QED1_QCD2 + coupl(nGC_8585)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_14093) = coupl(nGC_53)*(dZG0 + dZGMinus)
      coupl(nGC_21853) = coupl(nGC_21848) + coupl(nGC_9647)
      coupl(nGC_14389) = coupl(nGC_49)*dZGMinus/2d0
      coupl(nGC_12958) = coupl(nGC_74)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_TS_GC_128_Hl) = -coupl(nGC_128)*dtHl_QED1/cMHL**2d0
      coupl(nGC_13770) = coupl(nGC_68)*dZHMinusGMinus_QED2/2d0
    end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
