!******************************************************************************!
!                                                                              !
!    fill_ctcouplings8.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings8.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings8
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl8()
      coupl(nGC_9160) = cima*coupl(nGC_7)**3d0*sq2**3d0*(coupl(nGC_1) + coupl( &
                        nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_16996) = coupl(nGC_ME)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
      coupl(nGC_16995) = coupl(nGC_MI)*dZeMinusL_QED2
      coupl(nGC_TS_GC_35_Hl) = -coupl(nGC_35)*dtHl_QED1/cMHL**2d0
      coupl(nGC_17829) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_20714) = -coupl(nGC_20713)
      coupl(nGC_8770) = (2d0*Nc*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_134) +   &
                        2d0*Nc*coupl(nGC_1)*coupl(nGC_138)*coupl(nGC_142) + 2d0&
                        *Nc*coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_150) + 2d0*Nc&
                        *coupl(nGC_1)*coupl(nGC_170)*coupl(nGC_174) + 2d0*Nc*  &
                        coupl(nGC_1)*coupl(nGC_178)*coupl(nGC_181) + 2d0*Nc*   &
                        coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_196) - 2d0*Nc*   &
                        coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_2) - 2d0*Nc*   &
                        coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_2) - 2d0*Nc*   &
                        coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_2) - 2d0*Nc*   &
                        coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_2) - 2d0*Nc*   &
                        coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_2) - 2d0*Nc*   &
                        coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_2) + 2d0*coupl(&
                        nGC_154)*coupl(nGC_158)*coupl(nGC_4) + 2d0*coupl(      &
                        nGC_162)*coupl(nGC_166)*coupl(nGC_4) + 2d0*coupl(      &
                        nGC_185)*coupl(nGC_189)*coupl(nGC_4) - 3d0*coupl(nGC_3 &
                        )*coupl(nGC_63)*coupl(nGC_68) - 3d0*coupl(nGC_3)*coupl(&
                        nGC_64)*coupl(nGC_68))/(48d0*pi**2d0)
      coupl(nGC_8804) = (coupl(nGC_1)*coupl(nGC_138)**2d0 + coupl(nGC_1)*coupl(&
                        nGC_142)**2d0 + 4d0*coupl(nGC_1)*coupl(nGC_80)**2d0 +  &
                        coupl(nGC_177)**2d0*coupl(nGC_2) + coupl(nGC_179)*coupl&
                        (nGC_2)*coupl(nGC_2019) + coupl(nGC_180)**2d0*coupl(   &
                        nGC_2) + coupl(nGC_182)*coupl(nGC_183)*coupl(nGC_2) +  &
                        4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_88  &
                        )**2d0 + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0)/(32d0*pi &
                        **2d0)
      coupl(nGC_TS_GC_177_Hl) = -coupl(nGC_177)*dtHl_QED1/cMHL**2d0
      coupl(nGC_8805) = (coupl(nGC_1)*coupl(nGC_178)**2d0 + coupl(nGC_1)*coupl(&
                        nGC_181)**2d0 + coupl(nGC_177)**2d0*coupl(nGC_2) +     &
                        coupl(nGC_179)*coupl(nGC_2)*coupl(nGC_2019) + coupl(   &
                        nGC_180)**2d0*coupl(nGC_2) + coupl(nGC_182)*coupl(     &
                        nGC_183)*coupl(nGC_2) + 4d0*coupl(nGC_2)**3d0 + 4d0*   &
                        coupl(nGC_2)*coupl(nGC_85)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9458) = coupl(nGC_8608)*dydo2_QED3 + coupl(nGC_8609)*db_QED2 + &
                        coupl(nGC_8610)*dydo1_QED3
      coupl(nGC_18293) = coupl(nGC_138)*dZGMinus/2d0
      coupl(nGC_9351) = coupl(nGC_8377)*dl3_QED4 + coupl(nGC_8378)*db_QED2 +   &
                        coupl(nGC_8379)*dl2_QED4 + coupl(nGC_8380)*dl5_QED4 +  &
                        coupl(nGC_8381)*dvev2_QED1 + coupl(nGC_8382)*dvev1_QED1&
                         + coupl(nGC_8383)*dl1_QED4 + coupl(nGC_8384)*dl4_QED4 &
                         + coupl(nGC_8385)*da_QED2
      coupl(nGC_9459) = coupl(nGC_8407)*dyd12x2_QED1_QCD2 + coupl(nGC_8408)*   &
                        dys2_QED1_QCD2
      coupl(nGC_8988) = (-coupl(nGC_1331)*coupl(nGC_2019)*coupl(nGC_88) - coupl&
                        (nGC_137)*coupl(nGC_138)*coupl(nGC_181) - coupl(nGC_137&
                        )*coupl(nGC_142)*coupl(nGC_178) - coupl(nGC_1485)*coupl&
                        (nGC_181)*coupl(nGC_80) - coupl(nGC_177)**2d0*coupl(   &
                        nGC_180) - coupl(nGC_178)*coupl(nGC_63)*coupl(nGC_80   &
                        ) - coupl(nGC_180)**3d0 - coupl(nGC_180)*coupl(nGC_182 &
                        )**2d0 + 8d0*coupl(nGC_180)*coupl(nGC_2)**2d0 - coupl( &
                        nGC_180)*coupl(nGC_2019)**2d0 + 8d0*coupl(nGC_180)*    &
                        coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_182)*coupl(    &
                        nGC_817)*coupl(nGC_88) - coupl(nGC_182)*coupl(nGC_85)* &
                        coupl(nGC_94) - coupl(nGC_2019)*coupl(nGC_85)*coupl(   &
                        nGC_92))/(32d0*pi**2d0)
      coupl(nGC_19199) = coupl(nGC_MI)*dZsL_QED2
      coupl(nGC_13118) = coupl(nGC_70)*dZGMinus/2d0
      coupl(nGC_13443) = coupl(nGC_192)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_13442) = coupl(nGC_192)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_12864) = coupl(nGC_94)*dZZA_QED2/2d0
      coupl(nGC_13593) = coupl(nGC_180)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_13592) = coupl(nGC_180)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_13021) = coupl(nGC_MI)*dZnu_muL_QED2
      coupl(nGC_13020) = dZHMinusGMinus_QED2*(coupl(nGC_48) + coupl(nGC_49))/2d0
      coupl(nGC_9357) = coupl(nGC_8398)*dl3_QED4 + coupl(nGC_8399)*db_QED2 +   &
                        coupl(nGC_8400)*dl2_QED4 + coupl(nGC_8401)*dl5_QED4 +  &
                        coupl(nGC_8402)*dvev2_QED1 + coupl(nGC_8403)*dvev1_QED1&
                         + coupl(nGC_8404)*dl1_QED4 + coupl(nGC_8405)*dl4_QED4 &
                         + coupl(nGC_8406)*da_QED2
      coupl(nGC_9356) = coupl(nGC_363)*db_QED2 + coupl(nGC_365)*dl2_QED4 +     &
                        coupl(nGC_367)*dl3_QED4 + coupl(nGC_369)*dl5_QED4 +    &
                        coupl(nGC_371)*dl4_QED4 + coupl(nGC_373)*dl1_QED4 +    &
                        coupl(nGC_375)*dvev1_QED1 + coupl(nGC_377)*dvev2_QED1  &
                         + coupl(nGC_379)*da_QED2
      coupl(nGC_8958) = coupl(nGC_179)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8959) = (coupl(nGC_1331)*coupl(nGC_188)*coupl(nGC_86) - coupl( &
                        nGC_184)**2d0*coupl(nGC_187) + coupl(nGC_184)*coupl(   &
                        nGC_817)*coupl(nGC_86) + coupl(nGC_184)*coupl(nGC_89)* &
                        coupl(nGC_94) + coupl(nGC_185)*coupl(nGC_72)*coupl(    &
                        nGC_80) - coupl(nGC_186)**2d0*coupl(nGC_187) + 8d0*    &
                        coupl(nGC_186)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_186)* &
                        coupl(nGC_86)*coupl(nGC_89) - coupl(nGC_187)*coupl(    &
                        nGC_188)**2d0 - coupl(nGC_187)*coupl(nGC_190)**2d0 +   &
                        coupl(nGC_188)*coupl(nGC_89)*coupl(nGC_92))/(32d0*pi** &
                        2d0)
      coupl(nGC_TS_GC_111_Hh) = -coupl(nGC_111)*dtHh_QED1/cMHH**2d0
      coupl(nGC_8955) = (-coupl(nGC_1331)*coupl(nGC_180)*coupl(nGC_85) - coupl(&
                        nGC_138)*coupl(nGC_144)*coupl(nGC_181) - coupl(nGC_142 &
                        )*coupl(nGC_144)*coupl(nGC_178) - coupl(nGC_177)**2d0* &
                        coupl(nGC_179) - coupl(nGC_177)*coupl(nGC_817)*coupl(  &
                        nGC_85) - coupl(nGC_177)*coupl(nGC_88)*coupl(nGC_94) - &
                        coupl(nGC_178)*coupl(nGC_72)*coupl(nGC_80) - coupl(    &
                        nGC_179)*coupl(nGC_180)**2d0 - coupl(nGC_179)*coupl(   &
                        nGC_182)**2d0 - coupl(nGC_179)*coupl(nGC_2019)**2d0 -  &
                        coupl(nGC_180)*coupl(nGC_88)*coupl(nGC_92) + 8d0*coupl(&
                        nGC_2)**2d0*coupl(nGC_2019) + 8d0*coupl(nGC_2019)*coupl&
                        (nGC_85)*coupl(nGC_88))/(32d0*pi**2d0)
      coupl(nGC_8956) = coupl(nGC_2019)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8950) = (coupl(nGC_1331)*coupl(nGC_165)*coupl(nGC_89) - coupl( &
                        nGC_161)**2d0*coupl(nGC_163) + coupl(nGC_161)*coupl(   &
                        nGC_817)*coupl(nGC_89) + coupl(nGC_161)*coupl(nGC_86)* &
                        coupl(nGC_94) + coupl(nGC_162)*coupl(nGC_80)*coupl(    &
                        nGC_867) - coupl(nGC_163)*coupl(nGC_164)**2d0 - coupl( &
                        nGC_163)*coupl(nGC_165)**2d0 - coupl(nGC_163)*coupl(   &
                        nGC_168)**2d0 + 8d0*coupl(nGC_164)*coupl(nGC_4)**2d0 + &
                        8d0*coupl(nGC_164)*coupl(nGC_86)*coupl(nGC_89) + coupl(&
                        nGC_165)*coupl(nGC_86)*coupl(nGC_92))/(32d0*pi**2d0)
      coupl(nGC_8951) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_172) - coupl(nGC_131)*&
                        coupl(nGC_132)*coupl(nGC_170) - coupl(nGC_132)*coupl(  &
                        nGC_134)*coupl(nGC_174) - coupl(nGC_1331)*coupl(nGC_173&
                        )*coupl(nGC_84) - coupl(nGC_169)**2d0*coupl(nGC_171) - &
                        coupl(nGC_169)*coupl(nGC_817)*coupl(nGC_84) - coupl(   &
                        nGC_169)*coupl(nGC_87)*coupl(nGC_94) - coupl(nGC_170)* &
                        coupl(nGC_72)*coupl(nGC_80) - coupl(nGC_171)*coupl(    &
                        nGC_172)**2d0 - coupl(nGC_171)*coupl(nGC_173)**2d0 -   &
                        coupl(nGC_171)*coupl(nGC_176)**2d0 + 8d0*coupl(nGC_172 &
                        )*coupl(nGC_84)*coupl(nGC_87) - coupl(nGC_173)*coupl(  &
                        nGC_87)*coupl(nGC_92))/(32d0*pi**2d0)
      coupl(nGC_8952) = coupl(nGC_172)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9353) = coupl(nGC_8415)*dl3_QED4 + coupl(nGC_8416)*db_QED2 +   &
                        coupl(nGC_8417)*dl2_QED4 + coupl(nGC_8418)*dl5_QED4 +  &
                        coupl(nGC_8419)*dvev2_QED1 + coupl(nGC_8420)*dvev1_QED1&
                         + coupl(nGC_8421)*dl1_QED4 + coupl(nGC_8422)*dl4_QED4 &
                         + coupl(nGC_8423)*da_QED2
      coupl(nGC_8792) = coupl(nGC_2)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_8824) = coupl(nGC_138)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8826) = coupl(nGC_181)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8828) = coupl(nGC_134)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8798) = (coupl(nGC_161)**2d0*coupl(nGC_4) + coupl(nGC_163)*    &
                        coupl(nGC_164)*coupl(nGC_4) + coupl(nGC_165)**2d0*coupl&
                        (nGC_4) + coupl(nGC_167)*coupl(nGC_168)*coupl(nGC_4) - &
                        4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 + 4d0*coupl(nGC_4  &
                        )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_89)**2d0)/(32d0*pi &
                        **2d0)
      coupl(nGC_8799) = (coupl(nGC_154)**2d0*coupl(nGC_4) + coupl(nGC_158)**2d0&
                        *coupl(nGC_4) + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 +  &
                        4d0*coupl(nGC_4)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
      coupl(nGC_TS_GC_22_Hh) = -coupl(nGC_22)*dtHh_QED1/cMHH**2d0
      coupl(nGC_8970) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_137) - coupl(nGC_1243 &
                        )*coupl(nGC_138)*coupl(nGC_80) - coupl(nGC_1331)*coupl(&
                        nGC_143)*coupl(nGC_87) - coupl(nGC_137)**3d0 - coupl(  &
                        nGC_137)*coupl(nGC_140)**2d0 - coupl(nGC_137)*coupl(   &
                        nGC_141)**2d0 - coupl(nGC_137)*coupl(nGC_143)**2d0 +   &
                        8d0*coupl(nGC_137)*coupl(nGC_84)*coupl(nGC_87) - coupl(&
                        nGC_138)*coupl(nGC_180)*coupl(nGC_181) - coupl(nGC_140 &
                        )*coupl(nGC_817)*coupl(nGC_87) - coupl(nGC_140)*coupl( &
                        nGC_84)*coupl(nGC_94) - coupl(nGC_142)*coupl(nGC_178)* &
                        coupl(nGC_180) - coupl(nGC_142)*coupl(nGC_64)*coupl(   &
                        nGC_80) - coupl(nGC_143)*coupl(nGC_84)*coupl(nGC_92))/(&
                        32d0*pi**2d0)
      coupl(nGC_TS_GC_22_Hl) = -coupl(nGC_22)*dtHl_QED1/cMHL**2d0
      coupl(nGC_15987) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_9373) = coupl(nGC_8127)*dsw_QED2 + coupl(nGC_8128)*db_QED2 +   &
                        coupl(nGC_8129)*dZee_QED2 + coupl(nGC_8130)*da_QED2
      coupl(nGC_9372) = coupl(nGC_8173)*dsw_QED2 + coupl(nGC_8174)*dZee_QED2
      coupl(nGC_9371) = coupl(nGC_8158)*dsw_QED2 + coupl(nGC_8159)*db_QED2 +   &
                        coupl(nGC_8160)*dZee_QED2 + coupl(nGC_8161)*da_QED2
      coupl(nGC_9370) = coupl(nGC_8131)*dsw_QED2 + coupl(nGC_8132)*db_QED2 +   &
                        coupl(nGC_8133)*dZee_QED2 + coupl(nGC_8134)*da_QED2
      coupl(nGC_9377) = coupl(nGC_8499)*dsw_QED2 + coupl(nGC_8500)*dvev2_QED1  &
                         + coupl(nGC_8501)*dvev1_QED1 + coupl(nGC_8502)*       &
                        dZee_QED2 + coupl(nGC_8503)*da_QED2
    end subroutine fill_CTcouplings_mdl8
end module fill_ctcouplings8
