!******************************************************************************!
!                                                                              !
!    fill_ctcouplings9.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings9.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings9
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl9()
      coupl(nGC_9376) = coupl(nGC_8504)*dsw_QED2 + coupl(nGC_8505)*dvev2_QED1  &
                         + coupl(nGC_8506)*dvev1_QED1 + coupl(nGC_8507)*       &
                        dZee_QED2 + coupl(nGC_8508)*da_QED2
      coupl(nGC_9375) = coupl(nGC_8120)*dsw_QED2 + coupl(nGC_8121)*dZee_QED2
      coupl(nGC_9374) = coupl(nGC_8122)*dsw_QED2 + coupl(nGC_8123)*dZee_QED2
      coupl(nGC_9379) = coupl(nGC_8289)*dcw_QED2 + coupl(nGC_8290)*db_QED2 +   &
                        coupl(nGC_8291)*dsw_QED2 + coupl(nGC_8292)*dZee_QED2 + &
                        coupl(nGC_8293)*da_QED2
      coupl(nGC_9378) = coupl(nGC_8299)*dsw_QED2 + coupl(nGC_8300)*dcw_QED2 +  &
                        coupl(nGC_8301)*dZee_QED2
      coupl(nGC_TS_GC_12_Hh) = -coupl(nGC_12)*dtHh_QED1/cMHH**2d0
      coupl(nGC_28021) = coupl(nGC_MT)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_12640) = coupl(nGC_175)*dZG0/2d0
      coupl(nGC_28020) = coupl(nGC_MT)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_12646) = coupl(nGC_176)*dZG0/2d0
      coupl(nGC_9192) = (20d0*Nc*cima*coupl(nGC_135)**2d0*coupl(nGC_136)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_139)**2d0*coupl(nGC_140)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_151)**2d0*coupl(nGC_152)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_175)**2d0*coupl(nGC_176)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_182)**2d0*coupl(nGC_183)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_198)**2d0&
                         + 3d0*cima*coupl(nGC_101)**2d0 + 20d0*cima*coupl(     &
                        nGC_159)**2d0*coupl(nGC_160)**2d0 + 20d0*cima*coupl(   &
                        nGC_167)**2d0*coupl(nGC_168)**2d0 + 20d0*cima*coupl(   &
                        nGC_190)**2d0*coupl(nGC_191)**2d0 + 6d0*cima*coupl(    &
                        nGC_62)**2d0 - 5d0*cima*coupl(nGC_665)**2d0*coupl(     &
                        nGC_91)**2d0 - 10d0*cima*coupl(nGC_665)*coupl(nGC_817)*&
                        coupl(nGC_91)*coupl(nGC_94) - 10d0*cima*coupl(nGC_72)**&
                        2d0*coupl(nGC_867)**2d0 - 5d0*cima*coupl(nGC_817)**2d0*&
                        coupl(nGC_94)**2d0 - 3d0*coupl(nGC_101)*coupl(nGC_665)*&
                        coupl(nGC_91) - 3d0*coupl(nGC_101)*coupl(nGC_817)*coupl&
                        (nGC_94) + 3d0*coupl(nGC_25)*coupl(nGC_665)*coupl(     &
                        nGC_94) + 3d0*coupl(nGC_25)*coupl(nGC_817)*coupl(nGC_91&
                        ) + 3d0*coupl(nGC_33)*coupl(nGC_817)*coupl(nGC_94) +   &
                        3d0*coupl(nGC_39)*coupl(nGC_665)*coupl(nGC_91) + 6d0*  &
                        coupl(nGC_53)*coupl(nGC_72)*coupl(nGC_867) - 6d0*coupl(&
                        nGC_62)*coupl(nGC_72)*coupl(nGC_867))/(16d0*pi**2d0)
      coupl(nGC_TS_GC_118_Hh) = -coupl(nGC_118)*dtHh_QED1/cMHH**2d0
      coupl(nGC_9209) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_135)*coupl( &
                        nGC_136) + coupl(nGC_139)*coupl(nGC_140) + coupl(      &
                        nGC_151)*coupl(nGC_152) + coupl(nGC_175)*coupl(nGC_176 &
                        ) + coupl(nGC_182)*coupl(nGC_183) + coupl(nGC_197)*    &
                        coupl(nGC_198))/(16d0*pi**2d0*Nc)
      coupl(nGC_9208) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_135)*coupl(&
                        nGC_136) - coupl(nGC_139)*coupl(nGC_140) - coupl(      &
                        nGC_151)*coupl(nGC_152) - coupl(nGC_175)*coupl(nGC_176 &
                        ) - coupl(nGC_182)*coupl(nGC_183) - coupl(nGC_197)*    &
                        coupl(nGC_198))/(16d0*pi**2d0)
      coupl(nGC_TS_GC_14_Hl) = -coupl(nGC_14)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_69_Hh) = -coupl(nGC_69)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_69_Hl) = -coupl(nGC_69)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_188_Hh) = -coupl(nGC_188)*dtHh_QED1/cMHH**2d0
      coupl(nGC_13560) = coupl(nGC_151)*dZdL_QCD2/2d0 + coupl(nGC_151)*        &
                         dZdR_QCD2/2d0 + coupl(nGC_9431)
      coupl(nGC_16760) = coupl(nGC_92)*dZZA_QED2/2d0
      coupl(nGC_13110) = coupl(nGC_76)*dZG0/2d0
      coupl(nGC_14325) = coupl(nGC_23)*dZGMinus
      coupl(nGC_14823) = coupl(nGC_14)*dZHl_QED2/2d0 + coupl(nGC_14)*          &
                         dZWMinus_QED2/2d0 + coupl(nGC_14)*dZZ_QED2/2d0 + coupl&
                         (nGC_16)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_16)*     &
                         dZHhHl_QED2/2d0 + coupl(nGC_65)*dZAZ_QED2/2d0 + coupl(&
                         nGC_9385)
      coupl(nGC_15660) = coupl(nGC_168)*dZG0/2d0
      coupl(nGC_TS_GC_49_Hl) = -coupl(nGC_49)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_49_Hh) = -coupl(nGC_49)*dtHh_QED1/cMHH**2d0
      coupl(nGC_13902) = coupl(nGC_134)*dZcR_QCD2/2d0 + coupl(nGC_134)*        &
                         dZsL_QCD2/2d0 + coupl(nGC_9412)
      coupl(nGC_13690) = coupl(nGC_145)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_13691) = coupl(nGC_145)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_13697) = coupl(nGC_73)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_14134) = coupl(nGC_182)*dZG0/2d0
      coupl(nGC_15441) = coupl(nGC_MI)*dZAZ_QED2/2d0
      coupl(nGC_14316) = coupl(nGC_84)*dZsR_QCD2
      coupl(nGC_14312) = coupl(nGC_87)*dZsL_QCD2
      coupl(nGC_13470) = coupl(nGC_64)*dZHhHl_QED2/2d0 + coupl(nGC_68)*        &
                         dZHMinus_QED2/2d0 + coupl(nGC_68)*dZHl_QED2/2d0 +     &
                         coupl(nGC_68)*dZWMinus_QED2/2d0 + coupl(nGC_9371)
      coupl(nGC_12872) = coupl(nGC_129)*dZZA_QED2/2d0
      coupl(nGC_12879) = coupl(nGC_57)*dZGMinus
      coupl(nGC_14558) = 3d0*coupl(nGC_46)*dZHa_QED2/2d0 + coupl(nGC_52)*      &
                         dZHaG0_QED2/2d0 + 3d0*coupl(nGC_59)*dZG0Ha_QED2/2d0 + &
                         coupl(nGC_9337)
      coupl(nGC_26306) = coupl(nGC_I)*dZGMinus
      coupl(nGC_14002) = coupl(nGC_25)*dZHlHh_QED2 + coupl(nGC_29)*dZHaG0_QED2 &
                          + coupl(nGC_33)*dZHh_QED2 + coupl(nGC_9299)
      coupl(nGC_13057) = coupl(nGC_120)*dZG0/2d0
      coupl(nGC_12892) = coupl(nGC_4)*dZmuMinusL_QED2 + coupl(nGC_89)*dZZA_QED2&
                         /2d0
      coupl(nGC_12890) = coupl(nGC_4)*dZmuMinusR_QED2 + coupl(nGC_86)*dZZA_QED2&
                         /2d0
      coupl(nGC_8964) = coupl(nGC_194)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_108_Hl) = -coupl(nGC_108)*dtHl_QED1/cMHL**2d0
      coupl(nGC_8769) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_85)*coupl(    &
                        nGC_88))/(8d0*pi**2d0)
      coupl(nGC_8768) = cMU*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_8765) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_85)*coupl(    &
                        nGC_88))/(8d0*pi**2d0)
      coupl(nGC_8762) = cima*(-coupl(nGC_80)**2d0 - coupl(nGC_90)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_8760) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0  &
                         - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi &
                        **2d0*Nc)
    end subroutine fill_CTcouplings_mdl9
end module fill_ctcouplings9
