!******************************************************************************!
!                                                                              !
!    ctparameter119.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter119.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:12             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter119
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter119()
  if (dZeMinusR_QED2_scheme .eq. 0) then
    dZeMinusR_QED2 = (2d0*Ten837*coupl(nGC_4)**2d0 + Ten838*(coupl(nGC_159)*   &
                     coupl(nGC_160) + 2d0*coupl(nGC_86)**2d0) - Ten839*coupl(  &
                     nGC_155)*coupl(nGC_156) - Ten840*coupl(nGC_153)**2d0 -    &
                     Ten841*coupl(nGC_157)**2d0 + 2d0*Ten842*coupl(nGC_4)**2d0 &
                      - Ten843*coupl(nGC_158)**2d0 - Ten844*coupl(nGC_154)**2d0&
                      + Ten845*(coupl(nGC_159)*coupl(nGC_160) + 2d0*coupl(     &
                     nGC_86)**2d0) + Ten849*cME**2d0*(coupl(nGC_155)**2d0 +    &
                     coupl(nGC_156)**2d0) + 2d0*Ten850*cME**2d0*coupl(nGC_153  &
                     )**2d0 + 2d0*Ten851*cME**2d0*coupl(nGC_157)**2d0 - 4d0*   &
                     Ten852*cME**2d0*coupl(nGC_4)**2d0 + Ten853*cME**2d0*(coupl&
                     (nGC_159)**2d0 + 2d0*coupl(nGC_159)*coupl(nGC_160) + coupl&
                     (nGC_160)**2d0 + 2d0*coupl(nGC_86)**2d0 - 8d0*coupl(nGC_86&
                     )*coupl(nGC_89) + 2d0*coupl(nGC_89)**2d0) - 2d0*Ten854*cME&
                     **2d0*coupl(nGC_155)*coupl(nGC_156) - 2d0*Ten855*cME**2d0*&
                     coupl(nGC_153)**2d0 - 2d0*Ten856*cME**2d0*coupl(nGC_157)**&
                     2d0 + 4d0*Ten857*cME**2d0*coupl(nGC_4)**2d0 + Ten858*cME**&
                     2d0*(-coupl(nGC_158)**2d0 - 2d0*coupl(nGC_80)**2d0) -     &
                     Ten859*cME**2d0*coupl(nGC_154)**2d0 + 2d0*Ten860*cME**2d0 &
                     *(coupl(nGC_159)*coupl(nGC_160) + coupl(nGC_86)**2d0 +    &
                     coupl(nGC_89)**2d0) + pi**2d0*(-coupl(nGC_4)**2d0/pi**2d0 &
                      - coupl(nGC_86)**2d0/pi**2d0))/(16d0*pi**2d0)
    dZeMinusR_QED2 = cone*real(dZeMinusR_QED2,kind=dp)
  end if 
end subroutine set_ctparameter119
end module ctparameter119
