!******************************************************************************!
!                                                                              !
!    ctparameter138.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter138.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:12             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter138
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter138()
  OS1_Hvv_da_QED3 = (4d0*cima*pi**2d0*Ten1145*cMHA**2d0*ee**3d0*sa*sb*(-ca*sb  &
                     + cb*sa)/(cMW*cb*cw**2d0*sw**3d0) + 8d0*cima*pi**2d0*     &
                    Ten1146*cMHC**2d0*ee**3d0*sa*sb*(-ca*sb + cb*sa)/(cMW*cb*sw&
                    **3d0) + 8d0*cima*pi**2d0*Ten1147*cMHC**2d0*ee**3d0*sa*sb  &
                    *(-ca*sb + cb*sa)/(cMW*cb*sw**3d0) + 16d0*cima*pi**2d0*    &
                    Ten1148*cMW*ee**3d0*sa*(-cMHH**2d0*ca*cb - cMHH**2d0*sa*sb &
                     + 2d0*cMW**2d0*ca*cb + 2d0*cMW**2d0*sa*sb)/(cMHH**2d0*sw**&
                    3d0) + 4d0*cima*pi**2d0*Ten1149*cMHA**2d0*ee**3d0*sa*sb*(- &
                    ca*sb + cb*sa)/(cMW*cb*cw**2d0*sw**3d0) + 8d0*cima*pi**2d0*&
                    Ten1150*cMW*ee**3d0*sa*(-cMHH**2d0*ca*cb*cw**2d0 - cMHH**  &
                    2d0*cw**2d0*sa*sb + 2d0*cMW**2d0*ca*cb + 2d0*cMW**2d0*sa*sb&
                    )/(cMHH**2d0*cw**6d0*sw**3d0) + 32d0*cima*pi**2d0*Ten1151* &
                    cMW*ee**3d0*(cMHH**2d0*ca**2d0*sb - cMHH**2d0*ca*cb*sa +   &
                    cMHL**2d0*ca*cb*sa + cMHL**2d0*sa**2d0*sb)/(cMHH**2d0*cMHL &
                    **2d0*sw**3d0) + 16d0*cima*pi**2d0*Ten1152*cMW*ee**3d0*(   &
                    cMHH**2d0*ca**2d0*sb - cMHH**2d0*ca*cb*sa + cMHL**2d0*ca*cb&
                    *sa + cMHL**2d0*sa**2d0*sb)/(cMHH**2d0*cMHL**2d0*cw**4d0*sw&
                    **3d0) + 2d0*cima*pi**2d0*Ten1156*ee**3d0*sa*sb*(ca*sb - cb&
                    *sa)/(cMW*cb*cw**2d0*sw**3d0) + 4d0*cima*pi**2d0*Ten1157*ee&
                    **3d0*sa*sb*(ca*sb - cb*sa)/(cMW*cb*sw**3d0) + 4d0*cima*pi &
                    **2d0*Ten1158*ee**3d0*sa*sb*(ca*sb - cb*sa)/(cMW*cb*sw**3d0&
                    ) + 8d0*cima*pi**2d0*Ten1159*ee**3d0*sa*(cMHH**2d0*ca*cb + &
                    cMHH**2d0*sa*sb - 4d0*cMW**2d0*ca*cb - 4d0*cMW**2d0*sa*sb  &
                    )/(cMHH**2d0*cMW*sw**3d0) + 2d0*cima*pi**2d0*Ten1160*ee**  &
                    3d0*sa*sb*(ca*sb - cb*sa)/(cMW*cb*cw**2d0*sw**3d0) + 4d0*  &
                    cima*pi**2d0*Ten1161*ee**3d0*sa*(cMHH**2d0*ca*cb*cw**2d0 + &
                    cMHH**2d0*cw**2d0*sa*sb - 4d0*cMW**2d0*ca*cb - 4d0*cMW**2d0&
                    *sa*sb)/(cMHH**2d0*cMW*cw**4d0*sw**3d0) + 4d0*cima*pi**2d0*&
                    Ten1162*cMHA**2d0*ca*ee**3d0*sb*(ca*cb + sa*sb)/(cMW*cb*cw &
                    **2d0*sw**3d0) + 8d0*cima*pi**2d0*Ten1163*cMHC**2d0*ca*ee**&
                    3d0*sb*(ca*cb + sa*sb)/(cMW*cb*sw**3d0) + 8d0*cima*pi**2d0*&
                    Ten1164*cMHC**2d0*ca*ee**3d0*sb*(ca*cb + sa*sb)/(cMW*cb*sw &
                    **3d0) + 16d0*cima*pi**2d0*Ten1165*cMW*ca*ee**3d0*(-cMHL** &
                    2d0*ca*sb + cMHL**2d0*cb*sa + 2d0*cMW**2d0*ca*sb - 2d0*cMW &
                    **2d0*cb*sa)/(cMHL**2d0*sw**3d0) + 4d0*cima*pi**2d0*Ten1166&
                    *cMHA**2d0*ca*ee**3d0*sb*(ca*cb + sa*sb)/(cMW*cb*cw**2d0*sw&
                    **3d0) + 8d0*cima*pi**2d0*Ten1167*cMW*ca*ee**3d0*(-cMHL**  &
                    2d0*ca*cw**2d0*sb + cMHL**2d0*cb*cw**2d0*sa + 2d0*cMW**2d0*&
                    ca*sb - 2d0*cMW**2d0*cb*sa)/(cMHL**2d0*cw**6d0*sw**3d0) +  &
                    2d0*cima*pi**2d0*Ten1168*ca*ee**3d0*sb*(-ca*cb - sa*sb)/(  &
                    cMW*cb*cw**2d0*sw**3d0) + 4d0*cima*pi**2d0*Ten1169*ca*ee** &
                    3d0*sb*(-ca*cb - sa*sb)/(cMW*cb*sw**3d0) + 4d0*cima*pi**2d0&
                    *Ten1170*ca*ee**3d0*sb*(-ca*cb - sa*sb)/(cMW*cb*sw**3d0) + &
                    8d0*cima*pi**2d0*Ten1171*ca*ee**3d0*(cMHL**2d0*ca*sb - cMHL&
                    **2d0*cb*sa - 4d0*cMW**2d0*ca*sb + 4d0*cMW**2d0*cb*sa)/(   &
                    cMHL**2d0*cMW*sw**3d0) + 2d0*cima*pi**2d0*Ten1172*ca*ee**  &
                    3d0*sb*(-ca*cb - sa*sb)/(cMW*cb*cw**2d0*sw**3d0) + 4d0*cima&
                    *pi**2d0*Ten1173*ca*ee**3d0*(cMHL**2d0*ca*cw**2d0*sb - cMHL&
                    **2d0*cb*cw**2d0*sa - 4d0*cMW**2d0*ca*sb + 4d0*cMW**2d0*cb*&
                    sa)/(cMHL**2d0*cMW*cw**4d0*sw**3d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      OS1_Hvv_da_QED3 = cone*real(OS1_Hvv_da_QED3,kind=dp)
    end if 
end subroutine set_ctparameter138
end module ctparameter138
