!******************************************************************************!
!                                                                              !
!    ctparameter199.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter199.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:12             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter199
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter199()
  if (db_QED2_scheme .eq. 2) then
    db_QED2 = -cima*OS1_Hvv_da_QED3*cMW*sa*sb*sw/(16d0*pi**2d0*ca*ee) -        &
              OS1_Hvv_db_QED3*cMW*sw/(16d0*pi**2d0*ca*ee) + ca**2d0*dZHh_QED2* &
              sb/(2d0*cb) - ca*dZHhHl_QED2*sa*sb/(2d0*cb) - ca*dZHlHh_QED2*sa* &
              sb/(2d0*cb) + dZG0Ha_QED2/2d0 - dZHa_QED2*sb/(2d0*cb) + dZHl_QED2&
              *sa**2d0*sb/(2d0*cb)
    if (.not. complex_mass_scheme) then
      db_QED2 = cone*real(db_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter199
end module ctparameter199
