!******************************************************************************!
!                                                                              !
!    ctparameter202.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter202.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:12             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter202
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter202()
  if (db_QED2_scheme .eq. 5) then
    db_QED2 = (-Ten129*cab*cb*ee**2d0*sab*sb/(8d0*ca*cw**2d0*sa*sw**2d0) +     &
              Ten130*cab*cb*ee**2d0*sab*sb/(8d0*ca*cw**2d0*sa*sw**2d0) - Ten132&
              *cab*cb*ee**2d0*sab*sb/(4d0*ca*sa*sw**2d0) + Ten133*cab*cb*ee**  &
              2d0*sab*sb/(4d0*ca*sa*sw**2d0) - Ten15*cab*cb*ee**2d0*sab*sb/(8d0&
              *ca*cw**2d0*sa*sw**2d0) + Ten16*cab*cb*ee**2d0*sab*sb/(8d0*ca*cw &
              **2d0*sa*sw**2d0) - Ten18*cab*cb*ee**2d0*sab*sb/(4d0*ca*sa*sw**  &
              2d0) + Ten19*cab*cb*ee**2d0*sab*sb/(4d0*ca*sa*sw**2d0))/(16d0*pi &
              **2d0) + cb*dZHhHl_QED2*sb/(4d0*ca*sa) + cb*dZHlHh_QED2*sb/(4d0* &
              ca*sa) + dtHl_QED1*(ca*cb + sa*sb)/(cMHL**2d0*vev) + dtHh_QED1*(-&
              ca*sb + cb*sa)/(cMHH**2d0*vev)
    if (.not. complex_mass_scheme) then
      db_QED2 = cone*real(db_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter202
end module ctparameter202
