!******************************************************************************!
!                                                                              !
!    ctparameter37.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter37.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:12             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter37
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter37()
  D12_BFM_QED2 = (Ten129*ee**2d0*(ca**2d0*cb**2d0 + 2d0*ca*cb*sa*sb + sa**2d0* &
                 sb**2d0)/(2d0*cw**2d0*sw**2d0) + Ten130*ee**2d0*(-ca**2d0*cb**&
                 2d0 - 2d0*ca*cb*sa*sb - sa**2d0*sb**2d0)/(2d0*cw**2d0*sw**2d0 &
                 ) + Ten132*ee**2d0*(ca**2d0*cb**2d0 + 2d0*ca*cb*sa*sb + sa**  &
                 2d0*sb**2d0)/sw**2d0 + Ten133*ee**2d0*(-ca**2d0*cb**2d0 - 2d0*&
                 ca*cb*sa*sb - sa**2d0*sb**2d0)/sw**2d0 + Ten15*ee**2d0*(-ca** &
                 2d0*sb**2d0 + 2d0*ca*cb*sa*sb - cb**2d0*sa**2d0)/(2d0*cw**2d0*&
                 sw**2d0) + Ten16*ee**2d0*(ca**2d0*sb**2d0 - 2d0*ca*cb*sa*sb + &
                 cb**2d0*sa**2d0)/(2d0*cw**2d0*sw**2d0) + Ten18*ee**2d0*(-ca** &
                 2d0*sb**2d0 + 2d0*ca*cb*sa*sb - cb**2d0*sa**2d0)/sw**2d0 +    &
                 Ten19*ee**2d0*(ca**2d0*sb**2d0 - 2d0*ca*cb*sa*sb + cb**2d0*sa &
                 **2d0)/sw**2d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      D12_BFM_QED2 = cone*real(D12_BFM_QED2,kind=dp)
    end if 
end subroutine set_ctparameter37
end module ctparameter37
