!******************************************************************************!
!                                                                              !
!    ctparameter45.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter45.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:12             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter45
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter45()
  if (dZsL_QED2_scheme .eq. 1) then
    dZsL_QED2 = (2d0*Ten714*coupl(nGC_1)**2d0 + 2d0*Ten715*coupl(nGC_87)**2d0  &
                 + 2d0*Ten716*coupl(nGC_80)**2d0 + 2d0*Ten720*coupl(nGC_1)**2d0&
                 + 2d0*Ten721*coupl(nGC_87)**2d0 + 2d0*Ten722*coupl(nGC_80)**  &
                2d0 - 4d0*Ten731*cMS_reg**2d0*coupl(nGC_1)**2d0 + 4d0*Ten738*  &
                cMS_reg**2d0*coupl(nGC_1)**2d0 + pi**2d0*(-coupl(nGC_1)**2d0/pi&
                **2d0 - coupl(nGC_80)**2d0/pi**2d0 - coupl(nGC_87)**2d0/pi**2d0&
                ))/(16d0*pi**2d0)
    dZsL_QED2 = cone*real(dZsL_QED2,kind=dp)
  end if 
end subroutine set_ctparameter45
end module ctparameter45
