!******************************************************************************!
!                                                                              !
!    ctparameter5.f90                                                          !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter5.f90                               |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:12             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter5
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter5()
  OS2_Hvv_db_QED3 = (-8d0*pi**2d0*Ten1139*cMHC**2d0*cb*ee**3d0*sa/(cMW*sb*sw** &
                    3d0) + 4d0*pi**2d0*Ten1140*cMHH**2d0*ee**3d0*sa**2d0*(ca*sb&
                     - cb*sa)/(cMW*cw**2d0*sb*sw**3d0) + 4d0*pi**2d0*Ten1141*  &
                    cMHL**2d0*ca*ee**3d0*sa*(-ca*cb - sa*sb)/(cMW*cw**2d0*sb*sw&
                    **3d0) - 8d0*pi**2d0*Ten1142*cMHC**2d0*cb*ee**3d0*sa/(cMW* &
                    sb*sw**3d0) + 4d0*pi**2d0*Ten1143*cMHH**2d0*ee**3d0*sa**2d0&
                    *(ca*sb - cb*sa)/(cMW*cw**2d0*sb*sw**3d0) + 4d0*pi**2d0*   &
                    Ten1144*cMHL**2d0*ca*ee**3d0*sa*(-ca*cb - sa*sb)/(cMW*cw** &
                    2d0*sb*sw**3d0) + 4d0*pi**2d0*Ten1145*cMHA**2d0*cb**2d0*ee &
                    **3d0*(-ca*sb + cb*sa)/(cMW*cw**2d0*sb*sw**3d0) + 8d0*pi** &
                    2d0*Ten1146*cMHC**2d0*cb**2d0*ee**3d0*(-ca*sb + cb*sa)/(cMW&
                    *sb*sw**3d0) + 8d0*pi**2d0*Ten1147*cMHC**2d0*cb**2d0*ee**  &
                    3d0*(-ca*sb + cb*sa)/(cMW*sb*sw**3d0) + 16d0*pi**2d0*      &
                    Ten1148*cMW*cb*ee**3d0*(cMHH**2d0*ca*cb + cMHH**2d0*sa*sb  &
                     - 2d0*cMW**2d0*ca*cb - 2d0*cMW**2d0*sa*sb)/(cMHH**2d0*sw**&
                    3d0) + 4d0*pi**2d0*Ten1149*cMHA**2d0*cb**2d0*ee**3d0*(-ca* &
                    sb + cb*sa)/(cMW*cw**2d0*sb*sw**3d0) + 8d0*pi**2d0*Ten1150*&
                    cMW*cb*ee**3d0*(cMHH**2d0*ca*cb*cw**2d0 + cMHH**2d0*cw**2d0&
                    *sa*sb - 2d0*cMW**2d0*ca*cb - 2d0*cMW**2d0*sa*sb)/(cMHH**  &
                    2d0*cw**6d0*sw**3d0) + 32d0*pi**2d0*Ten1151*cMW*cb*ee**3d0 &
                    *(-ca*cb*sb + cb**2d0*sa - sa)/(cMHH**2d0*sb*sw**3d0) +    &
                    16d0*pi**2d0*Ten1152*cMW*cb*ee**3d0*(-ca*cb - sa*sb)/(cMHH &
                    **2d0*cw**4d0*sw**3d0) + 4d0*pi**2d0*Ten1153*cb*ee**3d0*sa &
                    /(cMW*sb*sw**3d0) + 2d0*pi**2d0*Ten1154*ee**3d0*sa**2d0*(- &
                    ca*sb + cb*sa)/(cMW*cw**2d0*sb*sw**3d0) + 2d0*pi**2d0*     &
                    Ten1155*ee**3d0*sa*(ca*sa*sb - cb*sa**2d0 + cb)/(cMW*cw**  &
                    2d0*sb*sw**3d0) + 2d0*pi**2d0*Ten1156*cb**2d0*ee**3d0*(ca* &
                    sb - cb*sa)/(cMW*cw**2d0*sb*sw**3d0) + 4d0*pi**2d0*Ten1157*&
                    cb**2d0*ee**3d0*(ca*sb - cb*sa)/(cMW*sb*sw**3d0) + 4d0*pi**&
                    2d0*Ten1158*cb**2d0*ee**3d0*(ca*sb - cb*sa)/(cMW*sb*sw**3d0&
                    ) + 8d0*pi**2d0*Ten1159*cb*ee**3d0*(-cMHH**2d0*ca*cb - cMHH&
                    **2d0*sa*sb + 4d0*cMW**2d0*ca*cb + 4d0*cMW**2d0*sa*sb)/(   &
                    cMHH**2d0*cMW*sw**3d0) + 2d0*pi**2d0*Ten1160*cb**2d0*ee**  &
                    3d0*(ca*sb - cb*sa)/(cMW*cw**2d0*sb*sw**3d0) + 4d0*pi**2d0*&
                    Ten1161*cb*ee**3d0*(-cMHH**2d0*ca*cb*cw**2d0 - cMHH**2d0*cw&
                    **2d0*sa*sb + 4d0*cMW**2d0*ca*cb + 4d0*cMW**2d0*sa*sb)/(   &
                    cMHH**2d0*cMW*cw**4d0*sw**3d0) + 2d0*pi**2d0*Ten509*ee**3d0&
                    *sa*(ca*sa*sb - cb*sa**2d0 + cb)/(cMW*cw**2d0*sb*sw**3d0   &
                    ) + 2d0*pi**2d0*Ten513*ee**3d0*sa**2d0*(-ca*sb + cb*sa)/(  &
                    cMW*cw**2d0*sb*sw**3d0) + 4d0*pi**2d0*Ten528*cb*ee**3d0*sa &
                    /(cMW*sb*sw**3d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      OS2_Hvv_db_QED3 = cone*real(OS2_Hvv_db_QED3,kind=dp)
    end if 
end subroutine set_ctparameter5
end module ctparameter5
