!******************************************************************************!
!                                                                              !
!    ctparameter75.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter75.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:12             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter75
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter75()
  if (OD12_BFM_QED2_scheme .eq. 1) then
    OD12_BFM_QED2 = (-Ten129*cab*ee**2d0*sab/(2d0*cw**2d0*sw**2d0) + Ten130*cab&
                    *ee**2d0*sab/(2d0*cw**2d0*sw**2d0) - Ten132*cab*ee**2d0*sab&
                    /sw**2d0 + Ten133*cab*ee**2d0*sab/sw**2d0 - Ten15*cab*ee** &
                    2d0*sab/(2d0*cw**2d0*sw**2d0) + Ten16*cab*ee**2d0*sab/(2d0*&
                    cw**2d0*sw**2d0) - Ten18*cab*ee**2d0*sab/sw**2d0 + Ten19*  &
                    cab*ee**2d0*sab/sw**2d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      OD12_BFM_QED2 = cone*real(OD12_BFM_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter75
end module ctparameter75
