!******************************************************************************!
!                                                                              !
!    ctparameter77.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter77.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:12             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter77
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter77()
  dalZ_QED2 = (64d0*pi*Nc*Ten1002*aEW*(-2d0*MU**2d0 - rMZ**2d0)/(27d0*rMZ**2d0 &
              ) + 64d0*pi*Nc*Ten1003*aEW*(-2d0*MC**2d0 - rMZ**2d0)/(27d0*rMZ** &
              2d0) + 16d0*pi*Nc*Ten1005*aEW*(-2d0*MD**2d0 - rMZ**2d0)/(27d0*rMZ&
              **2d0) + 16d0*pi*Nc*Ten1006*aEW*(-2d0*MS**2d0 - rMZ**2d0)/(27d0* &
              rMZ**2d0) + 16d0*pi*Nc*Ten1007*aEW*(-2d0*MB**2d0 - rMZ**2d0)/(   &
              27d0*rMZ**2d0) + 16d0*pi*Nc*Ten1136*aEW*(2d0*MD**2d0 + rMZ**2d0  &
              )/(27d0*rMZ**2d0) + 16d0*pi*Nc*Ten1137*aEW*(2d0*MS**2d0 + rMZ**  &
              2d0)/(27d0*rMZ**2d0) + 64d0*pi*Nc*Ten1138*aEW*(2d0*MU**2d0 + rMZ &
              **2d0)/(27d0*rMZ**2d0) + 16d0*pi*Nc*Ten835*aEW*(2d0*MB**2d0 + rMZ&
              **2d0)/(27d0*rMZ**2d0) + 64d0*pi*Nc*Ten836*aEW*(2d0*MC**2d0 + rMZ&
              **2d0)/(27d0*rMZ**2d0) + 16d0*pi*Ten1000*aEW*(-2d0*MM**2d0 - rMZ &
              **2d0)/(3d0*rMZ**2d0) + 16d0*pi*Ten1001*aEW*(-2d0*MTA**2d0 - rMZ &
              **2d0)/(3d0*rMZ**2d0) + 16d0*pi*Ten1133*aEW*(2d0*ME**2d0 + rMZ** &
              2d0)/(3d0*rMZ**2d0) + 16d0*pi*Ten1134*aEW*(2d0*MM**2d0 + rMZ**2d0&
              )/(3d0*rMZ**2d0) + 16d0*pi*Ten1135*aEW*(2d0*MTA**2d0 + rMZ**2d0  &
              )/(3d0*rMZ**2d0) + 16d0*pi*Ten999*aEW*(-2d0*ME**2d0 - rMZ**2d0)/(&
              3d0*rMZ**2d0) + pi**2d0*(176d0*Nc*aEW/(81d0*pi) + 16d0*aEW/(3d0* &
              pi)))/(16d0*pi**2d0)
  dalZ_QED2 = cone*real(dalZ_QED2,kind=dp)
end subroutine set_ctparameter77
end module ctparameter77
