!******************************************************************************!
!                                                                              !
!    ctparameter80.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter80.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:12             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter80
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter80()
  dZWMinus_QED2 = (Nc*Ten10*coupl(nGC_80)**2d0*(-cMD**2d0 + cMU**2d0)/(3d0*rMW &
                  **4d0) + Nc*Ten11*coupl(nGC_80)**2d0*(cMC**2d0 - cMS**2d0)/( &
                  3d0*rMW**4d0) + Nc*Ten1105*coupl(nGC_80)**2d0*(cMD**4d0 - 2d0&
                  *cMD**2d0*cMU**2d0 + cMU**4d0 + 2d0*rMW**4d0)/(3d0*rMW**4d0  &
                  ) + Nc*Ten1106*coupl(nGC_80)**2d0*(cMC**4d0 - 2d0*cMC**2d0*  &
                  cMS**2d0 + cMS**4d0 + 2d0*rMW**4d0)/(3d0*rMW**4d0) + Nc*     &
                  Ten1107*coupl(nGC_80)**2d0*(cMB**4d0 - 2d0*cMB**2d0*cMT**2d0 &
                   + cMT**4d0 + 2d0*rMW**4d0)/(3d0*rMW**4d0) + Nc*Ten1115*coupl&
                  (nGC_80)**2d0*(-cMD**4d0 + 2d0*cMD**2d0*cMU**2d0 - cMD**2d0* &
                  rMW**2d0 - cMU**4d0 - cMU**2d0*rMW**2d0 + 2d0*rMW**4d0)/(3d0*&
                  rMW**2d0) + Nc*Ten1116*coupl(nGC_80)**2d0*(-cMC**4d0 + 2d0*  &
                  cMC**2d0*cMS**2d0 - cMC**2d0*rMW**2d0 - cMS**4d0 - cMS**2d0* &
                  rMW**2d0 + 2d0*rMW**4d0)/(3d0*rMW**2d0) + Nc*Ten1117*coupl(  &
                  nGC_80)**2d0*(-cMB**4d0 + 2d0*cMB**2d0*cMT**2d0 - cMB**2d0*  &
                  rMW**2d0 - cMT**4d0 - cMT**2d0*rMW**2d0 + 2d0*rMW**4d0)/(3d0*&
                  rMW**2d0) + Nc*Ten12*coupl(nGC_80)**2d0*(-cMB**2d0 + cMT**2d0&
                  )/(3d0*rMW**4d0) + Nc*Ten7*coupl(nGC_80)**2d0*(cMD**2d0 - cMU&
                  **2d0)/(3d0*rMW**4d0) + Nc*Ten8*coupl(nGC_80)**2d0*(-cMC**2d0&
                   + cMS**2d0)/(3d0*rMW**4d0) + Nc*Ten9*coupl(nGC_80)**2d0*(cMB&
                  **2d0 - cMT**2d0)/(3d0*rMW**4d0) + Ten0*(cMHC**2d0*coupl(    &
                  nGC_68)*coupl(nGC_69) - cMHL**2d0*coupl(nGC_63)*coupl(nGC_64 &
                  ) - cMHL**2d0*coupl(nGC_68)*coupl(nGC_69) + cMW**2d0*coupl(  &
                  nGC_63)*coupl(nGC_64))/(3d0*rMW**4d0) + Ten1*(4d0*cMW**2d0*  &
                  coupl(nGC_72)**2d0 + cMW**2d0*coupl(nGC_81)**2d0 - 9d0*cMW** &
                  2d0*coupl(nGC_82)**2d0 - 4d0*cMZ**2d0*coupl(nGC_72)**2d0 -   &
                  cMZ**2d0*coupl(nGC_81)**2d0 + 9d0*cMZ**2d0*coupl(nGC_82)**2d0&
                  )/(12d0*rMW**4d0) + Ten1067*(-9d0*cMW**4d0*coupl(nGC_3)**2d0 &
                   + cMW**4d0*coupl(nGC_4)**2d0 - 39d0*coupl(nGC_3)**2d0*rMW** &
                  4d0 - coupl(nGC_4)**2d0*rMW**4d0)/(12d0*rMW**4d0) + Ten1071* &
                  coupl(nGC_63)*coupl(nGC_64)*(cMHL**4d0 - 2d0*cMHL**2d0*cMW** &
                  2d0 + cMW**4d0 - rMW**4d0)/(3d0*rMW**4d0) + Ten1072*coupl(   &
                  nGC_68)*coupl(nGC_69)*(cMHH**4d0 - 2d0*cMHH**2d0*cMW**2d0 +  &
                  cMW**4d0 - rMW**4d0)/(3d0*rMW**4d0) + Ten1074*(4d0*cMW**4d0* &
                  coupl(nGC_72)**2d0 + cMW**4d0*coupl(nGC_81)**2d0 - 9d0*cMW** &
                  4d0*coupl(nGC_82)**2d0 - 8d0*cMW**2d0*cMZ**2d0*coupl(nGC_72  &
                  )**2d0 - 2d0*cMW**2d0*cMZ**2d0*coupl(nGC_81)**2d0 + 18d0*cMW &
                  **2d0*cMZ**2d0*coupl(nGC_82)**2d0 + 4d0*cMZ**4d0*coupl(nGC_72&
                  )**2d0 + cMZ**4d0*coupl(nGC_81)**2d0 - 9d0*cMZ**4d0*coupl(   &
                  nGC_82)**2d0 - 4d0*coupl(nGC_72)**2d0*rMW**4d0 - coupl(nGC_81&
                  )**2d0*rMW**4d0 - 39d0*coupl(nGC_82)**2d0*rMW**4d0)/(12d0*rMW&
                  **4d0) + Ten1102*coupl(nGC_80)**2d0*(cME**4d0 + 2d0*rMW**4d0 &
                  )/(3d0*rMW**4d0) + Ten1103*coupl(nGC_80)**2d0*(cMM**4d0 + 2d0&
                  *rMW**4d0)/(3d0*rMW**4d0) + Ten1104*coupl(nGC_80)**2d0*(cMTA &
                  **4d0 + 2d0*rMW**4d0)/(3d0*rMW**4d0) + Ten1108*coupl(nGC_68)*&
                  coupl(nGC_69)*(cMHC**4d0 - 2d0*cMHC**2d0*cMHL**2d0 + cMHL**  &
                  4d0 - rMW**4d0)/(3d0*rMW**4d0) + Ten1109*coupl(nGC_63)*coupl(&
                  nGC_64)*(cMHC**4d0 - 2d0*cMHC**2d0*cMHH**2d0 + cMHH**4d0 -   &
                  rMW**4d0)/(3d0*rMW**4d0) + Ten1110*coupl(nGC_72)**2d0*(cMHA**&
                  4d0 - 2d0*cMHA**2d0*cMHC**2d0 + cMHC**4d0 - rMW**4d0)/(3d0*  &
                  rMW**4d0) + Ten1111*(9d0*cMW**4d0*coupl(nGC_3)**2d0 - cMW**  &
                  4d0*coupl(nGC_4)**2d0 - 30d0*cMW**2d0*coupl(nGC_3)**2d0*rMW**&
                  2d0 + 2d0*cMW**2d0*coupl(nGC_4)**2d0*rMW**2d0 + 12d0*coupl(  &
                  nGC_127)**2d0*rMW**2d0 - 39d0*coupl(nGC_3)**2d0*rMW**4d0 -   &
                  coupl(nGC_4)**2d0*rMW**4d0)/(12d0*rMW**2d0) + Ten1112*coupl( &
                  nGC_80)**2d0*(-cME**4d0 - cME**2d0*rMW**2d0 + 2d0*rMW**4d0)/(&
                  3d0*rMW**2d0) + Ten1113*coupl(nGC_80)**2d0*(-cMM**4d0 - cMM**&
                  2d0*rMW**2d0 + 2d0*rMW**4d0)/(3d0*rMW**2d0) + Ten1114*coupl( &
                  nGC_80)**2d0*(-cMTA**4d0 - cMTA**2d0*rMW**2d0 + 2d0*rMW**4d0 &
                  )/(3d0*rMW**2d0) + Ten1118*(-cMHL**4d0*coupl(nGC_63)*coupl(  &
                  nGC_64) + 2d0*cMHL**2d0*cMW**2d0*coupl(nGC_63)*coupl(nGC_64  &
                  ) + 2d0*cMHL**2d0*coupl(nGC_63)*coupl(nGC_64)*rMW**2d0 - cMW &
                  **4d0*coupl(nGC_63)*coupl(nGC_64) + 2d0*cMW**2d0*coupl(nGC_63&
                  )*coupl(nGC_64)*rMW**2d0 + 3d0*coupl(nGC_124)**2d0*rMW**2d0  &
                   - coupl(nGC_63)*coupl(nGC_64)*rMW**4d0)/(3d0*rMW**2d0) +    &
                  Ten1119*coupl(nGC_63)*coupl(nGC_64)*(-cMHC**4d0 + 2d0*cMHC** &
                  2d0*cMHH**2d0 + 2d0*cMHC**2d0*rMW**2d0 - cMHH**4d0 + 2d0*cMHH&
                  **2d0*rMW**2d0 - rMW**4d0)/(3d0*rMW**2d0) + Ten1120*(-cMHH** &
                  4d0*coupl(nGC_68)*coupl(nGC_69) + 2d0*cMHH**2d0*cMW**2d0*    &
                  coupl(nGC_68)*coupl(nGC_69) + 2d0*cMHH**2d0*coupl(nGC_68)*   &
                  coupl(nGC_69)*rMW**2d0 - cMW**4d0*coupl(nGC_68)*coupl(nGC_69 &
                  ) + 2d0*cMW**2d0*coupl(nGC_68)*coupl(nGC_69)*rMW**2d0 + 3d0* &
                  coupl(nGC_125)**2d0*rMW**2d0 - coupl(nGC_68)*coupl(nGC_69)*  &
                  rMW**4d0)/(3d0*rMW**2d0) + Ten1121*coupl(nGC_68)*coupl(nGC_69&
                  )*(-cMHC**4d0 + 2d0*cMHC**2d0*cMHL**2d0 + 2d0*cMHC**2d0*rMW**&
                  2d0 - cMHL**4d0 + 2d0*cMHL**2d0*rMW**2d0 - rMW**4d0)/(3d0*rMW&
                  **2d0) + Ten1122*(-4d0*cMW**4d0*coupl(nGC_72)**2d0 - cMW**4d0&
                  *coupl(nGC_81)**2d0 + 9d0*cMW**4d0*coupl(nGC_82)**2d0 + 8d0* &
                  cMW**2d0*cMZ**2d0*coupl(nGC_72)**2d0 + 2d0*cMW**2d0*cMZ**2d0*&
                  coupl(nGC_81)**2d0 - 18d0*cMW**2d0*cMZ**2d0*coupl(nGC_82)**  &
                  2d0 + 8d0*cMW**2d0*coupl(nGC_72)**2d0*rMW**2d0 + 2d0*cMW**2d0&
                  *coupl(nGC_81)**2d0*rMW**2d0 - 30d0*cMW**2d0*coupl(nGC_82)** &
                  2d0*rMW**2d0 - 4d0*cMZ**4d0*coupl(nGC_72)**2d0 - cMZ**4d0*   &
                  coupl(nGC_81)**2d0 + 9d0*cMZ**4d0*coupl(nGC_82)**2d0 + 8d0*  &
                  cMZ**2d0*coupl(nGC_72)**2d0*rMW**2d0 + 2d0*cMZ**2d0*coupl(   &
                  nGC_81)**2d0*rMW**2d0 - 30d0*cMZ**2d0*coupl(nGC_82)**2d0*rMW &
                  **2d0 + 12d0*coupl(nGC_107)**2d0*rMW**2d0 - 4d0*coupl(nGC_72 &
                  )**2d0*rMW**4d0 - coupl(nGC_81)**2d0*rMW**4d0 - 39d0*coupl(  &
                  nGC_82)**2d0*rMW**4d0)/(12d0*rMW**2d0) + Ten1123*coupl(nGC_72&
                  )**2d0*(-cMHA**4d0 + 2d0*cMHA**2d0*cMHC**2d0 + 2d0*cMHA**2d0*&
                  rMW**2d0 - cMHC**4d0 + 2d0*cMHC**2d0*rMW**2d0 - rMW**4d0)/(  &
                  3d0*rMW**2d0) + Ten13*(cMHA**2d0*coupl(nGC_72)**2d0 - cMHC** &
                  2d0*coupl(nGC_63)*coupl(nGC_64) - cMHC**2d0*coupl(nGC_68)*   &
                  coupl(nGC_69) - cMHC**2d0*coupl(nGC_72)**2d0 + cMHH**2d0*    &
                  coupl(nGC_63)*coupl(nGC_64) + cMHL**2d0*coupl(nGC_68)*coupl( &
                  nGC_69))/(3d0*rMW**4d0) + Ten14*coupl(nGC_72)**2d0*(-cMHA**  &
                  2d0 + cMHC**2d0)/(3d0*rMW**4d0) + Ten2*(cMHC**2d0*coupl(     &
                  nGC_63)*coupl(nGC_64) - cMHH**2d0*coupl(nGC_63)*coupl(nGC_64 &
                  ) - cMHH**2d0*coupl(nGC_68)*coupl(nGC_69) + cMW**2d0*coupl(  &
                  nGC_68)*coupl(nGC_69))/(3d0*rMW**4d0) + Ten243*(4d0*cME**2d0*&
                  coupl(nGC_80)**2d0 + 4d0*cMM**2d0*coupl(nGC_80)**2d0 + 4d0*  &
                  cMTA**2d0*coupl(nGC_80)**2d0 - 9d0*cMW**2d0*coupl(nGC_3)**2d0&
                   + cMW**2d0*coupl(nGC_4)**2d0)/(12d0*rMW**4d0) + Ten3*(4d0*  &
                  cMHH**2d0*coupl(nGC_68)*coupl(nGC_69) + 4d0*cMHL**2d0*coupl( &
                  nGC_63)*coupl(nGC_64) + 9d0*cMW**2d0*coupl(nGC_3)**2d0 - cMW &
                  **2d0*coupl(nGC_4)**2d0 - 4d0*cMW**2d0*coupl(nGC_63)*coupl(  &
                  nGC_64) - 4d0*cMW**2d0*coupl(nGC_68)*coupl(nGC_69) - 4d0*cMW &
                  **2d0*coupl(nGC_72)**2d0 - cMW**2d0*coupl(nGC_81)**2d0 + 9d0*&
                  cMW**2d0*coupl(nGC_82)**2d0 + 4d0*cMZ**2d0*coupl(nGC_72)**2d0&
                   + cMZ**2d0*coupl(nGC_81)**2d0 - 9d0*cMZ**2d0*coupl(nGC_82)**&
                  2d0)/(12d0*rMW**4d0) - Ten4*cME**2d0*coupl(nGC_80)**2d0/(3d0*&
                  rMW**4d0) - Ten5*cMM**2d0*coupl(nGC_80)**2d0/(3d0*rMW**4d0   &
                  ) - Ten6*cMTA**2d0*coupl(nGC_80)**2d0/(3d0*rMW**4d0) + pi**  &
                  2d0*(-2d0*Nc*coupl(nGC_80)**2d0/(3d0*pi**2d0) - coupl(nGC_3  &
                  )**2d0/(6d0*pi**2d0) - coupl(nGC_4)**2d0/(18d0*pi**2d0) - 4d0&
                  *coupl(nGC_63)*coupl(nGC_64)/(9d0*pi**2d0) - 4d0*coupl(nGC_68&
                  )*coupl(nGC_69)/(9d0*pi**2d0) - 4d0*coupl(nGC_72)**2d0/(9d0* &
                  pi**2d0) - 2d0*coupl(nGC_80)**2d0/(3d0*pi**2d0) - coupl(     &
                  nGC_81)**2d0/(18d0*pi**2d0) - coupl(nGC_82)**2d0/(6d0*pi**2d0&
                  )))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZWMinus_QED2 = cone*real(dZWMinus_QED2,kind=dp)
    end if 
end subroutine set_ctparameter80
end module ctparameter80
