!******************************************************************************!
!                                                                              !
!    ctparameter89.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter89.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:12             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter89
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter89()
  dZHMinusGMinus_QED2 = (4d0*Nc*Ten338*cMD*cMU*(coupl(nGC_146)*coupl(nGC_196   &
                        ) + coupl(nGC_150)*coupl(nGC_193))/cMHC**2d0 + 4d0*Nc* &
                        Ten339*cMC*cMS*(coupl(nGC_131)*coupl(nGC_174) + coupl( &
                        nGC_134)*coupl(nGC_170))/cMHC**2d0 + 4d0*Nc*Ten340*cMB*&
                        cMT*(coupl(nGC_138)*coupl(nGC_178) + coupl(nGC_142)*   &
                        coupl(nGC_181))/cMHC**2d0 + 16d0*Nc*Ten343*(coupl(     &
                        nGC_146)*coupl(nGC_150) + coupl(nGC_193)*coupl(nGC_196 &
                        ))/cMHC**2d0 + 16d0*Nc*Ten344*(coupl(nGC_131)*coupl(   &
                        nGC_134) + coupl(nGC_170)*coupl(nGC_174))/cMHC**2d0 +  &
                        16d0*Nc*Ten345*(coupl(nGC_138)*coupl(nGC_142) + coupl( &
                        nGC_178)*coupl(nGC_181))/cMHC**2d0 + cima*Ten0*coupl(  &
                        nGC_24)/cMHC**2d0 + cima*Ten1*coupl(nGC_43)/cMHC**2d0  &
                         + 2d0*cima*Ten13*coupl(nGC_44)/cMHC**2d0 + cima*Ten14*&
                        coupl(nGC_42)/cMHC**2d0 + cima*Ten2*coupl(nGC_27)/cMHC &
                        **2d0 + 2d0*cima*Ten3*coupl(nGC_45)/cMHC**2d0 - 2d0*   &
                        Ten335*coupl(nGC_108)*coupl(nGC_119)/cMHC**2d0 - 2d0*  &
                        Ten336*coupl(nGC_111)*coupl(nGC_116)/cMHC**2d0 - 2d0*  &
                        Ten341*coupl(nGC_110)*coupl(nGC_119)/cMHC**2d0 - 2d0*  &
                        Ten342*coupl(nGC_111)*coupl(nGC_118)/cMHC**2d0 + 8d0*  &
                        Ten346*coupl(nGC_64)*coupl(nGC_69)/cMHC**2d0 + 8d0*    &
                        Ten347*coupl(nGC_63)*coupl(nGC_69)/cMHC**2d0 + 16d0*   &
                        Ten348*coupl(nGC_154)*coupl(nGC_158)/cMHC**2d0 + 16d0* &
                        Ten349*coupl(nGC_162)*coupl(nGC_166)/cMHC**2d0 + 16d0* &
                        Ten350*coupl(nGC_185)*coupl(nGC_189)/cMHC**2d0 + pi**  &
                        2d0*(-2d0*Nc*cMB**2d0*coupl(nGC_138)*coupl(nGC_142)/(pi&
                        **2d0*cMHC**2d0) - 2d0*Nc*cMB**2d0*coupl(nGC_178)*coupl&
                        (nGC_181)/(pi**2d0*cMHC**2d0) - 2d0*Nc*cMC**2d0*coupl( &
                        nGC_131)*coupl(nGC_134)/(pi**2d0*cMHC**2d0) - 2d0*Nc*  &
                        cMC**2d0*coupl(nGC_170)*coupl(nGC_174)/(pi**2d0*cMHC** &
                        2d0) - 2d0*Nc*cMD**2d0*coupl(nGC_146)*coupl(nGC_150)/( &
                        pi**2d0*cMHC**2d0) - 2d0*Nc*cMD**2d0*coupl(nGC_193)*   &
                        coupl(nGC_196)/(pi**2d0*cMHC**2d0) - 2d0*Nc*cMS**2d0*  &
                        coupl(nGC_131)*coupl(nGC_134)/(pi**2d0*cMHC**2d0) - 2d0&
                        *Nc*cMS**2d0*coupl(nGC_170)*coupl(nGC_174)/(pi**2d0*   &
                        cMHC**2d0) - 2d0*Nc*cMT**2d0*coupl(nGC_138)*coupl(     &
                        nGC_142)/(pi**2d0*cMHC**2d0) - 2d0*Nc*cMT**2d0*coupl(  &
                        nGC_178)*coupl(nGC_181)/(pi**2d0*cMHC**2d0) - 2d0*Nc*  &
                        cMU**2d0*coupl(nGC_146)*coupl(nGC_150)/(pi**2d0*cMHC** &
                        2d0) - 2d0*Nc*cMU**2d0*coupl(nGC_193)*coupl(nGC_196)/( &
                        pi**2d0*cMHC**2d0) - 2d0*cME**2d0*coupl(nGC_154)*coupl(&
                        nGC_158)/(pi**2d0*cMHC**2d0) - cMHH**2d0*coupl(nGC_63)*&
                        coupl(nGC_69)/(pi**2d0*cMHC**2d0) - cMHL**2d0*coupl(   &
                        nGC_64)*coupl(nGC_69)/(pi**2d0*cMHC**2d0) - 2d0*cMM**  &
                        2d0*coupl(nGC_162)*coupl(nGC_166)/(pi**2d0*cMHC**2d0   &
                        ) - 2d0*cMTA**2d0*coupl(nGC_185)*coupl(nGC_189)/(pi**  &
                        2d0*cMHC**2d0) - cMW**2d0*coupl(nGC_63)*coupl(nGC_69)/(&
                        pi**2d0*cMHC**2d0) - cMW**2d0*coupl(nGC_64)*coupl(     &
                        nGC_69)/(pi**2d0*cMHC**2d0) + 4d0*coupl(nGC_102)*coupl(&
                        nGC_107)/(pi**2d0*cMHC**2d0) + 4d0*coupl(nGC_126)*coupl&
                        (nGC_127)/(pi**2d0*cMHC**2d0)))/(16d0*pi**2d0) + 2d0*  &
                        cima*coupl(nGC_119)*dtHl_QED1/(cMHC**2d0*cMHL**2d0) +  &
                        2d0*cima*coupl(nGC_111)*dtHh_QED1/(cMHC**2d0*cMHH**2d0)
    if (.not. complex_mass_scheme) then
      dZHMinusGMinus_QED2 = cone*real(dZHMinusGMinus_QED2,kind=dp)
    end if 
end subroutine set_ctparameter89
end module ctparameter89
