!******************************************************************************!
!                                                                              !
!    tcVV.f90                                                                  !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   tcVV.f90                                       |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module tcVV
  use class_vertices
  use constants_mdl
  implicit none
  complex (dp) :: x0, x1, x2, x3, x4, x5, x6, x7, x8, x9, x10, x11, x12, x13,  &
                  x14, x15, x16, x17, x18, x19, x20, x21, x22, x23, x24, x25,  &
                  x26, x27, x28, x29
  complex (dp), dimension(0:3) :: x0vec, x1vec, x2vec, x3vec, x4vec, x5vec,    &
                                  x6vec, x7vec
  contains
    subroutine treeVV(ty, co, w1, P1, PL1, den, m, wout, last, VB_last)
      integer, intent(in) :: ty
      logical, intent(inout) :: VB_last
      logical, intent(in) :: last
      complex(kind=dp), dimension(0:), intent(in) :: co
      complex(kind=dp), intent(in), dimension(0:3) :: P1, PL1
      complex(kind=dp), intent(in), dimension(0:3) :: w1
      complex(kind=dp), intent(in) :: m
      complex(kind=dp), intent(in) :: den
      complex(kind=dp), dimension(0:3), intent(out) :: wout
      character(len=3) :: ty_str
      complex(kind=dp), dimension(0:3) :: pl, p
      select case(ty)
      case(VV0)
!       -P(1,2)*P(2,2)*c0
!       -P(1,1)*P(2,1)*c1
!       Metric(1,2)*P(-1,2)**2*c2
!       Metric(1,2)*P(-1,1)**2*c3
!       Metric(1,2)*c4
        if (last) VB_last = .true.
        x0 = P1(1)**2
        x0vec = co(2)*w1(:)
        x1 = P1(2)**2
        x2 = P1(3)**2
        x1vec = co(3)*w1(:)
        x3 = P1(0)**2
        x4 = P1(0)*w1(0)
        x2vec = P1(:)*co(0)
        x3vec = P1(:)*co(1)
        x5 = P1(1)*w1(1)
        x6 = P1(2)*w1(2)
        x4vec = P1(3)*P1(:)*w1(3)
        wout = -co(0)*x4vec - co(1)*x4vec - co(4)*w1(:) + x0*x0vec + x0*x1vec  &
                + x0vec*x1 + x0vec*x2 - x0vec*x3 + x1*x1vec + x1vec*x2 - x1vec*&
               x3 + x2vec*x4 - x2vec*x5 - x2vec*x6 + x3vec*x4 - x3vec*x5 -     &
               x3vec*x6
      case(VV1)
!       P(1,1)*P(2,1)*c0
!       Metric(1,2)*P(-1,1)**2*c1
        if (last) VB_last = .true.
        x0vec = co(1)*w1(:)
        x1vec = P1(:)*co(0)
        wout = -P1(0)**2*x0vec - P1(0)*w1(0)*x1vec + P1(1)**2*x0vec + P1(1)*w1(&
               1)*x1vec + P1(2)**2*x0vec + P1(2)*w1(2)*x1vec + P1(3)**2*x0vec  &
                + P1(3)*w1(3)*x1vec
      case(VV2)
!       P(1,2)*P(2,2)*c0
!       Metric(1,2)*P(-1,2)**2*c1
!       Metric(1,2)*c2
        if (last) VB_last = .true.
        x0vec = co(1)*w1(:)
        x1vec = P1(:)*co(0)
        wout = -P1(0)**2*x0vec - P1(0)*w1(0)*x1vec + P1(1)**2*x0vec + P1(1)*w1(&
               1)*x1vec + P1(2)**2*x0vec + P1(2)*w1(2)*x1vec + P1(3)**2*x0vec  &
                + P1(3)*w1(3)*x1vec - co(2)*w1(:)
      case(VV3)
!       P(1,1)*P(2,1)*c0
!       Metric(1,2)*P(-1,1)**2*c1
!       Metric(1,2)*c2
        if (last) VB_last = .true.
        x0vec = co(1)*w1(:)
        x1vec = P1(:)*co(0)
        wout = -P1(0)**2*x0vec - P1(0)*w1(0)*x1vec + P1(1)**2*x0vec + P1(1)*w1(&
               1)*x1vec + P1(2)**2*x0vec + P1(2)*w1(2)*x1vec + P1(3)**2*x0vec  &
                + P1(3)*w1(3)*x1vec - co(2)*w1(:)
      end select 
    end subroutine treeVV
end module tcVV
